(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    283087,       6342]
NotebookOptionsPosition[    223733,       5190]
NotebookOutlinePosition[    260329,       5994]
CellTagsIndexPosition[    259793,       5974]
WindowTitle->Introduction to Solving Differential Equations
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztXQfYHUXVhhAIndAOVbj00DuEIiQQurQA0jFAIIiEkoA0hY+qQGjSUSBS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    "], {{0, 100}, {450, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{268.015625, Automatic},
  ImageSizeRaw->{450, 100},
  PlotRange->{{0, 450}, {0, 100}}]], "WolframULogo",ExpressionUUID->"059f49ae-\
49fc-4f44-80e6-ab700841b96e"],

Cell[CellGroupData[{

Cell["\<\
Solving ODEs and DAEs
with NDSolve\
\>", "Title",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.74567557930435*^9, {
   3.7461323846346602`*^9, 3.7461323887140007`*^9}, {3.746132620446889*^9, 
   3.7461326246249285`*^9}, {3.7582867419412823`*^9, 
   3.758286745059249*^9}},ExpressionUUID->"1243965a-40ce-482a-9c91-\
36878f955d76"],

Cell["Introduction to Solving Differential Equations", "Subtitle",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.74567557930435*^9, {
   3.7461323846346602`*^9, 3.7461323887140007`*^9}, {3.746132620446889*^9, 
   3.7461326246249285`*^9}, {3.7582867419412823`*^9, 
   3.758286769856254*^9}},ExpressionUUID->"2b7b0e19-8936-45b4-a2ca-\
024e96d8e1fd"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"150d5b10-b97a-4702-a374-c645ba64169d"],

Cell[BoxData[
 PaneBox[
  TagBox[GridBox[{
     {
      StyleBox[
       ItemBox[
        FrameBox[
         StyleBox["\<\"Learning Objectives\"\>", "Section",
          StripOnInput->False],
         BaselinePosition->Center,
         FrameMargins->0,
         FrameStyle->None,
         StripOnInput->False],
        StripOnInput->False],
       FontWeight->"Bold",
       ItemBoxOptions->{StripOnInput->False}], 
      StyleBox[
       ItemBox[
        StyleBox[" ",
         FontSize->16],
        Alignment->Right,
        StripOnInput->False],
       FontWeight->"Bold",
       ItemBoxOptions->{StripOnInput->False}]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {Left, Right}},
    GridBoxItemSize->{"Columns" -> {{"Fit"}}, "Rows" -> {{"Fit"}}}],
   "Grid"],
  ImageSize->Full]],
 CellFrame->{{0, 0}, {0.2, 0}},
 CellMargins->{{60, 50}, {7, 25}},
 CellFrameMargins->0,
 CellFrameColor->GrayLevel[0.7],
 CellChangeTimes->{
  3.7026387646773443`*^9, {3.7028170350164614`*^9, 3.7028170557762794`*^9}, {
   3.7030013861614647`*^9, 3.7030013934397125`*^9}, {3.704626482524588*^9, 
   3.7046265158269415`*^9}},ExpressionUUID->"8effe50c-507e-4c1b-9b81-\
fed535e065a9"],

Cell["\<\
The Wolfram Language\[Trademark] has extensive capabilities for solving \
differential equations both symbolically and numerically. This section covers:\
\>", "Text",
 CellChangeTimes->{{3.6997844377087812`*^9, 3.699784514458338*^9}, {
   3.699784574642163*^9, 3.6997845968648343`*^9}, {3.6997854316649942`*^9, 
   3.699785527085827*^9}, {3.699785561574854*^9, 3.6997855980781927`*^9}, {
   3.6997856936113186`*^9, 3.699785694897779*^9}, {3.6997857735604153`*^9, 
   3.6997857745459523`*^9}, {3.6997858090393934`*^9, 3.699785809231949*^9}, {
   3.6997858795828304`*^9, 3.6997858954504056`*^9}, {3.7004135772345495`*^9, 
   3.70041357766782*^9}, 3.7010148985610456`*^9, 3.7010149421306343`*^9, {
   3.7023130894891977`*^9, 3.7023131199383106`*^9}, {3.7023132735968266`*^9, 
   3.702313279188965*^9}, {3.7028171229982777`*^9, 3.7028171268534613`*^9}, {
   3.7047106328603225`*^9, 3.7047106349387083`*^9}, {3.7047304747408113`*^9, 
   3.7047304758046618`*^9}, {3.705240342547925*^9, 3.7052403438503966`*^9}, 
   3.7415277454898596`*^9, {3.7416019066259184`*^9, 3.741601912049302*^9}, {
   3.7464443332526426`*^9, 3.7464443578918357`*^9}, {3.7475864884733257`*^9, 
   3.747586491951396*^9}, 
   3.760113634858183*^9},ExpressionUUID->"5b01452c-e76f-4222-9e9a-\
f417de226dae"],

Cell[CellGroupData[{

Cell["Introduction to solving differential equations", "Item",
 CellChangeTimes->{{3.7434158810133677`*^9, 3.743415884494587*^9}, 
   3.7443822670657363`*^9, {3.7456949152420406`*^9, 3.7456949300330877`*^9}, {
   3.746190563359583*^9, 3.7461905747868156`*^9}, 
   3.7468899599350443`*^9},ExpressionUUID->"6d68f188-517d-4fb7-8a3f-\
fad8f37d6bab"],

Cell[TextData[{
 "Solving differential equations numerically with ",
 StyleBox[ButtonBox["NDSolve",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"]
}], "Item",
 CellChangeTimes->{{3.7434158810133677`*^9, 3.743415884494587*^9}, 
   3.7443822670657363`*^9, {3.7456949152420406`*^9, 3.7456949300330877`*^9}, {
   3.746190576068206*^9, 
   3.7461905877320995`*^9}},ExpressionUUID->"a8715d4b-922f-4ab7-a5ce-\
f4f5888852ce"],

Cell["Specifying boundary conditions", "Item",
 CellChangeTimes->{{3.743415896693081*^9, 3.7434158990210266`*^9}, 
   3.744382269657625*^9, {3.7450899941596594`*^9, 3.7450899968558264`*^9}, {
   3.746190378095461*^9, 3.7461904122217665`*^9}, 
   3.7461905938502765`*^9},ExpressionUUID->"010558f9-7795-4695-b394-\
73c332a4afa7"],

Cell["Features and options of NDSolve", "Item",
 CellChangeTimes->{{3.743415896693081*^9, 3.7434158990210266`*^9}, 
   3.744382269657625*^9, {3.7450899941596594`*^9, 3.7450899968558264`*^9}, {
   3.746190378095461*^9, 
   3.7461903792455206`*^9}},ExpressionUUID->"f1f66193-c70e-45aa-8996-\
fdcfc2e060c1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",ExpressionUUID->"6a3bda01-2971-4b5c-826b-25d825c8d6a1"],

Cell[CellGroupData[{

Cell["Introduction to Solving Differential Equations", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.697983386953843*^9, 3.697983390048661*^9}, {3.6979973947518625`*^9, 
  3.697997404919729*^9}, {3.7461906691133633`*^9, 
  3.74619069118579*^9}},ExpressionUUID->"4cad953b-1afe-46d0-a3e4-\
5614091300f7"],

Cell["\<\
The Wolfram Language can solve a wide range of differential equations both \
symbolically and numerically. \
\>", "Text",
 CellChangeTimes->{{3.746190811184226*^9, 3.7461908357683*^9}, {
   3.7461912659854765`*^9, 3.7461913228960333`*^9}, 3.7461915623675423`*^9, {
   3.7461915926206074`*^9, 
   3.7461915977742405`*^9}},ExpressionUUID->"61ec9761-c68d-44c7-a86b-\
49d170753a0d"],

Cell[CellGroupData[{

Cell["Symbolic Solutions", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7461915999008417`*^9, 3.7461916057814293`*^9}, 
   3.7461918033330374`*^9},ExpressionUUID->"7b3e9291-c6f8-43a6-a9b6-\
e04c27c18f9f"],

Cell[TextData[{
 "With ",
 StyleBox[ButtonBox["DSolve",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DSolve"],
  FontWeight->"Bold"],
 ", the symbolic solution for many types of differential equations can be \
found."
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746190811184226*^9, 3.7461908357683*^9}, {
   3.7461912659854765`*^9, 3.7461913228960333`*^9}, 3.7461915623675423`*^9, {
   3.7461915926206074`*^9, 3.7461916207319555`*^9}, 3.7461918033330374`*^9, {
   3.747403074857613*^9, 
   3.747403075445148*^9}},ExpressionUUID->"b6cd0b22-c605-491d-ba2e-\
6b6a50775de4"],

Cell[TextData[{
 StyleBox["Nonlinear Differential Equations",
  FontVariations->{"Underline"->True}],
 ":"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746191341824113*^9, 3.746191354931754*^9}, {
   3.746191638131984*^9, 3.7461916440356035`*^9}, 
   3.7461918033340397`*^9},ExpressionUUID->"fb96ed78-36c9-4bc3-a09f-\
db4622d4f028"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"y", "''"}], "[", "x", "]"}], " ", "==", 
       RowBox[{
        RowBox[{"3", 
         RowBox[{"y", "[", "x", "]"}], " ", 
         RowBox[{
          RowBox[{"y", "'"}], "[", "x", "]"}]}], "+", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", 
           RowBox[{
            RowBox[{"y", "[", "x", "]"}], "^", "2"}]}], "+", 
          RowBox[{"4", 
           RowBox[{"y", "[", "x", "]"}]}], "+", "1"}], ")"}]}]}], ",", 
      RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Column"}], "//", 
  "FullSimplify"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7461913262348337`*^9, 3.746191333697616*^9}, 
   3.7461918033340397`*^9, {3.746192047534113*^9, 3.746192050238245*^9}},
 CellTags->"DSolve",
 CellLabel->"In[30]:=",ExpressionUUID->"561ffd75-70c2-4213-b8f6-ac07a186349e"],

Cell[TextData[{
 StyleBox["Partial Differential Equations (PDEs)",
  FontVariations->{"Underline"->True}],
 ":"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746191458662182*^9, 3.7461914623178663`*^9}, {
   3.74619156566928*^9, 3.7461915669978085`*^9}, 3.746191649355706*^9, 
   3.7461918033350425`*^9},ExpressionUUID->"4c566615-ef9e-4687-9758-\
77fde80adeb9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"BurgersEqn", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"u", "[", 
        RowBox[{"x", ",", " ", "t"}], "]"}], ",", "t"}], "]"}], "+", " ", 
     RowBox[{
      RowBox[{"u", "[", 
       RowBox[{"x", ",", " ", "t"}], "]"}], 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}]}], " ", 
    "\[Equal]", 
    RowBox[{"\[Nu]", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"u", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2"}], "}"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"BurgersEqn", ",", 
        RowBox[{
         RowBox[{"u", "[", 
          RowBox[{"x", ",", "0"}], "]"}], "\[Equal]", 
         RowBox[{"UnitBox", "[", "x", "]"}]}]}], "}"}], ",", " ", 
      RowBox[{"u", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "t"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Column"}], "//", 
  "FullSimplify"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7461914448546534`*^9, 3.746191475198965*^9}, 
   3.7461918033350425`*^9, {3.746192041477106*^9, 3.7461920435986814`*^9}},
 CellTags->"FullSimplify",
 CellLabel->"In[23]:=",ExpressionUUID->"7d82436b-1cd6-426c-9796-fdbf700ccbe1"],

Cell[TextData[{
 StyleBox["System of Equations",
  FontVariations->{"Underline"->True}],
 ":"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7461916326043973`*^9, 3.746191652147277*^9}, 
   3.7461918033330374`*^9},ExpressionUUID->"673b9cf3-e594-4ac7-a4df-\
8829465573b8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X", "[", "t_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], ",", 
     RowBox[{"y", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"X", "'"}], "[", "t", "]"}], "\[Equal]", 
       RowBox[{"A", ".", 
        RowBox[{"X", "[", "t", "]"}]}]}], ",", 
      RowBox[{"X", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Column"}], "//", 
  "TraditionalForm"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746191679708006*^9, 3.7461916867646737`*^9}, 
   3.7461918033340397`*^9, {3.7461920123991675`*^9, 3.7461920239126005`*^9}},
 CellTags->"TraditionalForm",
 CellLabel->"In[25]:=",ExpressionUUID->"60ff0cff-ade6-4abf-b165-ff9a6733fa7c"],

Cell[TextData[{
 StyleBox["Differential Algebraic Equations (DAEs)",
  FontVariations->{"Underline"->True}],
 ":"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746191383359964*^9, 3.7461913909601035`*^9}, {
   3.7461916460752*^9, 3.7461916473243413`*^9}, 
   3.7461918033350425`*^9},ExpressionUUID->"4d9e9cca-01c5-43b5-b39b-\
4e940216901b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], "+", 
          RowBox[{"2", 
           RowBox[{"y", "[", "t", "]"}]}]}]}], ",", 
        RowBox[{
         RowBox[{"y", "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], "+", 
          RowBox[{"2", "^", "t"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], "+", 
          RowBox[{"z", "[", "t", "]"}]}], "\[Equal]", "0"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}], ",", 
        RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Column"}], "//", 
  "TraditionalForm"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7461918033350425`*^9, {3.7461920276394854`*^9, 3.7461920355022874`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"0e07a000-37e0-462a-83f0-ae6eb29e00ba"],

Cell[TextData[{
 "Many other forms can be solved as well. An explicit listing of the types of \
equations that DSolve can handle is given in the ",
 StyleBox[ButtonBox["DSolve tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/DSolveOverview"],
  FontWeight->"Bold"],
 ". "
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746191487605755*^9, 3.746191547095166*^9}, {
   3.746191710494459*^9, 3.7461917151176567`*^9}, 3.7461918033360453`*^9, {
   3.747403088085663*^9, 3.747403113068842*^9}, {3.747404722104764*^9, 
   3.7474047417500267`*^9}},ExpressionUUID->"344a50fb-315f-4cee-8110-\
6b3640cc4522"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Asymptotic Solutions", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.74619181796177*^9, 3.7461918225699625`*^9}, 
   3.7461918791466074`*^9},ExpressionUUID->"d8ffc4cc-dcd5-4a40-9132-\
83891fdce0c8"],

Cell["\<\
Beginning in Version 11.3, asymptotic methods have been implemented. This \
provides a third method for solving differential equations (aside from exact \
symbolic solutions with DSolve and numeric solutions with NDSolve). \
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.746192954929716*^9, 3.7461929701208735`*^9}, {
   3.7461941652727475`*^9, 3.746194241264819*^9}, 3.7461951413329973`*^9, {
   3.747403147165086*^9, 3.747403147883438*^9}, {3.7474047474312763`*^9, 
   3.747404764660966*^9}},ExpressionUUID->"b966d86e-aa39-443f-ab98-\
a18a3d22fc2e"],

Cell[TextData[{
 "With ",
 StyleBox[ButtonBox["AsymptoticDSolveValue",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/AsymptoticDSolveValue"],
  FontWeight->"Bold"],
 ", the asymptotic solution at infinity of the nonlinear equation presented \
in the previous subsection can be found:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7461943328942056`*^9, 3.746194411350768*^9}, 
   3.746195141334*^9},ExpressionUUID->"82e6320b-914e-4481-a24c-4ea1440c0b04"],

Cell[BoxData[
 RowBox[{
  RowBox[{"AsymptoticDSolveValue", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "[", "x", "]"}], " ", "==", 
     RowBox[{
      RowBox[{"3", 
       RowBox[{"y", "[", "x", "]"}], " ", 
       RowBox[{
        RowBox[{"y", "'"}], "[", "x", "]"}]}], "+", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", 
         RowBox[{
          RowBox[{"y", "[", "x", "]"}], "^", "2"}]}], "+", 
        RowBox[{"4", 
         RowBox[{"y", "[", "x", "]"}]}], "+", "1"}], ")"}]}]}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "Infinity", ",", "2"}], "}"}]}], "]"}], "//", 
  "FullSimplify"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7461942567587814`*^9, 3.7461943284595094`*^9}, 
   3.746195141334*^9},
 CellTags->"AsymptoticDSolveValue",
 CellLabel->"In[29]:=",ExpressionUUID->"c09220d2-73bc-4024-86bf-ed3540902a23"],

Cell[TextData[{
 "Similar to AsymptoticDSolveValue, ",
 StyleBox[ButtonBox["AsymptoticIntegrate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/AsymptoticIntegrate"],
  FontWeight->"Bold"],
 " provides asymptotic solutions for integrals. "
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7461944198364325`*^9, 3.74619452939005*^9}, {
   3.7461946821211143`*^9, 3.7461946841334653`*^9}, 3.746195141335003*^9, {
   3.7468900685586057`*^9, 
   3.746890069590306*^9}},ExpressionUUID->"52a8e8a0-19d1-44cc-bfbc-\
0675bb4a0e0b"],

Cell[TextData[{
 "Similar functions like ",
 StyleBox["AsymptoticSolve",
  FontWeight->"Bold"],
 ", ",
 StyleBox["AsymptoticRSolveValue",
  FontWeight->"Bold"],
 " and ",
 StyleBox["AsymptoticSum",
  FontWeight->"Bold"],
 " are in development for Mathematica 12. All of these functions provide a \
third method to solve a particular problem, complementing the analogous \
symbolic and numeric functions."
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7461944198364325`*^9, 3.7461945857381535`*^9}, {
   3.74619461940222*^9, 3.7461946797539935`*^9}, 3.746195141335003*^9, 
   3.7475865636133347`*^9},ExpressionUUID->"c06b2268-e41f-4685-be56-\
88e084e88786"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numeric Solutions", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746191892560095*^9, 3.7461919054020696`*^9}, 
   3.7461947271532507`*^9},ExpressionUUID->"dcb39b95-c74d-4581-8344-\
21446ca3692a"],

Cell["\<\
Not all differential equations have symbolic solutions. In such a case, \
numeric solutions should be sought with NDSolve. \
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746194692969817*^9, 3.7461947271542835`*^9}, {
  3.7461947611933436`*^9, 3.7461947768767977`*^9}, {3.7461948171613755`*^9, 
  3.746194850638975*^9}, {3.746195201467091*^9, 3.7461952340753555`*^9}, {
  3.7474047796945467`*^9, 
  3.747404782020378*^9}},ExpressionUUID->"a28de0d9-5f3e-4d0d-a58d-\
135563af4796"],

Cell["\<\
Finding numeric solutions to differential equations with NDSolve will be the \
focus of the rest of this course. \
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746194692969817*^9, 3.7461947271542835`*^9}, {
  3.7461947611933436`*^9, 3.7461947768767977`*^9}, {3.7461948171613755`*^9, 
  3.746194850638975*^9}, {3.746195201467091*^9, 3.746195235492135*^9}, {
  3.747071367469558*^9, 
  3.7470713778929424`*^9}},ExpressionUUID->"9e01a103-4ea8-4014-b3fe-\
75091156b571"],

Cell["\<\
The types of differential equations that can be solved depend on the region \
over which a solution is sought. \
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746194692969817*^9, 3.7461947271542835`*^9}, {
   3.7461947611933436`*^9, 3.7461947768767977`*^9}, {3.7461948171613755`*^9, 
   3.746194850638975*^9}, {3.746195201467091*^9, 3.746195235492135*^9}, 
   3.747071367469558*^9},ExpressionUUID->"b74a2965-1708-49d8-8583-\
ab625ac5bc07"],

Cell["Rectangular Regions", "Subsubsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7461948703101997`*^9, 3.7461948744059844`*^9}, 
   3.746195128229331*^9},ExpressionUUID->"59b643e1-c98b-4206-b16c-\
53d9170e75b3"],

Cell["Rectangular regions are: ", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746194884606838*^9, 3.746195035317557*^9}, 
   3.7461951282303333`*^9, {3.74619521777734*^9, 3.746195218241482*^9}, {
   3.746195251825349*^9, 3.7461952985820436`*^9}, {3.746444496706209*^9, 
   3.746444529789763*^9}, {3.7464445599054585`*^9, 
   3.7464445633024235`*^9}},ExpressionUUID->"a5b6b693-c83b-4c82-85c0-\
36d43312274c"],

Cell[TextData[{
 "\[Bullet] Lines in 1D \n\[Bullet] ",
 StyleBox[ButtonBox["Rectangle",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Rectangle"],
  FontWeight->"Bold"],
 " boxes in 2D \n\[Bullet] ",
 StyleBox[ButtonBox["Cuboid",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Cuboid"],
  FontWeight->"Bold"],
 " boxes in 3D\n\[Bullet] ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "50433e5c-563b-499d-a932-4653439ae2e2"],
 "-dimensional boxes in ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "2e1ad9a6-f54a-43e9-af78-2f5d3846e190"],
 " dimensions "
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746194884606838*^9, 3.746195035317557*^9}, 
   3.7461951282303333`*^9, {3.74619521777734*^9, 3.746195218241482*^9}, {
   3.746195251825349*^9, 3.7461952985820436`*^9}, {3.746444496706209*^9, 
   3.746444529789763*^9}, {3.7464445599054585`*^9, 3.746444562198501*^9}, {
   3.747403210447537*^9, 
   3.74740321708897*^9}},ExpressionUUID->"7b91d0f9-9b76-43b2-adc3-\
db22e728b3e0"],

Cell["\<\
NDSolve can solve both linear and nonlinear PDEs up to any order when solving \
over rectangular regions using the method of lines and tensor product grid.\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.746194884606838*^9, 3.746195035317557*^9}, 
   3.7461951282303333`*^9, {3.74619521777734*^9, 3.746195218241482*^9}, {
   3.746195251825349*^9, 3.746195333742032*^9}, {3.7464445402022905`*^9, 
   3.7464445484832344`*^9}, {3.74707141560944*^9, 3.747071440596648*^9}, {
   3.747404792020801*^9, 
   3.747404799059743*^9}},ExpressionUUID->"536927be-75cb-485c-b6d9-\
a84dd6b0967e"],

Cell["Arbitrarily Shaped Regions", "Subsubsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7461948766146655`*^9, 3.746194880647363*^9}, 
   3.746195117917058*^9},ExpressionUUID->"50631c18-b65a-44ee-8dc0-\
77814be87d86"],

Cell[TextData[{
 "When solving over arbitrarily shaped regions, NDSolve will use the finite \
element method (FEM). The types of equations that can be solved with FEM fall \
into a general form:\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"m", 
      RowBox[{
       FractionBox[
        SuperscriptBox["\[PartialD]", "2"], 
        RowBox[{"\[PartialD]", 
         SuperscriptBox["t", "2"]}]], "u"}]}], "+", 
     RowBox[{"d", 
      RowBox[{
       FractionBox["\[PartialD]", 
        RowBox[{"\[PartialD]", "t"}]], "u"}]}], "+", 
     RowBox[{"\[Del]", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "c"}], " ", 
         RowBox[{"\[Del]", "u"}]}], "-", 
        RowBox[{
         OverscriptBox["\[Alpha]", "\[RightVector]"], " ", "u"}], "+", 
        OverscriptBox["\[Gamma]", "\[RightVector]"]}], ")"}]}], " ", "+", 
     RowBox[{
      OverscriptBox["\[Beta]", "\[RightVector]"], "\[CenterDot]", 
      RowBox[{"\[Del]", "u"}]}], "+", " ", 
     RowBox[{"a", " ", "u"}], " ", "-", "f"}], "=", "0."}], TraditionalForm]],
  ExpressionUUID->"8fe61cac-3682-43fb-95d8-f83224ebf748"]
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.697375079045431*^9, 3.697375087960041*^9}, {
   3.699618954477222*^9, 3.699618954832187*^9}, {3.6996197255929103`*^9, 
   3.6996198051771607`*^9}, 3.7028965619728403`*^9, {3.7047106978554883`*^9, 
   3.704710699615142*^9}, {3.704791574902424*^9, 3.7047915885553713`*^9}, 
   3.7052355787237625`*^9, {3.705238821683585*^9, 3.705238822721343*^9}, {
   3.708263788975237*^9, 3.7082639163451767`*^9}, {3.744383280769557*^9, 
   3.744383324277762*^9}, {3.7461950807416997`*^9, 3.7461950848786745`*^9}, 
   3.7461951179180803`*^9, {3.7474032424961567`*^9, 3.747403247047783*^9}, {
   3.747404803476199*^9, 
   3.747404805691547*^9}},ExpressionUUID->"78c86902-3400-4c89-9a2c-\
d9dbf500131d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.7461917510587416`*^9, 
  3.746191761244692*^9}},ExpressionUUID->"98ac6a50-6d33-4fbb-a046-\
20fe543545b8"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0, 0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Select the valid Wolfram Language syntax for solving the \
differential equation y'[t] = t^2 symbolically.", {{
                  "DSolve[y'[t]\[Equal]t^2,y[t],t]", 
                   "This is correct, but there are other ways to do it."}, {
                  "DSolve[y'[t]\[Equal]t^2,y,t]", 
                   "This is correct, but there are other ways to do it."}, {
                  "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]", 
                   "This is correct, but there are other ways to do it."}, {
                  "All of the above", "Correct"}}, 4}, {
                "Identify the correct syntax for symbolically solving the \
differential equation y'[x] + y[x] = Sin[x], with boundary condition y[0] = \
0.", {{"DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]", "Wrong"}, {
                  "DSolve[{y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0},y[x],x]", 
                   "Correct"}, {
                  "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]", 
                   "Wrong"}, {
                  "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]", "Wrong"}}, 2}}]]), Method -> "Preemptive", 
          PassEventsDown -> Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "DSolve[y'[t]\[Equal]t^2,y[t],t]", 1 -> Column[{
                  Style[
                   TextCell[
                   "DSolve[y'[t]\[Equal]t^2,y[t],t]", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> 
               "DSolve[y'[t]\[Equal]t^2,y[t],t]", 3 -> 
               "DSolve[y'[t]\[Equal]t^2,y[t],t]", 4 -> 
               "DSolve[y'[t]\[Equal]t^2,y[t],t]"}, {
              0 -> "DSolve[y'[t]\[Equal]t^2,y,t]", 1 -> 
               "DSolve[y'[t]\[Equal]t^2,y,t]", 2 -> Column[{
                  Style[
                   TextCell[
                   "DSolve[y'[t]\[Equal]t^2,y,t]", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 3 -> 
               "DSolve[y'[t]\[Equal]t^2,y,t]", 4 -> 
               "DSolve[y'[t]\[Equal]t^2,y,t]"}, {
              0 -> "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]", 1 -> 
               "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]", 2 -> 
               "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]", 3 -> Column[{
                  Style[
                   TextCell[
                   "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]", TextAlignment -> 
                    Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 4 -> 
               "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]"}, {
              0 -> "All of the above", 1 -> "All of the above", 2 -> 
               "All of the above", 3 -> "All of the above", 4 -> Column[{
                  Style[
                   TextCell["All of the above", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"Select the valid Wolfram Language syntax for solving \
the differential equation y'[t] = t^2 symbolically.\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[y'[t]\[Equal]t^2,y[t],t]\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[y'[t]\[Equal]t^2,y[t],t]", TextAlignment -> Left], 
                    TextCell[
                    "DSolve[y'[t]\[Equal]t^2,y[t],t]", TextAlignment -> 
                    Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"DSolve[y'[t]\[Equal]t^2,y[t],t]\"", 3 -> 
                    "\"DSolve[y'[t]\[Equal]t^2,y[t],t]\"", 4 -> 
                    "\"DSolve[y'[t]\[Equal]t^2,y[t],t]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[y'[t]\[Equal]t^2,y,t]\"", 1 -> 
                    "\"DSolve[y'[t]\[Equal]t^2,y,t]\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[y'[t]\[Equal]t^2,y,t]", TextAlignment -> Left], 
                    TextCell[
                    "DSolve[y'[t]\[Equal]t^2,y,t]", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> "\"DSolve[y'[t]\[Equal]t^2,y,t]\"", 4 -> 
                    "\"DSolve[y'[t]\[Equal]t^2,y,t]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]\"", 1 -> 
                    "\"DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]\"", 2 -> 
                    "\"DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]\"", 3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]", TextAlignment -> 
                    Left], 
                    TextCell[
                    "DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]", TextAlignment -> 
                    Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "This is correct, but there are other ways to do it.", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> "\"DSolve[y'[t]\[Equal]t^2,y,{t,0,2}]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"All of the above\"", 1 -> "\"All of the above\"", 
                    2 -> "\"All of the above\"", 3 -> "\"All of the above\"", 
                    4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["All of the above", TextAlignment -> Left], 
                    TextCell["All of the above", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]},
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]", 
               1 -> Column[{
                  Style[
                   TextCell[
                   "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]", 
                    TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> 
               "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]", 3 -> 
               "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]", 4 -> 
               "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]"}, {
              0 -> "DSolve[{y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0},y[x],x]",
                1 -> "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},y[x],x]", 2 -> Column[{
                  Style[
                   TextCell[
                   "DSolve[{y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0},y[x],x]",
                     TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 3 -> 
               "DSolve[{y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0},y[x],x]", 4 -> 
               "DSolve[{y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0},y[x],x]"}, {
              0 -> "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]", 
               1 -> "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]", 
               2 -> "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]", 
               3 -> Column[{
                  Style[
                   TextCell[
                   "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]", 
                    TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 4 -> 
               "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]"}, {
              0 -> "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]", 1 -> 
               "DSolve[{y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0},{y[x],x}]", 
               2 -> "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]", 3 -> 
               "DSolve[{y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0},{y[x],x}]", 
               4 -> Column[{
                  Style[
                   TextCell[
                   "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"Identify the correct syntax for symbolically solving \
the differential equation y'[x] + y[x] = Sin[x], with boundary condition y[0] \
= 0.\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0,y[x],x]\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]", 
                    TextAlignment -> Left], 
                    TextCell[
                    "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]", 
                    TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> 
                    "\"DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]\
\"", 3 -> "\"DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]\"", 4 -> 
                    "\"DSolve[y'[x]+y[x]\[Equal] Sin[x],y[0]\[Equal]0,y[x],x]\
\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 2] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},y[x],x]\"", 1 -> 
                    "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},y[x],x]\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},y[x],x]", TextAlignment -> Left], 
                    TextCell[
                    "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},y[x],x]", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> 
                    "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},y[x],x]\"", 4 -> 
                    "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},y[x],x]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 2] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[y'[x]+y[x]\[Equal] \
Sin[x],y[x],y[0]\[Equal]0,x]\"", 1 -> 
                    "\"DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]\
\"", 2 -> "\"DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]\"", 3 -> 
                    TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]", 
                    TextAlignment -> Left], 
                    TextCell[
                    "DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]", 
                    TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> 
                    "\"DSolve[y'[x]+y[x]\[Equal] Sin[x],y[x],y[0]\[Equal]0,x]\
\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 2] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]\"", 1 -> 
                    
                    "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]\"", 2 -> 
                    "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]\"", 3 -> 
                    "\"DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]\"", 4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]", TextAlignment -> Left], 
                    TextCell[
                    "DSolve[{y'[x]+y[x]\[Equal] \
Sin[x],y[0]\[Equal]0},{y[x],x}]", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 2]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 2] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          
          GridBoxDividers->{
           "Columns" -> {{False}}, "Rows" -> {False, True, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"16b413c4-1ef4-4843-b2a1-ae70a6ab5a90"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",ExpressionUUID->"ffc45052-90c6-47b6-85dd-f0caf149f272"],

Cell[CellGroupData[{

Cell["Basics of Using NDSolve", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.697983386953843*^9, 3.697983390048661*^9}, {3.6979973947518625`*^9, 
  3.697997404919729*^9}},ExpressionUUID->"5aa33ab0-29ed-45ea-ab96-\
fa25b6a055bc"],

Cell["\<\
When using NDSolve, the initial or boundary conditions must be sufficient to \
determine a unique solution. For ODEs of a single dependent variable, the \
number of conditions must equal the highest-order derivative:\
\>", "Text",
 CellChangeTimes->{{3.697985298995981*^9, 3.697985363162541*^9}, {
   3.7008231947758846`*^9, 3.700823214769906*^9}, {3.7008285313599343`*^9, 
   3.700828544375445*^9}, {3.7016963216970024`*^9, 3.7016964546079617`*^9}, 
   3.7022177990305505`*^9, {3.7024002458794613`*^9, 3.702400256137536*^9}, {
   3.704122634231513*^9, 3.7041226492073207`*^9}, {3.7042092250944395`*^9, 
   3.7042092255646853`*^9}, 3.744382278256375*^9, {3.7456949790555534`*^9, 
   3.7456949863067026`*^9}, {3.747403261695251*^9, 3.747403264295012*^9}, {
   3.747404813579418*^9, 
   3.747404816147284*^9}},ExpressionUUID->"42add273-b3c8-4ab6-89c7-\
0e7870601353"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "'"}], "[", "x", "]"}], "+", 
     RowBox[{"y", "[", "x", "]"}], "+", 
     RowBox[{"Sin", "[", "x", "]"}]}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{
    RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7041222842265697`*^9, 3.70412228499096*^9}, {
  3.707146278044213*^9, 3.7071462788683915`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"12fc037b-a6e9-4477-96ec-8f0a0b917835"],

Cell[TextData[{
 "The basic syntax to use NDSolve (",
 StyleBox[ButtonBox["NDSolveValue",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolveValue"],
  FontWeight->"Bold"],
 ") is:"
}], "Text",
 CellChangeTimes->{{3.697985298995981*^9, 3.697985363162541*^9}, {
   3.7008231947758846`*^9, 3.700823214769906*^9}, {3.7008285313599343`*^9, 
   3.700828544375445*^9}, {3.7016963216970024`*^9, 3.7016963872084675`*^9}, {
   3.701696461303695*^9, 3.701696590830649*^9}, {3.7022178149826794`*^9, 
   3.702217859310218*^9}, {3.702400287497572*^9, 3.7024002905971437`*^9}, {
   3.704122330048582*^9, 3.70412233181136*^9}, {3.7041226622023544`*^9, 
   3.7041226629511447`*^9}, {3.7041227216999927`*^9, 
   3.7041227696977777`*^9}, {3.707649129892954*^9, 3.7076491307261443`*^9}, {
   3.7415279202411327`*^9, 3.7415279229703665`*^9}, {3.7443822837840147`*^9, 
   3.744382287777618*^9}, {3.745694989822196*^9, 3.7456950080120244`*^9}, 
   3.747404823559086*^9},ExpressionUUID->"976e05b7-4054-4853-9a9f-\
10eda1b5d97a"],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"NDSolveValue", "[", 
   RowBox[{
    StyleBox[
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}],
     Background->RGBColor[0.88, 1, 0.88]], ",", 
    StyleBox[
     RowBox[{"y", "[", "x", "]"}],
     Background->RGBColor[1, 1, 0.85]], ",", 
    StyleBox[
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "Pi"}], ",", 
       RowBox[{"3", "Pi"}]}], "}"}],
     Background->RGBColor[1, 0.85, 0.85]]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6979852680452585`*^9, 3.697985280964366*^9}, {
   3.6979853773558745`*^9, 3.6979853788347483`*^9}, {3.697985461313532*^9, 
   3.6979854636165752`*^9}, {3.7005802055066586`*^9, 3.700580207163211*^9}, {
   3.700580323103244*^9, 3.7005803234367766`*^9}, {3.700580423402305*^9, 
   3.700580424332266*^9}, {3.7005804767512555`*^9, 3.700580476985868*^9}, {
   3.7005823846868544`*^9, 3.7005824124796124`*^9}, {3.7008212111960163`*^9, 
   3.700821242099965*^9}, 3.70169649103241*^9, {3.7041224078359857`*^9, 
   3.70412240830398*^9}, 3.7041228275916357`*^9, {3.7042093765323477`*^9, 
   3.704209376660717*^9}, {3.704550859997036*^9, 3.70455086057958*^9}, {
   3.707146280947893*^9, 3.707146281675846*^9}, {3.7415279258901105`*^9, 
   3.74152794933727*^9}, {3.7415279867675304`*^9, 3.7415279869680586`*^9}, {
   3.741602093640921*^9, 3.7416021257171583`*^9}},
 CellTags->"NDSolveValue",
 CellLabel->"In[13]:=",ExpressionUUID->"f7c4edd9-d78b-4439-8e27-e03a583934ed"],

Cell["With arguments:", "Text",
 CellChangeTimes->{{3.710158287023858*^9, 3.710158288673855*^9}, 
   3.745066414432928*^9},ExpressionUUID->"cb897227-3090-4d89-b485-\
1dea177751a1"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["equation and function conditions",
 Background->RGBColor[0.88, 1, 0.88]]], "ItemNumbered",
 CellChangeTimes->{{3.704122805236122*^9, 3.704122813535216*^9}, 
   3.7042165738566923`*^9},ExpressionUUID->"a4fef0a9-2de8-4964-b08a-\
985316de15d7"],

Cell[TextData[{
 StyleBox["function",
  Background->RGBColor[1, 1, 0.85]],
 " to solve for"
}], "ItemNumbered",
 CellChangeTimes->{{3.7041227937702694`*^9, 
  3.704122802443758*^9}},ExpressionUUID->"314b2f1e-b37f-4bd2-afe3-\
294d8341b04f"],

Cell[TextData[{
 StyleBox["range",
  Background->RGBColor[1, 0.85, 0.85]],
 " of the independent variable."
}], "ItemNumbered",
 CellChangeTimes->{{3.704122805236122*^9, 3.704122813535216*^9}, 
   3.710158302326708*^9},ExpressionUUID->"1d2c1938-63f2-4e6a-92e3-\
51c45079eb69"]
}, Open  ]],

Cell[TextData[{
 "Solutions are given in terms of ",
 StyleBox[ButtonBox["InterpolatingFunction",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/InterpolatingFunction"],
  FontWeight->"Bold"],
 ". They can be visualized using ",
 StyleBox[ButtonBox["Plot",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Plot"],
  FontWeight->"Bold"],
 " and other similar functions:"
}], "Text",
 CellChangeTimes->{{3.697985386425789*^9, 3.6979854273538723`*^9}, {
   3.6979858220579047`*^9, 3.697985822194275*^9}, {3.7008211277788205`*^9, 
   3.7008211510495253`*^9}, {3.7008233609856253`*^9, 3.700823369432067*^9}, {
   3.701696617381973*^9, 3.7016966179665127`*^9}, 3.7041230209029665`*^9, 
   3.7041231476957426`*^9, {3.7041232242841616`*^9, 3.7041232425787277`*^9}, {
   3.7046244359851904`*^9, 3.7046244465925665`*^9}, {3.707649277471794*^9, 
   3.7076492791514*^9}, {3.7416020186636353`*^9, 3.741602025632156*^9}, {
   3.7443822952895517`*^9, 3.744382300442135*^9}, 3.7451493362923784`*^9, {
   3.745695013030304*^9, 3.7456950380453663`*^9}, {3.747403277287127*^9, 
   3.747403280814351*^9}},ExpressionUUID->"a002bf4a-9c32-449a-afa6-\
9cc59077e097"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"sol", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", 
     RowBox[{"3", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.697985437428439*^9, 3.6979855089292307`*^9}, 
   3.6979855780637217`*^9, {3.697985622150112*^9, 3.697985802362887*^9}, {
   3.697992281515155*^9, 3.6979922982765474`*^9}, {3.6979923899090223`*^9, 
   3.6979924595062027`*^9}, {3.6979925090092096`*^9, 3.697992538720739*^9}, {
   3.7005782214337263`*^9, 3.700578456620803*^9}, {3.700580449497367*^9, 
   3.700580491026256*^9}, {3.704123050108193*^9, 3.704123109560831*^9}, {
   3.7041231523610826`*^9, 3.7041231618779607`*^9}, {3.7042093792906632`*^9, 
   3.7042093794199963`*^9}, {3.7415279368401365`*^9, 
   3.7415279527142267`*^9}, {3.741528026721423*^9, 3.7415280270974503`*^9}},
 CellTags->"Plot",
 CellLabel->"In[14]:=",ExpressionUUID->"eb02ff4d-9cdd-4e9f-a3cb-c70908586204"],

Cell["\<\
Further processing and operations can be performed on the \
InterpolatingFunction. For example, derivatives and integrals can be computed:\
\>", "Text",
 CellChangeTimes->{{3.7076585118664293`*^9, 3.7076585309869175`*^9}, 
   3.7076599207857695`*^9, 3.741602044295751*^9, {3.7456741596021557`*^9, 
   3.7456741962960916`*^9}, {3.7474032879978237`*^9, 
   3.747403288861519*^9}},ExpressionUUID->"eeb5ff9d-7b63-4067-9b50-\
1bc238b7e734"],

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{"D", "[", 
         RowBox[{"sol", ",", "x"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "Pi"}], ",", 
         RowBox[{"3", "Pi"}]}], "}"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Derivative\>\""}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{"Integrate", "[", 
         RowBox[{"sol", ",", "x"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "Pi"}], ",", 
         RowBox[{"3", "Pi"}]}], "}"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Integral\>\""}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.707658532836815*^9, 3.7076585625474567`*^9}, {
  3.707658618266957*^9, 3.70765867747367*^9}, {3.7100678072730894`*^9, 
  3.710067817192961*^9}, {3.7100680685206842`*^9, 3.710068083351653*^9}, {
  3.741527957424711*^9, 3.7415280155949335`*^9}},
 CellTags->"Integrate",
 CellLabel->"In[15]:=",ExpressionUUID->"8d2615d8-d8ff-4146-ae15-b4b612592dca"],

Cell["\<\
NDSolve is very reliable. Nonetheless, it is important to verify results. \
With the preceding example, you can put the solution into the left-hand side \
of the equation and plot the result to show that it approximately equals zero \
everywhere:\
\>", "Text",
 CellChangeTimes->{{3.70058009727566*^9, 3.7005800996352525`*^9}, {
   3.7005816096415157`*^9, 3.700581730489002*^9}, {3.7008211851870584`*^9, 
   3.700821197753369*^9}, {3.701696652686466*^9, 3.7016966649659505`*^9}, {
   3.702400389122419*^9, 3.702400393532573*^9}, {3.7076492992308245`*^9, 
   3.7076493012952375`*^9}, {3.7100680193156495`*^9, 3.7100680202844954`*^9}, 
   3.745066449161866*^9, {3.74569504426276*^9, 3.7456950524403825`*^9}, {
   3.74715355053656*^9, 3.7471535535134053`*^9}, {3.747403294581855*^9, 
   3.747403306765171*^9}, 
   3.747409480143653*^9},ExpressionUUID->"8821610c-1a44-47bc-b539-\
86630eda1b7b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"verify", "=", 
   RowBox[{
    RowBox[{"eqn", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "[", "x", "]"}], "\[Rule]", "sol"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "x", "]"}], "\[Rule]", 
       RowBox[{"D", "[", 
        RowBox[{"sol", ",", "x"}], "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"LogPlot", "[", 
      RowBox[{
       RowBox[{"Abs", "[", "verify", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "Pi"}], ",", 
         RowBox[{"3", " ", "Pi"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Absolute Error\>\""}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"LogPlot", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"verify", "/", "sol"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "Pi"}], ",", 
         RowBox[{"3", " ", "Pi"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Relative Error\>\""}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.7005828621737227`*^9, 3.700582884678445*^9}, 
   3.7005829184804983`*^9, {3.700828700550575*^9, 3.7008287008403435`*^9}, {
   3.704209381859477*^9, 3.704209384387142*^9}, {3.7100679464898767`*^9, 
   3.7100679657791567`*^9}, {3.7100680873048368`*^9, 
   3.7100681019042683`*^9}, {3.71006827491949*^9, 3.710068278287739*^9}, {
   3.7415280715994015`*^9, 3.74152810262766*^9}, {3.7416020804267955`*^9, 
   3.7416020867506084`*^9}, {3.7416021392591467`*^9, 3.741602139797579*^9}, {
   3.745674374690215*^9, 3.745674380789322*^9}},
 CellTags->"Grid",
 CellLabel->"In[16]:=",ExpressionUUID->"e37f4f0d-c46e-48cd-bb1f-0e6c8729b9e3"],

Cell["\<\
It is also possible to specify vectorial variables in NDSolve:\
\>", "Text",
 CellChangeTimes->{{3.747153534417864*^9, 
  3.747153555856577*^9}},ExpressionUUID->"139d3bb2-45db-44fb-85d8-\
f2c134168da5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sol1", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"n", "[", "0", "]"}], "\[Equal]", 
        RowBox[{"{", 
         RowBox[{".1", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"r", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"r", "'"}], "[", "t", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"n", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"r", "[", "t", "]"}]}], ",", 
          RowBox[{"4", " ", 
           RowBox[{"r", "[", "t", "]"}]}]}], "}"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n", "[", "t", "]"}], ",", 
       RowBox[{"r", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "100"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "[", "t", "]"}], "/.", "sol1"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "100"}], "}"}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",ExpressionUUID->"4181efbd-adb4-4d71-b747-d378be209010"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 3.745691603826866*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"f0fc33b8-f3de-4a54-8cb8-fade7ef1a1ac"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Can the interpolation function obtained from the result of \
NDSolve be used for predicting the dependent variable's value corresponding \
to the independent variable outside its actual range specified while \
solving?", {{"Yes", "Wrong"}, {"No", "Correct"}, {
                  "Yes, but only in the close vicinity of the actual range \
specified while solving", "Wrong"}}, 2}}]]), Method -> "Preemptive", 
          PassEventsDown -> Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            DynamicModuleBox[{$CellContext`base$$ = {{0 -> "Yes", 1 -> Column[{
                  Style[
                   TextCell["Yes", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "Yes", 3 -> "Yes"}, {
              0 -> "No", 1 -> "No", 2 -> Column[{
                  Style[
                   TextCell["No", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 3 -> "No"}, {
              0 -> "Yes, but only in the close vicinity of the actual range \
specified while solving", 1 -> 
               "Yes, but only in the close vicinity of the actual range \
specified while solving", 2 -> 
               "Yes, but only in the close vicinity of the actual range \
specified while solving", 3 -> Column[{
                  Style[
                   TextCell[
                   "Yes, but only in the close vicinity of the actual range \
specified while solving", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"Can the interpolation function obtained from the result \
of NDSolve be used for predicting the dependent variable's value \
corresponding to the independent variable outside its actual range specified \
while solving?\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{0 -> "\"Yes\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["Yes", TextAlignment -> Left], 
                    TextCell["Yes", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"Yes\"", 3 -> "\"Yes\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{0 -> "\"No\"", 1 -> "\"No\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["No", TextAlignment -> Left], 
                    TextCell["No", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> "\"No\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"Yes, but only in the close vicinity of the actual \
range specified while solving\"", 1 -> 
                    "\"Yes, but only in the close vicinity of the actual \
range specified while solving\"", 2 -> 
                    "\"Yes, but only in the close vicinity of the actual \
range specified while solving\"", 3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Yes, but only in the close vicinity of the actual range \
specified while solving", TextAlignment -> Left], 
                    TextCell[
                    "Yes, but only in the close vicinity of the actual range \
specified while solving", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"7acc5a41-d4d1-4b39-a06d-469cad74b38e"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",ExpressionUUID->"e32f897a-5394-43f2-893e-c8ca8120ffe9"],

Cell[CellGroupData[{

Cell["NDSolve versus NDSolveValue", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.697983386953843*^9, 3.697983390048661*^9}, {3.6979973947518625`*^9, 
  3.697997404919729*^9}, {3.7458436195157347`*^9, 3.7458436228515987`*^9}, {
  3.7474033140526752`*^9, 
  3.747403315373064*^9}},ExpressionUUID->"3d1cb1a2-b097-43ef-a916-\
391805ab0a0d"],

Cell["\<\
NDsolve and NDSolveValue both do the exact same calculation. The only \
difference between the two functions is how the output is presented:\
\>", "Text",
 CellChangeTimes->{{3.745843653154792*^9, 3.7458436577389145`*^9}, {
   3.7458437119875193`*^9, 3.7458437699629793`*^9}, {3.745857641222189*^9, 
   3.7458576456960025`*^9}, {3.746890436444419*^9, 3.7468904377067256`*^9}, {
   3.747071514734184*^9, 3.7470715159202814`*^9}, {3.747403320221779*^9, 
   3.747403321045252*^9}, {3.747404838243309*^9, 3.74740485822602*^9}, 
   3.7601135176255703`*^9},ExpressionUUID->"45ecc7e6-2be8-4ed6-ae21-\
3555f7a0d40b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "'"}], "[", "x", "]"}], "+", 
     RowBox[{"y", "[", "x", "]"}], "+", 
     RowBox[{"Sin", "[", "x", "]"}]}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{
    RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"solNDSolveValue", "=", 
  RowBox[{"NDSolveValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "Pi"}], ",", 
      RowBox[{"3", " ", "Pi"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"solNDSolve", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "Pi"}], ",", 
      RowBox[{"3", " ", "Pi"}]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7458437590109863`*^9, 3.7458437590150213`*^9}, {
  3.7458438132195*^9, 3.745843926256691*^9}, {3.745844085260603*^9, 
  3.7458441096000385`*^9}, {3.7458447987101097`*^9, 3.745844799225478*^9}},
 CellTags->"NDSolve",
 CellLabel->"In[18]:=",ExpressionUUID->"2ab64f17-194c-4728-a4da-2aadab2edb4d"],

Cell[CellGroupData[{

Cell["\<\
Both ways to present the solution have their own advantages and \
disadvantages. Which function to use depends on the task you are trying to \
accomplish, as well as personal taste. \
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7458441342853513`*^9, 3.745844137813723*^9}, {
  3.745844735797579*^9, 3.7458447676148367`*^9}, {3.745844811325536*^9, 
  3.745844848027875*^9}, {3.745845013770412*^9, 3.7458450711091623`*^9}, {
  3.7458480604520793`*^9, 3.7458481855071316`*^9}, {3.7458501546542134`*^9, 
  3.745850159523117*^9}, {3.7464446659111767`*^9, 3.7464446786406927`*^9}, {
  3.7470715466756644`*^9, 3.7470715472469397`*^9}, {3.747403328684862*^9, 
  3.74740333318869*^9}},ExpressionUUID->"a2e19a37-3674-4f8d-9ecf-\
db6d46d0aaf9"],

Cell["\<\
Any task one function can accomplish, the other function can as well, just \
with a little more code in some cases. \
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7458441342853513`*^9, 3.745844137813723*^9}, {
   3.745844735797579*^9, 3.7458447676148367`*^9}, {3.745844811325536*^9, 
   3.745844848027875*^9}, {3.745845013770412*^9, 3.7458450711091623`*^9}, {
   3.7458480604520793`*^9, 3.7458481855071316`*^9}, {3.7458501546542134`*^9, 
   3.745850159523117*^9}, {3.7464446659111767`*^9, 3.7464446786406927`*^9}, 
   3.7470715466756644`*^9},ExpressionUUID->"c7512d4c-7acc-4bf1-b2a7-\
b414905ddc40"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Dependent Variable: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "[", "x", "]"}], TraditionalForm]],ExpressionUUID->
  "adc5bf26-990e-4145-b14a-54a0671f8b50"]
}], "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.745849944474854*^9, 3.7458499500837007`*^9}, {
   3.7458500229064655`*^9, 3.7458500299792233`*^9}, {3.745850159523117*^9, 
   3.745850195483282*^9}, 
   3.7474033510423098`*^9},ExpressionUUID->"5dd2fb09-ffe3-40ab-b17e-\
cb62b0911cca"],

Cell[TextData[{
 "To illustrate the difference between these two functions, consider the \
symbolic equivalent of these functions: DSolve and ",
 StyleBox[ButtonBox["DSolveValue",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DSolveValue"],
  FontWeight->"Bold"],
 ". This is simply so you can view the functional form of the solution:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7458441342853513`*^9, 3.745844137813723*^9}, {
   3.745844735797579*^9, 3.7458447676148367`*^9}, {3.745844811325536*^9, 
   3.745844848027875*^9}, {3.745845013770412*^9, 3.7458450237940445`*^9}, 
   3.745850159523117*^9, 3.745850195483282*^9, {3.7458576546356087`*^9, 
   3.745857657352785*^9}, {3.747071572884796*^9, 3.747071694271341*^9}, {
   3.747403360278294*^9, 3.747403361148382*^9}, {3.747404867986236*^9, 
   3.747404872897547*^9}, {3.7474094911197042`*^9, 
   3.747409499759692*^9}},ExpressionUUID->"77298e41-bfaa-482d-9e26-\
7e31fcf715f5"],

Cell[BoxData[{
 RowBox[{"solDSolveValue", "=", 
  RowBox[{"DSolveValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "Pi"}], ",", 
      RowBox[{"3", " ", "Pi"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"solDSolve", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "Pi"}], ",", 
      RowBox[{"3", " ", "Pi"}]}], "}"}]}], "]"}]}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7458448243971057`*^9, 3.7458448281410437`*^9}, {
   3.745844883749213*^9, 3.745844893612352*^9}, 3.745849883716049*^9, 
   3.745850159523117*^9, 3.7458502008905954`*^9},
 CellTags->"DSolveValue",
 CellLabel->"In[22]:=",ExpressionUUID->"850b98f7-4cc0-4b6a-b08b-367636c9506d"],

Cell["\<\
Using DSolveValue makes plotting the solution extremely easy:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7458449923467045`*^9, 3.745845008898515*^9}, 
   3.745850159523117*^9, 3.7458502008905954`*^9, {3.7474033631951027`*^9, 
   3.7474033642270327`*^9}},ExpressionUUID->"3469b14b-8e52-468a-acb7-\
e7a17e736ba3"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"solDSolveValue", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", 
     RowBox[{"3", "*", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7458449701980762`*^9, 3.745844980290762*^9}, 
   3.7458501595241194`*^9, 3.7458502008905954`*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"22c82213-f691-4cbf-979a-b1b1ac25026f"],

Cell["\<\
Whereas the DSolve solution requires the use of a replacement rule to extract \
the function to plot:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7458451467204266`*^9, 3.7458451935442543`*^9}, {
   3.7458454081262617`*^9, 3.745845417461008*^9}, 3.7458501595241194`*^9, 
   3.7458502008905954`*^9, {3.747403367387144*^9, 
   3.747403371211748*^9}},ExpressionUUID->"a69967d8-0967-4581-9290-\
d01849e64c10"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"y", "[", "x", "]"}], "/.", "solDSolve"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", 
     RowBox[{"3", "*", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.745845195241748*^9, 3.745845216073923*^9}, {
   3.7458453015602036`*^9, 3.7458453073435135`*^9}, 3.7458501595241194`*^9, 
   3.7458502008905954`*^9},
 CellLabel->"In[25]:=",ExpressionUUID->"7a362198-004f-4da6-92ce-e3bbe8dec412"],

Cell["\<\
If you want to plug the solution into some other equation, the DSolveValue \
solution requires a replacement rule, whereas the DSolve solution does not, \
as the rule is built into the solution:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7458451196416616`*^9, 3.7458451368983107`*^9}, {
   3.7458452203113117`*^9, 3.745845265647113*^9}, {3.745845400869226*^9, 
   3.7458454038940845`*^9}, 3.7458501595241194`*^9, 3.745850200891599*^9, {
   3.747403378194605*^9, 3.747403380491352*^9}, 
   3.747409503578806*^9},ExpressionUUID->"3cfdefaf-8479-4dde-a9d4-\
1dd7cb9eb9e7"],

Cell[BoxData[
 RowBox[{"otherEqn", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", "x", "]"}], "^", "2"}], "-", 
     RowBox[{"y", "[", "x", "]"}]}], ")"}], "^", "2"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.745844947950183*^9, 3.7458449659066916`*^9}, {
   3.7458452695996037`*^9, 3.7458452856651287`*^9}, {3.745845315703614*^9, 
   3.745845331225733*^9}, 3.7458501595241194`*^9, 3.745850200891599*^9, {
   3.746444728488613*^9, 3.7464447297830367`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"4bb49e72-aec0-41e7-b599-125d7fe8c71d"],

Cell[BoxData[{
 RowBox[{"otherEqn", "/.", 
  RowBox[{
   RowBox[{"y", "[", "x", "]"}], "\[Rule]", 
   "solDSolveValue"}]}], "\[IndentingNewLine]", 
 RowBox[{"otherEqn", "/.", 
  RowBox[{"solDSolve", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.745844947950183*^9, 3.7458449659066916`*^9}, {
   3.7458452695996037`*^9, 3.7458452856651287`*^9}, {3.745845315703614*^9, 
   3.745845331225733*^9}, 3.7458501595241194`*^9, 3.745850200891599*^9, 
   3.746444728488613*^9},
 CellLabel->"In[27]:=",ExpressionUUID->"7b8d69eb-96cc-4227-9e6b-85c16de03717"],

Cell["\<\
However, if you are putting the solution into an equation that involves \
derivatives of the function, then both types of solutions will have problems \
because of the derivative terms:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.745844906995749*^9, 3.745844910059886*^9}, {
   3.7458454399486995`*^9, 3.7458455016458426`*^9}, {3.745849664616056*^9, 
   3.7458496710550995`*^9}, 3.7458501595241194`*^9, 3.745850200891599*^9, {
   3.7464447622228894`*^9, 3.7464448236694746`*^9}, {3.7474033858104753`*^9, 
   3.7474033866191*^9}},ExpressionUUID->"62f04064-dbd0-4538-bc34-\
a06a69209bdd"],

Cell[BoxData[{
 RowBox[{"eqn", "/.", 
  RowBox[{"solDSolve", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"eqn", "/.", 
  RowBox[{
   RowBox[{"y", "[", "x", "]"}], "->", "solDSolveValue"}]}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.745845506468606*^9, 3.745845517061648*^9}, {
   3.745845576424757*^9, 3.745845582573058*^9}, 3.7458501595251226`*^9, 
   3.745850200891599*^9, {3.7464448274615088`*^9, 3.746444859166444*^9}, {
   3.74644495027556*^9, 3.7464449679232335`*^9}, {3.7468905131925683`*^9, 
   3.746890518543702*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"b125a10a-3028-48ac-bc10-596d352c964a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Dependent Variable: ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]],ExpressionUUID->
  "c6b47f44-60f8-4767-9890-927efff19f1b"]
}], "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745849928835458*^9, 3.7458499525813103`*^9}, {
   3.7458500324106226`*^9, 3.745850033387209*^9}, 3.746196062823882*^9, 
   3.747403390187976*^9},ExpressionUUID->"5d20a82c-7717-4530-94db-\
3b156aceeb40"],

Cell[TextData[{
 "In the last calculation of the previous subsection, notice that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", "'"}], "[", "x", "]"}], TraditionalForm]],ExpressionUUID->
  "9394cb4f-11ac-45ad-a511-045b059d0cc9"],
 " was not replaced. This is because the replacement rule just says how to \
replace ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "[", "x", "]"}], TraditionalForm]],ExpressionUUID->
  "b9da434d-b41c-4212-9e77-9ffc10ce52eb"],
 ", not ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", "'"}], "[", "x", "]"}], TraditionalForm]],ExpressionUUID->
  "5653bccc-2a83-486a-afaa-a6a489014e87"],
 ". You need to include the derivative explicitly:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745845522740653*^9, 3.745845570340654*^9}, {
   3.7458576750988474`*^9, 3.7458576834827833`*^9}, 3.746196062824882*^9, {
   3.7474033978135433`*^9, 
   3.747403412993924*^9}},ExpressionUUID->"b4bd3aa3-633c-409c-ae26-\
e450d48c4d7b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqn", "/.", 
   RowBox[{"solDSolve", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"solDSolve", "[", 
     RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745845571992055*^9, 3.7458456351622334`*^9}, 
   3.746196062824882*^9},
 CellLabel->"In[36]:=",ExpressionUUID->"27ae9e2a-6fe1-4a54-a3d7-dcdad45b41eb"],

Cell[TextData[{
 "You can get the derivatives to be applied automatically by changing the \
second argument of DSolve or DSolveValue. This argument defines the dependent \
variable. Changing ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "[", "x", "]"}], TraditionalForm]],ExpressionUUID->
  "6e0b5b2b-7777-4d92-b23a-6853233bf210"],
 " to ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]],ExpressionUUID->
  "e56faadc-58dc-49d5-a152-bff4188e95b2"],
 " will change the form of the output:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745845654811281*^9, 3.7458457120487556`*^9}, {
   3.7458459120311184`*^9, 3.745845912974615*^9}, {3.7458496942777786`*^9, 
   3.7458496990071287`*^9}, 3.746196062824882*^9, {3.747071815166568*^9, 
   3.747071857559228*^9}, {3.747403421922071*^9, 
   3.747403428561676*^9}},ExpressionUUID->"5e26fbf5-e430-4035-b89c-\
9daddf966846"],

Cell[BoxData[{
 RowBox[{"solDSolveValue", "=", 
  RowBox[{"DSolveValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", "y", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "Pi"}], ",", 
      RowBox[{"3", " ", "Pi"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"solDSolve", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", "y", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "Pi"}], ",", 
      RowBox[{"3", " ", "Pi"}]}], "}"}]}], "]"}]}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745845716745266*^9, 3.7458457190342484`*^9}, 
   3.746196062824882*^9},
 CellTags->"DSolve",
 CellLabel->"In[37]:=",ExpressionUUID->"9034bc85-30e6-488f-97e0-52fc23d42a47"],

Cell[TextData[{
 "Since the head of the function ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]],ExpressionUUID->
  "ebb6f668-8ca2-469a-bf92-69ed821d288b"],
 " is defined in the rule, rather than the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "[", "x", "]"}], TraditionalForm]],ExpressionUUID->
  "6fa1d11f-cf13-46c2-89ab-0469353fe59e"],
 " function itself, the derivatives are automatically applied. This is very \
convenient when verifying the solution of a complicated equation:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745845821880665*^9, 3.745845832903795*^9}, {
   3.7458459274148445`*^9, 3.7458459678629365`*^9}, 3.746196062824882*^9, {
   3.746890569631966*^9, 3.74689058060802*^9}, {3.747403433591145*^9, 
   3.747403442545245*^9}},ExpressionUUID->"86e8f12c-ad0c-4183-b2b6-\
bb07f8d9a710"],

Cell[BoxData[
 RowBox[{"eqn", "/.", 
  RowBox[{"solDSolve", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745845951987891*^9, 3.74584596546459*^9}, {
   3.745857812641157*^9, 3.745857813172579*^9}, 3.746196062824882*^9},
 CellLabel->"In[39]:=",ExpressionUUID->"1f471d2f-b0c3-4e6e-ad3f-c6be5dbb8807"],

Cell["\<\
You still need to define the replacement rule with the DSolveValue result:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.745845973230122*^9, 3.745845996278157*^9}, 
   3.7458576981605654`*^9, 3.7461960628259115`*^9, 3.7464449352548094`*^9, {
   3.747403444753193*^9, 3.747403445489438*^9}, {3.7474048984965353`*^9, 
   3.747404902440341*^9}},ExpressionUUID->"d7d7ca9b-7c50-47ce-9fbd-\
630718f56988"],

Cell[BoxData[
 RowBox[{"eqn", "/.", 
  RowBox[{"y", "\[Rule]", "solDSolveValue"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7458460071870303`*^9, 3.745846011614721*^9}, 
   3.7461960628259115`*^9},
 CellLabel->"In[40]:=",ExpressionUUID->"de3e3812-21a9-40c1-a531-a8ba9b07c029"],

Cell[TextData[{
 "Plotting is done in the same way, only the argument ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],ExpressionUUID->
  "8d79b6dd-7546-438b-9434-73d4d28d14ff"],
 " must be given to the functions explicitly:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7458460204621716`*^9, 3.745846036767331*^9}, 
   3.7461960628259115`*^9, {3.7464450181230955`*^9, 3.7464450206828594`*^9}, {
   3.7474034491782703`*^9, 
   3.747403451649129*^9}},ExpressionUUID->"816c6544-b261-4188-9ede-\
71d1b6fb9e0a"],

Cell[BoxData[{
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"solDSolveValue", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", 
     RowBox[{"3", "*", "Pi"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"y", "/.", 
      RowBox[{"solDSolve", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", 
     RowBox[{"3", "*", "Pi"}]}], "}"}]}], "]"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7458457509808397`*^9, 3.74584580341764*^9}, 
   3.7461960628259115`*^9},
 CellLabel->"In[41]:=",ExpressionUUID->"71506740-9b23-4238-80cf-54cb07ac358c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equations with Multiple Solutions", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.745849991322899*^9, 3.7458500008992443`*^9}, 
   3.746196053488206*^9, {3.747403460991987*^9, 
   3.747403463439928*^9}},ExpressionUUID->"2a43506f-56ef-4120-a297-\
5a48dc8eb20e"],

Cell["\<\
NDSolveValue will only return one solution. If multiple solution branches \
exist, then NDSolveValue will only return the first solution and issue a \
warning message about the missing solutions:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7458439424806423`*^9, 3.7458440035994215`*^9}, {
   3.745844042414274*^9, 3.7458440664858894`*^9}, 3.745857709163597*^9, 
   3.746196053488206*^9, {3.747403467464283*^9, 3.747403472823944*^9}, {
   3.747404908512163*^9, 
   3.747404915639723*^9}},ExpressionUUID->"00e16671-a2c8-4155-bdd0-\
2ebe65d640b4"],

Cell[BoxData[
 RowBox[{"NDSolveValue", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["y", "\[Prime]",
          MultilineFunction->None], "[", "x", "]"}], "2"], "-", 
       SuperscriptBox[
        RowBox[{"y", "[", "x", "]"}], "2"]}], "\[Equal]", "0"}], ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"y", "[", "0", "]"}], "2"], "\[Equal]", "4"}]}], "}"}], ",", 
   RowBox[{"y", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7458440346506147`*^9, 3.7458460467266893`*^9, 
  3.746196053488206*^9},
 CellLabel->"In[43]:=",ExpressionUUID->"07e1e0c4-5b94-4026-b617-7d1825a8c5a1"],

Cell[BoxData[
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["y", "\[Prime]",
          MultilineFunction->None], "[", "x", "]"}], "2"], "-", 
       SuperscriptBox[
        RowBox[{"y", "[", "x", "]"}], "2"]}], "\[Equal]", "0"}], ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"y", "[", "0", "]"}], "2"], "\[Equal]", "4"}]}], "}"}], ",", 
   RowBox[{"y", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7458440346506147`*^9, 3.7458460467266893`*^9, 
  3.746196053489213*^9},
 CellLabel->"In[44]:=",ExpressionUUID->"ac61ef9f-3deb-4ca7-ace7-8a543b1afc68"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.7461960392896233`*^9, 
  3.7461960442878785`*^9}},ExpressionUUID->"ad1f58f3-f524-4779-bde8-\
8b5b355f31a8"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Choose the syntax, whose output if assigned to \"sol\" can \
be plotted by Plot[sol,{x,0,5}].", {{
                  "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 
                   "Wrong"}, {
                  "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 
                   "Wrong"}, {
                  "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]\
", "Correct"}, {"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 
                   "Wrong"}}, 3}}]]), Method -> "Preemptive", PassEventsDown -> 
          Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 1 -> 
               Column[{
                  Style[
                   TextCell[
                   "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 
                    TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> 
               "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 3 -> 
               "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 4 -> 
               "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]"}, {
              0 -> "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 1 -> 
               "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 2 -> 
               Column[{
                  Style[
                   TextCell[
                   "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 
                    TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 3 -> 
               "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 4 -> 
               "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]"}, {
              0 -> "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]\
", 1 -> "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 2 -> 
               "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 
               3 -> Column[{
                  Style[
                   TextCell[
                   "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]\
", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 4 -> 
               "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]"}, \
{0 -> "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 1 -> 
               "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 2 -> 
               "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 3 -> 
               "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 4 -> 
               Column[{
                  Style[
                   TextCell[
                   "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 
                    TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"Choose the syntax, whose output if assigned to \
\\\"sol\\\" can be plotted by Plot[sol,{x,0,5}].\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,\
5}]\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 
                    TextAlignment -> Left], 
                    TextCell[
                    "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]", 
                    TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> 
                    "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]\"\
", 3 -> "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]\"", 4 -> 
                    "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]\"\
"}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]\
\"", 1 -> "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]\"", 2 -> 
                    TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 
                    TextAlignment -> Left], 
                    TextCell[
                    "DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]", 
                    TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> 
                    "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]\"", 
                    4 -> "\"DSolve[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]\
\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],\
{x,0,5}]\"", 1 -> 
                    "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,\
5}]\"", 2 -> "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}]\"",
                     3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}\
]", TextAlignment -> Left], 
                    TextCell[
                    "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,5}\
]", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> 
                    "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y[x],{x,0,\
5}]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,\
0,5}]\"", 1 -> "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]\"", 
                    2 -> "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,\
0,5}]\"", 3 -> "\"DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]\"", 
                    4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]",
                     TextAlignment -> Left], 
                    TextCell[
                    "DSolveValue[{y'[x]\[Equal]x^2,y[0]\[Equal]1},y,{x,0,5}]",
                     TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"5df9eb66-e5f4-40e3-98fd-047fe16754dd"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",ExpressionUUID->"76b08184-66b1-4f71-94d4-5739e03d3b41"],

Cell[CellGroupData[{

Cell["Specifying Derivative Boundary Conditions", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.697983386953843*^9, 3.697983390048661*^9}, {3.6979973947518625`*^9, 
  3.697997404919729*^9}, {3.7458461023087916`*^9, 3.7458461060136337`*^9}, {
  3.7458462884826384`*^9, 
  3.745846289794074*^9}},ExpressionUUID->"8a06a89b-fd61-4ba0-9260-\
a64605ea68cf"],

Cell["\<\
There are several ways that derivative boundary conditions can be entered. \
Consider the following equation and condition:\
\>", "Text",
 CellChangeTimes->{{3.745846330578058*^9, 3.745846343172366*^9}, {
  3.7458464246161566`*^9, 3.745846446305587*^9}, {3.7458493279734325`*^9, 
  3.7458493313242826`*^9}, {3.7468906453415136`*^9, 
  3.7468906648210926`*^9}},ExpressionUUID->"f6545081-56b4-49ec-ab41-\
b1fe36a62322"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"f", "''"}], "[", "x", "]"}], "+", 
     RowBox[{"f", "[", "x", "]"}]}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{
    RowBox[{"f", "[", "0", "]"}], "\[Equal]", "1"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.745846345966792*^9, 3.7458463871718664`*^9}, 
   3.7458464211538134`*^9, 3.7458464580484767`*^9, {3.745846898149415*^9, 
   3.74584691972256*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"8f3d1c55-811d-4ce1-ab03-d29b3e5fd68d"],

Cell[TextData[{
 "Suppose you would also like to specify the first derivative at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "ce0e2738-e4d5-4e3c-baf1-5958c64481db"],
 " as an additional condition. It may be tempting to use the following \
syntax, but this does not work:"
}], "Text",
 CellChangeTimes->{{3.7458464490165415`*^9, 3.7458464655202274`*^9}, {
  3.745846496647627*^9, 3.745846510991592*^9}, {3.7458493416295347`*^9, 
  3.7458493417077007`*^9}, {3.7468906705011578`*^9, 3.746890675245499*^9}, {
  3.7470719483553963`*^9, 3.747071952019947*^9}, {3.747403489261178*^9, 
  3.7474034982473993`*^9}, {3.7474095330855913`*^9, 
  3.7474095437955837`*^9}},ExpressionUUID->"142def7e-2cb8-4e27-af55-\
b223a4202694"],

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"f", "[", "0", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.745846471411851*^9, 3.745846484271864*^9}, {
  3.745846912230719*^9, 3.745846922979141*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"0c468874-be39-43a6-b73a-8c2f41976297"],

Cell[TextData[{
 "You need to take the derivative first with respect to a general ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],ExpressionUUID->
  "097b654d-0710-4c80-a83e-26d049f36e89"],
 ", then set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "228e5de0-8ee2-4548-9603-4b631f05f8ff"],
 " afterward: "
}], "Text",
 CellChangeTimes->{{3.745846554966996*^9, 3.745846570104072*^9}, {
  3.7458469803059125`*^9, 3.745846980345992*^9}, {3.7464451429614663`*^9, 
  3.746445143050704*^9}, {3.747403502270907*^9, 
  3.74740351547024*^9}},ExpressionUUID->"f464ee5d-f9dc-4ea2-9e41-\
0b8a1cfb70c9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}], "/.", 
  RowBox[{"x", "\[Rule]", "0"}]}]], "Input",
 CellChangeTimes->{{3.7458465717664967`*^9, 3.745846576664432*^9}, {
  3.745846914094845*^9, 3.7458469272684946`*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"dbeb2216-bbc3-4ae5-a0bf-6d2bf201963a"],

Cell["\<\
Like in the preceding single-variate example, you can also use the prime \
notation to represent the derivative:\
\>", "Text",
 CellChangeTimes->{{3.7458465798298235`*^9, 3.745846602767528*^9}, {
   3.7458470274577007`*^9, 3.745847032433872*^9}, {3.745849367179143*^9, 
   3.7458493704536796`*^9}, {3.7458494145239925`*^9, 
   3.7458494259541645`*^9}, {3.747403519438171*^9, 3.7474035236939173`*^9}, 
   3.747409552608398*^9, {3.760113555906052*^9, 
   3.760113559616276*^9}},ExpressionUUID->"ea20d833-8c2e-4ee4-a300-\
9b7cebfb86ad"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "'"}], "[", "0", "]"}]], "Input",
 CellChangeTimes->{{3.7458466038925343`*^9, 3.745846606670858*^9}, {
  3.7458469157951517`*^9, 3.745846915875367*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"1df4890d-0a74-4263-92c3-b3f18e9a6783"],

Cell[TextData[{
 "This should be used with caution, as multivariate functions do not accept \
the prime notation. The ",
 StyleBox[ButtonBox["D",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/D"],
  FontWeight->"Bold"],
 " function should be used in the multivariate case:"
}], "Text",
 CellChangeTimes->{{3.7458466139741917`*^9, 3.7458466363183637`*^9}, {
   3.745846817244255*^9, 3.7458468648753643`*^9}, {3.745846966945538*^9, 
   3.745846967017715*^9}, {3.7458470416241975`*^9, 3.745847042548671*^9}, {
   3.7464452102886715`*^9, 3.7464452205207243`*^9}, 3.746890715624383*^9, {
   3.747403527246093*^9, 
   3.7474035349590282`*^9}},ExpressionUUID->"264d5c52-db89-4d0f-9a6c-\
017cd7793f1e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "/.", 
  RowBox[{"x", "\[Rule]", "0"}]}]], "Input",
 CellChangeTimes->{{3.7458470098641586`*^9, 3.7458470171776514`*^9}},
 CellTags->"D",
 CellLabel->"In[65]:=",ExpressionUUID->"c5ea0a82-70e0-440b-8709-71c9a172b646"],

Cell[TextData[{
 "Another alternative is to use the ",
 StyleBox[ButtonBox["Derivative",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Derivative"],
  FontWeight->"Bold"],
 " function. This allows you to take the derivative without needing to set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "532628b8-e99f-46ae-9556-e20800d3713b"],
 " afterward and works with multivariate functions:"
}], "Text",
 CellChangeTimes->{{3.7458466139741917`*^9, 3.7458466363183637`*^9}, {
   3.745846817244255*^9, 3.7458468648753643`*^9}, {3.745846966945538*^9, 
   3.745846967017715*^9}, 3.7458470416241975`*^9, 3.7461961052802014`*^9, {
   3.747403540601074*^9, 
   3.747403550877694*^9}},ExpressionUUID->"d6b4a81a-f9de-4af4-9a86-\
b5bfc7530370"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Derivative", "[", "1", "]"}], "[", "f", "]"}], "[", "0", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Derivative", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "[", "f", "]"}], "[", 
  RowBox[{"0", ",", "y"}], "]"}]}], "Input",
 CellChangeTimes->{{3.745846865638356*^9, 3.745846895571618*^9}, {
  3.7458469311779943`*^9, 3.745846931226972*^9}, {3.7458470531286516`*^9, 
  3.745847058962122*^9}},
 CellTags->"Derivative",
 CellLabel->"In[51]:=",ExpressionUUID->"b1c2bdaa-3076-4b25-9a1d-bf92997d8882"],

Cell["Finally, the partial derivative notation works as well:", "Text",
 CellChangeTimes->{{3.7471536497200394`*^9, 
  3.7471536641923385`*^9}},ExpressionUUID->"8fdd3ebd-49bf-4dc1-952a-\
1f95218171a5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[PartialD]", 
    RowBox[{"t", ",", "t"}]], 
   RowBox[{"\[Phi]", "[", 
    RowBox[{"x", ",", "t"}], "]"}]}], "/.", 
  RowBox[{"t", "\[Rule]", "0"}]}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"5f3276bd-b71e-49a9-a291-6d6074f75cd0"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[Phi]", 
   TagBox[
    RowBox[{"(", 
     RowBox[{"0", ",", "2"}], ")"}],
    Derivative],
   MultilineFunction->None], "[", 
  RowBox[{"x", ",", "0"}], "]"}]], "Output",
 CellChangeTimes->{3.7471536688987713`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"863be2b6-e23d-4469-a5a8-3b537f736a5c"]
}, Open  ]],

Cell["\<\
All four methods are valid for representing derivative boundary conditions in \
the single-variate case:\
\>", "Text",
 CellChangeTimes->{{3.7458470734815273`*^9, 3.7458471039291267`*^9}, {
   3.745847214774542*^9, 3.7458472340226216`*^9}, {3.7458494635053244`*^9, 
   3.74584948611405*^9}, 3.746196114221881*^9, {3.746445254898734*^9, 
   3.7464453472142196`*^9}, {3.7471537152465525`*^9, 3.747153717071269*^9}, {
   3.747403555924405*^9, 
   3.747403558261259*^9}},ExpressionUUID->"9876b9d7-e309-463c-a004-\
8be7ccd38c16"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}], "/.", 
         RowBox[{"x", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}]}], "}"}], 
    ",", "f", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
    "f", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond", ",", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Derivative", "[", "1", "]"}], "[", "f", "]"}], "[", "0", 
        "]"}], "\[Equal]", "0"}]}], "}"}], ",", "f", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], 
          RowBox[{"f", "[", "x", "]"}]}], "/.", 
         RowBox[{"x", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}]}], "}"}], 
    ",", "f", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.745846345966792*^9, 3.7458463871718664`*^9}, 
   3.7458464211538134`*^9, {3.7458464605761404`*^9, 3.74584647064081*^9}, {
   3.745846941490139*^9, 3.745846944829008*^9}, {3.745847107329122*^9, 
   3.7458472108792505`*^9}, {3.747153676103862*^9, 3.747153710035823*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"74f60a4b-6bb9-470c-88bc-293d93dd8481"],

Cell[TextData[{
 "Notice that parentheses had to be used in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}], "/.", 
      RowBox[{"x", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}], 
   TraditionalForm]],ExpressionUUID->"abe24eef-970f-4115-a7d7-ef0b729a9ba0"],
 " to control the order of operations. "
}], "Text",
 CellChangeTimes->{{3.7458472371098742`*^9, 3.745847262093824*^9}, 
   3.7461961197334385`*^9, {3.7471537705267477`*^9, 3.747153771261829*^9}, 
   3.747409615205414*^9},ExpressionUUID->"9c7f3821-2e02-4b7b-b39a-\
75281f3f85d5"],

Cell["\<\
The syntax is analogous when working in the multivariate case:\
\>", "Text",
 CellChangeTimes->{{3.745847531362563*^9, 3.7458475741067305`*^9}, 
   3.745847673049608*^9, {3.7458494971692495`*^9, 3.7458495024812813`*^9}, 
   3.7474096020271797`*^9},ExpressionUUID->"c2a61604-a8aa-4a86-94ac-\
1b5876d552aa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"L", " ", "=", " ", "4"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"eqns", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"t", ",", "x", ",", "y"}], "]"}], ",", " ", "t", ",", " ", 
        "t"}], "]"}], " ", "\[Equal]", " ", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"u", "[", 
          RowBox[{"t", ",", "x", ",", "y"}], "]"}], ",", " ", "x", ",", "x"}],
         "]"}], " ", "+", " ", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"u", "[", 
          RowBox[{"t", ",", " ", "x", ",", " ", "y"}], "]"}], ",", " ", "y", 
         ",", " ", "y"}], "]"}], " ", "+", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"u", "[", 
         RowBox[{"t", ",", "x", ",", "y"}], "]"}], "]"}]}]}], ",", " ", 
     RowBox[{
      RowBox[{"u", "[", 
       RowBox[{"t", ",", 
        RowBox[{"-", "L"}], ",", " ", "y"}], "]"}], " ", "\[Equal]", " ", 
      RowBox[{"u", "[", 
       RowBox[{"t", ",", " ", "L", ",", " ", "y"}], "]"}]}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"u", "[", 
       RowBox[{"t", ",", " ", "x", ",", " ", 
        RowBox[{"-", "L"}]}], "]"}], " ", "\[Equal]", " ", 
      RowBox[{"u", "[", 
       RowBox[{"t", ",", " ", "x", ",", " ", "L"}], "]"}]}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"u", "[", 
       RowBox[{"0", ",", "x", ",", " ", "y"}], "]"}], " ", "\[Equal]", " ", 
      RowBox[{"Exp", "[", 
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "^", "2"}], " ", "+", " ", 
          RowBox[{"y", "^", "2"}]}], ")"}]}], "\[IndentingNewLine]", 
       "]"}]}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.745847461868631*^9, 3.7458475240923467`*^9}, {
  3.7464453546477118`*^9, 3.7464453750466976`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"765fa742-f8da-48ce-a90d-b3607bf9ba94"],

Cell["\<\
The main difference is that the prime notation to represent the derivative \
cannot be used:\
\>", "Text",
 CellChangeTimes->{{3.7458476570663385`*^9, 3.745847670497885*^9}, {
  3.747586810340534*^9, 
  3.747586814940624*^9}},ExpressionUUID->"429eac16-ae29-4171-a2ce-\
81430bf054f2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"t", ",", "x", ",", "y"}], "]"}], ",", "t"}], "]"}], "/.", 
         RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}]}], "}"}], 
    ",", "u", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"L", "/", "2"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "L"}], ",", "L"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "L"}], ",", "L"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Derivative", "[", 
          RowBox[{"1", ",", "0", ",", "0"}], "]"}], "[", "u", "]"}], "[", 
        RowBox[{"0", ",", "x", ",", "y"}], "]"}], " ", "\[Equal]", " ", 
       "0"}]}], "}"}], ",", "u", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"L", "/", "2"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "L"}], ",", "L"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "L"}], ",", "L"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], 
          RowBox[{"u", "[", 
           RowBox[{"t", ",", "x", ",", "y"}], "]"}]}], "/.", 
         RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", "0"}]}], "}"}], 
    ",", "u", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"L", "/", "2"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "L"}], ",", "L"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "L"}], ",", "L"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.745847461868631*^9, 3.7458475240923467`*^9}, {
   3.7458475777383456`*^9, 3.74584763071659*^9}, 3.7458476626741695`*^9, {
   3.747153726774975*^9, 3.74715374874312*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"df8e5240-52b0-436a-9947-69c2a2fa4eb6"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",ExpressionUUID->"d5167442-d49a-41da-8340-0f69cd2ad728"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"d457b025-7ef8-41aa-9890-82c953bff43c"],

Cell[CellGroupData[{

Cell["Automatic Adaptive Step Size", "Section",
 CellChangeTimes->{{3.70169733951011*^9, 
  3.7016973463732853`*^9}},ExpressionUUID->"169b7b29-404f-43cd-ab97-\
891ba951b870"],

Cell["\<\
All numerical methods must discretize the independent variables with a \
certain step size. A larger step size results in a faster calculation but can \
decrease the accuracy of the result. Adaptive step-size methods try to \
balance and readjust these conflicting requirements along the integration \
path.\
\>", "Text",
 CellChangeTimes->{{3.70764998717336*^9, 3.7076500105329466`*^9}, {
   3.7076501284449635`*^9, 3.707650310986158*^9}, {3.707650365113434*^9, 
   3.7076503803938923`*^9}, {3.710070990592882*^9, 3.710071016613193*^9}, 
   3.7101773064744315`*^9, {3.7416023567591624`*^9, 3.7416023671357403`*^9}, 
   3.7450664810001535`*^9, {3.7470721276240163`*^9, 3.7470721311433306`*^9}, {
   3.747403566988381*^9, 
   3.747403576796481*^9}},ExpressionUUID->"48678cae-5d59-4949-8dc2-\
6cb2624fc6fa"],

Cell[CellGroupData[{

Cell["Adaptive Step Sizes in NDSolve", "Subsection",
 CellChangeTimes->{{3.707650326033966*^9, 3.70765033340866*^9}, {
  3.7450664969834757`*^9, 
  3.7450664995512643`*^9}},ExpressionUUID->"be134e87-5f4e-4915-a4be-\
223edd7ccd70"],

Cell[TextData[{
 "NDSolve",
 StyleBox[ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"],
 "uses an adaptive procedure to determine the size of the steps in the \
independent variable. In general, if the solution varies rapidly in a \
particular region, NDSolve will reduce the step size to be able to better \
track the solution, then increase the step size when the solution varies more \
slowly."
}], "Text",
 CellChangeTimes->{
  3.701697352735123*^9, {3.7016979171997833`*^9, 3.7016979262717924`*^9}, {
   3.7100712902752438`*^9, 3.7100713141884165`*^9}, {3.741602403759037*^9, 
   3.741602427936289*^9}, {3.7443823157777767`*^9, 3.7443823199447885`*^9}, {
   3.7456745626816845`*^9, 3.745674566643183*^9}, {3.7456950789674144`*^9, 
   3.7456950969890056`*^9}, {3.747404933697015*^9, 
   3.7474049431846657`*^9}},ExpressionUUID->"02194174-2b60-4177-b643-\
592505e7cbd1"],

Cell["Consider the following second-order ODE:", "Text",
 CellChangeTimes->{{3.700824736589319*^9, 3.700824743229929*^9}, {
   3.701608230599436*^9, 3.7016082340385456`*^9}, 3.7016096152553616`*^9, {
   3.702401504589277*^9, 3.7024015068863306`*^9}, {3.7098971408332167`*^9, 
   3.709897146758728*^9}},ExpressionUUID->"8cfafaca-d161-4237-b159-\
6a075ccd2aae"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"50", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "10"}], " ", 
            RowBox[{"x", "^", "2"}]}], "]"}]}]}], ")"}], " ", "x"}], "]"}]}], 
    "\[Equal]", "0"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", 
      RowBox[{"1", "/", "100"}]}]}], "}"}]}], ";"}], "\n", 
 RowBox[{"sol", "=", 
  RowBox[{"NDSolveValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7042132140196753`*^9, 3.704213249787505*^9}, {
  3.7042132957404814`*^9, 3.7042134090271173`*^9}, {3.7042134511789775`*^9, 
  3.7042135513457656`*^9}, {3.7071463097160053`*^9, 3.7071463169491706`*^9}, {
  3.7076506975564227`*^9, 3.7076507228223076`*^9}, {3.7416024346240606`*^9, 
  3.7416024349990587`*^9}},
 CellTags->"NDSolveValue",
 CellLabel->"In[9]:=",ExpressionUUID->"941d76e7-33f7-434c-95ed-8f7b44b5a7b0"],

Cell["Visualizing the solution:", "Text",
 CellChangeTimes->{{3.7008247761010933`*^9, 3.700824782149156*^9}, {
  3.700824846692278*^9, 3.7008248477242036`*^9}, {3.7016979428306494`*^9, 
  3.70169794605416*^9}, {3.7024015607453356`*^9, 
  3.7024015640747366`*^9}},ExpressionUUID->"552cc78d-5bca-486d-90e6-\
55ecb8d79924"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"sol", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.702401448874949*^9, 3.702401476046487*^9}, {
  3.702401552691783*^9, 3.7024015527857227`*^9}, {3.702401654895529*^9, 
  3.7024016549737124`*^9}, {3.7042132556120663`*^9, 3.7042133090518064`*^9}, {
  3.704213339331132*^9, 3.7042133396670237`*^9}, {3.704213393155998*^9, 
  3.704213414123641*^9}, {3.7042134855862603`*^9, 3.704213490410085*^9}, {
  3.7076507294067364`*^9, 3.7076507305337152`*^9}, {3.741602438495356*^9, 
  3.7416024389776316`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"73d03093-08e8-413a-bf17-c96b84259e35"],

Cell[TextData[{
 "The step sizes NDSolve used while solving the problem can be visualized \
with the ",
 StyleBox[ButtonBox["DifferentialEquations`NDSolveUtilities`",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/NDSolvePackages"],
  FontWeight->"Bold"],
 " package, which gives access to the ",
 StyleBox["StepDataPlot",
  FontWeight->"Bold"],
 " function:"
}], "Text",
 CellChangeTimes->{{3.700824870276819*^9, 3.7008249254601493`*^9}, {
   3.7016979589974303`*^9, 3.7016979895262985`*^9}, {3.707650850578452*^9, 
   3.7076508505794544`*^9}, {3.744382325346092*^9, 3.7443823521450768`*^9}, {
   3.7456951046452265`*^9, 3.745695113823464*^9}, {3.747403613366001*^9, 
   3.747403614155242*^9}, 
   3.747404949104701*^9},ExpressionUUID->"87dc8bb5-527c-4d01-821a-\
b1f04b0c18f3"],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<DifferentialEquations`NDSolveUtilities`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"StepDataPlot", "[", 
  RowBox[{"sol", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Time\>\"", ",", 
      RowBox[{"Rotate", "[", 
       RowBox[{"\"\<Step Size\>\"", ",", 
        RowBox[{"Pi", "/", "2"}]}], "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7008248505104046`*^9, 3.7008248675816717`*^9}, {
   3.7008249301255217`*^9, 3.7008249384606223`*^9}, {3.700824969132956*^9, 
   3.7008250287470517`*^9}, {3.701697425062646*^9, 3.701697458926315*^9}, {
   3.7016974911636467`*^9, 3.701697514011145*^9}, {3.702218229011669*^9, 
   3.702218257540334*^9}, 3.7024006473075924`*^9, {3.704550935775646*^9, 
   3.704550939979769*^9}, {3.7046245899145746`*^9, 3.7046246073074074`*^9}, 
   3.74160245956434*^9},
 CellTags->"StepDataPlot",
 CellLabel->"In[13]:=",ExpressionUUID->"986bb416-4226-4965-b8e1-870b9b27b344"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 3.745691603826866*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"b33d35e3-e885-402b-b79b-03df99c15cae"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "To use adaptive step sizes in NDSolve, which is  the correct \
way to specify this option?", {{
                  "Method\[Rule]\"AdaptiveStepSize\"", "Wrong"}, {
                  "No need to specify, it is automated in NDSolve.", 
                   "Correct"}, {"StepSize\[Rule]\"Adaptive\"", "Wrong"}}, 
                 2}}]]), Method -> "Preemptive", PassEventsDown -> Automatic, 
          PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "Method\[Rule]\"AdaptiveStepSize\"", 1 -> Column[{
                  Style[
                   TextCell[
                   "Method\[Rule]\"AdaptiveStepSize\"", TextAlignment -> 
                    Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> 
               "Method\[Rule]\"AdaptiveStepSize\"", 3 -> 
               "Method\[Rule]\"AdaptiveStepSize\""}, {
              0 -> "No need to specify, it is automated in NDSolve.", 1 -> 
               "No need to specify, it is automated in NDSolve.", 2 -> Column[{
                  Style[
                   TextCell[
                   "No need to specify, it is automated in NDSolve.", 
                    TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 3 -> 
               "No need to specify, it is automated in NDSolve."}, {
              0 -> "StepSize\[Rule]\"Adaptive\"", 1 -> 
               "StepSize\[Rule]\"Adaptive\"", 2 -> 
               "StepSize\[Rule]\"Adaptive\"", 3 -> Column[{
                  Style[
                   TextCell[
                   "StepSize\[Rule]\"Adaptive\"", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"To use adaptive step sizes in NDSolve, which is  the \
correct way to specify this option?\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"Method\[Rule]\\\"AdaptiveStepSize\\\"\"", 1 -> 
                    TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Method\[Rule]\"AdaptiveStepSize\"", TextAlignment -> 
                    Left], 
                    TextCell[
                    "Method\[Rule]\"AdaptiveStepSize\"", TextAlignment -> 
                    Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> 
                    "\"Method\[Rule]\\\"AdaptiveStepSize\\\"\"", 3 -> 
                    "\"Method\[Rule]\\\"AdaptiveStepSize\\\"\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"No need to specify, it is automated in \
NDSolve.\"", 1 -> "\"No need to specify, it is automated in NDSolve.\"", 2 -> 
                    TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "No need to specify, it is automated in NDSolve.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "No need to specify, it is automated in NDSolve.", 
                    TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> 
                    "\"No need to specify, it is automated in NDSolve.\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"StepSize\[Rule]\\\"Adaptive\\\"\"", 1 -> 
                    "\"StepSize\[Rule]\\\"Adaptive\\\"\"", 2 -> 
                    "\"StepSize\[Rule]\\\"Adaptive\\\"\"", 3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "StepSize\[Rule]\"Adaptive\"", TextAlignment -> Left], 
                    TextCell[
                    "StepSize\[Rule]\"Adaptive\"", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"af5e681b-e410-4e96-9c15-92d28693ba3e"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"fcf1b459-c4e2-4b14-9acd-590dcf657257"],

Cell[CellGroupData[{

Cell["NDSolve Options", "Section",
 CellChangeTimes->{{3.7016062218955593`*^9, 3.7016062243269987`*^9}, {
  3.7016968355316143`*^9, 
  3.701696836459054*^9}},ExpressionUUID->"d31ae0ab-c566-4527-a1b7-\
b6af0c0e45d3"],

Cell[TextData[{
 "NDSolve",
 StyleBox[ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"],
 "has many built-in options that allow the user to control the method that is \
used to solve a problem, the accuracy of the final result, the precision of \
the numbers used in the calculation and the maximum step size to use, and to \
monitor the calculation as it happens. "
}], "Text",
 CellChangeTimes->{{3.7008212643690147`*^9, 3.700821275248865*^9}, {
   3.700821308216319*^9, 3.7008213806724215`*^9}, {3.700821455415615*^9, 
   3.700821485071251*^9}, {3.701613279035746*^9, 3.701613279490949*^9}, {
   3.701696727709111*^9, 3.7016967279006243`*^9}, {3.7016981100935545`*^9, 
   3.7016981759008093`*^9}, 3.70240113477911*^9, {3.704213812105756*^9, 
   3.704213824296135*^9}, {3.704624724343104*^9, 3.7046247326148357`*^9}, {
   3.710071494980192*^9, 3.7100714981882324`*^9}, {3.745147435339477*^9, 
   3.7451474675247035`*^9}, 3.745695133939612*^9, {3.747403619547289*^9, 
   3.747403643354617*^9}, {3.747404988537467*^9, 
   3.747404991021632*^9}},ExpressionUUID->"5d51f4b4-7c5d-4b8c-9942-\
5bf9a16806d7"],

Cell["Options of particular importance are:", "Text",
 CellChangeTimes->{{3.7016063220608416`*^9, 3.7016063247489023`*^9}, {
  3.701606359188091*^9, 3.7016063905802283`*^9}, {3.7016064478849535`*^9, 
  3.7016064570993557`*^9}, {3.701606632507819*^9, 3.7016066325098248`*^9}, {
  3.701606678529684*^9, 3.7016066922882566`*^9}, {3.70169675921354*^9, 
  3.7016967792445755`*^9}, {3.710071478504965*^9, 3.7100714803496475`*^9}, {
  3.745147511642481*^9, 3.745147547395093*^9}, {3.74567463149642*^9, 
  3.745674634769063*^9}},ExpressionUUID->"9884de12-3c37-4b02-9e88-\
352cb2157ade"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CellPrint", "@", 
  RowBox[{"ExpressionCell", "[", 
   RowBox[{
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\>\"", ",", "Bold", ",", "22"}], "]"}], ",", 
          "SpanFromLeft"}], "}"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Option Name\>\"", ",", "Italic", ",", "16"}], "]"}], 
          ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Default Value\>\"", ",", "Italic", ",", "16"}], "]"}],
           ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Description\>\"", ",", "Italic", ",", "16"}], "]"}]}],
          "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Method\>\"", ",", "\"\<Automatic\>\"", ",", 
          "\"\<Specifies the method to use with NDSolve.\>\""}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<MaxSteps\>\"", ",", "\"\<Automatic\>\"", ",", " ", 
          "\"\<Maximum number of steps to take.\>\""}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<MaxStepSize\>\"", ",", "\"\<Automatic\>\"", ",", " ", 
          "\"\<Maximum size of each step.\>\""}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<StartingStepSize\>\"", ",", "\"\<Automatic\>\"", ",", 
          "\"\<Specifies the initial step size to use in trying to generate \
results.\>\""}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<AccuracyGoal\>\"", ",", "\"\<Automatic\>\"", ",", 
          
          "\"\<Specifies the absolute tolerance to use in solving the \
nonlinear system.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<PrecisionGoal\>\"", ",", "\"\<Automatic\>\"", ",", 
          "\"\<Specifies the relative tolerance to use in solving the \
nonlinear system.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<WorkingPrecision\>\"", ",", "\"\<MachinePrecision\>\"", ",", 
          "\"\<Specifies how many digits of precision should be maintained in \
internal computations. \>\""}], "}"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<InterpolationOrder\>\"", ",", "\"\<Automatic\>\"", ",", 
          "\"\<Specifies what order of interpolation to use.\>\""}], "}"}], 
        ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<EvaluationMonitor\>\"", ",", "\"\<None\>\"", ",", 
          "\"\<Gives an expression to evaluate whenever functions derived \
from the input are evaluated numerically. \>\""}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<StepMonitor\>\"", ",", "\"\<None\>\"", ",", 
          "\"\<Gives an expression to evaluate whenever a step is taken by \
the numerical method used. \>\""}], "}"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"\"\<\>\"", ",", "SpanFromLeft"}], "}"}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Background", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"None", ",", 
         RowBox[{"{", 
          RowBox[{"None", ",", 
           RowBox[{"{", "LightBlue", "}"}], ",", "None"}], "}"}]}], "}"}]}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Dividers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "False", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"False", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"RGBColor", "[", 
                 RowBox[{"0.85", ",", "0.5", ",", "0.4"}], "]"}], ",", 
                "Thick"}], "}"}]}], ",", 
             RowBox[{"4", "\[Rule]", 
              RowBox[{"GrayLevel", "[", "0.6", "]"}]}]}], "}"}]}], "}"}]}], 
        "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"Spacings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"3", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"ItemSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"10", ",", "10", ",", "40"}], "}"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], ",", 
    "\"\<Output\>\"", ",", 
    RowBox[{"\"\<GeneratedCell\>\"", "\[Rule]", "False"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6962702467117443`*^9, 3.6962702938859415`*^9}, {
   3.6966851005317087`*^9, 3.6966851126267776`*^9}, {3.696686548863839*^9, 
   3.6966865576491327`*^9}, {3.6966948477235465`*^9, 3.696694994716287*^9}, {
   3.6966950355866485`*^9, 3.6966950556358075`*^9}, {3.69669513374592*^9, 
   3.6966951552820363`*^9}, {3.696695198402342*^9, 3.696695198946782*^9}, {
   3.6966952652124825`*^9, 3.6966953771543145`*^9}, {3.696764501938246*^9, 
   3.6967645027975473`*^9}, {3.6967646732901473`*^9, 3.696764683224434*^9}, {
   3.6979864419584527`*^9, 3.697986515717202*^9}, {3.697986566484231*^9, 
   3.697986593051336*^9}, {3.7016967851111054`*^9, 3.701696799251549*^9}, {
   3.7041234316915054`*^9, 3.7041234825108585`*^9}, 3.704551122764644*^9, {
   3.7076510037168455`*^9, 3.7076510885303493`*^9}, {3.74802250696576*^9, 
   3.748022513967327*^9}, {3.748022598653911*^9, 3.748022627243731*^9}, {
   3.759921572298519*^9, 3.759921621353539*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"aec96915-b98a-4da3-8f6f-598c01982482"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     StyleBox["\<\"\"\>",
      StripOnInput->False,
      FontSize->22,
      FontWeight->Bold], "\[SpanFromLeft]", "\[SpanFromLeft]"},
    {"", "", ""},
    {
     StyleBox["\<\"Option Name\"\>",
      StripOnInput->False,
      FontSize->16,
      FontSlant->Italic], 
     StyleBox["\<\"Default Value\"\>",
      StripOnInput->False,
      FontSize->16,
      FontSlant->Italic], 
     StyleBox["\<\"Description\"\>",
      StripOnInput->False,
      FontSize->16,
      FontSlant->Italic]},
    {"\<\"Method\"\>", "\<\"Automatic\"\>", "\<\"Specifies the method to use \
with NDSolve.\"\>"},
    {"\<\"MaxSteps\"\>", "\<\"Automatic\"\>", "\<\"Maximum number of steps to \
take.\"\>"},
    {"\<\"MaxStepSize\"\>", "\<\"Automatic\"\>", "\<\"Maximum size of each \
step.\"\>"},
    {"\<\"StartingStepSize\"\>", "\<\"Automatic\"\>", "\<\"Specifies the \
initial step size to use in trying to generate results.\"\>"},
    {"\<\"AccuracyGoal\"\>", "\<\"Automatic\"\>", "\<\"Specifies the absolute \
tolerance to use in solving the nonlinear system.\"\>"},
    {"\<\"PrecisionGoal\"\>", "\<\"Automatic\"\>", "\<\"Specifies the \
relative tolerance to use in solving the nonlinear system.\"\>"},
    {"\<\"WorkingPrecision\"\>", "\<\"MachinePrecision\"\>", "\<\"Specifies \
how many digits of precision should be maintained in internal computations. \
\"\>"},
    {"\<\"InterpolationOrder\"\>", "\<\"Automatic\"\>", "\<\"Specifies what \
order of interpolation to use.\"\>"},
    {"\<\"EvaluationMonitor\"\>", "\<\"None\"\>", "\<\"Gives an expression to \
evaluate whenever functions derived from the input are evaluated numerically. \
\"\>"},
    {"\<\"StepMonitor\"\>", "\<\"None\"\>", "\<\"Gives an expression to \
evaluate whenever a step is taken by the numerical method used. \"\>"},
    {"\<\"\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]"}
   },
   AutoDelete->False,
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {None, {
        RGBColor[0.87, 0.94, 1]}, None}},
   GridBoxDividers->{
    "Columns" -> {False}, "Rows" -> {{False}}, "RowsIndexed" -> {2 -> {
         RGBColor[0.85, 0.5, 0.4], 
         Thickness[Large]}, 4 -> GrayLevel[0.6]}},
   GridBoxItemSize->{"Columns" -> {10, 10, 40}},
   GridBoxSpacings->{"Columns" -> {{3}}, "Rows" -> {{1}}}],
  "Grid"]], "Output",
 GeneratedCell->False,
 CellChangeTimes->{
  3.7599216490534215`*^9},ExpressionUUID->"e5adf089-4dc8-42cf-a896-\
cc096d8a0eab"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example: Controlling Maximum Step Size", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.745147636913084*^9, 3.745147647275487*^9}, 
   3.7461978484078703`*^9, {3.74740374745422*^9, 
   3.747403752678388*^9}},ExpressionUUID->"3a230d3c-4544-4fb8-bae1-\
9379ffeecf71"],

Cell["\<\
The step size can sometimes become quite large for some values of the \
independent variable. Large step sizes are one possible source of error in a \
solution. \
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.704551203998703*^9, 3.704551257486328*^9}, {
   3.7045514622594023`*^9, 3.704551514675192*^9}, {3.704551820407563*^9, 
   3.7045518424960427`*^9}, {3.7045571908638744`*^9, 3.704557211727109*^9}, {
   3.710071855323248*^9, 3.7100718788716497`*^9}, {3.745147684265432*^9, 
   3.745147717369052*^9}, 3.7461978484078703`*^9, 
   3.7470722279023952`*^9},ExpressionUUID->"b303b866-b068-4dfc-939f-\
dd75d44ce789"],

Cell["Solve with the default options in NDSolve:", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.745147729704681*^9, 3.7451477529752707`*^9}, 
   3.745695143071706*^9, 3.7461978484078703`*^9, 
   3.747405001606217*^9},ExpressionUUID->"1c095128-3427-44f5-b1ed-\
357defd1b34a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
     RowBox[{"Sin", "[", 
      RowBox[{"Log", "[", "x", "]"}], "]"}]}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", 
       RowBox[{"1", "/", "100"}], "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", 
       RowBox[{"1", "/", "100"}], "]"}], "\[Equal]", 
      RowBox[{"-", "1"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
     RowBox[{"y", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"1", "/", "100"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7045512358711014`*^9, 3.7045512409355073`*^9}, {
   3.7071463736752367`*^9, 3.707146379253*^9}, {3.7451476646564927`*^9, 
   3.7451476779105735`*^9}, 3.7461978484087944`*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"7d00bf7b-98de-4b0c-b050-8935b277c5e9"],

Cell["Look at the step sizes that were used:", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7451477216092453`*^9, 3.745147759928717*^9}, 
   3.745147863334396*^9, 3.7461978484087944`*^9, {3.747403764110095*^9, 
   3.747403776501381*^9}, {3.7480226951610184`*^9, 
   3.748022697602295*^9}},ExpressionUUID->"07360668-4f72-4677-aa9d-\
d59975a04445"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "Needs", "[", "\"\<DifferentialEquations`NDSolveUtilities`\>\"", "]"}], "//",
   "Quiet"}], "\[IndentingNewLine]", 
 RowBox[{"StepDataPlot", "[", 
  RowBox[{"sol", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Time\>\"", ",", 
      RowBox[{"Rotate", "[", 
       RowBox[{"\"\<Step Size\>\"", ",", 
        RowBox[{"Pi", "/", "2"}]}], "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7045512358711014`*^9, 3.7045512409355073`*^9}, {
   3.7071463736752367`*^9, 3.707146379253*^9}, {3.7451476646564927`*^9, 
   3.7451476779105735`*^9}, 3.7461978484087944`*^9, {3.746891154071995*^9, 
   3.746891154993441*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"8af63a0c-a001-4bce-83b6-91e5fe9ca6f7"],

Cell[TextData[{
 "Specifying ",
 StyleBox[ButtonBox["MaxStepSize",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/MaxStepSize"],
  FontWeight->"Bold"],
 " will prevent the step size from getting too big. This comes with a \
computation cost, but may resolve some problems with numerical errors."
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.704551264278309*^9, 3.704551290254043*^9}, {
   3.704551341164858*^9, 3.7045513847973337`*^9}, {3.745147764303257*^9, 
   3.7451478087428913`*^9}, 3.745695148778778*^9, 3.7461978484087944`*^9, {
   3.747403018217223*^9, 3.747403018399308*^9}},
 CellTags->
  "MaxStepSize",ExpressionUUID->"59ee3d8f-0284-46ef-a5d2-a97dc1b3c076"],

Cell["Solve the equation, but with a smaller maximum step size:", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.745147814062994*^9, 3.7451478524074745`*^9}, 
   3.7461978484087944`*^9, {3.7470722526458745`*^9, 3.7470722531903243`*^9}, {
   3.747403786141217*^9, 
   3.7474037869736633`*^9}},ExpressionUUID->"b6f062a2-639b-4b88-a827-\
337cad5b8cc2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
     RowBox[{"y", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"1", "/", "100"}], ",", "1"}], "}"}], ",", 
     RowBox[{"MaxStepSize", "\[Rule]", "0.001"}]}], "]"}]}], ";"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.70455130547233*^9, 3.7045513252306643`*^9}, 
   3.7045513597921953`*^9, {3.7046248283733897`*^9, 3.704624836699285*^9}, 
   3.7046248724833*^9, {3.7071463828033657`*^9, 3.707146384059683*^9}, {
   3.745147854843922*^9, 3.7451478855121346`*^9}, 3.7461978484097977`*^9},
 CellTags->"MaxStepSize",
 CellLabel->"In[6]:=",ExpressionUUID->"09e3628c-6824-4d78-a45e-a46bd1338bd9"],

Cell["\<\
Check the step sizes that were used. Notice the change in scale on the plot:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7451478567189198`*^9, 3.745147860908978*^9}, {
   3.7456748409887056`*^9, 3.7456748455898237`*^9}, 3.7461978484097977`*^9, {
   3.747586930336536*^9, 
   3.747586930968498*^9}},ExpressionUUID->"2a6abe98-0162-49b6-a492-\
58192aa12274"],

Cell[BoxData[
 RowBox[{"StepDataPlot", "[", 
  RowBox[{"sol", ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Time\>\"", ",", 
      RowBox[{"Rotate", "[", 
       RowBox[{"\"\<Step Size\>\"", ",", 
        RowBox[{"Pi", "/", "2"}]}], "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.70455130547233*^9, 3.7045513252306643`*^9}, 
   3.7045513597921953`*^9, {3.7046248283733897`*^9, 3.704624836699285*^9}, 
   3.7046248724833*^9, {3.7071463828033657`*^9, 3.707146384059683*^9}, 
   3.745147854843922*^9, 3.7461978484097977`*^9},
 CellLabel->"In[7]:=",ExpressionUUID->"c9b4017f-2c65-45df-beed-d5524fd43a5a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 3.745691603826866*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"5ff0cdbd-f522-4a60-b307-ff3357599ff3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"9ca1e8c9-f875-4ebc-97d1-2e85fb8a5ef0"],

Cell[CellGroupData[{

Cell["Summary", "Section",
 CellChangeTimes->{{3.6965992487389684`*^9, 
  3.6965992495813627`*^9}},ExpressionUUID->"b8213524-3121-4ce3-b604-\
51a578e90f4f"],

Cell["\<\
The Wolfram Language is a powerful tool for working with and solving \
differential equations. This section of the course covered:\
\>", "Text",
 CellChangeTimes->{{3.6997844377087812`*^9, 3.699784514458338*^9}, {
   3.699784574642163*^9, 3.6997845968648343`*^9}, {3.6997854316649942`*^9, 
   3.699785527085827*^9}, {3.699785561574854*^9, 3.6997855980781927`*^9}, {
   3.6997856936113186`*^9, 3.699785694897779*^9}, {3.6997857735604153`*^9, 
   3.6997857745459523`*^9}, {3.6997858090393934`*^9, 3.699785809231949*^9}, {
   3.6997858795828304`*^9, 3.6997858954504056`*^9}, {3.7004135772345495`*^9, 
   3.70041357766782*^9}, 3.7010148985610456`*^9, 3.7010149421306343`*^9, {
   3.7023130894891977`*^9, 3.7023131199383106`*^9}, {3.7023132735968266`*^9, 
   3.702313279188965*^9}, {3.7028171229982777`*^9, 3.7028171268534613`*^9}, {
   3.7047106328603225`*^9, 3.7047106349387083`*^9}, {3.7047304747408113`*^9, 
   3.7047304758046618`*^9}, {3.705240342547925*^9, 3.7052403438503966`*^9}, 
   3.7415277454898596`*^9, {3.7416019066259184`*^9, 3.741601912049302*^9}, {
   3.7456749342750654`*^9, 3.7456749431795497`*^9}, 3.747403931210438*^9, {
   3.747409559828923*^9, 
   3.7474095633387737`*^9}},ExpressionUUID->"5a4de6cc-1ba3-4df9-884b-\
cf45266a9247"],

Cell[CellGroupData[{

Cell["Solving differential equations in the Wolfram Language", "Item",
 CellChangeTimes->{{3.7434158810133677`*^9, 3.743415884494587*^9}, 
   3.7443822670657363`*^9, {3.7451487546588078`*^9, 3.745148759619904*^9}, {
   3.7456749565699587`*^9, 3.7456749777378244`*^9}, 3.745675054336134*^9, {
   3.74569548366221*^9, 3.7456954908762536`*^9}, {3.746190433528129*^9, 
   3.746190440772268*^9}, {3.7461961685927*^9, 3.7461961816933613`*^9}, 
   3.747586938912217*^9},ExpressionUUID->"8d0a881b-bbc7-4299-99b4-\
c8521b06bf50"],

Cell["The basics of using NDSolve", "Item",
 CellChangeTimes->{{3.7434158810133677`*^9, 3.743415884494587*^9}, 
   3.7443822670657363`*^9, {3.7451487546588078`*^9, 3.745148759619904*^9}, {
   3.7456749565699587`*^9, 3.7456749777378244`*^9}, 3.745675054336134*^9, {
   3.74569548366221*^9, 3.7456954908762536`*^9}, {3.746190433528129*^9, 
   3.746190440772268*^9}, 3.747405011848184*^9, 
   3.747586940784*^9},ExpressionUUID->"b054dd1c-d03a-4c78-b0e4-5ca694e56221"],

Cell["Specifying boundary/initial conditions", "Item",
 CellChangeTimes->{{3.7434158810133677`*^9, 3.743415884494587*^9}, 
   3.7443822670657363`*^9, {3.7451487546588078`*^9, 3.745148759619904*^9}, {
   3.7456749565699587`*^9, 3.7456749777378244`*^9}, 3.745675054336134*^9, {
   3.74569548366221*^9, 3.7456954908762536`*^9}, {3.7461904344525557`*^9, 
   3.746190434756439*^9}, 
   3.74758694302409*^9},ExpressionUUID->"c23ef66e-2202-4f06-a885-\
519e1fde5862"],

Cell["\<\
Using the options to control the numerical accuracy of the solution\
\>", "Item",
 CellChangeTimes->{{3.743415896693081*^9, 3.7434158990210266`*^9}, 
   3.744382269657625*^9, {3.7450899941596594`*^9, 3.7450899968558264`*^9}, {
   3.7451487612352157`*^9, 3.745148762419346*^9}, {3.7451490704546947`*^9, 
   3.7451490853762236`*^9}, {3.7456749945532227`*^9, 3.745675053856841*^9}, 
   3.7461904590921426`*^9, 
   3.747586945376009*^9},ExpressionUUID->"0404292b-873e-43bb-9c6d-\
ea08c8b24027"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"23dd2b99-5245-4556-a1bd-1ee075849afc"],

Cell[CellGroupData[{

Cell["Further Reading", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
   3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
   3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
   3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
   3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
   3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
   3.6979735021092463`*^9}, {3.69798109016687*^9, 3.697981091004078*^9}, {
   3.708265751796924*^9, 3.708265752619136*^9}, {3.7144067825687704`*^9, 
   3.7144067835754595`*^9}, 
   3.741525873810676*^9},ExpressionUUID->"aeab7b72-7153-4c30-9519-\
4e03edb29e1d"],

Cell[CellGroupData[{

Cell["Tutorials", "Subsubsection",
 CellChangeTimes->{{3.714405985696325*^9, 
  3.714405986823271*^9}},ExpressionUUID->"1a5a30d2-382a-4a46-9a49-\
d4aeeb0faff3"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Advanced Numerical Differential Equation \
Solving in the Wolfram Language",
 BaseStyle->"Link",
 ButtonData->"paclet:/tutorial/NDSolveOverview"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406060052807*^9, 
  3.714406080797447*^9}},ExpressionUUID->"99aeb3a0-15f1-4444-be5f-\
b89f792dd9c0"],

Cell[TextData[StyleBox[ButtonBox["Numerical Solution of Differential \
Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/tutorial/NumericalSolutionOfDifferentialEquations"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.71440612863583*^9, 
  3.71440614893038*^9}},ExpressionUUID->"98b5fe2f-0508-4e83-a360-\
d906fdf7a5ad"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Guides", "Subsubsection",
 CellChangeTimes->{{3.7144059889741535`*^9, 
  3.714405989606649*^9}},ExpressionUUID->"3f36a200-a2bd-4d73-ac42-\
0aacc8b9a60b"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Differential Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/DifferentialEquations"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406407574521*^9, 
  3.714406427546213*^9}},ExpressionUUID->"43400bf7-46b9-4580-99f2-\
6997bc91a98e"],

Cell[TextData[StyleBox[ButtonBox["Partial Differential Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/PDEModelingAndAnalysis"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406443981762*^9, 
  3.7144064644947853`*^9}},ExpressionUUID->"ee96e8b3-7192-4a0f-9ea2-\
6f16b6a41ab7"],

Cell[TextData[StyleBox[ButtonBox["Differential Operators",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/DifferentialOperators"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.7144065370042577`*^9, 
  3.71440655565952*^9}},ExpressionUUID->"0a01fc83-2afb-4103-a80a-\
80f8b08ae278"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Glossary", "Subsection",
 CellChangeTimes->{{3.714406018630274*^9, 
  3.7144060199898577`*^9}},ExpressionUUID->"b41bda35-4c7f-4757-901d-\
3d8f7c1ef8ff"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     ButtonBox[
      StyleBox["\<\"AsymptoticDSolveValue\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["AsymptoticDSolveValue"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"D\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["D"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"Derivative\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["Derivative"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"DSolve\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["DSolve"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"DSolveValue\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["DSolveValue"],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox["\<\"FullSimplify\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["FullSimplify"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"Grid\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["Grid"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"Integrate\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["Integrate"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"MaxStepSize\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["MaxStepSize"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"NDSolve\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["NDSolve"],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox["\<\"NDSolveValue\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["NDSolveValue"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"Plot\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["Plot"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"StepDataPlot\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["StepDataPlot"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"TraditionalForm\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["TraditionalForm"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     StyleBox["\"\<\>\"",
      StripOnInput->False,
      ShowContents->False]}
   },
   AutoDelete->False,
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxFrame->{"Columns" -> False, "Rows" -> False},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Input",ExpressionUUID->"f1315bdc-55b5-4dd7-b21f-3bd6860fa056"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"e4d439b6-600d-4a0b-b8ec-96db27fd316a"],

Cell[CellGroupData[{

Cell["Exercises", "Section",
 CellChangeTimes->{{3.7586171116216917`*^9, 
  3.7586171136641645`*^9}},ExpressionUUID->"e8b10a33-f51c-4b70-9079-\
770170e2d385"],

Cell["\<\
Does the sequence of specifying the equation and its boundary conditions \
affect the output in DSolve?\
\>", "ItemNumbered",
 CellChangeTimes->{
  3.758617143314207*^9, {3.7601136029546623`*^9, 
   3.760113603513053*^9}},ExpressionUUID->"12c662b8-aafe-4147-b0c3-\
66e1b1fc03a4"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>CreateDocument[{
     Cell[
     "No, the sequence does not matter. Both of the following give the same \
output.", "Text", 
      CellChangeTimes -> {{3.7582942785226307`*^9, 3.7582943147801867`*^9}, {
       3.7599263837023277`*^9, 3.759926387100933*^9}}], 
     Cell[
      BoxData[
       RowBox[{"DSolve", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{
                   RowBox[{"y", "'"}], "[", "x", "]"}], "==", 
                 RowBox[{"y", "[", "x", "]"}]}], ",", 
               RowBox[{
                 RowBox[{"y", "[", "0", "]"}], "==", "1"}]}], "}"}], ",", "y",
            ",", 
           RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input", 
      CellLabel -> "In[40]:="], 
     Cell[
      BoxData[
       RowBox[{"DSolve", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"y", "[", "0", "]"}], "==", "1"}], ",", 
               RowBox[{
                 RowBox[{
                   RowBox[{"y", "'"}], "[", "x", "]"}], "==", 
                 RowBox[{"y", "[", "x", "]"}]}]}], "}"}], ",", "y", ",", 
           RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input"]}, 
    WindowTitle -> "Solution", WindowSize -> {800, 600}],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"f3ddee9c-e4e2-41ac-b9ca-56ca46c45bcb"]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
ScreenStyleEnvironment->"SlideShow",
WindowSize->{1024, 768},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Introduction to Solving Differential Equations",
TaggingRules->{
 "PresenterSettings" -> {
   "ShowToolbar" -> True, "ShowNavigationBar" -> True, 
    "SlideBreakStyles" -> {"Title", "Chapter", "Section"}, "ShowSlideBreaks" -> 
    True, "Theme" -> {
     "ThemeName" -> "Default", "FontSetName" -> "Default", "ColorSetName" -> 
      "Default", "Name" -> "Default", 
      "FontSet" -> {
       "Display1" -> "Source Sans Pro", "Display2" -> "Source Sans Pro", 
        "Display3" -> "Source Sans Pro", "Text1" -> "Source Sans Pro", 
        "Text2" -> "Source Sans Pro", "Text3" -> "Source Sans Pro", "Dingbat" -> 
        "Source Sans Pro", "Default" -> "Source Sans Pro"}, 
      "ColorSet" -> {
       "Display1" -> RGBColor[0.866667, 0.0666667, 0], "Display2" -> 
        RGBColor[0.968627, 0.466667, 0], "Display3" -> 
        RGBColor[0.992157, 0.376471, 0.32549], "Text1" -> GrayLevel[0.388235],
         "Text2" -> GrayLevel[1], "Text3" -> GrayLevel[0], "Text1Reverse" -> 
        GrayLevel[0.75], "Text2Reverse" -> GrayLevel[0.75], "Text3Reverse" -> 
        GrayLevel[0.75], "Dingbat" -> RGBColor[0.866667, 0.0666667, 0], 
        "Default" -> GrayLevel[0.388235], "Background" -> 
        RGBColor[0.866667, 0.0666667, 0]}}, 
    "PresenterControlsPalette" -> {"PaletteNumber" -> 0}, 
    "WindowSize" -> {1920, 997}, "WindowMargins" -> {{-8, -8}, {-16, 0}}, 
    "PresenterToolsSlideshowPresentationToolbar" -> True, 
    "PresenterToolsPresentationToolbar" -> False, 
    "UserModifications" -> {{"Text", FontWeight -> "Bold"}, {
      "Text", FontFamily -> "Aldhabi"}}}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> 
     FrontEnd`FileName[{"PresenterTools"}, "Default.nb", CharacterEncoding -> 
       "UTF-8"]]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WolframULogo"], CellGroupingRules -> "GraphicsGrouping", 
          PageBreakWithin -> False, GeneratedCell -> True, CellAutoOverwrite -> 
          True, ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, LanguageCategory -> "NaturalLanguage", 
          FormatType -> StandardForm, ShowStringCharacters -> False, 
          FrontFaceColor -> GrayLevel[0], FrontFaceOpacity -> 1, 
          GraphicsColor -> GrayLevel[0], PointSize -> Absolute[3], Thickness -> 
          Medium, Opacity -> 1, DrawEdges -> False, StyleMenuListing -> None, 
          FontFamily -> "Arial", FontSize -> 10, FontWeight -> "Plain", 
          FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["WolframULogo", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
            0.5, 0.12 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Working", StyleDefinitions -> 
           StyleData["WolframULogo", "SlideShow"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]], 
          CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Title", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], FontFamily -> "Source Sans Pro", FontSize -> 
             81, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[
              0.09019607843137255, 0.1607843137254902, 0.25882352941176473`]], 
            Cell[
             StyleData["Title", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.11 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 81], 
            Cell[
             StyleData[
             "Title", "Slideshow Working", StyleDefinitions -> 
              StyleData["Title", "SlideShow"]]], 
            Cell[
             StyleData[
             "Title", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Title", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], FontFamily -> "Source Sans Pro", FontSize -> 
             40, FontWeight -> "Regular", FontSlant -> "Plain", 
             FontVariations -> {"CapsType" -> "AllCaps"}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subtitle", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {50, 12}}, 
             LineSpacing -> {1, 2}, FontSize -> 48], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subtitle", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subtitle", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]]}, Closed]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell["Section", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, FontFamily -> 
             "Source Sans Pro", FontSize -> 70, FontWeight -> "Regular", 
             FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Section", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               26, 0.06 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 40], 
            Cell[
             StyleData[
             "Section", "Slideshow Working", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 40, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
            Cell[
             StyleData["Subsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 20, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subsubsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsubsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]]}, Closed]]}, 
        Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Body Content", "Section", 
       CellChangeTimes -> {{3.727532504641029*^9, 3.727532505736285*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], LineSpacing -> {1, 3}, TabSpacings -> {2.5}, 
          CounterIncrements -> "Text", MenuSortingValue -> 1400, 
          MenuCommandKey -> "7", FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontWeight -> "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["Text", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "Text", "Slideshow Working", StyleDefinitions -> 
           StyleData["Text", "SlideShow"]]], 
         Cell[
          StyleData[
          "Text", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Text", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
          "Note", MenuSortingValue -> 8, FontFamily -> "Source Sans Pro", 
          FontSize -> 12, FontSlant -> "Italic", Background -> 
          GrayLevel[0.85]], 
         Cell[
          StyleData["Note", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> False, 
          HyphenationOptions -> {"HyphenationCharacter" -> "-"}, 
          ParagraphSpacing -> {0, 6}, ParagraphIndent -> -10, 
          StyleMenuListing -> None, FontSize -> 18], 
         Cell[
          StyleData[
          "Note", "Slideshow Working", StyleDefinitions -> 
           StyleData["Note"]]], 
         Cell[
          StyleData[
          "Note", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Note", "SlideShow"]]], 
         Cell[
          StyleData[
          "Note", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Note", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.42745098039215684`, 0.]]], 
         Cell[
          StyleData["Item", "SlideShow"], 
          CellMargins -> {{
            0.165 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Item", "Slideshow Working", StyleDefinitions -> 
           StyleData["Item", "SlideShow"]]], 
         Cell[
          StyleData[
          "Item", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Item", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          DefaultNewCellStyle -> "Item", MenuSortingValue -> 1600, FontFamily -> 
          Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 14, 
          FontColor -> Dynamic[
            FrontEnd`CurrentValue[{StyleHints, "ColorSet", "Text1"}], 
            None], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemParagraph", "SlideShow"], ShowGroupOpener -> False, 
          CellMargins -> {{
            0.18 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{65, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.592156862745098, 0.10196078431372549`]]], 
         Cell[
          StyleData["Subitem", "SlideShow"], 
          CellMargins -> {{
            0.185 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Working", StyleDefinitions -> 
           StyleData["Subitem", "SlideShow"]]], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Subitem", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemParagraph"], CellMargins -> {{105, 12}, {4, 1}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemParagraph", "Backspace" -> 
            "ItemParagraph", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subitem", 
          MenuSortingValue -> 1610, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 13.5,
           FontColor -> Dynamic[
            
            CurrentValue[{
             StyleHints, "ColorSet", 
              "Text1"}]], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemParagraph", "SlideShow"], 
          CellMargins -> {{
            0.2 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemParagraph", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, 0.1 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{81, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.17 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{105, 12}, {4, 4}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemNumbered", "Backspace" -> 
            "ItemNumbered", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "SubitemNumbered", 
          CounterAssignments -> {{"SubsubitemNumbered", 0}}, MenuSortingValue -> 
          1640, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 
          13.5, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.195 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemNumbered", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics"], CellMargins -> {{27, Inherited}, {15, 15}}, 
          CellGroupingRules -> "GraphicsGrouping", PageBreakWithin -> False, 
          GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
          False, DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Graphics"], 
          AutoStyleOptions -> {"HighlightMisspelledWords" -> False}, 
          LanguageCategory -> "NaturalLanguage", FormatType -> StandardForm, 
          ShowStringCharacters -> False, NumberMarks -> False, 
          CounterIncrements -> "Graphics", 
          ImageMargins -> {{43, Inherited}, {Inherited, 0}}, Arrowheads -> 
          0.04, Dashing -> None, CapForm -> "Square", 
          JoinForm -> {"Miter", 3.25}, LineColor -> GrayLevel[0], LineOpacity -> 
          1, EdgeColor -> GrayLevel[0], EdgeOpacity -> 1, EdgeThickness -> 
          Medium, EdgeDashing -> None, EdgeCapForm -> "Square", 
          EdgeJoinForm -> {"Miter", 3.25}, FrontFaceColor -> GrayLevel[0], 
          FrontFaceOpacity -> 1, GraphicsColor -> GrayLevel[0], PointSize -> 
          Absolute[3], Thickness -> Medium, Opacity -> 1, DrawEdges -> False, 
          StyleMenuListing -> None, FontFamily -> "Arial", FontSize -> 10, 
          FontWeight -> "Plain", FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["Graphics", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {12, 12}}], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Working", StyleDefinitions -> 
           StyleData["Graphics", "SlideShow"]]], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Graphics", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]]}, Closed]], 
      Cell[
       StyleData["Hyperlink"], FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["KeyEvent"], CellFrame -> {{1, 1}, {1, 1}}, 
          CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> 
          GrayLevel[0.8], FontFamily -> "Source Sans Pro", FontColor -> 
          GrayLevel[0.360784], Background -> GrayLevel[0.964706]], 
         Cell[
          StyleData["KeyEvent", "SlideShow"]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Working", StyleDefinitions -> 
           StyleData["KeyEvent", "SlideShow"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]]}, Closed]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          FontSize -> 13], 
         Cell[
          StyleData["Input", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Input", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "Input", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Input", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExperimentalInput", StyleDefinitions -> StyleData["Input"]], 
          CellFrame -> True, CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          CellFrameColor -> 
          RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               InterpretationBox[
                Cell[
                 BoxData[
                  RotationBox[
                  "Experimental", BoxRotation -> 1.5707963267948966`]], 
                 "Text", LineColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FrontFaceColor -> 
                 RGBColor[
                  1., 0.592156862745098, 
                   0.10196078431372549`], $CellContext`BackFaceColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 GraphicsColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FontSize -> 10, FontColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
                TextCell[
                 Rotate["Experimental", 90 Degree], "Text", 10, 
                 $CellContext`RGBColorRGBColor[
                 1., 0.592156862745098, 0.10196078431372549`]]]]], None}, {
            None, None}}, FontSize -> 13], 
         Cell[
          StyleData["ExperimentalInput", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{66, 10}, {7, 8}}, FontSize -> 
          13], 
         Cell[
          StyleData["InputOnly", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Working", StyleDefinitions -> 
           StyleData["InputOnly", "SlideShow"]]], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "InputOnly", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"]], 
         Cell[
          StyleData["Code", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Code", "Slideshow Working", StyleDefinitions -> 
           StyleData["Code", "SlideShow"]]], 
         Cell[
          StyleData[
          "Code", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Code", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{66, 10}, {12, 5}}, FontSize -> 
          13], 
         Cell[
          StyleData["Output", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {15, 8}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Output", "Slideshow Working", StyleDefinitions -> 
           StyleData["Output", "SlideShow"]]], 
         Cell[
          StyleData[
          "Output", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Output", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]]}, Closed]]}, Open]]}, 
  Visible -> False, FrontEndVersion -> 
  "12.0 for Mac OS X x86 (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[640, 23, 136, 2, 2, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
   CellTags->"SlideShowHeader"],
  Cell[16655, 304, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"150d5b10-b97a-4702-a374-c645ba64169d",
   CellTags->"SlideShowHeader"],
  Cell[168026, 3855, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"d457b025-7ef8-41aa-9890-82c953bff43c",
   CellTags->"SlideShowHeader"],
  Cell[192945, 4411, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"fcf1b459-c4e2-4b14-9acd-590dcf657257",
   CellTags->"SlideShowHeader"],
  Cell[210935, 4834, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"9ca1e8c9-f875-4ebc-97d1-2e85fb8a5ef0",
   CellTags->"SlideShowHeader"],
  Cell[214537, 4910, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"23dd2b99-5245-4556-a1bd-1ee075849afc",
   CellTags->"SlideShowHeader"],
  Cell[221298, 5118, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"e4d439b6-600d-4a0b-b8ec-96db27fd316a",
   CellTags->"SlideShowHeader"]},
 "DSolve"->{
  Cell[23329, 472, 1024, 28, 30, "Input",ExpressionUUID->"561ffd75-70c2-4213-b8f6-ac07a186349e",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"DSolve"],
  Cell[122345, 2746, 846, 23, 52, "Input",ExpressionUUID->"9034bc85-30e6-488f-97e0-52fc23d42a47",
   CellGroupingRules->{"GroupTogetherGrouping", 10002.},
   CellTags->"DSolve"]},
 "FullSimplify"->{
  Cell[24763, 513, 1549, 46, 52, "Input",ExpressionUUID->"7d82436b-1cd6-426c-9796-fdbf700ccbe1",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"FullSimplify"]},
 "TraditionalForm"->{
  Cell[26631, 571, 1196, 35, 73, "Input",ExpressionUUID->"60ff0cff-ade6-4abf-b165-ff9a6733fa7c",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"TraditionalForm"]},
 "AsymptoticDSolveValue"->{
  Cell[31487, 705, 954, 27, 52, "Input",ExpressionUUID->"c09220d2-73bc-4024-86bf-ed3540902a23",
   CellGroupingRules->{"GroupTogetherGrouping", 10001.},
   CellTags->"AsymptoticDSolveValue"]},
 "answer"->{
  Cell[40368, 930, 35642, 741, 426, "Text",ExpressionUUID->"16b413c4-1ef4-4843-b2a1-ae70a6ab5a90",
   CellTags->"answer"],
  Cell[90292, 2020, 17106, 357, 268, "Text",ExpressionUUID->"7acc5a41-d4d1-4b39-a06d-469cad74b38e",
   CellTags->"answer"],
  Cell[129358, 2934, 21994, 455, 246, "Text",ExpressionUUID->"5df9eb66-e5f4-40e3-98fd-047fe16754dd",
   CellTags->"answer"],
  Cell[175211, 4030, 17673, 374, 220, "Text",ExpressionUUID->"af5e681b-e410-4e96-9c15-92d28693ba3e",
   CellTags->"answer"]},
 "NDSolveValue"->{
  Cell[79367, 1748, 1472, 30, 30, "Input",ExpressionUUID->"f7c4edd9-d78b-4439-8e27-e03a583934ed",
   CellTags->"NDSolveValue"],
  Cell[170707, 3918, 1463, 42, 73, "Input",ExpressionUUID->"941d76e7-33f7-434c-95ed-8f7b44b5a7b0",
   CellTags->"NDSolveValue"]},
 "Plot"->{
  Cell[82991, 1837, 937, 17, 30, "Input",ExpressionUUID->"eb02ff4d-9cdd-4e9f-a3cb-c70908586204",
   CellTags->"Plot"]},
 "Integrate"->{
  Cell[84379, 1866, 1294, 32, 94, "Input",ExpressionUUID->"8d2615d8-d8ff-4146-ae15-b4b612592dca",
   CellTags->"Integrate"]},
 "Grid"->{
  Cell[86579, 1917, 2032, 50, 115, "Input",ExpressionUUID->"e37f4f0d-c46e-48cd-bb1f-0e6c8729b9e3",
   CellTags->"Grid"]},
 "NDSolve"->{
  Cell[109006, 2413, 1369, 39, 94, "Input",ExpressionUUID->"2ab64f17-194c-4728-a4da-2aadab2edb4d",
   CellTags->"NDSolve"]},
 "DSolveValue"->{
  Cell[113372, 2521, 1009, 26, 52, "Input",ExpressionUUID->"850b98f7-4cc0-4b6a-b08b-367636c9506d",
   CellGroupingRules->{"GroupTogetherGrouping", 10001.},
   CellTags->"DSolveValue"]},
 "D"->{
  Cell[156974, 3530, 352, 9, 30, "Input",ExpressionUUID->"c5ea0a82-70e0-440b-8709-71c9a172b646",
   CellTags->"D"]},
 "Derivative"->{
  Cell[158110, 3561, 566, 14, 52, "Input",ExpressionUUID->"b1c2bdaa-3076-4b25-9a1d-bf92997d8882",
   CellTags->"Derivative"]},
 "StepDataPlot"->{
  Cell[173997, 4004, 991, 19, 52, "Input",ExpressionUUID->"986bb416-4226-4965-b8e1-870b9b27b344",
   CellTags->"StepDataPlot"]},
 "MaxStepSize"->{
  Cell[207604, 4753, 712, 15, 57, "Text",ExpressionUUID->"59ee3d8f-0284-46ef-a5d2-a97dc1b3c076",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"MaxStepSize"],
  Cell[208709, 4778, 827, 18, 30, "Input",ExpressionUUID->"09e3628c-6824-4d78-a45e-a46bd1338bd9",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"MaxStepSize"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 255408, 5891},
 {"DSolve", 256437, 5906},
 {"FullSimplify", 256814, 5913},
 {"TraditionalForm", 257021, 5917},
 {"AsymptoticDSolveValue", 257237, 5921},
 {"answer", 257443, 5925},
 {"NDSolveValue", 257960, 5934},
 {"Plot", 258229, 5939},
 {"Integrate", 258365, 5942},
 {"Grid", 258502, 5945},
 {"NDSolve", 258638, 5948},
 {"DSolveValue", 258781, 5951},
 {"D", 258975, 5955},
 {"Derivative", 259109, 5958},
 {"StepDataPlot", 259255, 5961},
 {"MaxStepSize", 259402, 5964}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[640, 23, 136, 2, 2, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
 CellTags->"SlideShowHeader"],
Cell[779, 27, 14970, 250, 153, "WolframULogo",ExpressionUUID->"059f49ae-49fc-4f44-80e6-ab700841b96e"],
Cell[CellGroupData[{
Cell[15774, 281, 411, 9, 409, "Title",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76"],
Cell[16188, 292, 418, 6, 188, "Subtitle",ExpressionUUID->"2b7b0e19-8936-45b4-a2ca-024e96d8e1fd"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16655, 304, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"150d5b10-b97a-4702-a374-c645ba64169d",
 CellTags->"SlideShowHeader"],
Cell[16780, 308, 1189, 38, 127, InheritFromParent,ExpressionUUID->"8effe50c-507e-4c1b-9b81-fed535e065a9"],
Cell[17972, 348, 1280, 19, 57, "Text",ExpressionUUID->"5b01452c-e76f-4222-9e9a-f417de226dae"],
Cell[CellGroupData[{
Cell[19277, 371, 345, 5, 31, "Item",ExpressionUUID->"6d68f188-517d-4fb7-8a3f-fad8f37d6bab"],
Cell[19625, 378, 450, 11, 31, "Item",ExpressionUUID->"a8715d4b-922f-4ab7-a5ce-f4f5888852ce"],
Cell[20078, 391, 327, 5, 31, "Item",ExpressionUUID->"010558f9-7795-4695-b394-73c332a4afa7"],
Cell[20408, 398, 304, 5, 31, "Item",ExpressionUUID->"f1f66193-c70e-45aa-8996-fdcfc2e060c1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20761, 409, 89, 0, 1, "SlideShowNavigationBar",ExpressionUUID->"6a3bda01-2971-4b5c-826b-25d825c8d6a1"],
Cell[CellGroupData[{
Cell[20875, 413, 786, 11, 206, "Section",ExpressionUUID->"4cad953b-1afe-46d0-a3e4-5614091300f7"],
Cell[21664, 426, 388, 8, 34, "Text",ExpressionUUID->"61ec9761-c68d-44c7-a86b-49d170753a0d"],
Cell[CellGroupData[{
Cell[22077, 438, 250, 4, 71, "Subsection",ExpressionUUID->"7b3e9291-c6f8-43a6-a9b6-e04c27c18f9f",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[22330, 444, 617, 15, 34, "Text",ExpressionUUID->"b6cd0b22-c605-491d-ba2e-6b6a50775de4",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[22950, 461, 376, 9, 34, "Text",ExpressionUUID->"fb96ed78-36c9-4bc3-a09f-db4622d4f028",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[23329, 472, 1024, 28, 30, "Input",ExpressionUUID->"561ffd75-70c2-4213-b8f6-ac07a186349e",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"DSolve"],
Cell[24356, 502, 404, 9, 34, "Text",ExpressionUUID->"4c566615-ef9e-4687-9758-77fde80adeb9",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[24763, 513, 1549, 46, 52, "Input",ExpressionUUID->"7d82436b-1cd6-426c-9796-fdbf700ccbe1",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"FullSimplify"],
Cell[26315, 561, 313, 8, 34, "Text",ExpressionUUID->"673b9cf3-e594-4ac7-a4df-8829465573b8",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[26631, 571, 1196, 35, 73, "Input",ExpressionUUID->"60ff0cff-ade6-4abf-b165-ff9a6733fa7c",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"TraditionalForm"],
Cell[27830, 608, 383, 9, 34, "Text",ExpressionUUID->"4d9e9cca-01c5-43b5-b39b-4e940216901b",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[28216, 619, 1216, 34, 52, "Input",ExpressionUUID->"0e07a000-37e0-462a-83f0-ae6eb29e00ba",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[29435, 655, 654, 14, 57, "Text",ExpressionUUID->"344a50fb-315f-4cee-8110-6b3640cc4522",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[30126, 674, 249, 4, 71, "Subsection",ExpressionUUID->"d8ffc4cc-dcd5-4a40-9132-83891fdce0c8",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[30378, 680, 605, 10, 57, "Text",ExpressionUUID->"b966d86e-aa39-443f-ab98-a18a3d22fc2e",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[30986, 692, 498, 11, 57, "Text",ExpressionUUID->"82e6320b-914e-4481-a24c-4ea1440c0b04",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[31487, 705, 954, 27, 52, "Input",ExpressionUUID->"c09220d2-73bc-4024-86bf-ed3540902a23",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellTags->"AsymptoticDSolveValue"],
Cell[32444, 734, 563, 13, 34, "Text",ExpressionUUID->"52a8e8a0-19d1-44cc-bfbc-0675bb4a0e0b",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[33010, 749, 699, 18, 80, "Text",ExpressionUUID->"c06b2268-e41f-4685-be56-88e084e88786",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[33746, 772, 247, 4, 71, "Subsection",ExpressionUUID->"dcb39b95-c74d-4581-8344-21446ca3692a",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[33996, 778, 533, 10, 34, "Text",ExpressionUUID->"a28de0d9-5f3e-4d0d-a58d-135563af4796",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[34532, 790, 521, 10, 34, "Text",ExpressionUUID->"9e01a103-4ea8-4014-b3fe-75091156b571",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[35056, 802, 493, 9, 34, "Text",ExpressionUUID->"b74a2965-1708-49d8-8583-ab625ac5bc07",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[35552, 813, 252, 4, 38, "Subsubsection",ExpressionUUID->"59b643e1-c98b-4206-b16c-53d9170e75b3",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[35807, 819, 448, 7, 34, "Text",ExpressionUUID->"a5b6b693-c83b-4c82-85c0-36d43312274c",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[36258, 828, 1064, 28, 103, "Text",ExpressionUUID->"7b91d0f9-9b76-43b2-adc3-db22e728b3e0",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[37325, 858, 633, 11, 57, "Text",ExpressionUUID->"536927be-75cb-485c-b6d9-a84dd6b0967e",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[37961, 871, 257, 4, 38, "Subsubsection",ExpressionUUID->"50631c18-b65a-44ee-8dc0-77814be87d86",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[38221, 877, 1928, 44, 110, "Text",ExpressionUUID->"78c86902-3400-4c89-9a2c-d9dbf500131d",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[40164, 924, 201, 4, 30, "Input",ExpressionUUID->"98ac6a50-6d33-4fbb-a046-20fe543545b8"],
Cell[40368, 930, 35642, 741, 426, "Text",ExpressionUUID->"16b413c4-1ef4-4843-b2a1-ae70a6ab5a90",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[76059, 1677, 89, 0, 1, "SlideShowNavigationBar",ExpressionUUID->"ffc45052-90c6-47b6-85dd-f0caf149f272"],
Cell[CellGroupData[{
Cell[76173, 1681, 713, 10, 115, "Section",ExpressionUUID->"5aa33ab0-29ed-45ea-ab96-fa25b6a055bc"],
Cell[76889, 1693, 875, 14, 57, "Text",ExpressionUUID->"42add273-b3c8-4ab6-89c7-0e7870601353"],
Cell[77767, 1709, 586, 16, 52, "Input",ExpressionUUID->"12fc037b-a6e9-4477-96ec-8f0a0b917835"],
Cell[78356, 1727, 1008, 19, 34, "Text",ExpressionUUID->"976e05b7-4054-4853-9a9f-10eda1b5d97a"],
Cell[79367, 1748, 1472, 30, 30, "Input",ExpressionUUID->"f7c4edd9-d78b-4439-8e27-e03a583934ed",
 CellTags->"NDSolveValue"],
Cell[80842, 1780, 180, 3, 34, "Text",ExpressionUUID->"cb897227-3090-4d89-b485-1dea177751a1"],
Cell[CellGroupData[{
Cell[81047, 1787, 265, 4, 32, "ItemNumbered",ExpressionUUID->"a4fef0a9-2de8-4964-b08a-985316de15d7"],
Cell[81315, 1793, 239, 7, 32, "ItemNumbered",ExpressionUUID->"314b2f1e-b37f-4bd2-afe3-294d8341b04f"],
Cell[81557, 1802, 276, 7, 32, "ItemNumbered",ExpressionUUID->"1d2c1938-63f2-4e6a-92e3-51c45079eb69"]
}, Open  ]],
Cell[81848, 1812, 1140, 23, 34, "Text",ExpressionUUID->"a002bf4a-9c32-449a-afa6-9cc59077e097"],
Cell[82991, 1837, 937, 17, 30, "Input",ExpressionUUID->"eb02ff4d-9cdd-4e9f-a3cb-c70908586204",
 CellTags->"Plot"],
Cell[83931, 1856, 445, 8, 57, "Text",ExpressionUUID->"eeb5ff9d-7b63-4067-9b50-1bc238b7e734"],
Cell[84379, 1866, 1294, 32, 94, "Input",ExpressionUUID->"8d2615d8-d8ff-4146-ae15-b4b612592dca",
 CellTags->"Integrate"],
Cell[85676, 1900, 900, 15, 57, "Text",ExpressionUUID->"8821610c-1a44-47bc-b539-86630eda1b7b"],
Cell[86579, 1917, 2032, 50, 115, "Input",ExpressionUUID->"e37f4f0d-c46e-48cd-bb1f-0e6c8729b9e3",
 CellTags->"Grid"],
Cell[88614, 1969, 212, 5, 34, "Text",ExpressionUUID->"139d3bb2-45db-44fb-85d8-f2c134168da5"],
Cell[88829, 1976, 1241, 37, 52, "Input",ExpressionUUID->"4181efbd-adb4-4d71-b747-d378be209010"],
Cell[90073, 2015, 216, 3, 30, "Input",ExpressionUUID->"f0fc33b8-f3de-4a54-8cb8-fade7ef1a1ac"],
Cell[90292, 2020, 17106, 357, 268, "Text",ExpressionUUID->"7acc5a41-d4d1-4b39-a06d-469cad74b38e",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[107447, 2383, 89, 0, 1, "SlideShowNavigationBar",ExpressionUUID->"e32f897a-5394-43f2-893e-c8ca8120ffe9"],
Cell[CellGroupData[{
Cell[107561, 2387, 821, 12, 115, "Section",ExpressionUUID->"3d1cb1a2-b097-43ef-a916-391805ab0a0d"],
Cell[108385, 2401, 618, 10, 57, "Text",ExpressionUUID->"45ecc7e6-2be8-4ed6-ae21-3555f7a0d40b"],
Cell[109006, 2413, 1369, 39, 94, "Input",ExpressionUUID->"2ab64f17-194c-4728-a4da-2aadab2edb4d",
 CellTags->"NDSolve"],
Cell[CellGroupData[{
Cell[110400, 2456, 789, 13, 57, "Text",ExpressionUUID->"a2e19a37-3674-4f8d-9ecf-db6d46d0aaf9",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[111192, 2471, 654, 11, 34, "Text",ExpressionUUID->"c7512d4c-7acc-4bf1-b2a7-b414905ddc40",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[111883, 2487, 506, 12, 72, "Subsection",ExpressionUUID->"5dd2fb09-ffe3-40ab-b17e-cb62b0911cca",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[112392, 2501, 977, 18, 57, "Text",ExpressionUUID->"77298e41-bfaa-482d-9e26-7e31fcf715f5",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[113372, 2521, 1009, 26, 52, "Input",ExpressionUUID->"850b98f7-4cc0-4b6a-b08b-367636c9506d",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellTags->"DSolveValue"],
Cell[114384, 2549, 369, 7, 34, "Text",ExpressionUUID->"3469b14b-8e52-468a-acb7-e7a17e736ba3",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[114756, 2558, 455, 10, 30, "Input",ExpressionUUID->"22c82213-f691-4cbf-979a-b1b1ac25026f",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[115214, 2570, 461, 9, 34, "Text",ExpressionUUID->"a69967d8-0967-4581-9290-d01849e64c10",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[115678, 2581, 557, 13, 30, "Input",ExpressionUUID->"7a362198-004f-4da6-92ce-e3bbe8dec412",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[116238, 2596, 626, 11, 57, "Text",ExpressionUUID->"3cfdefaf-8479-4dde-a9d4-1dd7cb9eb9e7",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[116867, 2609, 621, 13, 30, "Input",ExpressionUUID->"4bb49e72-aec0-41e7-b599-125d7fe8c71d",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[117491, 2624, 630, 13, 52, "Input",ExpressionUUID->"7b8d69eb-96cc-4227-9e6b-85c16de03717",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[118124, 2639, 643, 11, 57, "Text",ExpressionUUID->"62f04064-dbd0-4538-bc34-a06a69209bdd",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[118770, 2652, 684, 13, 52, "Input",ExpressionUUID->"b125a10a-3028-48ac-bc10-596d352c964a",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[119491, 2670, 445, 10, 72, "Subsection",ExpressionUUID->"5d20a82c-7717-4530-94db-3b156aceeb40",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[119939, 2682, 1008, 26, 57, "Text",ExpressionUUID->"b4bd3aa3-633c-409c-ae26-e450d48c4d7b",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[120950, 2710, 482, 12, 30, "Input",ExpressionUUID->"27ae9e2a-6fe1-4a54-a3d7-dcdad45b41eb",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[121435, 2724, 907, 20, 57, "Text",ExpressionUUID->"5e26fbf5-e430-4035-b89c-9daddf966846",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[122345, 2746, 846, 23, 52, "Input",ExpressionUUID->"9034bc85-30e6-488f-97e0-52fc23d42a47",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellTags->"DSolve"],
Cell[123194, 2771, 852, 18, 57, "Text",ExpressionUUID->"86e8f12c-ad0c-4183-b2b6-bb07f8d9a710",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[124049, 2791, 383, 7, 30, "Input",ExpressionUUID->"1f471d2f-b0c3-4e6e-ad3f-c6be5dbb8807",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[124435, 2800, 454, 8, 34, "Text",ExpressionUUID->"d7d7ca9b-7c50-47ce-9fbd-630718f56988",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[124892, 2810, 324, 6, 30, "Input",ExpressionUUID->"de3e3812-21a9-40c1-a531-a8ba9b07c029",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[125219, 2818, 553, 12, 34, "Text",ExpressionUUID->"816c6544-b261-4188-9ede-71d1b6fb9e0a",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[125775, 2832, 799, 22, 52, "Input",ExpressionUUID->"71506740-9b23-4238-80cf-54cb07ac358c",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[126611, 2859, 311, 5, 71, "Subsection",ExpressionUUID->"2a43506f-56ef-4120-a297-5a48dc8eb20e",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[126925, 2866, 601, 11, 57, "Text",ExpressionUUID->"00e16671-a2c8-4155-bdd0-2ebe65d640b4",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[127529, 2879, 805, 22, 33, "Input",ExpressionUUID->"07e1e0c4-5b94-4026-b617-7d1825a8c5a1",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[128337, 2903, 800, 22, 33, "Input",ExpressionUUID->"ac61ef9f-3deb-4ca7-ace7-8a543b1afc68",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[129152, 2928, 203, 4, 30, "Input",ExpressionUUID->"ad1f58f3-f524-4779-bde8-8b5b355f31a8"],
Cell[129358, 2934, 21994, 455, 246, "Text",ExpressionUUID->"5df9eb66-e5f4-40e3-98fd-047fe16754dd",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[151401, 3395, 89, 0, 1, "SlideShowNavigationBar",ExpressionUUID->"76b08184-66b1-4f71-94d4-5739e03d3b41"],
Cell[CellGroupData[{
Cell[151515, 3399, 835, 12, 206, "Section",ExpressionUUID->"8a06a89b-fd61-4ba0-9260-a64605ea68cf"],
Cell[152353, 3413, 427, 8, 34, "Text",ExpressionUUID->"f6545081-56b4-49ec-ab41-b1fe36a62322"],
Cell[152783, 3423, 594, 16, 52, "Input",ExpressionUUID->"8f3d1c55-811d-4ce1-ab03-d29b3e5fd68d"],
Cell[153380, 3441, 765, 15, 57, "Text",ExpressionUUID->"142def7e-2cb8-4e27-af55-b223a4202694"],
Cell[154148, 3458, 300, 6, 30, "Input",ExpressionUUID->"0c468874-be39-43a6-b73a-8c2f41976297"],
Cell[154451, 3466, 641, 16, 34, "Text",ExpressionUUID->"f464ee5d-f9dc-4ea2-9e41-0b8a1cfb70c9"],
Cell[155095, 3484, 359, 8, 30, "Input",ExpressionUUID->"dbeb2216-bbc3-4ae5-a0bf-6d2bf201963a"],
Cell[155457, 3494, 543, 10, 34, "Text",ExpressionUUID->"ea20d833-8c2e-4ee4-a300-9b7cebfb86ad"],
Cell[156003, 3506, 270, 5, 30, "Input",ExpressionUUID->"1df4890d-0a74-4263-92c3-b3f18e9a6783"],
Cell[156276, 3513, 695, 15, 57, "Text",ExpressionUUID->"264d5c52-db89-4d0f-9a6c-017cd7793f1e"],
Cell[156974, 3530, 352, 9, 30, "Input",ExpressionUUID->"c5ea0a82-70e0-440b-8709-71c9a172b646",
 CellTags->"D"],
Cell[157329, 3541, 778, 18, 57, "Text",ExpressionUUID->"d6b4a81a-f9de-4af4-9a86-b5bfc7530370"],
Cell[158110, 3561, 566, 14, 52, "Input",ExpressionUUID->"b1c2bdaa-3076-4b25-9a1d-bf92997d8882",
 CellTags->"Derivative"],
Cell[158679, 3577, 201, 3, 34, "Text",ExpressionUUID->"8fdd3ebd-49bf-4dc1-952a-1f95218171a5"],
Cell[CellGroupData[{
Cell[158905, 3584, 292, 8, 33, "Input",ExpressionUUID->"5f3276bd-b71e-49a9-a291-6d6074f75cd0"],
Cell[159200, 3594, 336, 10, 34, "Output",ExpressionUUID->"863be2b6-e23d-4469-a5a8-3b537f736a5c"]
}, Open  ]],
Cell[159551, 3607, 534, 10, 34, "Text",ExpressionUUID->"9876b9d7-e309-463c-a004-8be7ccd38c16"],
Cell[160088, 3619, 2064, 61, 94, "Input",ExpressionUUID->"74f60a4b-6bb9-470c-88bc-293d93dd8481"],
Cell[162155, 3682, 661, 17, 34, "Text",ExpressionUUID->"9c7f3821-2e02-4b7b-b39a-75281f3f85d5"],
Cell[162819, 3701, 315, 6, 34, "Text",ExpressionUUID->"c2a61604-a8aa-4a86-94ac-1b5876d552aa"],
Cell[163137, 3709, 1996, 53, 157, "Input",ExpressionUUID->"765fa742-f8da-48ce-a90d-b3607bf9ba94"],
Cell[165136, 3764, 293, 7, 34, "Text",ExpressionUUID->"429eac16-ae29-4171-a2ce-81430bf054f2"],
Cell[165432, 3773, 2414, 73, 73, "Input",ExpressionUUID->"df8e5240-52b0-436a-9947-69c2a2fa4eb6"],
Cell[167849, 3848, 128, 1, 30, "Input",ExpressionUUID->"d5167442-d49a-41da-8340-0f69cd2ad728"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[168026, 3855, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"d457b025-7ef8-41aa-9890-82c953bff43c",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[168173, 3861, 174, 3, 115, "Section",ExpressionUUID->"169b7b29-404f-43cd-ab97-891ba951b870"],
Cell[168350, 3866, 815, 14, 80, "Text",ExpressionUUID->"48678cae-5d59-4949-8dc2-6cb2624fc6fa"],
Cell[CellGroupData[{
Cell[169190, 3884, 230, 4, 71, "Subsection",ExpressionUUID->"be134e87-5f4e-4915-a4be-223edd7ccd70"],
Cell[169423, 3890, 919, 19, 80, "Text",ExpressionUUID->"02194174-2b60-4177-b643-592505e7cbd1"],
Cell[170345, 3911, 359, 5, 34, "Text",ExpressionUUID->"8cfafaca-d161-4237-b159-6a075ccd2aae"],
Cell[170707, 3918, 1463, 42, 73, "Input",ExpressionUUID->"941d76e7-33f7-434c-95ed-8f7b44b5a7b0",
 CellTags->"NDSolveValue"],
Cell[172173, 3962, 320, 5, 34, "Text",ExpressionUUID->"552cc78d-5bca-486d-90e6-55ecb8d79924"],
Cell[172496, 3969, 711, 13, 30, "Input",ExpressionUUID->"73d03093-08e8-413a-bf17-c96b84259e35"],
Cell[173210, 3984, 784, 18, 57, "Text",ExpressionUUID->"87dc8bb5-527c-4d01-821a-b1f04b0c18f3"],
Cell[173997, 4004, 991, 19, 52, "Input",ExpressionUUID->"986bb416-4226-4965-b8e1-870b9b27b344",
 CellTags->"StepDataPlot"],
Cell[174991, 4025, 217, 3, 30, "Input",ExpressionUUID->"b33d35e3-e885-402b-b79b-03df99c15cae"],
Cell[175211, 4030, 17673, 374, 220, "Text",ExpressionUUID->"af5e681b-e410-4e96-9c15-92d28693ba3e",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[192945, 4411, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"fcf1b459-c4e2-4b14-9acd-590dcf657257",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[193092, 4417, 215, 4, 115, "Section",ExpressionUUID->"d31ae0ab-c566-4527-a1b7-b6af0c0e45d3"],
Cell[193310, 4423, 1147, 21, 80, "Text",ExpressionUUID->"5d51f4b4-7c5d-4b8c-9942-5bf9a16806d7"],
Cell[194460, 4446, 578, 8, 34, "Text",ExpressionUUID->"9884de12-3c37-4b02-9e88-352cb2157ade"],
Cell[CellGroupData[{
Cell[195063, 4458, 6217, 134, 934, "Input",ExpressionUUID->"aec96915-b98a-4da3-8f6f-598c01982482"],
Cell[201283, 4594, 2498, 59, 497, "Output",ExpressionUUID->"e5adf089-4dc8-42cf-a896-cc096d8a0eab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[203818, 4658, 315, 5, 71, "Subsection",ExpressionUUID->"3a230d3c-4544-4fb8-bae1-9379ffeecf71",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[204136, 4665, 669, 12, 57, "Text",ExpressionUUID->"b303b866-b068-4dfc-939f-dd75d44ce789",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[204808, 4679, 314, 5, 34, "Text",ExpressionUUID->"1c095128-3427-44f5-b1ed-357defd1b34a",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[205125, 4686, 1261, 37, 73, "Input",ExpressionUUID->"7d00bf7b-98de-4b0c-b050-8935b277c5e9",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[206389, 4725, 386, 6, 34, "Text",ExpressionUUID->"07360668-4f72-4677-aa9d-d59975a04445",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[206778, 4733, 823, 18, 52, "Input",ExpressionUUID->"8af63a0c-a001-4bce-83b6-91e5fe9ca6f7",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[207604, 4753, 712, 15, 57, "Text",ExpressionUUID->"59ee3d8f-0284-46ef-a5d2-a97dc1b3c076",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"MaxStepSize"],
Cell[208319, 4770, 387, 6, 34, "Text",ExpressionUUID->"b6f062a2-639b-4b88-a827-337cad5b8cc2",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[208709, 4778, 827, 18, 30, "Input",ExpressionUUID->"09e3628c-6824-4d78-a45e-a46bd1338bd9",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"MaxStepSize"],
Cell[209539, 4798, 412, 8, 34, "Text",ExpressionUUID->"2a6abe98-0162-49b6-a492-58192aa12274",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[209954, 4808, 700, 14, 30, "Input",ExpressionUUID->"c9b4017f-2c65-45df-beed-d5524fd43a5a",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[210669, 4825, 217, 3, 30, "Input",ExpressionUUID->"5ff0cdbd-f522-4a60-b307-ff3357599ff3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[210935, 4834, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"9ca1e8c9-f875-4ebc-97d1-2e85fb8a5ef0",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[211082, 4840, 156, 3, 115, "Section",ExpressionUUID->"b8213524-3121-4ce3-b604-51a578e90f4f"],
Cell[211241, 4845, 1258, 19, 34, "Text",ExpressionUUID->"5a4de6cc-1ba3-4df9-884b-cf45266a9247"],
Cell[CellGroupData[{
Cell[212524, 4868, 520, 7, 31, "Item",ExpressionUUID->"8d0a881b-bbc7-4299-99b4-c8521b06bf50"],
Cell[213047, 4877, 464, 6, 31, "Item",ExpressionUUID->"b054dd1c-d03a-4c78-b0e4-5ca694e56221"],
Cell[213514, 4885, 459, 7, 31, "Item",ExpressionUUID->"c23ef66e-2202-4f06-a885-519e1fde5862"],
Cell[213976, 4894, 500, 9, 31, "Item",ExpressionUUID->"0404292b-873e-43bb-9c6d-ea08c8b24027"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[214537, 4910, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"23dd2b99-5245-4556-a1bd-1ee075849afc",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[214684, 4916, 738, 11, 115, "Section",ExpressionUUID->"aeab7b72-7153-4c30-9519-4e03edb29e1d"],
Cell[CellGroupData[{
Cell[215447, 4931, 160, 3, 38, "Subsubsection",ExpressionUUID->"1a5a30d2-382a-4a46-9a49-d4aeeb0faff3"],
Cell[CellGroupData[{
Cell[215632, 4938, 337, 7, 31, "Item",ExpressionUUID->"99aeb3a0-15f1-4444-be5f-b89f792dd9c0"],
Cell[215972, 4947, 332, 7, 31, "Item",ExpressionUUID->"98b5fe2f-0508-4e83-a360-d906fdf7a5ad"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[216353, 4960, 159, 3, 38, "Subsubsection",ExpressionUUID->"3f36a200-a2bd-4d73-ac42-0aacc8b9a60b"],
Cell[CellGroupData[{
Cell[216537, 4967, 288, 6, 31, "Item",ExpressionUUID->"43400bf7-46b9-4580-99f2-6997bc91a98e"],
Cell[216828, 4975, 299, 6, 31, "Item",ExpressionUUID->"ee96e8b3-7192-4a0f-9ea2-6f16b6a41ab7"],
Cell[217130, 4983, 289, 6, 31, "Item",ExpressionUUID->"0a01fc83-2afb-4103-a80a-80f8b08ae278"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[217468, 4995, 158, 3, 71, "Subsection",ExpressionUUID->"b41bda35-4c7f-4757-901d-3d8f7c1ef8ff"],
Cell[217629, 5000, 3608, 111, 73, "Input",ExpressionUUID->"f1315bdc-55b5-4dd7-b21f-3bd6860fa056"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[221298, 5118, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"e4d439b6-600d-4a0b-b8ec-96db27fd316a",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[221445, 5124, 158, 3, 115, "Section",ExpressionUUID->"e8b10a33-f51c-4b70-9079-770170e2d385"],
Cell[221606, 5129, 289, 7, 32, "ItemNumbered",ExpressionUUID->"12c662b8-aafe-4147-b0c3-66e1b1fc03a4"],
Cell[221898, 5138, 1807, 48, 41, "Text",ExpressionUUID->"f3ddee9c-e4e2-41ac-b9ca-56ca46c45bcb"]
}, Open  ]]
}, Open  ]]
}
]
*)

