(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    270554,       5992]
NotebookOptionsPosition[    216618,       4919]
NotebookOutlinePosition[    254542,       5736]
CellTagsIndexPosition[    253948,       5717]
WindowTitle->Ordinary Differential Equations and Events
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztXQfYHUXVhhAIndAOVbj00DuEIiQQurQA0jFAIIiEkoA0hY+qQGjSUSBS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    "], {{0, 100}, {450, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{268.015625, Automatic},
  ImageSizeRaw->{450, 100},
  PlotRange->{{0, 450}, {0, 100}}]], "WolframULogo",ExpressionUUID->"059f49ae-\
49fc-4f44-80e6-ab700841b96e"],

Cell[CellGroupData[{

Cell["\<\
Solving ODEs and DAEs
with NDSolve\
\>", "Title",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.74567557930435*^9, {
   3.7461323846346602`*^9, 3.7461323887140007`*^9}, {3.746132620446889*^9, 
   3.7461326246249285`*^9}, {3.7582867419412823`*^9, 
   3.758286745059249*^9}},ExpressionUUID->"67909776-9cda-411b-b522-\
b99ca4b30392"],

Cell["Ordinary Differential Equations and Events", "Subtitle",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.74567557930435*^9, {
   3.746132442650482*^9, 3.7461324650156837`*^9}, 
   3.7582871104491787`*^9},ExpressionUUID->"1243965a-40ce-482a-9c91-\
36878f955d76"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"150d5b10-b97a-4702-a374-c645ba64169d"],

Cell[BoxData[
 PaneBox[
  TagBox[GridBox[{
     {
      StyleBox[
       ItemBox[
        FrameBox[
         StyleBox["\<\"Learning Objectives\"\>", "Section",
          StripOnInput->False],
         BaselinePosition->Center,
         FrameMargins->0,
         FrameStyle->None,
         StripOnInput->False],
        StripOnInput->False],
       FontWeight->"Bold",
       ItemBoxOptions->{StripOnInput->False}], 
      StyleBox[
       ItemBox[
        StyleBox[" ",
         FontSize->16],
        Alignment->Right,
        StripOnInput->False],
       FontWeight->"Bold",
       ItemBoxOptions->{StripOnInput->False}]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {Left, Right}},
    GridBoxItemSize->{"Columns" -> {{"Fit"}}, "Rows" -> {{"Fit"}}}],
   "Grid"],
  ImageSize->Full]],
 CellFrame->{{0, 0}, {0.2, 0}},
 CellMargins->{{60, 50}, {7, 25}},
 CellFrameMargins->0,
 CellFrameColor->GrayLevel[0.7],
 CellChangeTimes->{
  3.7026387646773443`*^9, {3.7028170350164614`*^9, 3.7028170557762794`*^9}, {
   3.7030013861614647`*^9, 3.7030013934397125`*^9}, {3.704626482524588*^9, 
   3.7046265158269415`*^9}},ExpressionUUID->"8effe50c-507e-4c1b-9b81-\
fed535e065a9"],

Cell["\<\
The Wolfram Language is a powerful tool for solving ordinary differential \
equations. This section covers:\
\>", "Text",
 CellChangeTimes->{{3.6997844377087812`*^9, 3.699784514458338*^9}, {
   3.699784574642163*^9, 3.6997845968648343`*^9}, {3.6997854316649942`*^9, 
   3.699785527085827*^9}, {3.699785561574854*^9, 3.6997855980781927`*^9}, {
   3.6997856936113186`*^9, 3.699785694897779*^9}, {3.6997857735604153`*^9, 
   3.6997857745459523`*^9}, {3.6997858090393934`*^9, 3.699785809231949*^9}, {
   3.6997858795828304`*^9, 3.6997858954504056`*^9}, {3.7004135772345495`*^9, 
   3.70041357766782*^9}, 3.7010148985610456`*^9, 3.7010149421306343`*^9, {
   3.7023130894891977`*^9, 3.7023131199383106`*^9}, {3.7023132735968266`*^9, 
   3.702313279188965*^9}, {3.7028171229982777`*^9, 3.7028171268534613`*^9}, {
   3.7047106328603225`*^9, 3.7047106349387083`*^9}, {3.7047304747408113`*^9, 
   3.7047304758046618`*^9}, {3.705240342547925*^9, 3.7052403438503966`*^9}, 
   3.7415277454898596`*^9, {3.7416019066259184`*^9, 3.741601912049302*^9}, {
   3.7468914736829967`*^9, 3.7468915015627947`*^9}, {3.746891559507181*^9, 
   3.746891560274206*^9}, {3.747131170112975*^9, 3.7471311719590673`*^9}, {
   3.7474097411664352`*^9, 3.747409748244479*^9}, {3.747588767548255*^9, 
   3.747588769866602*^9}},ExpressionUUID->"5b01452c-e76f-4222-9e9a-\
f417de226dae"],

Cell[CellGroupData[{

Cell[TextData[{
 "Numerical methods to solve ordinary differential equations (ODEs) with ",
 StyleBox[ButtonBox["NDSolve",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"],
 " "
}], "Item",
 CellChangeTimes->{{3.741526908265261*^9, 3.7415269133768115`*^9}, 
   3.741526999488102*^9, 3.741601952503826*^9, 3.7443815204132285`*^9, 
   3.74438227387477*^9, {3.745089989599615*^9, 3.7450900005847063`*^9}, 
   3.7461962580784416`*^9, {3.7461963255880456`*^9, 3.746196335218551*^9}, {
   3.7468917160846467`*^9, 3.7468917445289707`*^9}, {3.7474097520528593`*^9, 
   3.747409756356669*^9}},ExpressionUUID->"4bb7b8ce-4b10-4c0e-bc77-\
d3d1502c4681"],

Cell["Stiffness in differential equations", "Item",
 CellChangeTimes->{{3.7443815273656797`*^9, 
  3.7443815381732984`*^9}},ExpressionUUID->"cc746ebb-a600-4f82-be99-\
d31345adb676"],

Cell["Including events in differential equations", "Item",
 CellChangeTimes->{{3.741526929808565*^9, 3.741526935936621*^9}, 
   3.741526998976746*^9, 
   3.7416019533199778`*^9},ExpressionUUID->"375bdcff-1264-402e-8765-\
10e3b5696466"],

Cell[TextData[{
 "Solving eigenvalue and boundary value problems with ",
 StyleBox[ButtonBox["NDEigensystem",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDEigensystem"],
  FontWeight->"Bold"]
}], "Item",
 CellChangeTimes->{{3.741526961616701*^9, 3.7415269946963987`*^9}, 
   3.741601955751644*^9, 3.7443815049101763`*^9, {3.745090007936133*^9, 
   3.745090024947164*^9}, {3.74569493204741*^9, 
   3.745694940529809*^9}},ExpressionUUID->"bcb613a9-cc76-4f0f-9290-\
b1b5a2e3dd78"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"a27200fe-1b50-498e-b392-d66b3dcc48e5"],

Cell[CellGroupData[{

Cell["ODE Methods", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
   3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
   3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
   3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
   3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
   3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
   3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
   3.697983386953843*^9, 3.6979834116534133`*^9}, {3.6979834856401987`*^9, 
   3.697983490135866*^9}, {3.697994169959284*^9, 3.6979941772234635`*^9}, {
   3.6979942180221696`*^9, 3.6979942210060577`*^9}, {3.6979973824002743`*^9, 
   3.6979973832876177`*^9}, {3.6979985027700763`*^9, 
   3.6979985040264254`*^9}, {3.7005788118723583`*^9, 3.7005788148896055`*^9}, 
   3.700829006836756*^9, {3.7415283234129887`*^9, 
   3.74152832467634*^9}},ExpressionUUID->"8d032036-73f7-4367-a83a-\
de042acea1a0"],

Cell["\<\
The Wolfram Language has a wide selection of methods available to solve ODEs. \
If no method is specified, NDSolve will analyze the equations and choose an \
appropriate method:\
\>", "Text",
 CellChangeTimes->{
  3.7008290100452633`*^9, {3.7016942304681325`*^9, 3.701694238612727*^9}, {
   3.7017046966988416`*^9, 3.701704941489052*^9}, {3.7017049878798885`*^9, 
   3.7017050095282116`*^9}, 3.701705047950961*^9, {3.7017050856378946`*^9, 
   3.701705103822898*^9}, 3.7022195959467936`*^9, {3.702219659610618*^9, 
   3.702219671971402*^9}, {3.7022197208680487`*^9, 3.70221978506432*^9}, 
   3.7024012706548386`*^9, {3.7041248546530533`*^9, 3.7041248579305506`*^9}, {
   3.704128067147442*^9, 3.7041280675530367`*^9}, {3.7041281606044474`*^9, 
   3.704128208014841*^9}, 3.7041282598133955`*^9, 3.710072701093794*^9, {
   3.744316194298901*^9, 3.7443161946467047`*^9}, 3.7443823580637712`*^9, {
   3.7456951738039093`*^9, 3.745695180963776*^9}, {3.7461962929958563`*^9, 
   3.7461963577551765`*^9}, {3.746198008341914*^9, 3.7461980086447144`*^9}, {
   3.747409772908024*^9, 
   3.747409778875655*^9}},ExpressionUUID->"191b8d8e-e99f-4834-8328-\
03579b10a438"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqns", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["Y1", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"1", "-", 
       RowBox[{"4", " ", 
        RowBox[{"Y1", "[", "t", "]"}]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Y1", "[", "t", "]"}], "2"], " ", 
        RowBox[{"Y2", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["Y2", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"Y1", "[", "t", "]"}]}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Y1", "[", "t", "]"}], "2"], " ", 
        RowBox[{"Y2", "[", "t", "]"}]}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Y1", "[", "0", "]"}], "\[Equal]", 
      FractionBox["3", "2"]}], ",", 
     RowBox[{
      RowBox[{"Y2", "[", "0", "]"}], "\[Equal]", "3"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", "cond"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Y1", "[", "t", "]"}], ",", 
      RowBox[{"Y2", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7041282679866953`*^9, 3.7041282842865005`*^9}, {
   3.7045577492691574`*^9, 3.704557767600691*^9}, {3.7071465392251863`*^9, 
   3.707146543392239*^9}, 3.707659574887133*^9, {3.710072827262744*^9, 
   3.710072829895681*^9}, 3.743859462629488*^9},
 CellTags->"NDSolve",
 CellLabel->"In[1]:=",ExpressionUUID->"3b1a49a8-54fc-46bd-9263-9d50be4f1315"],

Cell["\<\
It is sometimes advantageous to pick a specific method. A few common ODE \
methods will be discussed in this section. \
\>", "Text",
 CellChangeTimes->{
  3.7008290100452633`*^9, {3.7016942304681325`*^9, 3.701694238612727*^9}, {
   3.7017046966988416`*^9, 3.701704941489052*^9}, {3.7017049878798885`*^9, 
   3.7017050095282116`*^9}, 3.701705047950961*^9, {3.7017050856378946`*^9, 
   3.701705103822898*^9}, 3.7022195959467936`*^9, {3.702219659610618*^9, 
   3.702219671971402*^9}, {3.7022197208680487`*^9, 3.70221978506432*^9}, 
   3.7024012706548386`*^9, {3.7041248546530533`*^9, 3.7041248579305506`*^9}, {
   3.704128067147442*^9, 3.7041280675530367`*^9}, {3.7041281606044474`*^9, 
   3.704128208014841*^9}, {3.7041282910895853`*^9, 3.7041283374185495`*^9}, {
   3.70412859089272*^9, 3.7041285946677027`*^9}, {3.7042145447720656`*^9, 
   3.704214572676116*^9}, {3.704625424939767*^9, 3.704625449993229*^9}, {
   3.71007287387261*^9, 3.710072900983574*^9}, {3.7456748897234025`*^9, 
   3.745674909154707*^9}, {3.745679605211503*^9, 3.7456796062342052`*^9}, {
   3.7461963804572334`*^9, 3.7461963814428196`*^9}, {3.747409786547274*^9, 
   3.747409792339273*^9}},ExpressionUUID->"69ea0949-c1fd-48b0-bc98-\
8a87b8fb6219"],

Cell[CellGroupData[{

Cell["Runge\[Dash]Kutta", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7100728908252854`*^9, 3.71007289357172*^9}, 
   3.746197872542644*^9, {3.7474097970822983`*^9, 
   3.7474097980042143`*^9}},ExpressionUUID->"ee06265f-7d10-4fa2-9100-\
a0c2c9eadf55"],

Cell[TextData[{
 "NDSolve can use the family of Runge\[Dash]Kutta methods, both explicit and \
implicit. Runge\[Dash]Kutta methods approximate the function at the next step \
using the formula:\n\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      SubscriptBox["g", "i"], "\[LongEqual]", 
      RowBox[{
       RowBox[{
        SubscriptBox["y", "n"], "+", 
        RowBox[{"h", 
         RowBox[{
          UnderscriptBox["\[Sum]", 
           RowBox[{"j", "=", "1"}]], 
          RowBox[{
           SubscriptBox["a", 
            RowBox[{"i", ",", "j"}]], 
           SubscriptBox["k", "j"]}]}]}]}], ","}], ""},
     {
      SubscriptBox["k", "i"], "\[LongEqual]", 
      RowBox[{
       RowBox[{"f", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["t", "n"], "+", 
           RowBox[{
            SubscriptBox["c", "i"], "h"}]}], ",", 
          SubscriptBox["g", "i"]}], ")"}]}], ","}], 
      RowBox[{
       RowBox[{"i", "\[LongEqual]", "1"}], ",", "2", ",", "\[Ellipsis]", ",", 
       "s", ","}]},
     {
      SubscriptBox["y", 
       RowBox[{"n", "+", "1"}]], "\[LongEqual]", 
      RowBox[{
       SubscriptBox["y", "n"], "+", 
       RowBox[{"h", 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"i", "=", "1"}], "s"], 
         RowBox[{
          SubscriptBox["b", "i"], 
          RowBox[{
           SubscriptBox["k", "i"], "."}]}]}]}]}], ""}
    },
    GridBoxAlignment->{
     "Columns" -> {Center, Center, Left, {Center}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]],
  ExpressionUUID->"c0973b9a-84d9-4b4b-a03d-c1c1109366ca"],
 "\n\nThe sum in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["g", "i"], TraditionalForm]],ExpressionUUID->
  "dc92ba12-fd2b-4b01-beeb-40d2c1e0a722"],
 " runs from",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"j", "=", "1"}]}], TraditionalForm]],ExpressionUUID->
  "7dabb148-45f2-4324-a56a-b94f6868ea32"],
 " to",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"j", "=", 
     RowBox[{"i", "-", "1"}]}]}], TraditionalForm]],ExpressionUUID->
  "1689c8dc-f765-41c9-a0f1-680aa92ac73e"],
 " in explicit methods, while in implicit methods the sum runs up to the \
order of the method, ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]],ExpressionUUID->
  "0ae33a46-4daa-4f03-9991-aa2a9036cc88"],
 ": "
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7008290100452633`*^9, {3.7016942304681325`*^9, 3.701694238612727*^9}, {
   3.7017046966988416`*^9, 3.701704941489052*^9}, {3.7017049878798885`*^9, 
   3.7017050095282116`*^9}, 3.701705047950961*^9, {3.7017050856378946`*^9, 
   3.701705103822898*^9}, 3.7022195959467936`*^9, {3.702219659610618*^9, 
   3.702219671971402*^9}, {3.7022197208680487`*^9, 3.70221978506432*^9}, 
   3.7024012706548386`*^9, {3.7041248546530533`*^9, 3.7041248579305506`*^9}, {
   3.704128067147442*^9, 3.7041280675530367`*^9}, {3.7041281606044474`*^9, 
   3.704128208014841*^9}, {3.7041282910895853`*^9, 3.7041283374185495`*^9}, {
   3.70412859089272*^9, 3.7041285946677027`*^9}, {3.7042145447720656`*^9, 
   3.704214572676116*^9}, {3.704625424939767*^9, 3.704625449993229*^9}, 
   3.7443823632023544`*^9, {3.7450665808545012`*^9, 3.7450665828949027`*^9}, {
   3.7456951841973476`*^9, 3.745695192200451*^9}, 3.7461978725436697`*^9, {
   3.747409800669489*^9, 3.74740985648923*^9}, {3.760113760107216*^9, 
   3.760113760107452*^9}},ExpressionUUID->"5bf62623-fe24-4295-bec9-\
fa07b08139bd"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", "cond"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Y1", "[", "t", "]"}], ",", 
      RowBox[{"Y2", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
    RowBox[{"Method", "\[Rule]", "\"\<ImplicitRungeKutta\>\""}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", "cond"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Y1", "[", "t", "]"}], ",", 
      RowBox[{"Y2", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
    RowBox[{"Method", "\[Rule]", "\"\<ExplicitRungeKutta\>\""}]}], "]"}], 
  ";"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7041283698493843`*^9, 3.7041283987288976`*^9}, {
   3.7045577737539816`*^9, 3.7045577808968954`*^9}, {3.7071465496267333`*^9, 
   3.707146552793111*^9}, 3.707659579367021*^9, {3.743859446131816*^9, 
   3.7438594472518067`*^9}, 3.7461978725436697`*^9},
 CellTags->"\"ImplicitRungeKutta\"",
 CellLabel->"In[11]:=",ExpressionUUID->"76c08b14-6d13-4aee-ac87-dbc4f833f882"],

Cell["\<\
The options and default values for the explicit and implicit \
Runge\[Dash]Kutta methods are:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.697998546113536*^9, 3.697998569504258*^9}, {
   3.745680163401621*^9, 3.7456801735203323`*^9}, 3.7458353344915953`*^9, 
   3.7461978725436697`*^9, {3.747409860944647*^9, 
   3.7474098622099247`*^9}},ExpressionUUID->"5a0b0f1e-6019-4608-a177-\
49bee718e0f2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CellPrint", "@", 
  RowBox[{"ExpressionCell", "[", 
   RowBox[{
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<\\\"ExplicitRungeKutta\\\" Options\>\"", ",", 
          "\"\<\\\"ImplicitRungeKutta\\\" Options\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Options", "[", "NDSolve`ExplicitRungeKutta", "]"}], "//", 
           "TableForm"}], ",", 
          RowBox[{
           RowBox[{"Options", "[", "NDSolve`ImplicitRungeKutta", "]"}], "//", 
           "TableForm"}]}], "}"}]}], "}"}], ",", 
      RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}], ",", "\"\<Output\>\"", 
    ",", 
    RowBox[{"GeneratedCell", "\[Rule]", "False"}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.697998572205389*^9, 3.6979987020782843`*^9}, {
   3.7041281074185266`*^9, 3.704128124000514*^9}, 3.7461978725456514`*^9, 
   3.7461979350229397`*^9, 3.7461979791175966`*^9},
 CellLabel->"In[71]:=",ExpressionUUID->"ddc9d56f-103d-4532-9105-475cf3e8f27c"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\\\"ExplicitRungeKutta\\\" Options\"\>", \
"\<\"\\\"ImplicitRungeKutta\\\" Options\"\>"},
    {
     TagBox[
      TagBox[GridBox[{
         {
          
          RowBox[{"\<\"Coefficients\"\>", 
           "\[Rule]", "\<\"EmbeddedExplicitRungeKuttaCoefficients\"\>"}]},
         {
          RowBox[{"\<\"DifferenceOrder\"\>", "\[Rule]", "Automatic"}]},
         {
          RowBox[{"\<\"EmbeddedDifferenceOrder\"\>", "\[Rule]", "Automatic"}]},
         {
          
          RowBox[{"\<\"StepSizeControlParameters\"\>", "\[Rule]", 
           "Automatic"}]},
         {
          RowBox[{"\<\"StepSizeRatioBounds\"\>", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             FractionBox["1", "8"], ",", "4"}], "}"}]}]},
         {
          RowBox[{"\<\"StepSizeSafetyFactors\"\>", "\[Rule]", "Automatic"}]},
         {
          RowBox[{"\<\"StiffnessTest\"\>", "\[Rule]", "Automatic"}]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.5599999999999999]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       Column],
      Function[BoxForm`e$, 
       TableForm[BoxForm`e$]]], 
     TagBox[
      TagBox[GridBox[{
         {
          
          RowBox[{"\<\"Coefficients\"\>", 
           "\[Rule]", "\<\"ImplicitRungeKuttaGaussCoefficients\"\>"}]},
         {
          RowBox[{"\<\"DifferenceOrder\"\>", "\[Rule]", "Automatic"}]},
         {
          RowBox[{"\<\"ImplicitSolver\"\>", "\[Rule]", "\<\"Newton\"\>"}]},
         {
          
          RowBox[{"\<\"StepSizeControlParameters\"\>", "\[Rule]", 
           "Automatic"}]},
         {
          RowBox[{"\<\"StepSizeRatioBounds\"\>", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             FractionBox["1", "8"], ",", "4"}], "}"}]}]},
         {
          RowBox[{"\<\"StepSizeSafetyFactors\"\>", "\[Rule]", "Automatic"}]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.5599999999999999]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       Column],
      Function[BoxForm`e$, 
       TableForm[BoxForm`e$]]]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 GeneratedCell->False,
 CellChangeTimes->{{3.7461979639053507`*^9, 
  3.7461979791175966`*^9}},ExpressionUUID->"e219fc33-c829-4f73-8858-\
2d86b95cfd60"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "For a detailed discussion of these methods, other explicit and implicit \
methods, their implementation, and options, see the ",
 StyleBox[ButtonBox["NDSolve tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/NDSolveOverview"],
  FontWeight->"Bold"],
 ". "
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7017062563125687`*^9, 3.701706364272464*^9}, {
   3.7017098131992445`*^9, 3.7017098146170287`*^9}, 3.710072958923862*^9, {
   3.744316171837594*^9, 3.7443161839947166`*^9}, {3.745066594222892*^9, 
   3.7450665986385813`*^9}, 3.7461978725456514`*^9, {3.747409877994788*^9, 
   3.747409890576108*^9}},ExpressionUUID->"0f1c2189-7c76-4435-aeed-\
8a2bdc42a2e2"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.74569160030958*^9, 3.745691603826866*^9}, 
   3.746197970028551*^9},
 CellLabel->"In[29]:=",ExpressionUUID->"d2338ce2-b6d2-4077-8633-3e457ce6524f"]
}, Open  ]],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Which of the following numerically solves the differential \
equation y'[t]=-y[t], with boundary condition y[0]=1, using the method \
\"ExplicitEuler\"?", {{
                  "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\"ExplicitEuler\"\[Rule]Method]", "Wrong"}, {
                  "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]", "Correct"}, {
                  "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1,Method\[Rule]\"ExplicitEuler\"},y[t],{t,0,1}]", "Wrong"}, {
                  "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\"}\
, y[0]\[Equal]1,y[t],{t,0,1}]", "Wrong"}}, 2}}]]), Method -> "Preemptive", 
          PassEventsDown -> Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1},y[t],{t,0,1},\
\"ExplicitEuler\"\[Rule]Method]", 1 -> Column[{
                  Style[
                   TextCell[
                   "NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1},y[t],{t,0,1},\
\"ExplicitEuler\"\[Rule]Method]", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\"ExplicitEuler\"\[Rule]Method]", 3 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\"ExplicitEuler\"\[Rule]Method]", 4 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\"ExplicitEuler\"\[Rule]Method]"}, {
              0 -> "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]", 1 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]", 2 -> Column[{
                  Style[
                   TextCell[
                   "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]", TextAlignment -> 
                    Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 3 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]", 4 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]"}, {
              0 -> "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1,Method\[Rule]\"ExplicitEuler\"},y[t],{t,0,1}]", 1 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1,Method\[Rule]\"ExplicitEuler\"},y[t],{t,0,1}]", 2 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1,Method\[Rule]\"ExplicitEuler\"},y[t],{t,0,1}]", 3 -> Column[{
                  Style[
                   TextCell[
                   "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1,Method\[Rule]\"ExplicitEuler\"},y[t],{t,0,1}]", TextAlignment -> 
                    Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 4 -> 
               "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1,Method\[Rule]\"ExplicitEuler\"},y[t],{t,0,1}]"}, {
              0 -> "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\"\
}, y[0]\[Equal]1,y[t],{t,0,1}]", 1 -> 
               "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\"}, \
y[0]\[Equal]1,y[t],{t,0,1}]", 2 -> 
               "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\"}, \
y[0]\[Equal]1,y[t],{t,0,1}]", 3 -> 
               "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\"}, \
y[0]\[Equal]1,y[t],{t,0,1}]", 4 -> Column[{
                  Style[
                   TextCell[
                   "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\"\
}, y[0]\[Equal]1,y[t],{t,0,1}]", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"Which of the following numerically solves the \
differential equation y'[t]=-y[t], with boundary condition y[0]=1, using the \
method \\\"ExplicitEuler\\\"?\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\\\"ExplicitEuler\\\"\[Rule]Method]\"", 1 -> 
                    TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\"ExplicitEuler\"\[Rule]Method]", TextAlignment -> 
                    Left], 
                    TextCell[
                    "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\"ExplicitEuler\"\[Rule]Method]", TextAlignment -> 
                    Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\\\"ExplicitEuler\\\"\[Rule]Method]\"", 3 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\\\"ExplicitEuler\\\"\[Rule]Method]\"", 4 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},\\\"ExplicitEuler\\\"\[Rule]Method]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\\\"ExplicitEuler\\\"]\"", 1 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\\\"ExplicitEuler\\\"]\"", 2 -> 
                    TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]", TextAlignment -> 
                    Left], 
                    TextCell[
                    "NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\"ExplicitEuler\"]", TextAlignment -> 
                    Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\\\"ExplicitEuler\\\"]\"", 4 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], \
y[0]\[Equal]1},y[t],{t,0,1},Method\[Rule]\\\"ExplicitEuler\\\"]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1,Method\
\[Rule]\\\"ExplicitEuler\\\"},y[t],{t,0,1}]\"", 1 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1,Method\
\[Rule]\\\"ExplicitEuler\\\"},y[t],{t,0,1}]\"", 2 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1,Method\
\[Rule]\\\"ExplicitEuler\\\"},y[t],{t,0,1}]\"", 3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1,Method\[Rule]\
\"ExplicitEuler\"},y[t],{t,0,1}]", TextAlignment -> Left], 
                    TextCell[
                    "NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1,Method\[Rule]\
\"ExplicitEuler\"},y[t],{t,0,1}]", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t], y[0]\[Equal]1,Method\
\[Rule]\\\"ExplicitEuler\\\"},y[t],{t,0,1}]\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\\\"\
ExplicitEuler\\\"}, y[0]\[Equal]1,y[t],{t,0,1}]\"", 1 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\\\"\
ExplicitEuler\\\"}, y[0]\[Equal]1,y[t],{t,0,1}]\"", 2 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\\\"\
ExplicitEuler\\\"}, y[0]\[Equal]1,y[t],{t,0,1}]\"", 3 -> 
                    "\"NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\\\"\
ExplicitEuler\\\"}, y[0]\[Equal]1,y[t],{t,0,1}]\"", 4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\
\"}, y[0]\[Equal]1,y[t],{t,0,1}]", TextAlignment -> Left], 
                    TextCell[
                    "NDSolve[{y'[t]\[Equal]-y[t],Method\[Rule]\"ExplicitEuler\
\"}, y[0]\[Equal]1,y[t],{t,0,1}]", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"0880992c-00e6-4f2a-8171-4f723c5d7ed7"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"78a387f1-e8d2-4757-af5e-b3ec5548a39e"],

Cell[CellGroupData[{

Cell["Stiffness", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
   3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
   3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
   3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
   3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
   3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
   3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
   3.697983386953843*^9, 3.6979834116534133`*^9}, {3.6979834856401987`*^9, 
   3.697983490135866*^9}, {3.6979955451237535`*^9, 3.6979955737553453`*^9}, 
   3.7017064269113283`*^9},ExpressionUUID->"b3b3438f-4556-40ec-a7f2-\
86c87d439740"],

Cell["\<\
A stiff equation is a differential equation for which certain numerical \
methods are unstable unless the step size is taken to be extremely small. \
\>", "Text",
 CellChangeTimes->{{3.7456758268020067`*^9, 3.745675862409007*^9}, {
  3.7461964208981953`*^9, 
  3.7461964875776277`*^9}},ExpressionUUID->"b00dcf38-04f0-487d-a190-\
8f80893c1af1"],

Cell["\<\
Unlike a singularity, stiffness is an accuracy and precision issue. For \
better efficiency, implicit methods are often used instead to deal with stiff \
equations. \
\>", "Text",
 CellChangeTimes->{{3.7456758268020067`*^9, 3.745675862409007*^9}, {
  3.7461964208981953`*^9, 
  3.7461964911681004`*^9}},ExpressionUUID->"28a1484d-0010-41c0-bc4b-\
f052dea23166"],

Cell["\<\
Robertson\[CloseCurlyQuote]s equation for modeling chemical reactions is an \
example of a stiff equation:\
\>", "Text",
 CellChangeTimes->{{3.6979954659016047`*^9, 3.6979955100852776`*^9}, {
  3.7101604293751593`*^9, 3.7101604371193275`*^9}, {3.745066735422695*^9, 
  3.7450667451905537`*^9}},ExpressionUUID->"cf39cdac-2bcd-4cda-bcba-\
152358c57a1e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqns", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["Y1", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "25"]}], " ", 
        RowBox[{"Y1", "[", "t", "]"}]}], "+", 
       RowBox[{"10000", " ", 
        RowBox[{"Y2", "[", "t", "]"}], " ", 
        RowBox[{"Y3", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["Y2", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       FractionBox[
        RowBox[{"Y1", "[", "t", "]"}], "25"], "-", 
       RowBox[{"30000000", " ", 
        SuperscriptBox[
         RowBox[{"Y2", "[", "t", "]"}], "2"]}], "-", 
       RowBox[{"10000", " ", 
        RowBox[{"Y2", "[", "t", "]"}], " ", 
        RowBox[{"Y3", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["Y3", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"30000000", " ", 
       SuperscriptBox[
        RowBox[{"Y2", "[", "t", "]"}], "2"]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Y1", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{"Y2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"Y3", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6979952637539525`*^9, 3.6979952979452195`*^9}, {
  3.6979953344917088`*^9, 3.697995334985981*^9}, {3.697995521093311*^9, 
  3.6979955233482656`*^9}, {3.704557844361908*^9, 3.70455784555306*^9}, {
  3.707146568575864*^9, 3.707146569432147*^9}, {3.7076596404938245`*^9, 
  3.7076596742371483`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"9641afa3-f81c-4ce5-b424-a8ab089913ef"],

Cell["\<\
Since the system is stiff, an explicit method normally will not work:\
\>", "Text",
 CellChangeTimes->{{3.6979955863788443`*^9, 3.697995593290916*^9}, {
   3.6979956590175195`*^9, 3.697995668664933*^9}, 3.7101604583901253`*^9, 
   3.7101666006703205`*^9, {3.747131710060933*^9, 
   3.7471317117083178`*^9}},ExpressionUUID->"e3f14bc3-fbcb-4e61-b556-\
c856bda657db"],

Cell[BoxData[
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", "cond"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Y1", "[", "t", "]"}], ",", 
      RowBox[{"Y2", "[", "t", "]"}], ",", 
      RowBox[{"Y3", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
    RowBox[{"Method", "\[Rule]", "\"\<ExplicitRungeKutta\>\""}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.697995301847492*^9, 3.6979953214322186`*^9}, {
   3.697995529896559*^9, 3.697995537484586*^9}, 3.6979956796178465`*^9, {
   3.7005785552847776`*^9, 3.700578560299684*^9}, {3.700825428208288*^9, 
   3.70082543979401*^9}, 3.7008263055176554`*^9, 3.700826463833461*^9, 
   3.7041286690756254`*^9, {3.7045578554883566`*^9, 3.704557860767329*^9}, {
   3.7071465721052*^9, 3.7071465728581715`*^9}, {3.7076596786848917`*^9, 
   3.7076596836701145`*^9}, {3.7416030687422395`*^9, 3.7416030689718304`*^9}},
 CellTags->"\"ExplicitRungeKutta\"",
 CellLabel->"In[15]:=",ExpressionUUID->"08272643-bafb-4581-ad5a-b2f0785f71cf"],

Cell["Try an implicit method instead:", "Text",
 CellChangeTimes->{{3.697995684536809*^9, 3.697995726952829*^9}, {
   3.6979959260283823`*^9, 3.6979959328694515`*^9}, 3.710160474421707*^9, {
   3.745066762892416*^9, 
   3.7450667640364447`*^9}},ExpressionUUID->"87ffc024-926b-4164-8187-\
a5f9881aedf0"],

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqns", ",", "cond"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Y1", "[", "t", "]"}], ",", 
       RowBox[{"Y2", "[", "t", "]"}], ",", 
       RowBox[{"Y3", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
     RowBox[{"Method", "\[Rule]", "\"\<ImplicitRungeKutta\>\""}]}], "]"}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.6979956474017715`*^9, 3.697995677058067*^9}, {
   3.700826461801072*^9, 3.700826481948496*^9}, 3.704128677155959*^9, {
   3.70455786354468*^9, 3.7045578693280663`*^9}, {3.7071465759223013`*^9, 
   3.707146576680278*^9}, {3.707659687684738*^9, 3.707659692950689*^9}, {
   3.741603041353044*^9, 3.741603071947425*^9}, {3.7461965344285517`*^9, 
   3.746196536586296*^9}, 3.7461966531025457`*^9},
 CellTags->"\"ImplicitRungeKutta\"",
 CellLabel->"In[16]:=",ExpressionUUID->"d8014fc1-982a-4258-b502-2f3df09de6b8"],

Cell[TextData[{
 "Implicit methods are slow, so it is not ideal to use an implicit method \
exclusively, even with a stiff equation. ",
 Cell[BoxData["\<\"StiffnessSwitching\"\>"], "Input",ExpressionUUID->
  "d5c45c53-3ff5-405d-9846-6d15f2625440"],
 " instead uses explicit methods in regions where the equation is not stiff, \
but switches to implicit methods in regions where it is stiff:"
}], "Text",
 CellChangeTimes->{{3.7008263297609444`*^9, 3.7008264419845247`*^9}, 
   3.7101604935632496`*^9, 3.7101606180278826`*^9, {3.710166627709711*^9, 
   3.710166630432838*^9}, {3.747409928896188*^9, 
   3.7474099375102377`*^9}},ExpressionUUID->"3b06d2ee-e0b7-4f74-b151-\
9d925c0f0095"],

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqns", ",", "cond"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Y1", "[", "t", "]"}], ",", 
       RowBox[{"Y2", "[", "t", "]"}], ",", 
       RowBox[{"Y3", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
     RowBox[{"Method", "\[Rule]", "\"\<StiffnessSwitching\>\""}]}], "]"}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.700826453240371*^9, 3.700826480081546*^9}, {
   3.7008274331457925`*^9, 3.700827440834202*^9}, 3.7041287037506275`*^9, {
   3.704557871736373*^9, 3.704557877214876*^9}, {3.707146579290185*^9, 
   3.7071465801063786`*^9}, {3.707659697269121*^9, 3.7076597019886055`*^9}, {
   3.741603058298709*^9, 3.741603074797759*^9}, {3.746196538764021*^9, 
   3.746196540106747*^9}, 3.7461966507342534`*^9},
 CellTags->"\"StiffnessSwitching\"",
 CellLabel->"In[17]:=",ExpressionUUID->"721db5dd-f44d-461c-87f6-0811749aeeda"],

Cell[TextData[{
 "The gain in speed when using ",
 Cell[BoxData["\<\"StiffnessSwitching\"\>"], "Input",ExpressionUUID->
  "27285e44-b07d-4d09-9ee8-d21b16fc7db2"],
 " can be quite substantial and does not come at the cost of reduced accuracy."
}], "Text",
 CellChangeTimes->{{3.7461966579332995`*^9, 3.746196700421734*^9}, {
   3.7468918751356945`*^9, 3.7468918927192035`*^9}, {3.7474099519882803`*^9, 
   3.7474099567592688`*^9}, 
   3.747588871114469*^9},ExpressionUUID->"dbb3c5ef-c544-4848-bac7-\
71da752a2a98"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 3.745691603826866*^9}},
 CellLabel->"In[77]:=",ExpressionUUID->"008abb72-955d-41b8-b55f-7e848dbf7046"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Choose the incorrect statement.", {{
                  "For the same step size, implicit methods can be less \
efficient than explicit methods.", "Wrong: This is correct\t"}, {
                  "\"StiffnessSwitching\" enables automatic switching between \
a nonstiff and a stiff solver.", "Wrong: This is correct"}, {
                  "None of the above.", "Correct"}}, 3}}]]), Method -> 
          "Preemptive", PassEventsDown -> Automatic, PassEventsUp -> True}]]},
        Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "For the same step size, implicit methods can be less \
efficient than explicit methods.", 1 -> Column[{
                  Style[
                   TextCell[
                   "For the same step size, implicit methods can be less \
efficient than explicit methods.", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Wrong: This is correct\t", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> 
               "For the same step size, implicit methods can be less \
efficient than explicit methods.", 3 -> 
               "For the same step size, implicit methods can be less \
efficient than explicit methods."}, {
              0 -> "\"StiffnessSwitching\" enables automatic switching \
between a nonstiff and a stiff solver.", 1 -> 
               "\"StiffnessSwitching\" enables automatic switching between a \
nonstiff and a stiff solver.", 2 -> Column[{
                  Style[
                   TextCell[
                   "\"StiffnessSwitching\" enables automatic switching \
between a nonstiff and a stiff solver.", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong: This is correct", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 3 -> 
               "\"StiffnessSwitching\" enables automatic switching between a \
nonstiff and a stiff solver."}, {
              0 -> "None of the above.", 1 -> "None of the above.", 2 -> 
               "None of the above.", 3 -> Column[{
                  Style[
                   TextCell["None of the above.", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"Choose the incorrect statement.\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"For the same step size, implicit methods can be \
less efficient than explicit methods.\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "For the same step size, implicit methods can be less \
efficient than explicit methods.", TextAlignment -> Left], 
                    TextCell[
                    "For the same step size, implicit methods can be less \
efficient than explicit methods.", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong: This is correct\t", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is correct\t", TextAlignment -> Left]], 
                    "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> 
                    "\"For the same step size, implicit methods can be less \
efficient than explicit methods.\"", 3 -> 
                    "\"For the same step size, implicit methods can be less \
efficient than explicit methods.\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"StiffnessSwitching\\\" enables automatic \
switching between a nonstiff and a stiff solver.\"", 1 -> 
                    "\"\\\"StiffnessSwitching\\\" enables automatic switching \
between a nonstiff and a stiff solver.\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "\"StiffnessSwitching\" enables automatic switching \
between a nonstiff and a stiff solver.", TextAlignment -> Left], 
                    TextCell[
                    "\"StiffnessSwitching\" enables automatic switching \
between a nonstiff and a stiff solver.", TextAlignment -> Left]], "Text", 
                    Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong: This is correct", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is correct", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> 
                    "\"\\\"StiffnessSwitching\\\" enables automatic switching \
between a nonstiff and a stiff solver.\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"None of the above.\"", 1 -> 
                    "\"None of the above.\"", 2 -> "\"None of the above.\"", 
                    3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["None of the above.", TextAlignment -> Left], 
                    TextCell["None of the above.", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"30df7ec0-5a6c-4518-b618-032a462d600c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"b4b172b5-cf91-4ea8-897e-383c724aa35e"],

Cell[CellGroupData[{

Cell["WhenEvent: Changing Variable State", "Section",
 CellChangeTimes->{{3.7004781487618732`*^9, 3.700478152618101*^9}, {
   3.7064502743703394`*^9, 3.7064502789946113`*^9}, 3.70645032668321*^9, {
   3.745090124893786*^9, 
   3.7450901281975927`*^9}},ExpressionUUID->"40984c93-c87f-4a53-84d3-\
ec10d83cfc8b"],

Cell[TextData[{
 StyleBox[ButtonBox["WhenEvent",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/WhenEvent"],
  FontWeight->"Bold"],
 " is used to specify an action that is supposed to occur when the event \
triggers it. Possible actions include changing a variable\[CloseCurlyQuote]s \
state or stopping the integration. "
}], "Text",
 CellChangeTimes->{{3.7064503199944487`*^9, 3.70645032330621*^9}, {
   3.70714553984625*^9, 3.707145553102314*^9}, {3.707145722443349*^9, 
   3.7071457229486876`*^9}, {3.707655274076043*^9, 3.707655331322564*^9}, {
   3.707655376098092*^9, 3.707655389514578*^9}, {3.7076554799200864`*^9, 
   3.707655555216226*^9}, {3.7076561719928584`*^9, 3.707656194080324*^9}, {
   3.707656255414688*^9, 3.707656264640106*^9}, {3.7076577476414385`*^9, 
   3.707657779518607*^9}, {3.7100690522343383`*^9, 3.7100690564827394`*^9}, 
   3.710069090310338*^9, {3.7100691205090947`*^9, 3.7100691241196966`*^9}, {
   3.7100696158396444`*^9, 3.7100696174686637`*^9}, 3.7101652565821095`*^9, {
   3.7450686010566535`*^9, 3.745068627454534*^9}, 
   3.7474099716133204`*^9},ExpressionUUID->"43acfb2d-05c7-4db8-9307-\
8ee0e3640556"],

Cell[CellGroupData[{

Cell["Modeling a Bouncing Ball", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.700478162082224*^9, {3.700478867196368*^9, 3.700478872324971*^9}, {
   3.706450303348239*^9, 3.706450313130208*^9}, {3.7076550455681376`*^9, 
   3.707655048222164*^9}, {3.7100696495482597`*^9, 3.7100696560415444`*^9}, {
   3.7450902049346523`*^9, 3.7450902066604323`*^9}, {3.747409974100732*^9, 
   3.7474099769087667`*^9}},ExpressionUUID->"1b45f254-668a-45d0-b37e-\
c0a84c8cb75e"],

Cell["\<\
Changing the state variable allows you to easily model a bouncing ball, while \
including a 5% loss in the velocity when it hits the ground. Note that \
WhenEvent is included as a condition:\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7064503199944487`*^9, 3.70645032330621*^9}, {
   3.70714553984625*^9, 3.707145553102314*^9}, {3.707145722443349*^9, 
   3.7071457229486876`*^9}, {3.707655274076043*^9, 3.707655331322564*^9}, {
   3.707655376098092*^9, 3.707655389514578*^9}, {3.7076554799200864`*^9, 
   3.707655555216226*^9}, {3.7076561719928584`*^9, 3.707656194080324*^9}, {
   3.707656255414688*^9, 3.707656264640106*^9}, {3.7076577476414385`*^9, 
   3.707657779518607*^9}, {3.7100690522343383`*^9, 3.7100690564827394`*^9}, 
   3.710069090310338*^9, {3.7100691205090947`*^9, 3.7100691241196966`*^9}, {
   3.7100696158396444`*^9, 3.7100696160427556`*^9}, {3.710069658513073*^9, 
   3.710069658952681*^9}, 3.7443823881514587`*^9, {3.7456952140591936`*^9, 
   3.7456952260809546`*^9}, 3.7461970056281476`*^9, {3.747409981925445*^9, 
   3.7474099932528667`*^9}},ExpressionUUID->"2916f7b9-3bf7-4c75-8753-\
e4d11b9f2c09"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"g", " ", "=", " ", "9.81"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r", " ", "=", " ", "0.95"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "''"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{"-", "g"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{"WhenEvent", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"-", "r"}], " ", 
         RowBox[{
          RowBox[{"x", "'"}], "[", "t", "]"}]}]}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bb", " ", "=", " ", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}], ",", "x", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "5"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"bb", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "5"}], "}"}]}], "]"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.707656213272127*^9, 3.7076562521590614`*^9}, 
   3.7100696802325726`*^9, 3.7461970056281476`*^9, 3.7468919329226265`*^9},
 CellTags->"WhenEvent",
 CellLabel->"In[18]:=",ExpressionUUID->"1a43e4a3-9fc1-4148-a8d9-4d23df133ed1"],

Cell[TextData[{
 "The rule ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], "->", 
    RowBox[{
     RowBox[{"\[Minus]", "r"}], "\[InvisibleSpace]", 
     RowBox[{"x", "[", "t", "]"}]}]}], TraditionalForm]],ExpressionUUID->
  "73529eb1-4c9b-4842-9f38-6c74d3faa87f"],
 " specifies that the state variable ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "'"}], "[", "t", "]"}], TraditionalForm]],ExpressionUUID->
  "3ed4f7a8-100d-4d0e-b5ad-5b4094aa7705"],
 " is to be replaced with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Minus]", "r"}], "\[InvisibleSpace]", 
    RowBox[{"x", "[", "t", "]"}]}], TraditionalForm]],ExpressionUUID->
  "5cd9d0fb-a3a5-42ec-8a4c-6753b1d53060"],
 " whenever ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "=", "0"}], TraditionalForm]],
  ExpressionUUID->"804207b0-ccb3-4a45-a3ac-21b150f6c3ca"],
 ". After the change is made, the integration is restarted."
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.707655586402775*^9, 3.7076557313715115`*^9}, {
   3.7076557995639935`*^9, 3.707655854509467*^9}, {3.707655897837127*^9, 
   3.7076559300444183`*^9}, {3.710069734348146*^9, 3.71006973495755*^9}, {
   3.74160250674372*^9, 3.7416025186242933`*^9}, 3.7443823945463953`*^9, {
   3.7456952314831944`*^9, 3.745695246519931*^9}, 3.7461970056291513`*^9, {
   3.7468919514517035`*^9, 3.7468919525516157`*^9}, {3.74741000581254*^9, 
   3.7474100247639303`*^9}, {3.747410056064601*^9, 
   3.747410165738431*^9}},ExpressionUUID->"999d93d8-c856-455d-81b9-\
0120f08feb00"],

Cell[TextData[{
 "An extensive discussion of using WhenEvent can be found in the tutorial ",
 StyleBox[ButtonBox["Events and Discontinuities in Differential Equations",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/NDSolveWhenEvents"],
  FontWeight->"Bold"],
 "."
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.707655586402775*^9, 3.7076557313715115`*^9}, {
   3.7076557995639935`*^9, 3.707655854509467*^9}, {3.707655897837127*^9, 
   3.7076559300444183`*^9}, {3.710069734348146*^9, 3.71006973495755*^9}, {
   3.74160250674372*^9, 3.7416025186242933`*^9}, 3.7443823945463953`*^9, {
   3.7456952314831944`*^9, 3.745695246519931*^9}, 3.7461970056291513`*^9, 
   3.7468919514517035`*^9, {3.747410173513001*^9, 
   3.7474101757268972`*^9}},ExpressionUUID->"0984561f-9cb2-489a-a451-\
fbbc90234618"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 3.745691603826866*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"8e8bbe24-4184-43ef-95a7-d541ceee4164"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"9681d24b-d3b8-47ef-bc69-3181c51fba26"],

Cell[CellGroupData[{

Cell["WhenEvent: Stopping Integration", "Section",
 CellChangeTimes->{{3.7450901397492943`*^9, 
  3.7450901491419725`*^9}},ExpressionUUID->"7e92215d-2f0f-4a4b-b9dd-\
87f9882b5359"],

Cell["\<\
A ball flying through the air does not follow the ideal parabolic path, but \
falls short by a significant amount. The cause is referred to as drag, a \
slowing force proportional to the square of the ball\[CloseCurlyQuote]s \
velocity exerted by the surrounding air.\
\>", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7004781775141315`*^9, {3.7004786020310736`*^9, 3.700478630246909*^9}, 
   3.700590278711891*^9, 3.706450303348239*^9, {3.7100697755143833`*^9, 
   3.7100697786874733`*^9}, {3.743416086708763*^9, 
   3.743416110331278*^9}},ExpressionUUID->"0588f8cb-727c-4814-8df7-\
6523ff45a1de"],

Cell[CellGroupData[{

Cell["Modeling Velocity and Acceleration", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.700473451315823*^9, 3.7004734733900003`*^9}, 
   3.706450303349231*^9, 3.743859896655716*^9, {3.747410219848834*^9, 
   3.747410222868602*^9}},ExpressionUUID->"66e09c5c-0731-4693-b85b-\
709d464d5e1b"],

Cell[TextData[{
 "An easy approach is to assume the acceleration can be broken into \
horizontal and vertical components. This results in a simultaneous system of \
equations in the functions ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "h"], TraditionalForm]],ExpressionUUID->
  "29da2f28-54ca-4671-ad03-3767ee6c9806"],
 " (horizontal velocity), ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "v"], TraditionalForm]],ExpressionUUID->
  "050357b3-4577-4cfe-9e59-ba27a614d9a1"],
 " (vertical velocity), ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "h"], TraditionalForm]],ExpressionUUID->
  "57e84992-a2d1-4a3e-a871-62fc9237915e"],
 " (horizontal position) and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "v"], TraditionalForm]],ExpressionUUID->
  "91ef3cef-6ede-4274-b8c5-6a798b4c9858"],
 " (vertical position):"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.700473160174616*^9, 3.7004733418252773`*^9}, {
   3.700473375268733*^9, 3.700473421864996*^9}, {3.700474957476162*^9, 
   3.7004749591773033`*^9}, {3.70059030586949*^9, 3.700590342881536*^9}, {
   3.7016134506481686`*^9, 3.7016134614007826`*^9}, {3.7017034862465296`*^9, 
   3.7017035126121545`*^9}, {3.701703620695674*^9, 3.701703651042842*^9}, {
   3.701704529505158*^9, 3.701704537348898*^9}, 3.704557519874851*^9, 
   3.706450303349231*^9, 3.7438598966567183`*^9, {3.7474102345485373`*^9, 
   3.747410240459928*^9}},ExpressionUUID->"618f9f56-6614-4b17-b523-\
9c2c9f47c43a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"vh", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", " ", "k"}], " ", 
       SuperscriptBox[
        RowBox[{"vh", "[", "t", "]"}], "2"]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"vv", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "k"}], " ", 
        RowBox[{"vv", "[", "t", "]"}], "*", 
        RowBox[{"Abs", "[", 
         RowBox[{"vv", "[", "t", "]"}], "]"}]}], "-", "g"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"ph", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"vh", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"pv", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"vv", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqn", "//", "Column"}], "//", "TraditionalForm"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.7438598966567183`*^9, {3.746892173124454*^9, 3.7468921949632835`*^9}},
 CellTags->"TraditionalForm",
 CellLabel->"In[1]:=",ExpressionUUID->"1f94821f-5a0e-4a48-ae8e-1d025960ee0c"],

Cell[TextData[{
 "Throw the ball at time ",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "36841120-b9ce-4960-aea6-8925f7d7ff66"],
 " from the origin with velocity ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[InvisibleSpace]", "0"}], TraditionalForm]],ExpressionUUID->
  "b8d4fc66-7f26-4f48-b654-c8cb830ba84a"],
 " at an angle ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]],ExpressionUUID->
  "ee32d2e9-bab5-426d-8ffb-814519a3df71"],
 ":"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7005890406090946`*^9, 3.7005891411525126`*^9}, {
   3.7005894575732946`*^9, 3.700589482480215*^9}, {3.700589717685121*^9, 
   3.7005897577945356`*^9}, {3.7005903941976557`*^9, 3.700590406310254*^9}, {
   3.700590484159365*^9, 3.7005904902416115`*^9}, {3.7008216335259113`*^9, 
   3.7008216597976294`*^9}, 3.701613502991765*^9, 3.7022194426903305`*^9, 
   3.7046252805536957`*^9, 3.706450303349231*^9, 3.710070401360032*^9, 
   3.710070441184987*^9, 3.7438598966567183`*^9, {3.7450686879406595`*^9, 
   3.745068688917245*^9}, {3.7474102454958*^9, 
   3.747410274555039*^9}},ExpressionUUID->"7c585df7-ddd9-40a6-953f-\
f54d5ef196a8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"vh", "[", "0", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Phi]", "]"}], "v0"}]}], ",", 
     RowBox[{
      RowBox[{"vv", "[", "0", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", "v0"}]}], ",", 
     RowBox[{
      RowBox[{"ph", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"pv", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.7438598966567183`*^9, {3.746892199369919*^9, 3.7468922096340938`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"f17465c3-4773-433c-91c2-88d3e3e4222c"],

Cell[TextData[{
 "Define the values for the initial velocity ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[InvisibleSpace]", "0"}], TraditionalForm]],ExpressionUUID->
  "38316aea-d493-4740-b6fa-a11648211b8a"],
 ", the angle of the throw ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]],ExpressionUUID->
  "869d51b7-af7e-4e61-b2e3-9ff877b7634f"],
 ", the gravitational constant ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]],ExpressionUUID->
  "afb53b82-27d9-4f54-ac8f-983ea34433a3"],
 ", and the constant ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]],ExpressionUUID->
  "d7d71b8c-52e1-441d-a413-2c1ae56dec28"],
 " representing the drag in air:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.7100705050027275`*^9, {3.7101653740189314`*^9, 3.7101653744722576`*^9}, 
   3.7438598966567183`*^9, {3.7450686907410736`*^9, 3.745068707366087*^9}, {
   3.747410283694491*^9, 
   3.7474102936324463`*^9}},ExpressionUUID->"6761afac-b14e-47fd-acd6-\
8005302ca1d5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"v0", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]", "=", 
   RowBox[{"Pi", "/", "4"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "0.01"}], ";"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{3.7438598966567183`*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"ce79505b-4531-4197-8f72-cc1bd220f58a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Solving", "Subsection",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7100705652734995`*^9, 3.71007056646271*^9}, 
   3.7461982794661927`*^9},ExpressionUUID->"f7014a23-a281-4f71-a4b6-\
4f3dec3bc5e6"],

Cell[TextData[{
 "Since you do not know how long it will take until the ball hits the ground, \
you can use WhenEvent to stop the integration when the vertical position ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "v"], TraditionalForm]],ExpressionUUID->
  "a771ce43-55dc-4108-83ed-c36d0328f91e"],
 " becomes less than 0, i.e. when the ball hits the ground:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.700589624519179*^9, 3.7005897230505*^9}, {
   3.7005900265383716`*^9, 3.7005900309638543`*^9}, {3.70170434122357*^9, 
   3.7017043467672777`*^9}, {3.7017045175414767`*^9, 3.701704518399745*^9}, {
   3.704124596653483*^9, 3.704124602035104*^9}, 3.706450303349231*^9, {
   3.7100705960736923`*^9, 3.7100706053878193`*^9}, 3.7461982794661927`*^9, {
   3.747410306460779*^9, 
   3.747410328713334*^9}},ExpressionUUID->"ba1b7a6f-e53e-416e-b5e5-\
cef0bcebe582"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"solDrag", "=", 
    RowBox[{"First", "@", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eqn", ",", "cond", ",", 
         RowBox[{"WhenEvent", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"pv", "[", "t", "]"}], "<", "0"}], ",", 
           RowBox[{"{", 
            RowBox[{"\"\<StopIntegration\>\"", ",", 
             RowBox[{"tmaxDrag", "=", "t"}]}], "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"pv", "[", "t", "]"}], ",", 
         RowBox[{"ph", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "Infinity"}], "}"}], ",", 
       RowBox[{"MaxSteps", "\[Rule]", "Infinity"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"plt", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"ph", "[", "t", "]"}], "/.", "solDrag"}], ",", 
      RowBox[{
       RowBox[{"pv", "[", "t", "]"}], "/.", "solDrag"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmaxDrag"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<distance\>\"", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<height\>\"", ",", "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"{", "\"\<Drag\>\"", "}"}]}]}], "]"}]}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{
  3.700589520667774*^9, {3.7005902034284735`*^9, 3.700590204443904*^9}, {
   3.7005905950410504`*^9, 3.700590657758206*^9}, {3.7017036927790833`*^9, 
   3.7017036978194003`*^9}, {3.7017038895428343`*^9, 
   3.7017038903198605`*^9}, {3.701704027340828*^9, 3.701704027660679*^9}, {
   3.7041247859454546`*^9, 3.704124788254181*^9}, {3.7042106953878145`*^9, 
   3.704210701963231*^9}, {3.704211481930064*^9, 3.704211494199651*^9}, {
   3.704552273691557*^9, 3.70455227677873*^9}, {3.704625928470532*^9, 
   3.7046259335019207`*^9}, 3.706450303349231*^9, {3.7076487914562635`*^9, 
   3.707648792423624*^9}, {3.707656412308983*^9, 3.70765642403001*^9}, {
   3.7450687302236233`*^9, 3.7450687571137857`*^9}, 3.7461982794671965`*^9, {
   3.746892215316162*^9, 3.746892229913771*^9}},
 CellTags->"\"StopIntegration\"",
 CellLabel->"In[8]:=",ExpressionUUID->"1be07593-deb0-4ab9-bd2c-c35b5265fbc8"],

Cell[TextData[{
 "Compare with the no air resistance result. To do this, set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "8b71ab57-fc86-49f3-85db-a968c0c9db81"],
 " and re-solve the equation:"
}], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.700590530052945*^9, 3.700590549708583*^9}, {
   3.7017040133799314`*^9, 3.7017040167638936`*^9}, 3.7017045625967484`*^9, 
   3.706450303349231*^9, 3.7461982794671965`*^9, {3.747410337032009*^9, 
   3.747410340088787*^9}},ExpressionUUID->"e095d916-1ae1-4ce8-a428-\
976c2c160bc1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"k", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"vh", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", " ", "k"}], " ", 
       SuperscriptBox[
        RowBox[{"vh", "[", "t", "]"}], "2"]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"vv", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "k"}], " ", 
        RowBox[{"vv", "[", "t", "]"}], "*", 
        RowBox[{"Abs", "[", 
         RowBox[{"vv", "[", "t", "]"}], "]"}]}], "-", "g"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"ph", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"vh", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"pv", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"vv", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solNoDrag", "=", 
   RowBox[{"First", "@", 
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqn", ",", "cond", ",", 
        RowBox[{"WhenEvent", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"pv", "[", "t", "]"}], "<", "0"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<StopIntegration\>\"", ",", 
            RowBox[{"tmaxNoDrag", "=", "t"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"pv", "[", "t", "]"}], ",", 
        RowBox[{"ph", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "Infinity"}], "}"}]}], "]"}]}]}], 
  ";"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.700590135902878*^9, 3.7005901383874855`*^9}, {
   3.700590217798787*^9, 3.7005902179761176`*^9}, {3.7017039136163993`*^9, 
   3.7017040115080175`*^9}, {3.701704398345855*^9, 3.7017044051679153`*^9}, {
   3.704552281578439*^9, 3.704552282537981*^9}, {3.7045523319197054`*^9, 
   3.7045523502331877`*^9}, {3.7045524234650574`*^9, 
   3.7045524347469254`*^9}, {3.7045524924326363`*^9, 
   3.7045525164813128`*^9}, {3.704625303054387*^9, 3.7046253239147577`*^9}, 
   3.706450303349231*^9, {3.7076487967341337`*^9, 3.7076487979200134`*^9}, 
   3.7461982794671965`*^9, {3.746892234369565*^9, 3.7468922660734863`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"307f8309-624a-41e6-93a9-90e37f819668"],

Cell["Show both solutions:", "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7005889245717897`*^9, 3.7005889273006096`*^9}, 
   3.706450303349231*^9, 3.7461982794671965`*^9, 
   3.7474103427766027`*^9},ExpressionUUID->"f4081410-9493-4ec7-a6b0-\
6a022920af4a"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"plt", ",", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{
           RowBox[{"ph", "[", "t", "]"}], "/.", "solNoDrag"}], "]"}], ",", 
         RowBox[{"Evaluate", "[", 
          RowBox[{
           RowBox[{"pv", "[", "t", "]"}], "/.", "solNoDrag"}], "]"}]}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "tmaxNoDrag"}], "}"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "\"\<No Drag\>\"", "}"}]}]}], "]"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.70058592016216*^9, 3.7005859270434093`*^9}, {
   3.7005865667370577`*^9, 3.70058656895897*^9}, {3.7005866013989897`*^9, 
   3.7005866178496475`*^9}, {3.7005901534304047`*^9, 
   3.7005901670022745`*^9}, {3.700590221674325*^9, 3.700590221861611*^9}, {
   3.701703953670228*^9, 3.701703959260994*^9}, {3.704210432284598*^9, 
   3.7042104675160933`*^9}, {3.7042104977573423`*^9, 
   3.7042105003813057`*^9}, {3.704210546860626*^9, 3.704210578724211*^9}, {
   3.704210775675872*^9, 3.70421079013223*^9}, {3.7042115017045383`*^9, 
   3.704211507943122*^9}, {3.704552289907485*^9, 3.7045522910274544`*^9}, {
   3.7045524424262276`*^9, 3.7045524433597393`*^9}, 3.706450303349231*^9, 
   3.7461982794671965`*^9, {3.746892270516283*^9, 3.746892274436661*^9}},
 CellTags->"ParametricPlot",
 CellLabel->"In[13]:=",ExpressionUUID->"1b0591e8-a131-4232-aaf5-6f089fb69cf7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 
  3.745691603826866*^9}},ExpressionUUID->"95445550-556a-4b24-ba5f-\
89947a1348d4"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Which of the following is a valid event detection method for \
WhenEvent?", {{"\"Sign\"", 
                   "This is correct, but there are other options as well"}, {
                  "\"DerivativeSign\"", 
                   "This is correct, but there are other options as well"}, {
                  "\"Interpolation\"", 
                   "This is correct, but there are other options as well"}, {
                  "All of the above", "Correct"}}, 4}}]]), Method -> 
          "Preemptive", PassEventsDown -> Automatic, PassEventsUp -> True}]]},
        Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "\"Sign\"", 1 -> Column[{
                  Style[
                   TextCell["\"Sign\"", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "This is correct, but there are other options as well", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "\"Sign\"", 3 -> 
               "\"Sign\"", 4 -> "\"Sign\""}, {
              0 -> "\"DerivativeSign\"", 1 -> "\"DerivativeSign\"", 2 -> 
               Column[{
                  Style[
                   TextCell["\"DerivativeSign\"", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "This is correct, but there are other options as well", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 3 -> "\"DerivativeSign\"", 4 -> 
               "\"DerivativeSign\""}, {
              0 -> "\"Interpolation\"", 1 -> "\"Interpolation\"", 2 -> 
               "\"Interpolation\"", 3 -> Column[{
                  Style[
                   TextCell["\"Interpolation\"", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "This is correct, but there are other options as well", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 4 -> "\"Interpolation\""}, {
              0 -> "All of the above", 1 -> "All of the above", 2 -> 
               "All of the above", 3 -> "All of the above", 4 -> Column[{
                  Style[
                   TextCell["All of the above", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"Which of the following is a valid event detection \
method for WhenEvent?\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{0 -> "\"\\\"Sign\\\"\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["\"Sign\"", TextAlignment -> Left], 
                    TextCell["\"Sign\"", TextAlignment -> Left]], "Text", 
                    Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "This is correct, but there are other options as well", 
                    TextAlignment -> Left], 
                    TextCell[
                    "This is correct, but there are other options as well", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"\\\"Sign\\\"\"", 3 -> 
                    "\"\\\"Sign\\\"\"", 4 -> "\"\\\"Sign\\\"\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"DerivativeSign\\\"\"", 1 -> 
                    "\"\\\"DerivativeSign\\\"\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["\"DerivativeSign\"", TextAlignment -> Left], 
                    TextCell["\"DerivativeSign\"", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "This is correct, but there are other options as well", 
                    TextAlignment -> Left], 
                    TextCell[
                    "This is correct, but there are other options as well", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> "\"\\\"DerivativeSign\\\"\"", 4 -> 
                    "\"\\\"DerivativeSign\\\"\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"Interpolation\\\"\"", 1 -> 
                    "\"\\\"Interpolation\\\"\"", 2 -> 
                    "\"\\\"Interpolation\\\"\"", 3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["\"Interpolation\"", TextAlignment -> Left], 
                    TextCell["\"Interpolation\"", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "This is correct, but there are other options as well", 
                    TextAlignment -> Left], 
                    TextCell[
                    "This is correct, but there are other options as well", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> "\"\\\"Interpolation\\\"\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"All of the above\"", 1 -> "\"All of the above\"", 
                    2 -> "\"All of the above\"", 3 -> "\"All of the above\"", 
                    4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["All of the above", TextAlignment -> Left], 
                    TextCell["All of the above", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"b3845f09-84d5-4c3a-a71b-40d055fda1cf"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"e067f55d-043b-4cad-b53b-2922f51aa3ff"],

Cell[CellGroupData[{

Cell["Shooting Method", "Section",
 CellChangeTimes->{{3.7005786470338235`*^9, 3.70057864904327*^9}, {
  3.7005789907622037`*^9, 
  3.7005790228763857`*^9}},ExpressionUUID->"104db5fb-b00b-40a4-a9f1-\
f247db6333d0"],

Cell["\<\
Some differential equations have multiple solutions. However, you may want to \
find a particular solution among all the solutions. For example:\
\>", "Text",
 CellChangeTimes->{{3.6980653121282096`*^9, 3.698065338840313*^9}, {
   3.699810429238434*^9, 3.699810441152871*^9}, {3.6998727537450294`*^9, 
   3.699872788128229*^9}, {3.701711835826975*^9, 3.7017118397221823`*^9}, {
   3.702220375211372*^9, 3.702220395987462*^9}, {3.7022205590268784`*^9, 
   3.7022205754744654`*^9}, {3.704625693943392*^9, 3.704625694439679*^9}, 
   3.710161434793089*^9, {3.7101671185913415`*^9, 3.710167161889985*^9}, {
   3.745068881322607*^9, 3.7450688848900547`*^9}, {3.745758025013221*^9, 
   3.7457580263497305`*^9}, {3.746198302671586*^9, 3.7461983028220778`*^9}, {
   3.7474103488648357`*^9, 
   3.7474103491127443`*^9}},ExpressionUUID->"87e65360-a646-40c7-b75e-\
4c5d49d523be"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}], " ", "+", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"x", "[", "t", "]"}], "]"}]}], " ", "\[Equal]", " ", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"x", "[", "10", "]"}], " ", "\[Equal]", " ", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}], ",", "x", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"sol", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7071476880357437`*^9, 3.707147711270996*^9}, {
  3.7101671761302223`*^9, 3.7101671765680323`*^9}, {3.745758038026641*^9, 
  3.745758047744361*^9}},
 CellTags->"NDSolveValue",
 CellLabel->"In[21]:=",ExpressionUUID->"736fe0ad-ccfa-4036-a790-65cc135ed63e"],

Cell["\<\
The solution satisfies the boundary conditions specified, but imagine that \
the solution sought is supposed to look something like this:\
\>", "Text",
 CellChangeTimes->{{3.6980653515141134`*^9, 3.698065393751489*^9}, {
  3.6993711217075624`*^9, 3.699371124220214*^9}, {3.700827470961079*^9, 
  3.7008274880323668`*^9}, {3.7022208152322965`*^9, 3.702220817432131*^9}, {
  3.7450688913220787`*^9, 3.745068893450715*^9}, {3.7474103563522863`*^9, 
  3.747410387551484*^9}},ExpressionUUID->"72e3de0b-8851-4cb0-ba04-\
0fae7131f5bb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "1.9993"}]}], "}"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{"NDSolveValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqn", ",", "cond"}], "}"}], ",", "x", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"sol", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.698065422938429*^9, 3.698065461733274*^9}, {
  3.7071477179974737`*^9, 3.707147729636642*^9}, {3.7457580515995626`*^9, 
  3.7457580567401295`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"a1213994-016b-4d70-9791-941021c00181"],

Cell[TextData[{
 "This also satisfies the boundary condition of the function going to zero at \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "f4384979-e5d3-4f13-86e9-6659e9ed8ac1"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "10"}], TraditionalForm]],ExpressionUUID->
  "ececa88f-0858-4bf7-be88-50aacffb2880"],
 ". How do you get this solution? "
}], "Text",
 CellChangeTimes->{{3.6980654979532757`*^9, 3.6980655100262117`*^9}, {
   3.6992734559710684`*^9, 3.699273485639611*^9}, {3.7017118836566987`*^9, 
   3.7017119034286757`*^9}, {3.702220472636767*^9, 3.702220487052993*^9}, {
   3.702220521835246*^9, 3.7022205224288125`*^9}, {3.702402723363449*^9, 
   3.7024027245525637`*^9}, {3.702402758663885*^9, 3.702402792028678*^9}, {
   3.7042121091385384`*^9, 3.704212182483176*^9}, {3.704215252016937*^9, 
   3.704215321584527*^9}, {3.704215355840434*^9, 3.704215369703221*^9}, {
   3.7045532968461895`*^9, 3.7045532978709855`*^9}, {3.704553332229863*^9, 
   3.7045533498307962`*^9}, {3.70462573060863*^9, 3.7046257447992754`*^9}, {
   3.710161543060809*^9, 3.710161686081004*^9}, 3.7101617349493823`*^9, {
   3.7101617667268295`*^9, 3.710161777153216*^9}, {3.7101672223761015`*^9, 
   3.710167251284397*^9}, {3.7456953721316724`*^9, 3.745695387571411*^9}, {
   3.745758065729951*^9, 3.745758066861923*^9}, 3.747144106668564*^9, {
   3.747410395367228*^9, 
   3.747410402463151*^9}},ExpressionUUID->"930a4ef8-8680-47d5-aa8a-\
1f8dfa77e382"],

Cell[TextData[{
 "This is where the ",
 Cell[BoxData["\<\"Shooting\"\>"], "Input",ExpressionUUID->
  "e1a40439-4c01-433f-b64e-183f10335155"],
 " method comes into play. You can change the solution that is found by \
specifying different ",
 Cell[BoxData["\<\"StartingInitialConditions\"\>"], "Input",ExpressionUUID->
  "8209c65b-6b95-49ad-b12c-2265cb628da5"],
 ". "
}], "Text",
 CellChangeTimes->{{3.6980654979532757`*^9, 3.6980655100262117`*^9}, {
   3.6992734559710684`*^9, 3.699273485639611*^9}, {3.7017118836566987`*^9, 
   3.7017119034286757`*^9}, {3.702220472636767*^9, 3.702220487052993*^9}, {
   3.702220521835246*^9, 3.7022205224288125`*^9}, {3.702402723363449*^9, 
   3.7024027245525637`*^9}, {3.702402758663885*^9, 3.702402792028678*^9}, {
   3.7042121091385384`*^9, 3.704212182483176*^9}, {3.704215252016937*^9, 
   3.704215321584527*^9}, {3.704215355840434*^9, 3.704215369703221*^9}, {
   3.7045532968461895`*^9, 3.7045532978709855`*^9}, {3.704553332229863*^9, 
   3.7045533498307962`*^9}, {3.70462573060863*^9, 3.7046257447992754`*^9}, {
   3.710161543060809*^9, 3.710161686081004*^9}, 3.7101617349493823`*^9, {
   3.7101617667268295`*^9, 3.710161777153216*^9}, {3.7101672223761015`*^9, 
   3.710167251284397*^9}, {3.7456953721316724`*^9, 3.745695387571411*^9}, {
   3.745758068365902*^9, 3.7457580694497695`*^9}, {3.7468924785439425`*^9, 
   3.7468924816712155`*^9}, {3.7474104121481037`*^9, 3.7474104181845016`*^9}},
 CellTags->
  "\"StartingInitialConditions\"",ExpressionUUID->"277133ca-b0f7-46de-8d93-\
36dcf7ecfd6f"],

Cell[TextData[{
 "The boundary conditions are ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", 
     RowBox[{"(", "0", ")"}]}], "==", 
    RowBox[{"x", 
     RowBox[{"(", "10", ")"}]}], "==", "0"}], TraditionalForm]],
  ExpressionUUID->"0af36773-0aca-4cfb-996d-f1aa97178973"],
 ". Use ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "0", "]"}], "=", "1.5"}], TraditionalForm]],
  ExpressionUUID->"702acd2b-554c-406b-ad07-7ba471c90080"],
 ", 1.75 and 2 to initialize the ",
 Cell[BoxData["\<\"Shooting\"\>"], "Input",ExpressionUUID->
  "927c6a7e-286f-49c6-8a88-960952e4866d"],
 " method. The ",
 Cell[BoxData["\<\"Shooting\"\>"], "Input",ExpressionUUID->
  "88fae915-27d3-47a5-bdaa-c9b33214b508"],
 " method finds the three independent solutions using these three different \
initializations:"
}], "Text",
 CellChangeTimes->{{3.6980654979532757`*^9, 3.6980655100262117`*^9}, {
   3.6992734559710684`*^9, 3.699273485639611*^9}, {3.7017118836566987`*^9, 
   3.7017119034286757`*^9}, {3.702220472636767*^9, 3.702220487052993*^9}, {
   3.702220521835246*^9, 3.7022205224288125`*^9}, {3.702402723363449*^9, 
   3.7024027245525637`*^9}, {3.702402758663885*^9, 3.702402792028678*^9}, {
   3.7042121091385384`*^9, 3.704212182483176*^9}, {3.704215252016937*^9, 
   3.704215321584527*^9}, {3.704215355840434*^9, 3.704215369703221*^9}, {
   3.7045532968461895`*^9, 3.7045532978709855`*^9}, {3.704553332229863*^9, 
   3.7045533498307962`*^9}, {3.70462573060863*^9, 3.7046257447992754`*^9}, {
   3.710161543060809*^9, 3.710161686081004*^9}, 3.7101617349493823`*^9, {
   3.7101617667268295`*^9, 3.710161777153216*^9}, {3.7101672223761015`*^9, 
   3.710167251284397*^9}, {3.7456953721316724`*^9, 3.745695387571411*^9}, 
   3.745758068365902*^9, {3.7468925018867226`*^9, 3.7468925191503925`*^9}, {
   3.747410424667992*^9, 3.7474104527332497`*^9}, 
   3.747588982147451*^9},ExpressionUUID->"d0d86bad-4267-4a4e-be34-\
1e09d220982c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "[", "0", "]"}], " ", "\[Equal]", " ", 
     RowBox[{"x", "[", "10", "]"}], " ", "\[Equal]", " ", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol1", "=", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
     RowBox[{"x", "[", "t", "]"}], ",", "t", ",", "\[IndentingNewLine]", " ", 
     RowBox[{"Method", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Shooting\>\"", ",", " ", 
        RowBox[{"\"\<StartingInitialConditions\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "1.5"}], 
          "}"}]}]}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol2", "=", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
     RowBox[{"x", "[", "t", "]"}], ",", "t", ",", " ", 
     RowBox[{"Method", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Shooting\>\"", ",", " ", 
        RowBox[{"\"\<StartingInitialConditions\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "1.75"}], 
          "}"}]}]}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sol3", "=", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
     RowBox[{"x", "[", "t", "]"}], ",", "t", ",", " ", 
     RowBox[{"Method", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Shooting\>\"", ",", " ", 
        RowBox[{"\"\<StartingInitialConditions\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "2"}], "}"}]}]}],
        "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"sol1", ",", "sol2", ",", "sol3"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", " ", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Black", ",", " ", "Blue", ",", " ", "Green"}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.7071477382119145`*^9, 3.7071477691963*^9}, {
  3.74410739546419*^9, 3.7441074757431135`*^9}, {3.745068936099619*^9, 
  3.7450689362751107`*^9}, {3.747144196485783*^9, 3.747144214852495*^9}},
 CellTags->"\"Shooting\"",
 CellLabel->"In[28]:=",ExpressionUUID->"17f18ba9-96de-4cc8-b615-859b5631aae6"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 3.745691603826866*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"5f0dddd8-cc1b-4e48-a98f-3dfb46064794"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Among the following, which is not an option for the shooting \
method?", {{"\"ImplicitSolver\"", "Wrong: This is a valid option"}, {
                  "\"StartingInitialConditions\"", 
                   "Wrong: This is a valid option"}, {
                  "\"ChasingType\"", 
                   "Correct: This is an option for \"chasing\" method"}, {
                  "\"MaxIterations\"", "Wrong: This is a valid option"}}, 
                 3}}]]), Method -> "Preemptive", PassEventsDown -> Automatic, 
          PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "\"ImplicitSolver\"", 1 -> Column[{
                  Style[
                   TextCell["\"ImplicitSolver\"", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Wrong: This is a valid option", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "\"ImplicitSolver\"", 3 -> 
               "\"ImplicitSolver\"", 4 -> "\"ImplicitSolver\""}, {
              0 -> "\"StartingInitialConditions\"", 1 -> 
               "\"StartingInitialConditions\"", 2 -> Column[{
                  Style[
                   TextCell[
                   "\"StartingInitialConditions\"", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Wrong: This is a valid option", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 3 -> 
               "\"StartingInitialConditions\"", 4 -> 
               "\"StartingInitialConditions\""}, {
              0 -> "\"ChasingType\"", 1 -> "\"ChasingType\"", 2 -> 
               "\"ChasingType\"", 3 -> Column[{
                  Style[
                   TextCell["\"ChasingType\"", TextAlignment -> Left], "Text",
                    Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell[
                   "Correct: This is an option for \"chasing\" method", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 4 -> "\"ChasingType\""}, {
              0 -> "\"MaxIterations\"", 1 -> "\"MaxIterations\"", 2 -> 
               "\"MaxIterations\"", 3 -> "\"MaxIterations\"", 4 -> Column[{
                  Style[
                   TextCell["\"MaxIterations\"", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Wrong: This is a valid option", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"Among the following, which is not an option for the \
shooting method?\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"ImplicitSolver\\\"\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["\"ImplicitSolver\"", TextAlignment -> Left], 
                    TextCell["\"ImplicitSolver\"", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Wrong: This is a valid option", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is a valid option", TextAlignment -> Left]], 
                    "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"\\\"ImplicitSolver\\\"\"", 3 -> 
                    "\"\\\"ImplicitSolver\\\"\"", 4 -> 
                    "\"\\\"ImplicitSolver\\\"\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"StartingInitialConditions\\\"\"", 1 -> 
                    "\"\\\"StartingInitialConditions\\\"\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "\"StartingInitialConditions\"", TextAlignment -> Left], 
                    TextCell[
                    "\"StartingInitialConditions\"", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Wrong: This is a valid option", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is a valid option", TextAlignment -> Left]], 
                    "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> "\"\\\"StartingInitialConditions\\\"\"", 
                    4 -> "\"\\\"StartingInitialConditions\\\"\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"ChasingType\\\"\"", 1 -> 
                    "\"\\\"ChasingType\\\"\"", 2 -> "\"\\\"ChasingType\\\"\"",
                     3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["\"ChasingType\"", TextAlignment -> Left], 
                    TextCell["\"ChasingType\"", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Correct: This is an option for \"chasing\" method", 
                    TextAlignment -> Left], 
                    TextCell[
                    "Correct: This is an option for \"chasing\" method", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> "\"\\\"ChasingType\\\"\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"MaxIterations\\\"\"", 1 -> 
                    "\"\\\"MaxIterations\\\"\"", 2 -> 
                    "\"\\\"MaxIterations\\\"\"", 3 -> 
                    "\"\\\"MaxIterations\\\"\"", 4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["\"MaxIterations\"", TextAlignment -> Left], 
                    TextCell["\"MaxIterations\"", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Wrong: This is a valid option", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is a valid option", TextAlignment -> Left]], 
                    "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"55d0d8c8-24c2-4504-82e2-53847013ebd9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"234a7b4a-125f-45f0-8e75-62b3856faf9b"],

Cell[CellGroupData[{

Cell["NDEigensystem", "Section",
 CellChangeTimes->{{3.7005786470338235`*^9, 3.70057864904327*^9}, {
  3.7005789907622037`*^9, 
  3.7005789929485445`*^9}},ExpressionUUID->"8e1e48a7-78b7-4f31-892b-\
8c6f9fb0fb69"],

Cell["NDEigensystem solves the eigenvalue problem:", "Text",
 CellChangeTimes->{{3.6980643158382363`*^9, 3.698064660520053*^9}, {
   3.6980647083496337`*^9, 3.698064708503659*^9}, {3.6980649334095564`*^9, 
   3.698064955163848*^9}, {3.7017120163903303`*^9, 3.701712043590151*^9}, {
   3.7022203561959324`*^9, 3.702220356803564*^9}, {3.7041289625711875`*^9, 
   3.704128986878364*^9}, 3.704129021749271*^9, {3.7042119083316507`*^9, 
   3.704211914989317*^9}, {3.704553095557309*^9, 3.70455312511957*^9}, {
   3.7101608821344585`*^9, 3.7101609199980545`*^9}, {3.7101609710663524`*^9, 
   3.710161009347189*^9}, {3.744382557328521*^9, 3.744382560357528*^9}, {
   3.7450689697627635`*^9, 3.7450689804740934`*^9}, {3.7451496122435865`*^9, 
   3.74514962924159*^9}, {3.7456954054085536`*^9, 3.7456954130437045`*^9}, 
   3.760113852039605*^9},
 CellTags->
  "DirichletCondition",ExpressionUUID->"aa16f851-bbf2-4749-84de-e22eed7d4b00"],

Cell[TextData[{
 StyleBox["\t",
  FontSize->20],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     OverscriptBox["O", "^"], 
     RowBox[{"y", "[", "x", "]"}]}], "=", 
    RowBox[{"\[Lambda]y", "[", "x", "]"}]}], TraditionalForm]],
  FontSize->20,ExpressionUUID->"6f4eeb00-a9de-415c-b052-75fb83b2790a"]
}], "Text",
 CellChangeTimes->{{3.6980643158382363`*^9, 3.698064660520053*^9}, {
   3.6980647083496337`*^9, 3.698064708503659*^9}, {3.6980649334095564`*^9, 
   3.698064955163848*^9}, {3.7017120163903303`*^9, 3.701712043590151*^9}, {
   3.7022203561959324`*^9, 3.702220356803564*^9}, {3.7041289625711875`*^9, 
   3.704128986878364*^9}, 3.704129021749271*^9, {3.7042119083316507`*^9, 
   3.704211914989317*^9}, {3.704553095557309*^9, 3.70455312511957*^9}, {
   3.7101608821344585`*^9, 3.7101609199980545`*^9}, {3.7101609710663524`*^9, 
   3.710161009347189*^9}, {3.744382557328521*^9, 3.744382560357528*^9}, {
   3.7450689697627635`*^9, 3.7450689804740934`*^9}, {3.7451496122435865`*^9, 
   3.7451496263930144`*^9}},
 FontSize->26,
 FontWeight->"Plain",
 CellTags->
  "DirichletCondition",ExpressionUUID->"3a315fe3-3d23-41c7-be78-69917f88222d"],

Cell[TextData[{
 "Where ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["O", "^"], TraditionalForm]],
  FontSize->16,ExpressionUUID->"72530c1b-478d-4d7f-ae69-fc053332fec8"],
 " is some differential operator, and ",
 Cell[BoxData[
  FormBox["\[Lambda]", TraditionalForm]],ExpressionUUID->
  "d2afaf21-0515-40bb-ade4-a4cd87b3642e"],
 " are the initially unknown eigenvalues. "
}], "Text",
 CellChangeTimes->{{3.6980643158382363`*^9, 3.698064660520053*^9}, {
   3.6980647083496337`*^9, 3.698064708503659*^9}, {3.6980649334095564`*^9, 
   3.698064955163848*^9}, {3.7017120163903303`*^9, 3.701712043590151*^9}, {
   3.7022203561959324`*^9, 3.702220356803564*^9}, {3.7041289625711875`*^9, 
   3.704128986878364*^9}, 3.704129021749271*^9, {3.7042119083316507`*^9, 
   3.704211914989317*^9}, {3.704553095557309*^9, 3.70455312511957*^9}, {
   3.7101608821344585`*^9, 3.7101609199980545`*^9}, {3.7101609710663524`*^9, 
   3.710161009347189*^9}, {3.744382557328521*^9, 3.744382560357528*^9}, {
   3.7450689697627635`*^9, 3.7450689804740934`*^9}, {3.7451496122435865`*^9, 
   3.7451496133946133`*^9}, 3.7474104651966953`*^9},
 CellTags->
  "DirichletCondition",ExpressionUUID->"a010d762-3807-44ee-b918-4dc87b2d527b"],

Cell[TextData[{
 "Consider the eigenvalue equation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
     RowBox[{"\[Lambda]", " ", 
      RowBox[{"y", "[", "x", "]"}]}]}], "\[Equal]", "0"}], TraditionalForm]],
  ExpressionUUID->"c6038959-bdc0-43fc-9b12-85a413ccf168"],
 ". This can be rearranged into the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     RowBox[{
      RowBox[{"y", "''"}], "[", "x", "]"}]}], "=", 
    RowBox[{"\[Lambda]y", "[", "x", "]"}]}], TraditionalForm]],ExpressionUUID->
  "6e69191d-59df-48f8-849c-35361b95a6bb"],
 ". Therefore, you can see that the operator ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["O", "^"], TraditionalForm]],
  FontSize->16,ExpressionUUID->"ca40804b-403d-4338-8a59-a34f4767d572"],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox["d", "2"], 
     SuperscriptBox["dx", "2"]]}], TraditionalForm]],
  FontSize->16,ExpressionUUID->"505d469a-9d30-4441-b10f-d0a422cb8f10"],
 ". "
}], "Text",
 CellChangeTimes->{{3.6980643158382363`*^9, 3.698064660520053*^9}, {
   3.6980647083496337`*^9, 3.698064708503659*^9}, {3.6980649334095564`*^9, 
   3.698064955163848*^9}, {3.7017120163903303`*^9, 3.701712043590151*^9}, {
   3.7022203561959324`*^9, 3.702220356803564*^9}, {3.7041289625711875`*^9, 
   3.704128986878364*^9}, 3.704129021749271*^9, {3.7042119083316507`*^9, 
   3.704211914989317*^9}, {3.704553095557309*^9, 3.70455312511957*^9}, {
   3.7101608821344585`*^9, 3.7101609199980545`*^9}, {3.7101609710663524`*^9, 
   3.710161009347189*^9}, {3.744382557328521*^9, 3.744382560357528*^9}, {
   3.7450689697627635`*^9, 3.7450689804740934`*^9}, {3.747410473279855*^9, 
   3.747410498267745*^9}},
 CellTags->
  "DirichletCondition",ExpressionUUID->"bd064a02-b886-4673-9317-104a773ec5d6"],

Cell[TextData[{
 "To use NDEigensystem, you only need the left-hand side of the preceding \
equation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox["O", "^"], 
    RowBox[{"y", "[", "x", "]"}]}], TraditionalForm]],
  FontSize->16,ExpressionUUID->"76491817-54f8-4702-bec3-85e16737a86d"],
 ":"
}], "Text",
 CellChangeTimes->{{3.6980643158382363`*^9, 3.698064660520053*^9}, {
   3.6980647083496337`*^9, 3.698064708503659*^9}, {3.6980649334095564`*^9, 
   3.698064955163848*^9}, {3.7017120163903303`*^9, 3.701712043590151*^9}, {
   3.7022203561959324`*^9, 3.702220356803564*^9}, {3.7041289625711875`*^9, 
   3.704128986878364*^9}, 3.704129021749271*^9, {3.7042119083316507`*^9, 
   3.704211914989317*^9}, {3.704553095557309*^9, 3.70455312511957*^9}, {
   3.7101608821344585`*^9, 3.7101609199980545`*^9}, {3.710160972415468*^9, 
   3.7101609728372307`*^9}, 3.7443825690876646`*^9, {3.7456954160636773`*^9, 
   3.7456954265192695`*^9}, {3.747410504059475*^9, 3.747410532130369*^9}},
 CellTags->
  "DirichletCondition",ExpressionUUID->"d4435bd7-164f-4f76-b5c8-9820810b95bc"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"op", "=", 
   RowBox[{"-", 
    RowBox[{
     RowBox[{"y", "''"}], "[", "x", "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"DirichletCondition", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", "x", "]"}], "==", "0"}], ",", " ", "True"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.704553123223524*^9, 3.7045531232265325`*^9}, {
  3.7071476695287037`*^9, 3.7071476702325306`*^9}},
 CellTags->"DirichletCondition",
 CellLabel->"In[74]:=",ExpressionUUID->"54b50b80-5663-4144-8743-d5f0db598f3e"],

Cell[TextData[{
 "Using ",
 StyleBox[ButtonBox["DirichletCondition",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DirichletCondition"],
  FontWeight->"Bold"],
 " is a convenient way to specify that the function is zero at all \
boundaries. The first argument of DirichletCondition defines the value of the \
function on the boundary, while the second argument being ",
 StyleBox[ButtonBox["True",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/True"],
  FontWeight->"Bold"],
 " says that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", "[", "x", "]"}], "==", "0"}], TraditionalForm]],
  ExpressionUUID->"c4b0dfcb-1876-4005-a6b7-df5668822628"],
 " on all boundaries. "
}], "Text",
 CellChangeTimes->{{3.6980643158382363`*^9, 3.698064660520053*^9}, {
   3.6980647083496337`*^9, 3.698064708503659*^9}, {3.6980649334095564`*^9, 
   3.698064955163848*^9}, {3.7017120163903303`*^9, 3.701712043590151*^9}, {
   3.7022203561959324`*^9, 3.702220356803564*^9}, {3.7041289625711875`*^9, 
   3.704128986878364*^9}, 3.704129021749271*^9, {3.7042119083316507`*^9, 
   3.704211914989317*^9}, {3.704553095557309*^9, 3.7045531160144396`*^9}, {
   3.7045531574382544`*^9, 3.704553160376913*^9}, {3.741604455152405*^9, 
   3.741604493994596*^9}, {3.7443825780553923`*^9, 3.7443826117887735`*^9}, 
   3.7450690067837706`*^9, {3.7456803080887175`*^9, 3.7456803467287755`*^9}, {
   3.745695431088339*^9, 3.7456954722179565`*^9}, {3.7457581957680664`*^9, 
   3.7457582033481493`*^9}, {3.746892750342366*^9, 3.7468927515987186`*^9}, {
   3.74741054289986*^9, 3.747410554042864*^9}, {3.7599252071462417`*^9, 
   3.7599252085960245`*^9}},
 CellTags->
  "DirichletCondition",ExpressionUUID->"bc83dd2e-71ea-49e7-bd43-93986ef3df7d"],

Cell["\<\
Use NDEigensystem to solve the problem, with the last argument specifying how \
many eigenvalues and functions to find:\
\>", "Text",
 CellChangeTimes->{{3.6980643158382363`*^9, 3.698064660520053*^9}, {
   3.6980647083496337`*^9, 3.698064708503659*^9}, {3.6980649334095564`*^9, 
   3.698064955163848*^9}, {3.7017120163903303`*^9, 3.701712043590151*^9}, {
   3.7022203561959324`*^9, 3.702220356803564*^9}, {3.7041289625711875`*^9, 
   3.704128986878364*^9}, 3.704129021749271*^9, {3.7042119083316507`*^9, 
   3.704211914989317*^9}, {3.704553095557309*^9, 3.7045531160144396`*^9}, {
   3.7045531574382544`*^9, 3.704553160376913*^9}, {3.741604455152405*^9, 
   3.741604493994596*^9}, {3.7443825780553923`*^9, 3.7443826117887735`*^9}, 
   3.7450690067837706`*^9, {3.7456803080887175`*^9, 3.7456803467287755`*^9}, {
   3.745695431088339*^9, 3.7456954722179565`*^9}, {3.7457581957680664`*^9, 
   3.7457582033481493`*^9}, 3.746892750342366*^9, {3.7474105607377234`*^9, 
   3.747410566689073*^9}},
 CellTags->
  "DirichletCondition",ExpressionUUID->"e41d2072-b4ab-4ef6-a1a5-b2b05e349aa6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"values", ",", "functions"}], "}"}], "=", 
  RowBox[{"NDEigensystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"op", ",", "cond"}], "}"}], ",", 
    RowBox[{"y", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", "4"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.694958519850443*^9, 3.694958520082058*^9}, {
  3.6980628487885303`*^9, 3.6980628690683117`*^9}, {3.6980630476278505`*^9, 
  3.698063052219028*^9}, {3.6980646679119577`*^9, 3.6980646688326693`*^9}, {
  3.698064972465871*^9, 3.698064986899387*^9}, {3.7045531317270346`*^9, 
  3.7045531374883184`*^9}, {3.7071476660807886`*^9, 3.7071476670001755`*^9}},
 CellTags->"NDEigensystem",
 CellLabel->"In[76]:=",ExpressionUUID->"5bfe2d3b-9f69-4c06-9d87-6b5096a4b521"],

Cell[TextData[{
 "The output from NDEigensystem contains two parts. The first part is the \
list of eigenvalues. These are the values of ",
 Cell[BoxData[
  FormBox["\[Lambda]", TraditionalForm]],ExpressionUUID->
  "a40321d7-f55d-4e0c-8927-df50909f2fe4"],
 " for the corresponding solutions. The solutions themselves are in the \
second part of the output."
}], "Text",
 CellChangeTimes->{{3.6980647715745125`*^9, 3.698064837085746*^9}, {
   3.70765222768886*^9, 3.7076523324881287`*^9}, {3.7076524593118696`*^9, 
   3.7076524594622335`*^9}, {3.710161342268899*^9, 3.7101613425251513`*^9}, 
   3.7443825953341784`*^9, {3.7456954457821407`*^9, 3.745695454209396*^9}, {
   3.747410571473693*^9, 
   3.747410577335888*^9}},ExpressionUUID->"54c768fa-9d6c-4370-b204-\
ab9ec8c42f92"],

Cell[TextData[{
 "Plotting the solutions shows that they all display the desired property of \
going to zero both at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "84998468-4082-4bf8-85f3-5e9b2a0352b1"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "10"}], TraditionalForm]],ExpressionUUID->
  "ed31a470-b31f-45b5-9292-8113ec0acef5"],
 ": "
}], "Text",
 CellChangeTimes->{{3.698064680550922*^9, 3.6980646983237505`*^9}, {
  3.747410586343383*^9, 
  3.747410594008442*^9}},ExpressionUUID->"69de3f88-e5bd-4a32-85f0-\
08a24801d98e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"legend", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<\[Lambda] = \>\"", ",", 
        RowBox[{"values", "[", 
         RowBox[{"[", "#", "]"}], "]"}]}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "4", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", "functions", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", "legend"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7017122916716847`*^9, 3.701712403585026*^9}, {
  3.701712496035799*^9, 3.7017125044791856`*^9}, {3.7017126983485336`*^9, 
  3.701712710309206*^9}, {3.701771089957571*^9, 3.7017711104126225`*^9}, {
  3.702402846533852*^9, 3.7024028678807316`*^9}},
 CellLabel->"In[77]:=",ExpressionUUID->"fd2f011a-18d8-45bd-b990-75db824243bb"],

Cell["\<\
For further information on the methods and options of NDEigensystem, see the \
documentation. \
\>", "Text",
 CellChangeTimes->{{3.710161325018372*^9, 3.710161338057238*^9}, {
  3.74160479228836*^9, 3.7416048099131837`*^9}, {3.747410612018133*^9, 
  3.7474106163439007`*^9}},ExpressionUUID->"607ae244-bc24-4fab-9d36-\
ad4ca4cf63aa"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.74569160030958*^9, 
  3.745691603826866*^9}},ExpressionUUID->"4bf255c6-7e69-4621-9cf5-\
1cb7417b3358"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "In the output of NDEigensystem, which part represents the \
eigenvalues?", {{"Second part", "Wrong: This part consists of solutions"}, {
                  "First part", "Correct"}, {
                  "Third part", 
                   "Wrong: The output from NDEigensystem contains two \
parts"}, {"None of the above", "Wrong"}}, 2}}]]), Method -> "Preemptive", 
          PassEventsDown -> Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "Second part", 1 -> Column[{
                  Style[
                   TextCell["Second part", TextAlignment -> Left], "Text", 
                   Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Wrong: This part consists of solutions", TextAlignment -> 
                    Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "Second part", 3 -> 
               "Second part", 4 -> "Second part"}, {
              0 -> "First part", 1 -> "First part", 2 -> Column[{
                  Style[
                   TextCell["First part", TextAlignment -> Left], "Text", 
                   Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 3 -> "First part", 4 -> 
               "First part"}, {
              0 -> "Third part", 1 -> "Third part", 2 -> "Third part", 3 -> 
               Column[{
                  Style[
                   TextCell["Third part", TextAlignment -> Left], "Text", 
                   Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Wrong: The output from NDEigensystem contains two parts", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 4 -> "Third part"}, {
              0 -> "None of the above", 1 -> "None of the above", 2 -> 
               "None of the above", 3 -> "None of the above", 4 -> Column[{
                  Style[
                   TextCell["None of the above", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"In the output of NDEigensystem, which part represents \
the eigenvalues?\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{0 -> "\"Second part\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["Second part", TextAlignment -> Left], 
                    TextCell["Second part", TextAlignment -> Left]], "Text", 
                    Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Wrong: This part consists of solutions", TextAlignment -> 
                    Left], 
                    TextCell[
                    "Wrong: This part consists of solutions", TextAlignment -> 
                    Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"Second part\"", 3 -> "\"Second part\"",
                     4 -> "\"Second part\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"First part\"", 1 -> "\"First part\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["First part", TextAlignment -> Left], 
                    TextCell["First part", TextAlignment -> Left]], "Text", 
                    Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> "\"First part\"", 4 -> "\"First part\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"Third part\"", 1 -> "\"Third part\"", 2 -> 
                    "\"Third part\"", 3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["Third part", TextAlignment -> Left], 
                    TextCell["Third part", TextAlignment -> Left]], "Text", 
                    Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Wrong: The output from NDEigensystem contains two parts",
                     TextAlignment -> Left], 
                    TextCell[
                    "Wrong: The output from NDEigensystem contains two parts",
                     TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> "\"Third part\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"None of the above\"", 1 -> 
                    "\"None of the above\"", 2 -> "\"None of the above\"", 3 -> 
                    "\"None of the above\"", 4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["None of the above", TextAlignment -> Left], 
                    TextCell["None of the above", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"48e6bde2-da22-4f27-80a0-4c84a9340df1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"9ca1e8c9-f875-4ebc-97d1-2e85fb8a5ef0"],

Cell[CellGroupData[{

Cell["Summary", "Section",
 CellChangeTimes->{{3.6965992487389684`*^9, 
  3.6965992495813627`*^9}},ExpressionUUID->"b8213524-3121-4ce3-b604-\
51a578e90f4f"],

Cell["\<\
The Wolfram Language is a powerful tool for working with and solving \
differential equations. This section of the course covered:\
\>", "Text",
 CellChangeTimes->{{3.6997844377087812`*^9, 3.699784514458338*^9}, {
   3.699784574642163*^9, 3.6997845968648343`*^9}, {3.6997854316649942`*^9, 
   3.699785527085827*^9}, {3.699785561574854*^9, 3.6997855980781927`*^9}, {
   3.6997856936113186`*^9, 3.699785694897779*^9}, {3.6997857735604153`*^9, 
   3.6997857745459523`*^9}, {3.6997858090393934`*^9, 3.699785809231949*^9}, {
   3.6997858795828304`*^9, 3.6997858954504056`*^9}, {3.7004135772345495`*^9, 
   3.70041357766782*^9}, 3.7010148985610456`*^9, 3.7010149421306343`*^9, {
   3.7023130894891977`*^9, 3.7023131199383106`*^9}, {3.7023132735968266`*^9, 
   3.702313279188965*^9}, {3.7028171229982777`*^9, 3.7028171268534613`*^9}, {
   3.7047106328603225`*^9, 3.7047106349387083`*^9}, {3.7047304747408113`*^9, 
   3.7047304758046618`*^9}, {3.705240342547925*^9, 3.7052403438503966`*^9}, 
   3.7415277454898596`*^9, {3.7416019066259184`*^9, 3.741601912049302*^9}, {
   3.7456749342750654`*^9, 3.7456749431795497`*^9}, {3.747410625519657*^9, 
   3.7474106283435183`*^9}},ExpressionUUID->"5a4de6cc-1ba3-4df9-884b-\
cf45266a9247"],

Cell[CellGroupData[{

Cell["\<\
How to specify the numerical method used to solve an equation\
\>", "Item",
 CellChangeTimes->{{3.743415896693081*^9, 3.7434158990210266`*^9}, 
   3.744382269657625*^9, {3.7450899941596594`*^9, 3.7450899968558264`*^9}, {
   3.7451487612352157`*^9, 3.745148762419346*^9}, {3.7451490704546947`*^9, 
   3.7451490853762236`*^9}, {3.7456749945532227`*^9, 3.745675053856841*^9}, {
   3.74619049104347*^9, 3.746190497867347*^9}, {3.746198376126918*^9, 
   3.746198396125828*^9}, 
   3.747589048072949*^9},ExpressionUUID->"0404292b-873e-43bb-9c6d-\
ea08c8b24027"],

Cell["Working with stiffness in differential equations", "Item",
 CellChangeTimes->{{3.7443815273656797`*^9, 3.7443815381732984`*^9}, {
   3.7451491397832475`*^9, 3.7451491457660456`*^9}, 3.7456750530800085`*^9, {
   3.746197090362355*^9, 3.746197099967741*^9}, 
   3.747589048856913*^9},ExpressionUUID->"fa59f894-2110-468a-946a-\
0138d4ce6bc9"],

Cell["Including events in solutions of differential equations", "Item",
 CellChangeTimes->{{3.741526929808565*^9, 3.741526935936621*^9}, 
   3.741526998976746*^9, 3.7416019533199778`*^9, {3.7456750436962194`*^9, 
   3.7456750516961784`*^9}, {3.7461971044726543`*^9, 
   3.7461971149593987`*^9}, {3.7474106370549726`*^9, 3.747410637310796*^9}, 
   3.74758904967295*^9},ExpressionUUID->"4c2fa514-94c3-4dd9-a37f-\
190adfbd6dcc"],

Cell["Solving boundary value problems with the shooting method", "Item",
 CellChangeTimes->{{3.741526929808565*^9, 3.741526935936621*^9}, 
   3.741526998976746*^9, 3.7416019533199778`*^9, {3.7456750436962194`*^9, 
   3.7456750765678177`*^9}, {3.746198406461173*^9, 3.746198413422592*^9}, {
   3.7475890503927727`*^9, 
   3.7475890507769413`*^9}},ExpressionUUID->"6e986367-bd17-4461-9b8d-\
0cd4ec7feea9"],

Cell["Solving eigenvalue problems with NDEigensystem", "Item",
 CellChangeTimes->{{3.741526961616701*^9, 3.7415269946963987`*^9}, 
   3.741601955751644*^9, 3.7443815049101763`*^9, {3.745090007936133*^9, 
   3.745090024947164*^9}, {3.7456750796158676`*^9, 3.745675081080769*^9}, {
   3.7456954935653353`*^9, 3.745695500721263*^9}, {3.747410642671175*^9, 
   3.74741064337672*^9}, 
   3.747589051664834*^9},ExpressionUUID->"4bcb7955-650c-46b7-b3ef-\
10acc9766ed4"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"23dd2b99-5245-4556-a1bd-1ee075849afc"],

Cell[CellGroupData[{

Cell["Further Reading", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
   3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
   3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
   3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
   3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
   3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
   3.6979735021092463`*^9}, {3.69798109016687*^9, 3.697981091004078*^9}, {
   3.708265751796924*^9, 3.708265752619136*^9}, {3.7144067825687704`*^9, 
   3.7144067835754595`*^9}, 
   3.741525873810676*^9},ExpressionUUID->"aeab7b72-7153-4c30-9519-\
4e03edb29e1d"],

Cell[CellGroupData[{

Cell["Tutorials", "Subsubsection",
 CellChangeTimes->{{3.714405985696325*^9, 
  3.714405986823271*^9}},ExpressionUUID->"1a5a30d2-382a-4a46-9a49-\
d4aeeb0faff3"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Advanced Numerical Differential Equation \
Solving in the Wolfram Language",
 BaseStyle->"Link",
 ButtonData->"paclet:/tutorial/NDSolveOverview"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406060052807*^9, 
  3.714406080797447*^9}},ExpressionUUID->"99aeb3a0-15f1-4444-be5f-\
b89f792dd9c0"],

Cell[TextData[StyleBox[ButtonBox["Numerical Solution of Differential \
Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/tutorial/NumericalSolutionOfDifferentialEquations"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.71440612863583*^9, 
  3.71440614893038*^9}},ExpressionUUID->"98b5fe2f-0508-4e83-a360-\
d906fdf7a5ad"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Guides", "Subsubsection",
 CellChangeTimes->{{3.7144059889741535`*^9, 
  3.714405989606649*^9}},ExpressionUUID->"3f36a200-a2bd-4d73-ac42-\
0aacc8b9a60b"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Differential Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/DifferentialEquations"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406407574521*^9, 
  3.714406427546213*^9}},ExpressionUUID->"43400bf7-46b9-4580-99f2-\
6997bc91a98e"],

Cell[TextData[StyleBox[ButtonBox["Partial Differential Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/PDEModelingAndAnalysis"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406443981762*^9, 
  3.7144064644947853`*^9}},ExpressionUUID->"ee96e8b3-7192-4a0f-9ea2-\
6f16b6a41ab7"],

Cell[TextData[StyleBox[ButtonBox["Differential Operators",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/DifferentialOperators"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.7144065370042577`*^9, 
  3.71440655565952*^9}},ExpressionUUID->"0a01fc83-2afb-4103-a80a-\
80f8b08ae278"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Glossary", "Subsection",
 CellChangeTimes->{{3.714406018630274*^9, 
  3.7144060199898577`*^9}},ExpressionUUID->"b41bda35-4c7f-4757-901d-\
3d8f7c1ef8ff"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     ButtonBox[
      StyleBox["\<\"DirichletCondition\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["DirichletCondition"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"ExplicitRungeKutta\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"ExplicitRungeKutta\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"ImplicitRungeKutta\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"ImplicitRungeKutta\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"NDEigensystem\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["NDEigensystem"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"NDSolve\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["NDSolve"],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox["\<\"NDSolveValue\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["NDSolveValue"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"ParametricPlot\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["ParametricPlot"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"Shooting\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"Shooting\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"StartingInitialConditions\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"StartingInitialConditions\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"StiffnessSwitching\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"StiffnessSwitching\""],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox["\<\"\\\"StopIntegration\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"StopIntegration\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"TraditionalForm\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["TraditionalForm"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"WhenEvent\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["WhenEvent"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     StyleBox["\"\<\>\"",
      StripOnInput->False,
      ShowContents->False], 
     StyleBox["\"\<\>\"",
      StripOnInput->False,
      ShowContents->False]}
   },
   AutoDelete->False,
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxFrame->{"Columns" -> False, "Rows" -> False},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Input",ExpressionUUID->"e4d311fc-0627-4ae4-9ae8-eab899e80d86"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"3121afe9-7adb-4971-bdf1-bf631e835118"],

Cell[CellGroupData[{

Cell["Exercises", "Section",
 CellChangeTimes->{{3.7586176266801195`*^9, 
  3.758617628382313*^9}},ExpressionUUID->"a4f80fca-d4b0-4f8f-aea1-\
6faec91aa7dd"],

Cell[TextData[{
 "In the syntax ",
 Cell[BoxData[
  RowBox[{"NDSolve", "[", 
   RowBox[{Cell[BoxData[
     RowBox[{
      StyleBox["eqns", "TI"], ",", 
      StyleBox["u", "TI"], ",", 
      RowBox[{"{", 
       RowBox[{
        StyleBox["x", "TI"], ",", 
        SubscriptBox[
         StyleBox["x", "TI"], 
         StyleBox["min", "TI"]], ",", 
        SubscriptBox[
         StyleBox["x", "TI"], 
         StyleBox["max", "TI"]]}], "}"}]}]],
     FontFamily->"Source Sans Pro",ExpressionUUID->
     "5345b6ec-b8bc-4ba4-ba8e-79b8b86ea995"], ",", 
    RowBox[{
     StyleBox["Method",
      FontSlant->"Italic"], "\[Rule]", 
     StyleBox["m",
      FontSlant->"Italic"]}]}], "]"}]], "Input",ExpressionUUID->
  "294c6861-ccad-41e5-abc4-c75d2ec14148"],
 ", by default the method ",
 Cell[BoxData["m"], "Input",
  FontSlant->"Italic",ExpressionUUID->"a67810d0-7aec-4ff6-8f23-f7dedc1968cc"],
 " is used for which solution stage during the computation?"
}], "ItemNumbered",
 CellChangeTimes->{{3.758617653530121*^9, 3.758617656337614*^9}, {
  3.759855226197609*^9, 
  3.759855230918674*^9}},ExpressionUUID->"1e2a242c-76b5-40b5-bae0-\
38fd839efe8e"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>CreateDocument[
    Cell["\[OpenCurlyDoubleQuote]TimeIntegration\[CloseCurlyDoubleQuote]", 
     "Text", CellChangeTimes -> {{3.758239683207309*^9, 
      3.758239688807157*^9}}], WindowTitle -> "Solution", 
    WindowSize -> {800, 600}],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"9d3bf71d-173d-4dd3-96ec-83d3dc524f54"],

Cell["Among implicit and explicit methods, which one is slow?", "ItemNumbered",
 CellChangeTimes->{
  3.758617714842988*^9},ExpressionUUID->"dc3a7bbc-85ad-44fe-aa85-\
ed6b4b1c2f87"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>CreateDocument[
    Cell["Implicit method", "Text", 
     CellChangeTimes -> {{3.758617720207353*^9, 3.7586177224560966`*^9}}], 
    WindowTitle -> "Solution", WindowSize -> {800, 600}],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"c29b96c6-98a5-456f-9f52-e48bf0aca8de"],

Cell["\<\
Consider the following differential equation along with boundary conditions:\
\>", "ItemNumbered",
 CellChangeTimes->{
  3.758617751660744*^9},ExpressionUUID->"7d188c64-4ae5-497c-a3f3-\
f567ab56af29"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"y", "''"}], "[", "t", "]"}], " ", "+", " ", 
    RowBox[{"Sin", "[", 
     RowBox[{"y", "[", "t", "]"}], "]"}]}], " ", "\[Equal]", " ", "0"}], ",", 
  " ", 
  RowBox[{
   RowBox[{
    RowBox[{"y", "'"}], "[", "0", "]"}], " ", "\[Equal]", " ", "0"}], ",", 
  " ", 
  RowBox[{
   RowBox[{"y", "[", "0", "]"}], " ", "\[Equal]", " ", "1"}]}]], "Input",Expre\
ssionUUID->"2c3a7b5e-e773-40b2-92c0-9ed3a3d1fe3c"],

Cell[TextData[{
 "Find its solution up to the first point at which the solution ",
 Cell[BoxData[
  RowBox[{"y", "[", "t", "]"}]], "Output",ExpressionUUID->
  "e16736ab-eed8-4ca4-a685-f18aaf10146e"],
 " attains zero value."
}], "Text",
 CellChangeTimes->{{3.7582454346780586`*^9, 3.758245501971968*^9}, {
   3.758245598094746*^9, 3.7582456018215976`*^9}, 
   3.759855172156301*^9},ExpressionUUID->"46b905db-c9a3-4157-8cd8-\
68c8ee94bb4c"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>CreateDocument[
    Cell[
     BoxData[
      RowBox[{"NDSolve", "[", 
        RowBox[{
          RowBox[{"{", 
            RowBox[{
              RowBox[{
                RowBox[{
                  RowBox[{
                    RowBox[{"y", "''"}], "[", "t", "]"}], " ", "+", " ", 
                  RowBox[{"Sin", "[", 
                    RowBox[{"y", "[", "t", "]"}], "]"}]}], " ", "\[Equal]", 
                " ", "0"}], ",", " ", 
              RowBox[{
                RowBox[{
                  RowBox[{"y", "'"}], "[", "0", "]"}], " ", "\[Equal]", " ", 
                "0"}], ",", " ", 
              RowBox[{
                RowBox[{"y", "[", "0", "]"}], " ", "\[Equal]", " ", "1"}], 
              ",", " ", 
              RowBox[{"WhenEvent", "[", 
                RowBox[{
                  RowBox[{
                    RowBox[{"y", "[", "t", "]"}], "\[Equal]", "0"}], ",", 
                  "\"StopIntegration\""}], "]"}]}], "}"}], ",", "y", ",", 
          RowBox[{"{", 
            RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"], 
    WindowTitle -> "Solution", WindowSize -> {800, 600}],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"c618273c-8543-49fe-97a6-35829cbc4b78"]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
ScreenStyleEnvironment->"SlideShow",
WindowSize->{1024, 768},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Ordinary Differential Equations and Events",
TaggingRules->{
 "PresenterSettings" -> {
   "ShowToolbar" -> True, "ShowNavigationBar" -> True, 
    "SlideBreakStyles" -> {"Title", "Chapter", "Section"}, "ShowSlideBreaks" -> 
    True, "Theme" -> {
     "ThemeName" -> "Default", "FontSetName" -> "Default", "ColorSetName" -> 
      "Default", "Name" -> "Default", 
      "FontSet" -> {
       "Display1" -> "Source Sans Pro", "Display2" -> "Source Sans Pro", 
        "Display3" -> "Source Sans Pro", "Text1" -> "Source Sans Pro", 
        "Text2" -> "Source Sans Pro", "Text3" -> "Source Sans Pro", "Dingbat" -> 
        "Source Sans Pro", "Default" -> "Source Sans Pro"}, 
      "ColorSet" -> {
       "Display1" -> RGBColor[0.866667, 0.0666667, 0], "Display2" -> 
        RGBColor[0.968627, 0.466667, 0], "Display3" -> 
        RGBColor[0.992157, 0.376471, 0.32549], "Text1" -> GrayLevel[0.388235],
         "Text2" -> GrayLevel[1], "Text3" -> GrayLevel[0], "Text1Reverse" -> 
        GrayLevel[0.75], "Text2Reverse" -> GrayLevel[0.75], "Text3Reverse" -> 
        GrayLevel[0.75], "Dingbat" -> RGBColor[0.866667, 0.0666667, 0], 
        "Default" -> GrayLevel[0.388235], "Background" -> 
        RGBColor[0.866667, 0.0666667, 0]}}, 
    "PresenterControlsPalette" -> {"PaletteNumber" -> 0}, 
    "WindowSize" -> {1920, 997}, "WindowMargins" -> {{-8, -8}, {-16, 0}}, 
    "PresenterToolsSlideshowPresentationToolbar" -> True, 
    "PresenterToolsPresentationToolbar" -> False, 
    "UserModifications" -> {{"Text", FontWeight -> "Bold"}, {
      "Text", FontFamily -> "Aldhabi"}}}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> 
     FrontEnd`FileName[{"PresenterTools"}, "Default.nb", CharacterEncoding -> 
       "UTF-8"]]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WolframULogo"], CellGroupingRules -> "GraphicsGrouping", 
          PageBreakWithin -> False, GeneratedCell -> True, CellAutoOverwrite -> 
          True, ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, LanguageCategory -> "NaturalLanguage", 
          FormatType -> StandardForm, ShowStringCharacters -> False, 
          FrontFaceColor -> GrayLevel[0], FrontFaceOpacity -> 1, 
          GraphicsColor -> GrayLevel[0], PointSize -> Absolute[3], Thickness -> 
          Medium, Opacity -> 1, DrawEdges -> False, StyleMenuListing -> None, 
          FontFamily -> "Arial", FontSize -> 10, FontWeight -> "Plain", 
          FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["WolframULogo", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
            0.5, 0.12 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Working", StyleDefinitions -> 
           StyleData["WolframULogo", "SlideShow"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]], 
          CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Title", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], FontFamily -> "Source Sans Pro", FontSize -> 
             81, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[
              0.09019607843137255, 0.1607843137254902, 0.25882352941176473`]], 
            Cell[
             StyleData["Title", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.11 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 81], 
            Cell[
             StyleData[
             "Title", "Slideshow Working", StyleDefinitions -> 
              StyleData["Title", "SlideShow"]]], 
            Cell[
             StyleData[
             "Title", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Title", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], FontFamily -> "Source Sans Pro", FontSize -> 
             40, FontWeight -> "Regular", FontSlant -> "Plain", 
             FontVariations -> {"CapsType" -> "AllCaps"}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subtitle", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {50, 12}}, 
             LineSpacing -> {1, 2}, FontSize -> 48], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subtitle", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subtitle", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]]}, Closed]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell["Section", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, FontFamily -> 
             "Source Sans Pro", FontSize -> 70, FontWeight -> "Regular", 
             FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Section", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               26, 0.06 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 40], 
            Cell[
             StyleData[
             "Section", "Slideshow Working", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 40, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
            Cell[
             StyleData["Subsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 20, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subsubsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsubsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]]}, Closed]]}, 
        Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Body Content", "Section", 
       CellChangeTimes -> {{3.727532504641029*^9, 3.727532505736285*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], LineSpacing -> {1, 3}, TabSpacings -> {2.5}, 
          CounterIncrements -> "Text", MenuSortingValue -> 1400, 
          MenuCommandKey -> "7", FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontWeight -> "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["Text", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "Text", "Slideshow Working", StyleDefinitions -> 
           StyleData["Text", "SlideShow"]]], 
         Cell[
          StyleData[
          "Text", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Text", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
          "Note", MenuSortingValue -> 8, FontFamily -> "Source Sans Pro", 
          FontSize -> 12, FontSlant -> "Italic", Background -> 
          GrayLevel[0.85]], 
         Cell[
          StyleData["Note", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> False, 
          HyphenationOptions -> {"HyphenationCharacter" -> "-"}, 
          ParagraphSpacing -> {0, 6}, ParagraphIndent -> -10, 
          StyleMenuListing -> None, FontSize -> 18], 
         Cell[
          StyleData[
          "Note", "Slideshow Working", StyleDefinitions -> 
           StyleData["Note"]]], 
         Cell[
          StyleData[
          "Note", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Note", "SlideShow"]]], 
         Cell[
          StyleData[
          "Note", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Note", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.42745098039215684`, 0.]]], 
         Cell[
          StyleData["Item", "SlideShow"], 
          CellMargins -> {{
            0.165 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Item", "Slideshow Working", StyleDefinitions -> 
           StyleData["Item", "SlideShow"]]], 
         Cell[
          StyleData[
          "Item", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Item", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          DefaultNewCellStyle -> "Item", MenuSortingValue -> 1600, FontFamily -> 
          Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 14, 
          FontColor -> Dynamic[
            FrontEnd`CurrentValue[{StyleHints, "ColorSet", "Text1"}], 
            None], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemParagraph", "SlideShow"], ShowGroupOpener -> False, 
          CellMargins -> {{
            0.18 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{65, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.592156862745098, 0.10196078431372549`]]], 
         Cell[
          StyleData["Subitem", "SlideShow"], 
          CellMargins -> {{
            0.185 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Working", StyleDefinitions -> 
           StyleData["Subitem", "SlideShow"]]], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Subitem", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemParagraph"], CellMargins -> {{105, 12}, {4, 1}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemParagraph", "Backspace" -> 
            "ItemParagraph", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subitem", 
          MenuSortingValue -> 1610, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 13.5,
           FontColor -> Dynamic[
            
            CurrentValue[{
             StyleHints, "ColorSet", 
              "Text1"}]], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemParagraph", "SlideShow"], 
          CellMargins -> {{
            0.2 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemParagraph", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, 0.1 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{81, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 
          15, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.17 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{105, 12}, {4, 4}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemNumbered", "Backspace" -> 
            "ItemNumbered", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "SubitemNumbered", 
          CounterAssignments -> {{"SubsubitemNumbered", 0}}, MenuSortingValue -> 
          1640, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 
          13.5, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.195 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemNumbered", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics"], CellMargins -> {{27, Inherited}, {15, 15}}, 
          CellGroupingRules -> "GraphicsGrouping", PageBreakWithin -> False, 
          GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
          False, DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Graphics"], 
          AutoStyleOptions -> {"HighlightMisspelledWords" -> False}, 
          LanguageCategory -> "NaturalLanguage", FormatType -> StandardForm, 
          ShowStringCharacters -> False, NumberMarks -> False, 
          CounterIncrements -> "Graphics", 
          ImageMargins -> {{43, Inherited}, {Inherited, 0}}, Arrowheads -> 
          0.04, Dashing -> None, CapForm -> "Square", 
          JoinForm -> {"Miter", 3.25}, LineColor -> GrayLevel[0], LineOpacity -> 
          1, EdgeColor -> GrayLevel[0], EdgeOpacity -> 1, EdgeThickness -> 
          Medium, EdgeDashing -> None, EdgeCapForm -> "Square", 
          EdgeJoinForm -> {"Miter", 3.25}, FrontFaceColor -> GrayLevel[0], 
          FrontFaceOpacity -> 1, GraphicsColor -> GrayLevel[0], PointSize -> 
          Absolute[3], Thickness -> Medium, Opacity -> 1, DrawEdges -> False, 
          StyleMenuListing -> None, FontFamily -> "Arial", FontSize -> 10, 
          FontWeight -> "Plain", FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["Graphics", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {12, 12}}], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Working", StyleDefinitions -> 
           StyleData["Graphics", "SlideShow"]]], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Graphics", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]]}, Closed]], 
      Cell[
       StyleData["Hyperlink"], FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["KeyEvent"], CellFrame -> {{1, 1}, {1, 1}}, 
          CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> 
          GrayLevel[0.8], FontFamily -> "Source Sans Pro", FontColor -> 
          GrayLevel[0.360784], Background -> GrayLevel[0.964706]], 
         Cell[
          StyleData["KeyEvent", "SlideShow"]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Working", StyleDefinitions -> 
           StyleData["KeyEvent", "SlideShow"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]]}, Closed]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          FontSize -> 13], 
         Cell[
          StyleData["Input", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Input", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "Input", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Input", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExperimentalInput", StyleDefinitions -> StyleData["Input"]], 
          CellFrame -> True, CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          CellFrameColor -> 
          RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               InterpretationBox[
                Cell[
                 BoxData[
                  RotationBox[
                  "Experimental", BoxRotation -> 1.5707963267948966`]], 
                 "Text", LineColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FrontFaceColor -> 
                 RGBColor[
                  1., 0.592156862745098, 
                   0.10196078431372549`], $CellContext`BackFaceColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 GraphicsColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FontSize -> 10, FontColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
                TextCell[
                 Rotate["Experimental", 90 Degree], "Text", 10, 
                 $CellContext`RGBColorRGBColor[
                 1., 0.592156862745098, 0.10196078431372549`]]]]], None}, {
            None, None}}, FontSize -> 13], 
         Cell[
          StyleData["ExperimentalInput", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{66, 10}, {7, 8}}, FontSize -> 
          13], 
         Cell[
          StyleData["InputOnly", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Working", StyleDefinitions -> 
           StyleData["InputOnly", "SlideShow"]]], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "InputOnly", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"]], 
         Cell[
          StyleData["Code", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Code", "Slideshow Working", StyleDefinitions -> 
           StyleData["Code", "SlideShow"]]], 
         Cell[
          StyleData[
          "Code", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Code", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{66, 10}, {12, 5}}, FontSize -> 
          13], 
         Cell[
          StyleData["Output", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {15, 8}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Output", "Slideshow Working", StyleDefinitions -> 
           StyleData["Output", "SlideShow"]]], 
         Cell[
          StyleData[
          "Output", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Output", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]]}, Closed]]}, Open]]}, 
  Visible -> False, FrontEndVersion -> 
  "12.0 for Mac OS X x86 (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[636, 23, 136, 2, 2, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
   CellTags->"SlideShowHeader"],
  Cell[16569, 303, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"150d5b10-b97a-4702-a374-c645ba64169d",
   CellTags->"SlideShowHeader"],
  Cell[20895, 415, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"a27200fe-1b50-498e-b392-d66b3dcc48e5",
   CellTags->"SlideShowHeader"],
  Cell[61220, 1325, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"78a387f1-e8d2-4757-af5e-b3ec5548a39e",
   CellTags->"SlideShowHeader"],
  Cell[89014, 1942, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"b4b172b5-cf91-4ea8-897e-383c724aa35e",
   CellTags->"SlideShowHeader"],
  Cell[96821, 2133, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"9681d24b-d3b8-47ef-bc69-3181c51fba26",
   CellTags->"SlideShowHeader"],
  Cell[133973, 2992, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"e067f55d-043b-4cad-b53b-2922f51aa3ff",
   CellTags->"SlideShowHeader"],
  Cell[166749, 3725, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"234a7b4a-125f-45f0-8e75-62b3856faf9b",
   CellTags->"SlideShowHeader"],
  Cell[200277, 4467, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"9ca1e8c9-f875-4ebc-97d1-2e85fb8a5ef0",
   CellTags->"SlideShowHeader"],
  Cell[204113, 4549, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"23dd2b99-5245-4556-a1bd-1ee075849afc",
   CellTags->"SlideShowHeader"],
  Cell[210929, 4753, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"3121afe9-7adb-4971-bdf1-bf631e835118",
   CellTags->"SlideShowHeader"]},
 "NDSolve"->{
  Cell[23262, 459, 1839, 54, 92, "Input",ExpressionUUID->"3b1a49a8-54fc-46bd-9263-9d50be4f1315",
   CellTags->"NDSolve"]},
 "\"ImplicitRungeKutta\""->{
  Cell[30193, 639, 1292, 33, 52, "Input",ExpressionUUID->"76c08b14-6d13-4aee-ac87-dbc4f833f882",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"\"ImplicitRungeKutta\""],
  Cell[66971, 1469, 1050, 23, 30, "Input",ExpressionUUID->"d8014fc1-982a-4258-b502-2f3df09de6b8",
   CellTags->"\"ImplicitRungeKutta\""]},
 "answer"->{
  Cell[37352, 833, 23819, 486, 272, "Text",ExpressionUUID->"0880992c-00e6-4f2a-8171-4f723c5d7ed7",
   CellTags->"answer"],
  Cell[70501, 1550, 18464, 386, 220, "Text",ExpressionUUID->"30df7ec0-5a6c-4518-b618-032a462d600c",
   CellTags->"answer"],
  Cell[113416, 2555, 20508, 431, 246, "Text",ExpressionUUID->"b3845f09-84d5-4c3a-a71b-40d055fda1cf",
   CellTags->"answer"],
  Cell[145841, 3278, 20859, 441, 246, "Text",ExpressionUUID->"55d0d8c8-24c2-4504-82e2-53847013ebd9",
   CellTags->"answer"],
  Cell[180384, 4042, 19844, 419, 246, "Text",ExpressionUUID->"48e6bde2-da22-4f27-80a0-4c84a9340df1",
   CellTags->"answer"]},
 "\"ExplicitRungeKutta\""->{
  Cell[65563, 1437, 1100, 23, 30, "Input",ExpressionUUID->"08272643-bafb-4581-ad5a-b2f0785f71cf",
   CellTags->"\"ExplicitRungeKutta\""]},
 "\"StiffnessSwitching\""->{
  Cell[68711, 1508, 1051, 23, 30, "Input",ExpressionUUID->"721db5dd-f44d-461c-87f6-0811749aeeda",
   CellTags->"\"StiffnessSwitching\""]},
 "WhenEvent"->{
  Cell[92329, 2009, 1734, 51, 136, "Input",ExpressionUUID->"1a43e4a3-9fc1-4148-a8d9-4d23df133ed1",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"WhenEvent"]},
 "TraditionalForm"->{
  Cell[99664, 2203, 1234, 36, 54, "Input",ExpressionUUID->"1f94821f-5a0e-4a48-ae8e-1d025960ee0c",
   CellGroupingRules->{"GroupTogetherGrouping", 10001.},
   CellTags->"TraditionalForm"]},
 "\"StopIntegration\""->{
  Cell[105580, 2363, 2616, 60, 136, "Input",ExpressionUUID->"1be07593-deb0-4ab9-bd2c-c35b5265fbc8",
   CellGroupingRules->{"GroupTogetherGrouping", 10002.},
   CellTags->"\"StopIntegration\""]},
 "ParametricPlot"->{
  Cell[111544, 2512, 1656, 34, 52, "Input",ExpressionUUID->"1b0591e8-a131-4232-aaf5-6f089fb69cf7",
   CellGroupingRules->{"GroupTogetherGrouping", 10002.},
   CellTags->"ParametricPlot"]},
 "NDSolveValue"->{
  Cell[135217, 3020, 1251, 37, 94, "Input",ExpressionUUID->"736fe0ad-ccfa-4036-a790-65cc135ed63e",
   CellTags->"NDSolveValue"]},
 "\"StartingInitialConditions\""->{
  Cell[139471, 3130, 1536, 26, 57, "Text",ExpressionUUID->"277133ca-b0f7-46de-8d93-36dcf7ecfd6f",
   CellTags->"\"StartingInitialConditions\""]},
 "\"Shooting\""->{
  Cell[142972, 3201, 2646, 70, 178, "Input",ExpressionUUID->"17f18ba9-96de-4cc8-b615-859b5631aae6",
   CellTags->"\"Shooting\""]},
 "DirichletCondition"->{
  Cell[167111, 3737, 927, 13, 34, "Text",ExpressionUUID->"aa16f851-bbf2-4749-84de-e22eed7d4b00",
   CellTags->"DirichletCondition"],
  Cell[168041, 3752, 1151, 25, 42, "Text",ExpressionUUID->"3a315fe3-3d23-41c7-be78-69917f88222d",
   CellTags->"DirichletCondition"],
  Cell[169195, 3779, 1202, 23, 37, "Text",ExpressionUUID->"a010d762-3807-44ee-b918-4dc87b2d527b",
   CellTags->"DirichletCondition"],
  Cell[170400, 3804, 1855, 46, 67, "Text",ExpressionUUID->"bd064a02-b886-4673-9317-104a773ec5d6",
   CellTags->"DirichletCondition"],
  Cell[172258, 3852, 1080, 21, 37, "Text",ExpressionUUID->"d4435bd7-164f-4f76-b5c8-9820810b95bc",
   CellTags->"DirichletCondition"],
  Cell[173341, 3875, 569, 16, 52, "Input",ExpressionUUID->"54b50b80-5663-4144-8743-d5f0db598f3e",
   CellTags->"DirichletCondition"],
  Cell[173913, 3893, 1715, 35, 80, "Text",ExpressionUUID->"bc83dd2e-71ea-49e7-bd43-93986ef3df7d",
   CellTags->"DirichletCondition"],
  Cell[175631, 3930, 1090, 17, 34, "Text",ExpressionUUID->"e41d2072-b4ab-4ef6-a1a5-b2b05e349aa6",
   CellTags->"DirichletCondition"]},
 "NDEigensystem"->{
  Cell[176724, 3949, 819, 17, 30, "Input",ExpressionUUID->"5bfe2d3b-9f69-4c06-9d87-6b5096a4b521",
   CellTags->"NDEigensystem"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 248289, 5620},
 {"NDSolve", 249898, 5643},
 {"\"ImplicitRungeKutta\"", 250050, 5646},
 {"answer", 250396, 5652},
 {"\"ExplicitRungeKutta\"", 251048, 5663},
 {"\"StiffnessSwitching\"", 251216, 5666},
 {"WhenEvent", 251371, 5669},
 {"TraditionalForm", 251577, 5673},
 {"\"StopIntegration\"", 251792, 5677},
 {"ParametricPlot", 252008, 5681},
 {"NDSolveValue", 252216, 5685},
 {"\"StartingInitialConditions\"", 252382, 5688},
 {"\"Shooting\"", 252547, 5691},
 {"DirichletCondition", 252703, 5694},
 {"NDEigensystem", 253795, 5711}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[636, 23, 136, 2, 2, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
 CellTags->"SlideShowHeader"],
Cell[775, 27, 14970, 250, 153, "WolframULogo",ExpressionUUID->"059f49ae-49fc-4f44-80e6-ab700841b96e"],
Cell[CellGroupData[{
Cell[15770, 281, 411, 9, 409, "Title",ExpressionUUID->"67909776-9cda-411b-b522-b99ca4b30392"],
Cell[16184, 292, 336, 5, 188, "Subtitle",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16569, 303, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"150d5b10-b97a-4702-a374-c645ba64169d",
 CellTags->"SlideShowHeader"],
Cell[16694, 307, 1189, 38, 127, InheritFromParent,ExpressionUUID->"8effe50c-507e-4c1b-9b81-fed535e065a9"],
Cell[17886, 347, 1357, 20, 34, "Text",ExpressionUUID->"5b01452c-e76f-4222-9e9a-f417de226dae"],
Cell[CellGroupData[{
Cell[19268, 371, 672, 14, 31, "Item",ExpressionUUID->"4bb7b8ce-4b10-4c0e-bc77-d3d1502c4681"],
Cell[19943, 387, 181, 3, 31, "Item",ExpressionUUID->"cc746ebb-a600-4f82-be99-d31345adb676"],
Cell[20127, 392, 235, 4, 31, "Item",ExpressionUUID->"375bdcff-1264-402e-8765-10e3b5696466"],
Cell[20365, 398, 481, 11, 31, "Item",ExpressionUUID->"bcb613a9-cc76-4f0f-9290-b1b5a2e3dd78"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20895, 415, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"a27200fe-1b50-498e-b392-d66b3dcc48e5",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[21042, 421, 1048, 15, 115, "Section",ExpressionUUID->"8d032036-73f7-4367-a83a-de042acea1a0"],
Cell[22093, 438, 1166, 19, 57, "Text",ExpressionUUID->"191b8d8e-e99f-4834-8328-03579b10a438"],
Cell[23262, 459, 1839, 54, 92, "Input",ExpressionUUID->"3b1a49a8-54fc-46bd-9263-9d50be4f1315",
 CellTags->"NDSolve"],
Cell[25104, 515, 1229, 19, 34, "Text",ExpressionUUID->"69ea0949-c1fd-48b0-bc98-8a87b8fb6219"],
Cell[CellGroupData[{
Cell[26358, 538, 298, 5, 71, "Subsection",ExpressionUUID->"ee06265f-7d10-4fa2-9100-a0c2c9eadf55",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[26659, 545, 3531, 92, 211, "Text",ExpressionUUID->"5bf62623-fe24-4295-bec9-fa07b08139bd",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[30193, 639, 1292, 33, 52, "Input",ExpressionUUID->"76c08b14-6d13-4aee-ac87-dbc4f833f882",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"\"ImplicitRungeKutta\""],
Cell[31488, 674, 451, 9, 34, "Text",ExpressionUUID->"5a0b0f1e-6019-4608-a177-49bee718e0f2",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[31976, 688, 1141, 27, 115, "Input",ExpressionUUID->"ddc9d56f-103d-4532-9105-475cf3e8f27c",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[33120, 717, 3146, 86, 177, "Output",ExpressionUUID->"e219fc33-c829-4f73-8858-2d86b95cfd60",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[36303, 808, 733, 15, 57, "Text",ExpressionUUID->"0f1c2189-7c76-4435-aeed-8a2bdc42a2e2",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[37039, 825, 298, 5, 30, "Input",ExpressionUUID->"d2338ce2-b6d2-4077-8633-3e457ce6524f",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[37352, 833, 23819, 486, 272, "Text",ExpressionUUID->"0880992c-00e6-4f2a-8171-4f723c5d7ed7",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[61220, 1325, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"78a387f1-e8d2-4757-af5e-b3ec5548a39e",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[61367, 1331, 787, 11, 115, "Section",ExpressionUUID->"b3b3438f-4556-40ec-a7f2-86c87d439740"],
Cell[62157, 1344, 353, 7, 57, "Text",ExpressionUUID->"b00dcf38-04f0-487d-a190-8f80893c1af1"],
Cell[62513, 1353, 370, 8, 57, "Text",ExpressionUUID->"28a1484d-0010-41c0-bc4b-f052dea23166"],
Cell[62886, 1363, 361, 7, 34, "Text",ExpressionUUID->"cf39cdac-2bcd-4cda-bcba-152358c57a1e"],
Cell[63250, 1372, 1933, 54, 98, "Input",ExpressionUUID->"9641afa3-f81c-4ce5-b424-a8ab089913ef"],
Cell[65186, 1428, 374, 7, 34, "Text",ExpressionUUID->"e3f14bc3-fbcb-4e61-b556-c856bda657db"],
Cell[65563, 1437, 1100, 23, 30, "Input",ExpressionUUID->"08272643-bafb-4581-ad5a-b2f0785f71cf",
 CellTags->"\"ExplicitRungeKutta\""],
Cell[66666, 1462, 302, 5, 34, "Text",ExpressionUUID->"87ffc024-926b-4164-8187-a5f9881aedf0"],
Cell[66971, 1469, 1050, 23, 30, "Input",ExpressionUUID->"d8014fc1-982a-4258-b502-2f3df09de6b8",
 CellTags->"\"ImplicitRungeKutta\""],
Cell[68024, 1494, 684, 12, 80, "Text",ExpressionUUID->"3b06d2ee-e0b7-4f74-b151-9d925c0f0095"],
Cell[68711, 1508, 1051, 23, 30, "Input",ExpressionUUID->"721db5dd-f44d-461c-87f6-0811749aeeda",
 CellTags->"\"StiffnessSwitching\""],
Cell[69765, 1533, 513, 10, 57, "Text",ExpressionUUID->"dbb3c5ef-c544-4848-bac7-71da752a2a98"],
Cell[70281, 1545, 217, 3, 30, "Input",ExpressionUUID->"008abb72-955d-41b8-b55f-7e848dbf7046"],
Cell[70501, 1550, 18464, 386, 220, "Text",ExpressionUUID->"30df7ec0-5a6c-4518-b618-032a462d600c",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[89014, 1942, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"b4b172b5-cf91-4ea8-897e-383c724aa35e",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[89161, 1948, 309, 5, 206, "Section",ExpressionUUID->"40984c93-c87f-4a53-84d3-ec10d83cfc8b"],
Cell[89473, 1955, 1142, 20, 57, "Text",ExpressionUUID->"43acfb2d-05c7-4db8-9307-8ee0e3640556"],
Cell[CellGroupData[{
Cell[90640, 1979, 507, 8, 71, "Subsection",ExpressionUUID->"1b45f254-668a-45d0-b37e-c0a84c8cb75e",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[91150, 1989, 1176, 18, 57, "Text",ExpressionUUID->"2916f7b9-3bf7-4c75-8753-e4d11b9f2c09",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[92329, 2009, 1734, 51, 136, "Input",ExpressionUUID->"1a43e4a3-9fc1-4148-a8d9-4d23df133ed1",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"WhenEvent"],
Cell[94066, 2062, 1629, 41, 57, "Text",ExpressionUUID->"999d93d8-c856-455d-81b9-0120f08feb00",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[95698, 2105, 842, 16, 34, "Text",ExpressionUUID->"0984561f-9cb2-489a-a451-fbbc90234618",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[96555, 2124, 217, 3, 30, "Input",ExpressionUUID->"8e8bbe24-4184-43ef-95a7-d541ceee4164"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[96821, 2133, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"9681d24b-d3b8-47ef-bc69-3181c51fba26",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[96968, 2139, 180, 3, 206, "Section",ExpressionUUID->"7e92215d-2f0f-4a4b-b9dd-87f9882b5359"],
Cell[97151, 2144, 650, 12, 55, "Text",ExpressionUUID->"0588f8cb-727c-4814-8df7-6523ff45a1de",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[CellGroupData[{
Cell[97826, 2160, 334, 5, 71, "Subsection",ExpressionUUID->"66e09c5c-0731-4693-b85b-709d464d5e1b",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[98163, 2167, 1498, 34, 80, "Text",ExpressionUUID->"618f9f56-6614-4b17-b523-9c2c9f47c43a",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[99664, 2203, 1234, 36, 54, "Input",ExpressionUUID->"1f94821f-5a0e-4a48-ae8e-1d025960ee0c",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellTags->"TraditionalForm"],
Cell[100901, 2241, 1215, 27, 34, "Text",ExpressionUUID->"7c585df7-ddd9-40a6-953f-f54d5ef196a8",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[102119, 2270, 765, 21, 30, "Input",ExpressionUUID->"f17465c3-4773-433c-91c2-88d3e3e4222c",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[102887, 2293, 1015, 26, 57, "Text",ExpressionUUID->"6761afac-b14e-47fd-acd6-8005302ca1d5",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[103905, 2321, 488, 12, 94, "Input",ExpressionUUID->"ce79505b-4531-4197-8f72-cc1bd220f58a",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[104430, 2338, 236, 4, 71, "Subsection",ExpressionUUID->"f7014a23-a281-4f71-a4b6-4f3dec3bc5e6",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[104669, 2344, 908, 17, 57, "Text",ExpressionUUID->"ba1b7a6f-e53e-416e-b5e5-cef0bcebe582",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[105580, 2363, 2616, 60, 136, "Input",ExpressionUUID->"1be07593-deb0-4ab9-bd2c-c35b5265fbc8",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellTags->"\"StopIntegration\""],
Cell[108199, 2425, 610, 13, 34, "Text",ExpressionUUID->"e095d916-1ae1-4ce8-a428-976c2c160bc1",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[108812, 2440, 2430, 63, 96, "Input",ExpressionUUID->"307f8309-624a-41e6-93a9-90e37f819668",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[111245, 2505, 296, 5, 34, "Text",ExpressionUUID->"f4081410-9493-4ec7-a6b0-6a022920af4a",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[111544, 2512, 1656, 34, 52, "Input",ExpressionUUID->"1b0591e8-a131-4232-aaf5-6f089fb69cf7",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellTags->"ParametricPlot"]
}, Open  ]],
Cell[113215, 2549, 198, 4, 30, "Input",ExpressionUUID->"95445550-556a-4b24-ba5f-89947a1348d4"],
Cell[113416, 2555, 20508, 431, 246, "Text",ExpressionUUID->"b3845f09-84d5-4c3a-a71b-40d055fda1cf",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[133973, 2992, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"e067f55d-043b-4cad-b53b-2922f51aa3ff",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[134120, 2998, 214, 4, 115, "Section",ExpressionUUID->"104db5fb-b00b-40a4-a9f1-f247db6333d0"],
Cell[134337, 3004, 877, 14, 57, "Text",ExpressionUUID->"87e65360-a646-40c7-b75e-4c5d49d523be"],
Cell[135217, 3020, 1251, 37, 94, "Input",ExpressionUUID->"736fe0ad-ccfa-4036-a790-65cc135ed63e",
 CellTags->"NDSolveValue"],
Cell[136471, 3059, 538, 9, 57, "Text",ExpressionUUID->"72e3de0b-8851-4cb0-ba04-0fae7131f5bb"],
Cell[137012, 3070, 950, 27, 73, "Input",ExpressionUUID->"a1213994-016b-4d70-9791-941021c00181"],
Cell[137965, 3099, 1503, 29, 34, "Text",ExpressionUUID->"930a4ef8-8680-47d5-aa8a-1f8dfa77e382"],
Cell[139471, 3130, 1536, 26, 57, "Text",ExpressionUUID->"277133ca-b0f7-46de-8d93-36dcf7ecfd6f",
 CellTags->"\"StartingInitialConditions\""],
Cell[141010, 3158, 1959, 41, 57, "Text",ExpressionUUID->"d0d86bad-4267-4a4e-be34-1e09d220982c"],
Cell[142972, 3201, 2646, 70, 178, "Input",ExpressionUUID->"17f18ba9-96de-4cc8-b615-859b5631aae6",
 CellTags->"\"Shooting\""],
Cell[145621, 3273, 217, 3, 30, "Input",ExpressionUUID->"5f0dddd8-cc1b-4e48-a98f-3dfb46064794"],
Cell[145841, 3278, 20859, 441, 246, "Text",ExpressionUUID->"55d0d8c8-24c2-4504-82e2-53847013ebd9",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[166749, 3725, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"234a7b4a-125f-45f0-8e75-62b3856faf9b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[166896, 3731, 212, 4, 115, "Section",ExpressionUUID->"8e1e48a7-78b7-4f31-892b-8c6f9fb0fb69"],
Cell[167111, 3737, 927, 13, 34, "Text",ExpressionUUID->"aa16f851-bbf2-4749-84de-e22eed7d4b00",
 CellTags->"DirichletCondition"],
Cell[168041, 3752, 1151, 25, 42, "Text",ExpressionUUID->"3a315fe3-3d23-41c7-be78-69917f88222d",
 CellTags->"DirichletCondition"],
Cell[169195, 3779, 1202, 23, 37, "Text",ExpressionUUID->"a010d762-3807-44ee-b918-4dc87b2d527b",
 CellTags->"DirichletCondition"],
Cell[170400, 3804, 1855, 46, 67, "Text",ExpressionUUID->"bd064a02-b886-4673-9317-104a773ec5d6",
 CellTags->"DirichletCondition"],
Cell[172258, 3852, 1080, 21, 37, "Text",ExpressionUUID->"d4435bd7-164f-4f76-b5c8-9820810b95bc",
 CellTags->"DirichletCondition"],
Cell[173341, 3875, 569, 16, 52, "Input",ExpressionUUID->"54b50b80-5663-4144-8743-d5f0db598f3e",
 CellTags->"DirichletCondition"],
Cell[173913, 3893, 1715, 35, 80, "Text",ExpressionUUID->"bc83dd2e-71ea-49e7-bd43-93986ef3df7d",
 CellTags->"DirichletCondition"],
Cell[175631, 3930, 1090, 17, 34, "Text",ExpressionUUID->"e41d2072-b4ab-4ef6-a1a5-b2b05e349aa6",
 CellTags->"DirichletCondition"],
Cell[176724, 3949, 819, 17, 30, "Input",ExpressionUUID->"5bfe2d3b-9f69-4c06-9d87-6b5096a4b521",
 CellTags->"NDEigensystem"],
Cell[177546, 3968, 777, 15, 57, "Text",ExpressionUUID->"54c768fa-9d6c-4370-b204-ab9ec8c42f92"],
Cell[178326, 3985, 589, 17, 34, "Text",ExpressionUUID->"69de3f88-e5bd-4a32-85f0-08a24801d98e"],
Cell[178918, 4004, 917, 21, 52, "Input",ExpressionUUID->"fd2f011a-18d8-45bd-b990-75db824243bb"],
Cell[179838, 4027, 342, 7, 34, "Text",ExpressionUUID->"607ae244-bc24-4fab-9d36-ad4ca4cf63aa"],
Cell[180183, 4036, 198, 4, 30, "Input",ExpressionUUID->"4bf255c6-7e69-4621-9cf5-1cb7417b3358"],
Cell[180384, 4042, 19844, 419, 246, "Text",ExpressionUUID->"48e6bde2-da22-4f27-80a0-4c84a9340df1",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[200277, 4467, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"9ca1e8c9-f875-4ebc-97d1-2e85fb8a5ef0",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[200424, 4473, 156, 3, 115, "Section",ExpressionUUID->"b8213524-3121-4ce3-b604-51a578e90f4f"],
Cell[200583, 4478, 1232, 18, 34, "Text",ExpressionUUID->"5a4de6cc-1ba3-4df9-884b-cf45266a9247"],
Cell[CellGroupData[{
Cell[201840, 4500, 565, 10, 31, "Item",ExpressionUUID->"0404292b-873e-43bb-9c6d-ea08c8b24027"],
Cell[202408, 4512, 345, 5, 31, "Item",ExpressionUUID->"fa59f894-2110-468a-946a-0138d4ce6bc9"],
Cell[202756, 4519, 425, 6, 31, "Item",ExpressionUUID->"4c2fa514-94c3-4dd9-a37f-190adfbd6dcc"],
Cell[203184, 4527, 403, 6, 31, "Item",ExpressionUUID->"6e986367-bd17-4461-9b8d-0cd4ec7feea9"],
Cell[203590, 4535, 462, 7, 31, "Item",ExpressionUUID->"4bcb7955-650c-46b7-b3ef-10acc9766ed4"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[204113, 4549, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"23dd2b99-5245-4556-a1bd-1ee075849afc",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[204260, 4555, 738, 11, 115, "Section",ExpressionUUID->"aeab7b72-7153-4c30-9519-4e03edb29e1d"],
Cell[CellGroupData[{
Cell[205023, 4570, 160, 3, 38, "Subsubsection",ExpressionUUID->"1a5a30d2-382a-4a46-9a49-d4aeeb0faff3"],
Cell[CellGroupData[{
Cell[205208, 4577, 337, 7, 31, "Item",ExpressionUUID->"99aeb3a0-15f1-4444-be5f-b89f792dd9c0"],
Cell[205548, 4586, 332, 7, 31, "Item",ExpressionUUID->"98b5fe2f-0508-4e83-a360-d906fdf7a5ad"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[205929, 4599, 159, 3, 38, "Subsubsection",ExpressionUUID->"3f36a200-a2bd-4d73-ac42-0aacc8b9a60b"],
Cell[CellGroupData[{
Cell[206113, 4606, 288, 6, 31, "Item",ExpressionUUID->"43400bf7-46b9-4580-99f2-6997bc91a98e"],
Cell[206404, 4614, 299, 6, 31, "Item",ExpressionUUID->"ee96e8b3-7192-4a0f-9ea2-6f16b6a41ab7"],
Cell[206706, 4622, 289, 6, 31, "Item",ExpressionUUID->"0a01fc83-2afb-4103-a80a-80f8b08ae278"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[207044, 4634, 158, 3, 71, "Subsection",ExpressionUUID->"b41bda35-4c7f-4757-901d-3d8f7c1ef8ff"],
Cell[207205, 4639, 3663, 107, 73, "Input",ExpressionUUID->"e4d311fc-0627-4ae4-9ae8-eab899e80d86"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[210929, 4753, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"3121afe9-7adb-4971-bdf1-bf631e835118",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[211076, 4759, 156, 3, 115, "Section",ExpressionUUID->"a4f80fca-d4b0-4f8f-aea1-6faec91aa7dd"],
Cell[211235, 4764, 1146, 33, 55, "ItemNumbered",ExpressionUUID->"1e2a242c-76b5-40b5-bae0-38fd839efe8e"],
Cell[212384, 4799, 683, 16, 41, "Text",ExpressionUUID->"9d3bf71d-173d-4dd3-96ec-83d3dc524f54"],
Cell[213070, 4817, 181, 3, 32, "ItemNumbered",ExpressionUUID->"dc3a7bbc-85ad-44fe-aa85-ed6b4b1c2f87"],
Cell[213254, 4822, 631, 15, 41, "Text",ExpressionUUID->"c29b96c6-98a5-456f-9f52-e48bf0aca8de"],
Cell[213888, 4839, 210, 5, 32, "ItemNumbered",ExpressionUUID->"7d188c64-4ae5-497c-a3f3-f567ab56af29"],
Cell[214101, 4846, 479, 15, 30, "Input",ExpressionUUID->"2c3a7b5e-e773-40b2-92c0-9ed3a3d1fe3c"],
Cell[214583, 4863, 438, 10, 34, "Text",ExpressionUUID->"46b905db-c9a3-4157-8cd8-68c8ee94bb4c"],
Cell[215024, 4875, 1566, 40, 41, "Text",ExpressionUUID->"c618273c-8543-49fe-97a6-35829cbc4b78"]
}, Open  ]]
}, Open  ]]
}
]
*)

