(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    216825,       4928]
NotebookOptionsPosition[    162918,       3865]
NotebookOutlinePosition[    199700,       4666]
CellTagsIndexPosition[    199026,       4644]
WindowTitle->Differential Algebraic Equations
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztXQfYHUXVhhAIndAOVbj00DuEIiQQurQA0jFAIIiEkoA0hY+qQGjSUSBS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    "], {{0, 100}, {450, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{268.015625, Automatic},
  ImageSizeRaw->{450, 100},
  PlotRange->{{0, 450}, {0, 100}}]], "WolframULogo",ExpressionUUID->"059f49ae-\
49fc-4f44-80e6-ab700841b96e"],

Cell["\<\
Solving ODEs and DAEs
with NDSolve\
\>", "Title",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.74567557930435*^9, {
   3.7461323846346602`*^9, 3.7461323887140007`*^9}, {3.746132620446889*^9, 
   3.7461326246249285`*^9}, {3.7582867419412823`*^9, 
   3.758286745059249*^9}},ExpressionUUID->"f58f4737-5531-4d59-aa92-\
0691bcd146d1"],

Cell["Differential Algebraic Equations", "Subtitle",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.745676129362919*^9, {
   3.7582871392202063`*^9, 
   3.758287153440485*^9}},ExpressionUUID->"1243965a-40ce-482a-9c91-\
36878f955d76"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"11d0b6da-d659-4a49-8f7d-3b87b37d8189"],

Cell[BoxData[
 PaneBox[
  TagBox[GridBox[{
     {
      StyleBox[
       ItemBox[
        FrameBox[
         StyleBox["\<\"Learning Objectives\"\>", "Section",
          StripOnInput->False],
         BaselinePosition->Center,
         FrameMargins->0,
         FrameStyle->None,
         StripOnInput->False],
        StripOnInput->False],
       FontWeight->"Bold",
       ItemBoxOptions->{StripOnInput->False}]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {Left, Right}},
    GridBoxItemSize->{"Columns" -> {{"Fit"}}, "Rows" -> {{"Fit"}}}],
   "Grid"],
  ImageSize->Full]],
 CellFrame->{{0, 0}, {0.2, 0}},
 CellMargins->{{60, 50}, {7, 25}},
 CellFrameMargins->0,
 CellFrameColor->GrayLevel[0.7],
 CellChangeTimes->{
  3.7026387646773443`*^9, {3.7028170350164614`*^9, 3.7028170557762794`*^9}, 
   3.7053298596986923`*^9, 
   3.7415265015167756`*^9},ExpressionUUID->"85e37535-4728-4fc1-80d7-\
3188a37fa033"],

Cell["\<\
The Wolfram Language has extensive capability for solving differential \
algebraic equations (DAEs). This section covers:\
\>", "Text",
 CellChangeTimes->{{3.6997844377087812`*^9, 3.699784514458338*^9}, {
   3.699784574642163*^9, 3.6997845968648343`*^9}, {3.6997854316649942`*^9, 
   3.699785527085827*^9}, {3.699785561574854*^9, 3.6997855980781927`*^9}, {
   3.6997856936113186`*^9, 3.699785694897779*^9}, {3.6997857735604153`*^9, 
   3.6997857745459523`*^9}, {3.6997858090393934`*^9, 3.699785809231949*^9}, {
   3.6997858795828304`*^9, 3.6997858954504056`*^9}, {3.7004135772345495`*^9, 
   3.70041357766782*^9}, 3.7010148985610456`*^9, 3.7010149421306343`*^9, {
   3.7023130894891977`*^9, 3.7023131199383106`*^9}, {3.7023132735968266`*^9, 
   3.702313279188965*^9}, {3.7028171229982777`*^9, 3.7028171268534613`*^9}, {
   3.7058320278564763`*^9, 3.7058320509255285`*^9}, {3.708956118731126*^9, 
   3.708956119872226*^9}, {3.7094728945543795`*^9, 3.709472895976638*^9}, {
   3.7415288859523787`*^9, 3.741528888601403*^9}, {3.743423778410202*^9, 
   3.743423822624953*^9}, 3.744129870951086*^9, {3.7474156138933887`*^9, 
   3.7474156189773083`*^9}, {3.747589585053072*^9, 
   3.7475895869793453`*^9}},ExpressionUUID->"c9f48ac0-7e37-4b91-b1a8-\
a92075f7900c"],

Cell[CellGroupData[{

Cell["An introduction to DAEs", "Item",
 CellChangeTimes->{{3.7450719536292295`*^9, 3.745071956517847*^9}, 
   3.745921892900632*^9, {3.746898817948305*^9, 
   3.7468988199004383`*^9}},ExpressionUUID->"9dcdd683-7abe-4dc3-889f-\
d392193faa76"],

Cell["DAE equation simplification methods", "Item",
 CellChangeTimes->{{3.6997857941404896`*^9, 3.6997858122156067`*^9}, {
  3.6997937882474527`*^9, 3.6997937890912795`*^9}, {3.7023132834646454`*^9, 
  3.7023132871281295`*^9}, {3.7028171366924553`*^9, 3.7028171393795357`*^9}, {
  3.7028172154024415`*^9, 3.7028172234265604`*^9}, {3.702819867972909*^9, 
  3.7028198735548573`*^9}, {3.702821073870925*^9, 3.702821075999528*^9}, {
  3.708956140661441*^9, 3.7089561465215325`*^9}, {3.7450719641009493`*^9, 
  3.745071964685495*^9}, {3.746201200791808*^9, 3.746201240392599*^9}, {
  3.747589597618929*^9, 
  3.747589602586636*^9}},ExpressionUUID->"61462936-9a91-4b6a-a9f7-\
8f31307690f4"],

Cell["Index of a DAE and index reduction methods", "Item",
 CellChangeTimes->{{3.6997857941404896`*^9, 3.6997858122156067`*^9}, {
   3.6997937882474527`*^9, 3.6997937890912795`*^9}, {3.7023132834646454`*^9, 
   3.7023132871281295`*^9}, {3.7028171366924553`*^9, 
   3.7028171393795357`*^9}, {3.7028172154024415`*^9, 
   3.7028172234265604`*^9}, {3.702819867972909*^9, 3.7028198735548573`*^9}, {
   3.702821073870925*^9, 3.7028210966069326`*^9}, {3.7089561553831053`*^9, 
   3.708956180697232*^9}, {3.7450719835404053`*^9, 3.7450719842934027`*^9}, 
   3.747415625040428*^9},ExpressionUUID->"05585f19-b9d5-4989-9889-\
961f282d4601"],

Cell["Obtaining a consistent initialization of a DAE", "Item",
 CellChangeTimes->{{3.6997857941404896`*^9, 3.6997858122156067`*^9}, {
  3.6997937882474527`*^9, 3.6997937890912795`*^9}, {3.7023132834646454`*^9, 
  3.7023132871281295`*^9}, {3.7028171366924553`*^9, 3.7028171393795357`*^9}, {
  3.7028172154024415`*^9, 3.7028172234265604`*^9}, {3.702819867972909*^9, 
  3.7028198735548573`*^9}, {3.702821073870925*^9, 3.7028210966069326`*^9}, {
  3.7089561553831053`*^9, 3.7089562288566575`*^9}, {3.7450720034611235`*^9, 
  3.745072005620863*^9}, {3.7461741928291483`*^9, 3.7461742080847845`*^9}, {
  3.74741562879246*^9, 
  3.747415628944715*^9}},ExpressionUUID->"4490e108-6700-4f0d-823d-\
e6933ded08d2"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"2c4ef44d-f25d-4936-baf8-faa7258b58f1"],

Cell[CellGroupData[{

Cell["Introduction to Differential Algebraic Equations", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.7053298746640024`*^9, 3.70532987848805*^9}, {3.705833370954365*^9, 
  3.705833375897451*^9}},ExpressionUUID->"3cd427a0-72cb-45d6-a66a-\
4218550812b6"],

Cell["\<\
Differential algebraic equations (DAEs) occur in many applications. For \
example, when solving a PDE with the method of lines or solving a \
differential equation with an algebraic constraint (pendulum). DAEs have \
certain difficulties that do not occur with ODEs. \
\>", "Text",
 CellChangeTimes->{{3.705833357200983*^9, 3.7058334802877493`*^9}, {
   3.705834065723211*^9, 3.7058340672433157`*^9}, {3.743441706267437*^9, 
   3.7434417388042808`*^9}, {3.743875546977042*^9, 3.7438755482564473`*^9}, 
   3.7441298466975465`*^9, {3.7450726450445986`*^9, 3.7450726588762465`*^9}, {
   3.7461742981543226`*^9, 3.746174355867117*^9}, {3.7468988513156214`*^9, 
   3.746898875355226*^9}, 
   3.74741563755206*^9},ExpressionUUID->"3944d5a7-292d-422a-88f4-\
980d4bbb0b5f"],

Cell["Both a system of ODEs and DAEs can be written in the form:", "Text",
 CellChangeTimes->{{3.705833357200983*^9, 3.7058334802877493`*^9}, {
   3.705834065723211*^9, 3.7058340672433157`*^9}, {3.743441706267437*^9, 
   3.7434417388042808`*^9}, {3.743875546977042*^9, 3.7438755482564473`*^9}, 
   3.7441298466975465`*^9, {3.7450726450445986`*^9, 3.7450726588762465`*^9}, {
   3.746174364597767*^9, 
   3.7461743647516165`*^9}},ExpressionUUID->"afc95ee9-8508-4973-bb79-\
2feea6f49848"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CellPrint", "[", 
  RowBox[{"ExpressionCell", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"F", "[", 
       RowBox[{"t", ",", 
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}]}], "]"}], "\[Equal]", "0"}], "//",
      "TraditionalForm"}], ",", "\"\<Output\>\"", ",", 
    RowBox[{"GeneratedCell", "\[Rule]", "False"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7058334823099537`*^9, 3.7058334980716515`*^9}, {
  3.705834513990097*^9, 3.7058345155693026`*^9}, {3.705916387687311*^9, 
  3.705916389879123*^9}, {3.705916463199679*^9, 3.705916464973503*^9}, {
  3.7451523824384093`*^9, 3.7451524032254353`*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"e7808fba-772f-4341-b2e8-f7839fcbcd91"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"F", "(", 
    RowBox[{"t", ",", 
     RowBox[{"x", "(", "t", ")"}], ",", 
     RowBox[{
      SuperscriptBox["x", "\[Prime]",
       MultilineFunction->None], "(", "t", ")"}]}], ")"}], "\[LongEqual]", 
   "0"}], TraditionalForm]], "Output",
 GeneratedCell->False,
 CellChangeTimes->{
  3.745152403478072*^9},ExpressionUUID->"7432ba29-7d14-4120-be2c-\
d2885820769a"]
}, {2}]],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]],ExpressionUUID->
  "0c94e9a1-dfaf-4745-b791-9c071f80e98a"],
 " and ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]],ExpressionUUID->
  "b0857240-e74e-4a34-aabb-aadfaed30155"],
 " are vector valued. When working with ODEs, the system can be written in \
normal form, where the highest-order derivative is solved for:"
}], "Text",
 CellChangeTimes->{{3.705833515407492*^9, 3.705833520087047*^9}, {
  3.7058335503428955`*^9, 3.705833573061993*^9}, {3.7059163068889136`*^9, 
  3.7059163070383663`*^9}, {3.705916400134339*^9, 3.7059164004391513`*^9}, {
  3.7089566250768485`*^9, 3.7089566274581285`*^9}, {3.745072674100528*^9, 
  3.7450726756215734`*^9}, {3.747415660991762*^9, 3.747415668399434*^9}, {
  3.7475896316818647`*^9, 
  3.747589631711*^9}},ExpressionUUID->"4302e5ba-fb30-4296-bd67-a224d6885674"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CellPrint", "[", 
  RowBox[{"ExpressionCell", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"f", "[", 
       RowBox[{"t", ",", 
        RowBox[{"x", "[", "t", "]"}]}], "]"}]}], "//", "TraditionalForm"}], 
    ",", "\"\<Output\>\"", ",", 
    RowBox[{"GeneratedCell", "\[Rule]", "False"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.705833575731085*^9, 3.705833587896265*^9}, {
  3.7058345206177807`*^9, 3.7058345227875695`*^9}, {3.7059164087261314`*^9, 
  3.7059164116388683`*^9}, {3.705916473287448*^9, 3.7059164758552637`*^9}, {
  3.7451524090598855`*^9, 3.7451524215048275`*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"68c0027e-e1da-4f9c-a876-ad1002f60590"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["x", "\[Prime]",
     MultilineFunction->None], "(", "t", ")"}], "\[LongEqual]", 
   RowBox[{"f", "(", 
    RowBox[{"t", ",", 
     RowBox[{"x", "(", "t", ")"}]}], ")"}]}], TraditionalForm]], "Output",
 GeneratedCell->False,
 CellChangeTimes->{
  3.745152421697299*^9},ExpressionUUID->"bd3ef7b4-53d5-4e9b-bae1-\
01605dc31e0f"]
}, {2}]],

Cell["\<\
With a system of DAEs, rewriting the system in normal form is not directly \
possible. Therefore, different numerical techniques need to be applied.\
\>", "Text",
 CellChangeTimes->{{3.70583372767614*^9, 3.7058338109578943`*^9}, {
   3.7058338838167305`*^9, 3.705833892626504*^9}, {3.743875578319992*^9, 
   3.7438755924553585`*^9}, 
   3.747415673135014*^9},ExpressionUUID->"30d0b7ee-129b-442b-b847-\
399e28ad9775"],

Cell["\<\
Generally, a system of DAEs can be converted to a system of ODEs by \
differentiating it with respect to the independent variable. This is a \
process called index reduction.\
\>", "Text",
 CellChangeTimes->{{3.7009248681116495`*^9, 3.700924879791382*^9}, {
   3.700924991222823*^9, 3.700924991586775*^9}, {3.700925023613552*^9, 
   3.7009250239343915`*^9}, {3.700925070748851*^9, 3.700925088510313*^9}, 
   3.705833841253083*^9, {3.7058341116616545`*^9, 3.705834124990856*^9}, {
   3.7058345620441246`*^9, 3.70583457355482*^9}, {3.7468989022614484`*^9, 
   3.7468989030525436`*^9}},ExpressionUUID->"00a6297b-dfcb-4f2d-a8f1-\
96796c8bf15c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"708fda76-04ac-44b4-a0ba-6483a3ae731a"],

Cell[CellGroupData[{

Cell["Index of a DAE", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.7053298746640024`*^9, 3.705329917646944*^9}, {3.7053301812642813`*^9, 
  3.705330182511582*^9}},ExpressionUUID->"a1b9d584-bb3a-4ef7-a932-\
de9d4255fa1b"],

Cell[TextData[{
 "For a general DAE system, the index of the system refers to the minimum \
number of differentiations that would be required to solve for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["X", "\[Prime]",
     MultilineFunction->None], "(", "t", ")"}], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"7e4eec2a-e195-4444-8682-0b17a092e0f0"],
 " uniquely in terms of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", "(", "t", ")"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"d7f1a90b-5238-438d-aeb4-1c93165dd603"],
 " and ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]], "InlineMath",ExpressionUUID->
  "b73146a2-a63e-4728-8713-2e61cf12e793"],
 ". "
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 3.7450736381437097`*^9}, 3.7459374591698055`*^9, {
   3.7461750450799828`*^9, 3.7461750626799917`*^9}, {3.74715400548764*^9, 
   3.7471540069565244`*^9}},ExpressionUUID->"55b59b73-bf13-4b68-a233-\
2c729c02f4bb"],

Cell[TextData[{
 "Consider the following DAE. You can recognize this as a DAE since no \
derivatives of ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"y", "(", "t", ")"}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"b870ed57-304d-470e-8021-cbdcbb7a7375"],
 " are in the equation:"
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 3.745073625354833*^9}, {3.745073664121443*^9, 
   3.7450737088398523`*^9}, {3.747415708878488*^9, 3.7474157278933477`*^9}, {
   3.760113972338655*^9, 
   3.760113980446665*^9}},ExpressionUUID->"d3d61f76-a2dc-497a-bb9f-\
7dc7ffa7d5ba"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[Prime]\[Prime]"], "(", "t", ")"}], "+", 
     RowBox[{"y", "(", "t", ")"}]}], "\[LongEqual]", 
    RowBox[{"cos", "(", "t", ")"}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"0f97ccaa-c21c-486f-afc8-b1900983fdcb"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", "(", "t", ")"}], "\[LongEqual]", 
     RowBox[{"cos", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"5a14d71c-bb2e-410c-815a-684ab39f6425"]
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 
   3.7450736286956525`*^9}},ExpressionUUID->"380eb9af-9ba6-4eeb-9bf4-\
41b0adb1fb16"],

Cell[TextData[{
 "In order to get a differential equation for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "(", "t", ")"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"2715c846-1f56-4153-957d-398c4ddbd04d"],
 ", the first equation must be differentiated once. This leads to the new \
system:"
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 
   3.745073630078342*^9}},ExpressionUUID->"953b5a5c-45fb-4f47-a132-\
03af06138d70"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[Prime]\[Prime]\[Prime]"], "(", "t", ")"}], "+", 
     RowBox[{
      SuperscriptBox["y", "\[Prime]"], "(", "t", ")"}]}], "\[LongEqual]", 
    RowBox[{"-", 
     RowBox[{"sin", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"cd25c85d-14b1-4a36-8912-248988e86b58"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", "(", "t", ")"}], "\[LongEqual]", 
     RowBox[{"cos", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"f88ac5b1-f527-4f91-ad12-0ec858d83f26"]
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 
   3.74507363124139*^9}},ExpressionUUID->"af425d3a-3e61-4c2b-a699-\
b777c41c7d16"],

Cell[TextData[{
 "The differentiated system now contains ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "\[Prime]\[Prime]\[Prime]"], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"6eeaa302-acbd-4a4b-ac0b-8296a2c468f1"],
 ", which must be accounted for. To get an equation for ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "\[Prime]\[Prime]\[Prime]"], TraditionalForm]], 
  "InlineMath",ExpressionUUID->"9dc9b067-85e3-409d-a2e1-41f2aa43de64"],
 ", the second equation must now be differentiated three times. This leads to:"
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 
   3.745073632368378*^9}},ExpressionUUID->"faa16f40-22ca-49aa-90e6-\
1dbd9942fc24"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[Prime]\[Prime]\[Prime]"], "(", "t", ")"}], "+", 
     RowBox[{
      SuperscriptBox["y", "\[Prime]"], "(", "t", ")"}]}], "\[LongEqual]", 
    RowBox[{"-", 
     RowBox[{"sin", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"a032f2d6-b166-4d5d-9614-450b9f92cbe7"],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[Prime]\[Prime]\[Prime]"], "(", "t", ")"}], 
     "\[LongEqual]", 
     RowBox[{"sin", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"f9cc166c-dbf8-4d35-b3a0-4c28da1d82d3"]
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 
   3.74507363343122*^9}},ExpressionUUID->"014166af-d23f-42c7-94ee-\
c2fe8c2a5552"],

Cell[TextData[{
 "Since part of the system had to be differentiated three times",
 StyleBox[", ",
  Deletable->True],
 "the index of the DAE is 3. "
}], "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 3.7450736346524906`*^9}, {3.7450737478471117`*^9, 
   3.7450737488096585`*^9}, {3.7468989588502645`*^9, 
   3.7468989755223756`*^9}},ExpressionUUID->"5f07b841-811a-4fdb-a6c2-\
3401a7063463"],

Cell["\<\
The final differentiated system is said to be an index-0 system. The \
resulting system of ODEs obtained from index reduction is:\
\>", "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 3.7450736346524906`*^9}, {3.7450737478471117`*^9, 
   3.745073785662224*^9}, {3.746898994961035*^9, 3.746898995185446*^9}, {
   3.747415748820797*^9, 
   3.747415749037154*^9}},ExpressionUUID->"4eb51e41-7b92-4209-835c-\
07b44ceccee8"],

Cell[TextData[Cell[BoxData[{
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "\[Prime]\[Prime]\[Prime]"], "(", "t", ")"}], "+", 
    RowBox[{
     SuperscriptBox["y", "\[Prime]"], "(", "t", ")"}]}], "=", 
   RowBox[{"-", 
    RowBox[{"sin", "(", "t", ")"}]}]}], 
  TraditionalForm], "\[IndentingNewLine]", 
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["y", "\[Prime]"], "(", "t", ")"}], "\[LongEqual]", 
   RowBox[{
    RowBox[{"-", "2"}], 
    RowBox[{"sin", "(", "t", ")"}]}]}], 
  TraditionalForm]}],ExpressionUUID->"b8523798-1585-4300-9542-91d9d3ebfc54"]],\
 "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 
   3.745073635964896*^9}},ExpressionUUID->"47142760-4e7c-40ea-86bd-\
dbec03ef1c2e"],

Cell["\<\
It is typical to reduce the system to either index 0 or index 1, since the \
underlying integration routines can handle them efficiently.\
\>", "Text",
 CellChangeTimes->{
  3.705330192168141*^9, 3.705330389533524*^9, 3.705834009503029*^9, {
   3.705834642004154*^9, 3.705834642274902*^9}, {3.7058346868100576`*^9, 
   3.705834687325427*^9}, {3.7059164247085695`*^9, 3.705916457793332*^9}, {
   3.7083555116765532`*^9, 3.708355529447731*^9}, {3.7441320419937415`*^9, 
   3.744132051226231*^9}, {3.7443982224404716`*^9, 3.744398246342803*^9}, {
   3.7450736138012476`*^9, 3.7450736356901703`*^9}, {3.745073800344068*^9, 
   3.7450738275992465`*^9}, {3.747415756284185*^9, 
   3.7474157589162292`*^9}},ExpressionUUID->"3dee29f7-eb5f-4f03-ba3c-\
d2868db5d7f7"],

Cell[CellGroupData[{

Cell["Viewing the Index-Reduced System", "Subsection",
 CellChangeTimes->{{3.7461733282482653`*^9, 3.746173334785956*^9}, {
  3.7462012844872313`*^9, 3.746201285541049*^9}, {3.7463658839993744`*^9, 
  3.7463658849757767`*^9}, {3.747415764259994*^9, 
  3.7474157645399647`*^9}},ExpressionUUID->"779436af-5a13-44fc-8855-\
d786f10b413e"],

Cell[TextData[{
 StyleBox["NDSolve`ProcessEquations",
  FontWeight->"Bold"],
 " can be used to view the index-reduced system. You can read about functions \
like NDSolve`ProcessEquations in the ",
 StyleBox[ButtonBox["Components and Data Structures",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/NDSolveStateData"],
  FontWeight->"Bold"],
 " tutorial."
}], "Text",
 CellChangeTimes->{{3.7461735370429897`*^9, 3.7461735702063007`*^9}, {
   3.7463658875194817`*^9, 3.74636588887127*^9}, 3.746366136995916*^9, {
   3.746366242588191*^9, 3.7463662569572105`*^9}, {3.747415578772744*^9, 
   3.747415579011101*^9}, {3.7474157875977592`*^9, 3.747415787883621*^9}, 
   3.747415838461102*^9, {3.747590032910612*^9, 
   3.747590037908432*^9}},ExpressionUUID->"72b2f0ab-c5fe-49fb-b844-\
47936c92960f"],

Cell["For example, with the preceding system:", "Text",
 CellChangeTimes->{{3.7461735370429897`*^9, 3.7461735702063007`*^9}, {
   3.7463658875194817`*^9, 3.74636588887127*^9}, 3.746366136995916*^9, {
   3.746366242588191*^9, 3.746366255411092*^9}, {3.747589704943192*^9, 
   3.7475897090071173`*^9}},ExpressionUUID->"5ab29e7b-3ecc-47fc-a67b-\
5745fffd9a42"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqns", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "''"}], "[", "t", "]"}], "+", 
       RowBox[{"y", "[", "t", "]"}]}], " ", "\[Equal]", " ", 
      RowBox[{"Cos", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"Cos", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state", " ", "=", " ", 
   RowBox[{"First", "@", 
    RowBox[{"NDSolve`ProcessEquations", "[", 
     RowBox[{"eqns", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], ",", "t", ",", 
      RowBox[{"Method", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<IndexReduction\>\"", "\[Rule]", "Automatic"}], "}"}]}]}],
      "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"residual", " ", "=", " ", 
   RowBox[{
    RowBox[{"state", "[", "\"\<NumericalFunction\>\"", "]"}], "[", 
    "\"\<FunctionExpression\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", 
  RowBox[{"residual", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{3.7461735795090203`*^9},
 CellTags->"NDSolve`ProcessEquations",
 CellLabel->"In[89]:=",ExpressionUUID->"b4707c80-ee74-436f-b7e7-d15a056fc461"],

Cell[TextData[{
 "The mapping between variables like ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "''"}], "->", 
    RowBox[{"d", "\[InvisibleSpace]", "d", "\[InvisibleSpace]", "2", "x"}]}], 
   TraditionalForm]],ExpressionUUID->"389a0929-79fd-4c67-8cd1-9253cef3faa8"],
 " can also be found:"
}], "Text",
 CellChangeTimes->{{3.7461735897740903`*^9, 3.7461736484056015`*^9}, {
  3.746175142185029*^9, 3.7461751462300997`*^9}, {3.74741585579865*^9, 
  3.74741587645979*^9}},ExpressionUUID->"5bad60f3-bc62-4936-9a36-\
e7144f088152"],

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"MapThread", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Thread", "[", 
      RowBox[{"Rule", "[", "##", "]"}], "]"}], "&"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"state", "[", "\"\<Variables\>\"", "]"}], ",", 
      RowBox[{"state", "[", "\"\<WorkingVariables\>\"", "]"}]}], "}"}]}], 
   "]"}], "]"}]], "Input",
 CellLabel->"In[93]:=",ExpressionUUID->"197b72a7-bc7f-4412-873a-8324aa73e150"],

Cell[TextData[{
 "The derivatives are represented by a new set of variables that are treated \
as unique algebraic quantities. The reason for doing this is beyond the scope \
of this course, but more information can be found in the section on the \
\[OpenCurlyDoubleQuote]dummy derivative\[CloseCurlyDoubleQuote] method in the \
",
 StyleBox[ButtonBox["DAE tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/NDSolveDAE"],
  FontWeight->"Bold"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7461735795090203`*^9, 3.7463663431703434`*^9, {3.7463663769859858`*^9, 
   3.7463664230968647`*^9}, {3.74741588840844*^9, 3.747415891280262*^9}, {
   3.747416915464766*^9, 
   3.747416915558186*^9}},ExpressionUUID->"af4056df-70b5-49d7-89a7-\
ddcf279660da"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.7461788932547493`*^9, 
  3.7461789008791494`*^9}},ExpressionUUID->"adc1f507-50ea-4982-9487-\
642259606716"],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"d30e77bd-1038-493c-a70d-d500675bdb7f"],

Cell[CellGroupData[{

Cell["Index Reduction Methods", "Section",
 CellChangeTimes->{{3.7058340332006474`*^9, 3.7058340358641434`*^9}, {
  3.708870888601716*^9, 3.7088708930094767`*^9}, {3.744132076695963*^9, 
  3.7441320774399366`*^9}},ExpressionUUID->"290a35e4-505b-4d6d-91b5-\
d75fc9aa1bf1"],

Cell[TextData[{
 "The DAE solver methods built into ",
 StyleBox[ButtonBox["NDSolve",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"],
 " work with index-1 and index-0 systems. Thus, for higher-index systems, \
index reduction is necessary. "
}], "Text",
 CellChangeTimes->{
  3.7058340418018303`*^9, {3.705834714830334*^9, 3.7058347368467417`*^9}, {
   3.708867308968281*^9, 3.708867314268331*^9}, 3.708958151629878*^9, {
   3.7089591515108185`*^9, 3.708959191139185*^9}, {3.744132094696577*^9, 
   3.7441320983933783`*^9}, {3.7443830222418423`*^9, 
   3.7443830268971496`*^9}, {3.745074008925279*^9, 3.7450740102216825`*^9}, {
   3.7459464656535296`*^9, 3.7459464714869685`*^9}, {3.746201307673581*^9, 
   3.746201310478018*^9}, {3.7468990474337263`*^9, 3.7468990477545767`*^9}, {
   3.7474158990957727`*^9, 3.747415913119223*^9}, 3.747589729718514*^9, 
   3.747590056045699*^9},ExpressionUUID->"16a60b56-87aa-4411-90c9-\
d17d4121474f"],

Cell["\<\
When a system is found to have an index greater than 1, NDSolve generates a \
message:\
\>", "Text",
 CellChangeTimes->{
  3.7058340418018303`*^9, {3.705834714830334*^9, 3.7058347368467417`*^9}, {
   3.708867308968281*^9, 3.708867314268331*^9}, 3.708958151629878*^9, {
   3.7089591515108185`*^9, 3.708959191139185*^9}, {3.744132094696577*^9, 
   3.7441320983933783`*^9}, {3.7443830222418423`*^9, 3.7443830268971496`*^9}, 
   3.745074008925279*^9, {3.7459464735163527`*^9, 3.74594647976394*^9}, {
   3.747415918887207*^9, 
   3.747415922622541*^9}},ExpressionUUID->"556611cf-b8e3-452d-803e-\
6d8db028565a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"eqns", " ", "=", " ", 
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{
          RowBox[{"x1", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"Cos", "[", "t", "]"}], "-", 
          RowBox[{"x2", "[", "t", "]"}], "+", 
          RowBox[{"x3", "[", "t", "]"}]}]}]},
       {
        RowBox[{
         RowBox[{
          RowBox[{"x2", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"Cos", "[", "t", "]"}], "-", 
          RowBox[{"x3", "[", "t", "]"}], "+", 
          RowBox[{"x4", "[", "t", "]"}]}]}]},
       {
        RowBox[{
         RowBox[{
          RowBox[{"x3", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"Cos", "[", "t", "]"}], "-", 
          RowBox[{"x4", "[", "t", "]"}], "+", 
          RowBox[{"x5", "[", "t", "]"}]}]}]},
       {
        RowBox[{
         RowBox[{
          RowBox[{"x4", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"Cos", "[", "t", "]"}], "-", 
          RowBox[{"x5", "[", "t", "]"}], "+", 
          RowBox[{"x6", "[", "t", "]"}]}]}]},
       {
        RowBox[{
         RowBox[{
          RowBox[{"x5", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"Cos", "[", "t", "]"}], "+", 
          RowBox[{"Sin", "[", "t", "]"}], "-", 
          RowBox[{"x6", "[", "t", "]"}]}]}]},
       {
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"x1", "[", "t", "]"}], "+", 
          RowBox[{"x2", "[", "t", "]"}], "+", 
          RowBox[{"x3", "[", "t", "]"}], "+", 
          RowBox[{"x4", "[", "t", "]"}], "+", 
          RowBox[{"x5", "[", "t", "]"}], "-", 
          RowBox[{"5", "*", 
           RowBox[{"Sin", "[", "t", "]"}]}]}]}]}
      }], "\[NoBreak]", ")"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"ics", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x1", "[", "0", "]"}], "==", 
     RowBox[{"x2", "[", "0", "]"}], "==", 
     RowBox[{"x3", "[", "0", "]"}], "==", 
     RowBox[{"x4", "[", "0", "]"}], "==", 
     RowBox[{"x5", "[", "0", "]"}], "==", 
     RowBox[{"x6", "[", "0", "]"}], "==", "0"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"vars", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x1", "[", "t", "]"}], ",", 
     RowBox[{"x2", "[", "t", "]"}], ",", 
     RowBox[{"x3", "[", "t", "]"}], ",", 
     RowBox[{"x4", "[", "t", "]"}], ",", 
     RowBox[{"x5", "[", "t", "]"}], ",", 
     RowBox[{"x6", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eqns", ",", "ics"}], "}"}], ",", "vars", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"4", " ", "Pi"}]}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7088673997736526`*^9, 3.70886740051962*^9}, 
   3.7441330408621254`*^9, {3.7443632964583464`*^9, 3.744363309342594*^9}, {
   3.746175505366816*^9, 3.7461755519166393`*^9}, {3.746899082722159*^9, 
   3.7468990961467032`*^9}},
 CellTags->"NDSolve",
 CellLabel->
  "In[104]:=",ExpressionUUID->"3db6cd95-ef8a-4153-9f19-032777c4683a"],

Cell[TextData[{
 StyleBox["This is an ",
  Deletable->True],
 "index-4",
 StyleBox[" system, which has the exact solution ",
  Deletable->True],
 Cell[BoxData[
  FormBox[
   RowBox[{"sin", "(", "t", ")"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"0531dc38-0289-4072-aa67-94ae74046bb1"],
 " for all variables:"
}], "Text",
 CellChangeTimes->{{3.746175568296281*^9, 3.746175594666254*^9}, {
  3.7461756263408933`*^9, 3.746175642327083*^9}, {3.747415927822771*^9, 
  3.747415928206667*^9}},ExpressionUUID->"f8b38fe4-5d4d-4aec-ba88-\
e193e0df0177"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqns", ",", "ics"}], "}"}], ",", "vars", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"4", " ", "Pi"}]}], "}"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "//", "Column"}]], "Input",
 CellChangeTimes->{{3.7461755986647406`*^9, 3.746175609300556*^9}, {
  3.7468991023380594`*^9, 3.746899111883355*^9}},
 CellTags->"DSolve",
 CellLabel->
  "In[110]:=",ExpressionUUID->"5328e423-9223-4bf0-8a83-078fa99ad5ae"],

Cell[TextData[{
 "NDSolve",
 StyleBox[ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"],
 "uses two methods for index reduction: ",
 Cell[BoxData["\<\"Pantelides\"\>"], "Input",ExpressionUUID->
  "f3ecbfc6-0fc3-4eef-ae5a-62928aca5b3f"],
 " and ",
 Cell[BoxData["\<\"StructuralMatrix\"\>"], "Input",ExpressionUUID->
  "1f51d871-72dd-4610-9c3c-a246c6cb51be"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7088674149899473`*^9, {3.7088681294041758`*^9, 3.7088681297489185`*^9}, {
   3.7088682594272084`*^9, 3.708868262107277*^9}, 3.7088709538564463`*^9, {
   3.7089581961758633`*^9, 3.708958236367254*^9}, {3.7438792716610346`*^9, 
   3.7438793195958242`*^9}, {3.7438793515493903`*^9, 3.743879359404144*^9}, {
   3.744132110792262*^9, 3.744132132873846*^9}, {3.744133049681119*^9, 
   3.7441330624022703`*^9}, 3.7443830302340097`*^9, {3.745946453526326*^9, 
   3.7459464607965975`*^9}, 3.746138139941517*^9, 3.7461751931334705`*^9, {
   3.7468991306670847`*^9, 3.746899145768044*^9}, {3.747415931655644*^9, 
   3.747415948901136*^9}},ExpressionUUID->"7d4b8b7b-7409-47d7-94ca-\
2c0619bf2ccd"],

Cell[CellGroupData[{

Cell["Pantelides", "Subsection",
 CellChangeTimes->{{3.7088683097223516`*^9, 
  3.7088683120496798`*^9}},ExpressionUUID->"7db8fb83-0aea-4a77-aac2-\
fc0288b2aa46"],

Cell["\<\
The Pantelides algorithm is efficient. However, it can sometimes \
underestimate the index of the system, which prevents the problem from being \
solved. In this case, it estimates this index-4 system to be index 2:\
\>", "Text",
 CellChangeTimes->{{3.705837991526602*^9, 3.705838050516785*^9}, {
   3.7088685233197174`*^9, 3.708868647459319*^9}, {3.708868888162661*^9, 
   3.7088688888032017`*^9}, {3.709474973802656*^9, 3.709474975233979*^9}, 
   3.74436338941311*^9, {3.7450740428530664`*^9, 3.7450740465480895`*^9}, {
   3.7451536183990507`*^9, 3.7451536289098697`*^9}, {3.746138178439993*^9, 
   3.7461381787566943`*^9}, {3.746138230347952*^9, 3.7461382315674*^9}, 
   3.7461384270152106`*^9, {3.7461707300697656`*^9, 3.7461707365348268`*^9}, 
   3.7461751967286305`*^9, {3.7461752514678535`*^9, 3.7461752615561924`*^9}, {
   3.746175663434907*^9, 3.7461757105988803`*^9}, {3.7461758020671673`*^9, 
   3.7461758047774425`*^9}, {3.747154118082676*^9, 3.747154118562944*^9}, {
   3.7474159570314903`*^9, 3.747415960717441*^9}},
 CellTags->
  "Pantelides",ExpressionUUID->"55419dcf-c7d6-4bec-b423-255e4b335ec2"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eqns", ",", "ics"}], "}"}], ",", "vars", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"4", " ", "Pi"}]}], "}"}], ",", 
   RowBox[{"Method", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<IndexReduction\>\"", "\[Rule]", "\"\<Pantelides\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.743879407704929*^9, 3.7438794214292593`*^9}, {
   3.74436331531485*^9, 3.744363322080977*^9}, {3.744363396268974*^9, 
   3.7443633964474697`*^9}, 3.7461757267131605`*^9},
 CellTags->"\"IndexReduction\"",
 CellLabel->
  "In[111]:=",ExpressionUUID->"d74a42d8-aebc-4921-b5f0-bf4247b781bc"],

Cell[CellGroupData[{

Cell["Structural Matrix", "Subsection",
 CellChangeTimes->{{3.7088683198822165`*^9, 
  3.708868323049797*^9}},ExpressionUUID->"0851c50a-5484-4637-8e8e-\
b81fad6d06a2"],

Cell["\<\
The structural matrix method is more general, and may be able to resolve \
systems where the Pantelides algorithm fails. However, this comes at the cost \
of higher computational complexity:\
\>", "Text",
 CellChangeTimes->{{3.7461384003842916`*^9, 3.746138418504592*^9}, {
   3.746170760953341*^9, 3.7461707683607845`*^9}, 3.7461752029166303`*^9, {
   3.7463661867315063`*^9, 3.7463661992604923`*^9}, {3.747154134515134*^9, 
   3.7471541467776203`*^9}, {3.747415968125286*^9, 
   3.7474159688296947`*^9}},ExpressionUUID->"7371919b-1a32-4516-919a-\
ce85e8d92804"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eqns", ",", "ics"}], "}"}], ",", "vars", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"4", " ", "Pi"}]}], "}"}], ",", 
   RowBox[{"Method", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<IndexReduction\>\"", "\[Rule]", "\"\<StructuralMatrix\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7438794368781104`*^9, 3.7438794405067344`*^9}, {
   3.7443633484442916`*^9, 3.7443633545781517`*^9}, {3.744363481507454*^9, 
   3.7443634816925325`*^9}, 3.7461757637041316`*^9},
 CellTags->"\"StructuralMatrix\"",
 CellLabel->
  "In[112]:=",ExpressionUUID->"b90536a9-3aee-4b48-a110-4734e27aec1e"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.7461789189907627`*^9, 
  3.7461789226175756`*^9}},ExpressionUUID->"d484cbcc-f6e2-49ac-aaa6-\
c199d8994fff"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Select the incorrect statement.", {{
                  "\"StructuralMatrix\" is computationally more complex than \
\"Pantelides\".", "Wrong: This is correct"}, {
                  "Differentiation is necessary for reducing the index of a \
system.", "Wrong: This is correct"}, {
                  "NDSolve uses symbolic techniques to do index reduction.", 
                   "Wrong: This is correct"}, {
                  "None of the above.", "Correct"}}, 4}}]]), Method -> 
          "Preemptive", PassEventsDown -> Automatic, PassEventsUp -> True}]]},
        Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "\"StructuralMatrix\" is computationally more complex than \
\"Pantelides\".", 1 -> Column[{
                  Style[
                   TextCell[
                   "\"StructuralMatrix\" is computationally more complex than \
\"Pantelides\".", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong: This is correct", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> 
               "\"StructuralMatrix\" is computationally more complex than \
\"Pantelides\".", 3 -> 
               "\"StructuralMatrix\" is computationally more complex than \
\"Pantelides\".", 4 -> 
               "\"StructuralMatrix\" is computationally more complex than \
\"Pantelides\"."}, {
              0 -> "Differentiation is necessary for reducing the index of a \
system.", 1 -> 
               "Differentiation is necessary for reducing the index of a \
system.", 2 -> Column[{
                  Style[
                   TextCell[
                   "Differentiation is necessary for reducing the index of a \
system.", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong: This is correct", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 3 -> 
               "Differentiation is necessary for reducing the index of a \
system.", 4 -> 
               "Differentiation is necessary for reducing the index of a \
system."}, {0 -> "NDSolve uses symbolic techniques to do index reduction.", 1 -> 
               "NDSolve uses symbolic techniques to do index reduction.", 2 -> 
               "NDSolve uses symbolic techniques to do index reduction.", 3 -> 
               Column[{
                  Style[
                   TextCell[
                   "NDSolve uses symbolic techniques to do index reduction.", 
                    TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong: This is correct", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 4 -> 
               "NDSolve uses symbolic techniques to do index reduction."}, {
              0 -> "None of the above.", 1 -> "None of the above.", 2 -> 
               "None of the above.", 3 -> "None of the above.", 4 -> Column[{
                  Style[
                   TextCell["None of the above.", TextAlignment -> Left], 
                   "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"Select the incorrect statement.\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"\\\"StructuralMatrix\\\" is computationally more \
complex than \\\"Pantelides\\\".\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "\"StructuralMatrix\" is computationally more complex \
than \"Pantelides\".", TextAlignment -> Left], 
                    TextCell[
                    "\"StructuralMatrix\" is computationally more complex \
than \"Pantelides\".", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong: This is correct", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is correct", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> 
                    "\"\\\"StructuralMatrix\\\" is computationally more \
complex than \\\"Pantelides\\\".\"", 3 -> 
                    "\"\\\"StructuralMatrix\\\" is computationally more \
complex than \\\"Pantelides\\\".\"", 4 -> 
                    "\"\\\"StructuralMatrix\\\" is computationally more \
complex than \\\"Pantelides\\\".\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"Differentiation is necessary for reducing the \
index of a system.\"", 1 -> 
                    "\"Differentiation is necessary for reducing the index of \
a system.\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Differentiation is necessary for reducing the index of a \
system.", TextAlignment -> Left], 
                    TextCell[
                    "Differentiation is necessary for reducing the index of a \
system.", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong: This is correct", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is correct", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 3 -> 
                    "\"Differentiation is necessary for reducing the index of \
a system.\"", 4 -> 
                    "\"Differentiation is necessary for reducing the index of \
a system.\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {3}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"NDSolve uses symbolic techniques to do index \
reduction.\"", 1 -> 
                    "\"NDSolve uses symbolic techniques to do index \
reduction.\"", 2 -> 
                    "\"NDSolve uses symbolic techniques to do index \
reduction.\"", 3 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "NDSolve uses symbolic techniques to do index reduction.",
                     TextAlignment -> Left], 
                    TextCell[
                    "NDSolve uses symbolic techniques to do index reduction.",
                     TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong: This is correct", TextAlignment -> Left], 
                    TextCell[
                    "Wrong: This is correct", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 4 -> 
                    "\"NDSolve uses symbolic techniques to do index \
reduction.\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 3, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {4}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"None of the above.\"", 1 -> 
                    "\"None of the above.\"", 2 -> "\"None of the above.\"", 
                    3 -> "\"None of the above.\"", 4 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["None of the above.", TextAlignment -> Left], 
                    TextCell["None of the above.", TextAlignment -> Left]], 
                    "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 4, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"fa460634-227c-442e-a7f4-3992679b268c"],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"0bc73732-7774-4e36-ab61-5c01abf0084a"],

Cell[CellGroupData[{

Cell["Equation Simplification", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.7053298746640024`*^9, 3.705329917646944*^9}, {3.7053301812642813`*^9, 
  3.705330182511582*^9}, {3.705330586844988*^9, 3.7053305897396693`*^9}, {
  3.7053332076340556`*^9, 
  3.7053332113629494`*^9}},ExpressionUUID->"8ae60cd4-2a69-47b6-8f10-\
42af825e3f82"],

Cell["\<\
In order to solve a DAE after it has been index reduced, NDSolve converts the \
system into one of three forms. This step is quite important, since different \
integration methods are chosen depending on how the system is constructed. \
\>", "Text",
 CellChangeTimes->{{3.700926192439707*^9, 3.70092619954053*^9}, {
   3.7083572219973106`*^9, 3.708357224099918*^9}, {3.74152894229077*^9, 
   3.7415289425695057`*^9}, {3.7434239107425623`*^9, 3.743423913497841*^9}, {
   3.743875659159831*^9, 3.7438757084552455`*^9}, 3.7438762800155096`*^9, 
   3.7443829204823327`*^9, {3.745936548142168*^9, 3.74593656095216*^9}, {
   3.746175844935403*^9, 3.7461758477067075`*^9}, {3.746175882801797*^9, 
   3.746175898342881*^9}, {3.747415982889413*^9, 
   3.7474159922045507`*^9}},ExpressionUUID->"cb8c91be-9cc7-40e9-b6f9-\
d7fa7f60a1e2"],

Cell[TextData[{
 "To demonstrate, consider the system: \n\n",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[Prime]",
       MultilineFunction->None], "(", "t", ")"}], "+", 
     RowBox[{
      SuperscriptBox["y", "\[Prime]"], "(", "t", ")"}], "+", 
     RowBox[{
      SuperscriptBox["z", "\[Prime]"], "(", "t", ")"}]}], "\[LongEqual]", 
    RowBox[{"sin", "(", "t", ")"}]}], TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["y", "\[Prime]"], "(", "t", ")"}], "+", 
     RowBox[{
      SuperscriptBox["z", "\[Prime]"], "(", "t", ")"}]}], "\[LongEqual]", 
    RowBox[{
     RowBox[{"sin", "(", "t", ")"}], "+", 
     RowBox[{"x", "(", "t", ")"}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[Prime]"], "(", "t", ")"}], "+", 
     RowBox[{
      SuperscriptBox["z", "\[Prime]"], "(", "t", ")"}]}], "\[LongEqual]", 
    RowBox[{
     RowBox[{"cos", "(", "t", ")"}], "+", 
     RowBox[{"y", "(", "t", ")"}]}]}], TraditionalForm]}], "InlineMath",
  ExpressionUUID->"e0c61a5b-d0e7-462a-b980-8cdd08691c31"],
 "\n\nNDSolve",
 StyleBox[ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"],
 "automatically tries to put the system into normal form by first attempting \
to solve for the highest-order derivate explicitly with ",
 StyleBox[ButtonBox["LinearSolve",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/LinearSolve"],
  FontWeight->"Bold"],
 ". If that fails, then the system is solved symbolically using ",
 StyleBox[ButtonBox["Solve",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Solve"],
  FontWeight->"Bold"],
 ":"
}], "Text",
 CellChangeTimes->{{3.7009271239452825`*^9, 3.700927140852023*^9}, {
   3.7058355354014287`*^9, 3.7058355548989797`*^9}, {3.7438757130223293`*^9, 
   3.7438757170389566`*^9}, {3.7438758241834373`*^9, 3.7438758288698177`*^9}, 
   3.743947433687019*^9, {3.744129943767053*^9, 3.7441299926466875`*^9}, {
   3.7443829259718723`*^9, 3.7443829334356437`*^9}, {3.7459365689894896`*^9, 
   3.745936596150567*^9}, 3.746170590295501*^9, {3.7462023745320373`*^9, 
   3.7462023758916636`*^9}, {3.7474160005354033`*^9, 
   3.747416012837249*^9}},ExpressionUUID->"10460da3-72f3-4a10-a274-\
7788197a18ad"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], "-", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], "+", 
       RowBox[{"x", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], "+", 
       RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{"z", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7083569541717525`*^9, 3.708356976076866*^9}},
 CellLabel->
  "In[145]:=",ExpressionUUID->"b6bd1940-acb6-48b3-afee-454dd091d27a"],

Cell[TextData[{
 "To see what NDSolve is doing behind the scenes, NDSolve`ProcessEquations is \
helpful. You can read about functions like NDSolve`ProcessEquations in the ",
 StyleBox[ButtonBox["Components and Data Structures",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/NDSolveStateData"],
  FontWeight->"Bold"],
 " tutorial:"
}], "Text",
 CellChangeTimes->{{3.7083575772248263`*^9, 3.708357703353463*^9}, {
   3.708956788962489*^9, 3.7089567927016096`*^9}, 3.744382940411115*^9, {
   3.7459448613280163`*^9, 3.7459448723954144`*^9}, {3.747416017356686*^9, 
   3.747416029155545*^9}},ExpressionUUID->"bfa2ec5a-b552-4d5e-92be-\
2e3b55bff146"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"state", "=", 
   RowBox[{"First", "@", 
    RowBox[{"NDSolve`ProcessEquations", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "t"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"state", "[", "\"\<Properties\>\"", "]"}], ",", 
    RowBox[{"UpTo", "[", "4", "]"}]}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.708357387030169*^9, 3.7083574201700954`*^9}, {
   3.708357485289896*^9, 3.708357500138303*^9}, {3.70835753066225*^9, 
   3.708357531185664*^9}, {3.743875783783533*^9, 3.743875793503282*^9}, {
   3.7438758431746845`*^9, 3.7438758542299395`*^9}, 3.7441300110394993`*^9, {
   3.7468992137209187`*^9, 3.7468992401027565`*^9}},
 CellTags->"NDSolve`ProcessEquations",
 CellLabel->
  "In[127]:=",ExpressionUUID->"ea83ec3c-96d6-4b4a-b593-980f5fde741c"],

Cell[TextData[{
 "To view the form NDSolve put the DAE into, the ",
 Cell[BoxData["\<\"NumericalFunction\"\>"], "Input",ExpressionUUID->
  "a823be7c-fb05-4d1a-9a5d-32f5f1b2f0b8"],
 " option of the state variable should be used with the property ",
 Cell[BoxData["\<\"FunctionExpression\"\>"], "Input",ExpressionUUID->
  "98d4d016-3a5a-4347-b649-623515e234a2"],
 ":"
}], "Text",
 CellChangeTimes->{{3.744130019126959*^9, 3.744130065960157*^9}, 
   3.7443829534345837`*^9, {3.74593660027752*^9, 3.7459366070424733`*^9}, {
   3.747416032419529*^9, 
   3.747416062442062*^9}},ExpressionUUID->"c8f8b641-a9a0-41ab-8875-\
9efab6d01901"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"state", "[", "\"\<NumericalFunction\>\"", "]"}], "[", 
     "\"\<Properties\>\"", "]"}], ",", 
    RowBox[{"UpTo", "[", "3", "]"}]}], "]"}], "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.708357387030169*^9, 3.7083574201700954`*^9}, {
   3.708357485289896*^9, 3.708357500138303*^9}, {3.70835753066225*^9, 
   3.708357531185664*^9}, {3.743875783783533*^9, 3.743875793503282*^9}, {
   3.7438758431746845`*^9, 3.7438758542299395`*^9}, 3.7441300110394993`*^9, {
   3.7468992776962433`*^9, 3.746899286286009*^9}},
 CellTags->"\"NumericalFunction\"",
 CellLabel->
  "In[130]:=",ExpressionUUID->"d79d4339-46fd-4ce0-b75a-8a3af033ab74"],

Cell[TextData[{
 "The three options of ",
 Cell[BoxData["\<\"EquationSimplification\"\>"], "Input",ExpressionUUID->
  "808f7f40-07e9-4d57-b619-2f9ea9e14be5"],
 " put the equation into one of three forms. "
}], "Text",
 CellChangeTimes->{{3.743876294414454*^9, 3.743876315863203*^9}, {
   3.7441300858860116`*^9, 3.7441301099027185`*^9}, 3.747416069921502*^9, 
   3.747589793780128*^9},ExpressionUUID->"85e51790-da8b-4f80-b25c-\
4c1a2b02366a"],

Cell[CellGroupData[{

Cell["Solve", "Subsection",
 CellChangeTimes->{{3.705931575198518*^9, 
  3.705931579534946*^9}},ExpressionUUID->"ac940bad-e187-4a08-96d1-\
6401c93c2bcf"],

Cell["\<\
This is the default method, which attempts to solve for the highest-order \
derivative explicitly. This transforms the DAE into a system of ODEs. Robust \
and efficient numerical methods can then be taken advantage of to solve the \
system of ODEs:\
\>", "Text",
 CellChangeTimes->{{3.743875968875242*^9, 3.743875987954712*^9}, {
   3.7441301183100204`*^9, 3.744130123743462*^9}, {3.7441317983224125`*^9, 
   3.7441318850173626`*^9}, 3.746175935556484*^9, {3.747416082115388*^9, 
   3.747416097672876*^9}, {3.74802306531936*^9, 3.748023147783043*^9}, {
   3.760114008872829*^9, 
   3.760114010239086*^9}},ExpressionUUID->"cb83b02b-e678-4854-9c6e-\
ec24fb6efd35"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"state", "=", 
   RowBox[{"First", "@", 
    RowBox[{"NDSolve`ProcessEquations", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "t", ",", 
      RowBox[{"Method", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<EquationSimplification\>\"", "\[Rule]", "\"\<Solve\>\""}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"state", "[", "\"\<NumericalFunction\>\"", "]"}], "[", 
    "\"\<FunctionExpression\>\"", "]"}], "[", 
   RowBox[{"t", ",", "x", ",", "y", ",", "z"}], "]"}], "//", 
  "Column"}]}], "Input",
 CellChangeTimes->{{3.7009272234116335`*^9, 3.700927244976737*^9}, {
  3.708356970134078*^9, 3.708356972887419*^9}, {3.7083575341555443`*^9, 
  3.708357534755138*^9}, {3.743875995732289*^9, 3.743875995982933*^9}},
 CellTags->"\"EquationSimplification\"",
 CellLabel->
  "In[131]:=",ExpressionUUID->"45b18cec-2f57-4a06-bfa4-b124b7fd4c24"],

Cell["Compare with using the Solve function explicitly:", "Text",
 CellChangeTimes->{{3.7089568796559267`*^9, 3.708956886108559*^9}, 
   3.7443829649962053`*^9, {3.7461759456913056`*^9, 3.7461759566082463`*^9}, 
   3.74741614291175*^9, {3.747416936685244*^9, 
   3.747416938477132*^9}},ExpressionUUID->"e89f3e51-4931-4d23-9837-\
a1f4ed9e4f86"],

Cell[BoxData[
 RowBox[{
  RowBox[{"First", "@", 
   RowBox[{"Solve", "[", 
    RowBox[{"eqn", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "}"}]}], "]"}]}], "//", 
  "Column"}]], "Input",
 CellChangeTimes->{{3.708356991478742*^9, 3.708356991806614*^9}, {
  3.7089568370191774`*^9, 3.7089568676588793`*^9}},
 CellTags->"Solve",
 CellLabel->
  "In[133]:=",ExpressionUUID->"868760e5-9244-4f00-9bd4-1a2f86fb8ca1"],

Cell[CellGroupData[{

Cell["\[OpenCurlyDoubleQuote]TimeConstraint\[CloseCurlyDoubleQuote] Option", \
"Subsubsection",
 CellChangeTimes->{{3.743876902205413*^9, 3.7438769101734934`*^9}},
 CellTags->
  "\"TimeConstraint\"",ExpressionUUID->"5311e689-5e95-42bb-87d6-475512cd9328"],

Cell[TextData[{
 "The ",
 Cell[BoxData["\<\"TimeConstraint\"\>"], "Input",ExpressionUUID->
  "63548ef1-4374-4d74-a8be-3dae5a076890"],
 " option defines the time in seconds to allow Solve to explicitly solve for \
the highest-order derivatives. By default, ",
 Cell[BoxData["\<\"TimeConstraint\"\>"], "Input",ExpressionUUID->
  "dcab10c7-39f8-4dd0-8075-49955dc12ea1"],
 " is set to 1 second. Increasing the time constraint can sometimes resolve a \
common error message when solving DAEs:"
}], "Text",
 CellChangeTimes->{{3.7058359206444836`*^9, 3.705835960314848*^9}, {
   3.7083580464176407`*^9, 3.7083581706783447`*^9}, {3.7083583119331245`*^9, 
   3.7083583183812275`*^9}, {3.708359608628458*^9, 3.708359610157514*^9}, {
   3.7083596414926567`*^9, 3.708359652892872*^9}, {3.7083602289913545`*^9, 
   3.70836023084026*^9}, {3.708957394452923*^9, 3.7089573966295547`*^9}, {
   3.70947329157448*^9, 3.7094733168679695`*^9}, {3.709473365749193*^9, 
   3.709473421152608*^9}, {3.709473579500686*^9, 3.7094735880879135`*^9}, 
   3.7443829714974236`*^9, {3.7461759712316155`*^9, 3.7461759837965827`*^9}, {
   3.7471543840806723`*^9, 3.747154388343959*^9}, {3.747416149318842*^9, 
   3.747416194838273*^9}},ExpressionUUID->"1ea133c1-3e3f-4f9e-9b3d-\
0f6e406e3913"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], " ", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"z", "'"}], "[", "t", "]"}], "^", "2"}]}], "\[Equal]", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], " ", 
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}]}], "+", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], "+", 
       RowBox[{"x", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], "+", 
       RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", 
      RowBox[{"-", "1"}]}], ",", 
     RowBox[{
      RowBox[{"z", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.708358176534882*^9, 3.7083582054786816`*^9}, {
   3.744130173887442*^9, 3.744130189407609*^9}, {3.7443876814707003`*^9, 
   3.744387726085021*^9}, 3.7443878126720047`*^9},
 CellLabel->
  "In[134]:=",ExpressionUUID->"639324a9-e102-4d5c-bd8d-0da047885421"],

Cell[TextData[{
 "The error message suggests ",
 Cell[BoxData[
  RowBox[{"Method", "->", 
   RowBox[{"{", 
    RowBox[{"\<\"EquationSimplification\"\>", "->", "\<\"Residual\"\>"}], 
    "}"}]}]], "Input",ExpressionUUID->"b331f87c-e908-42db-bd05-704b141f36b7"],
 ". This method does work, but due to the nature of the method, only one of \
the multiple solutions is found:"
}], "Text",
 CellChangeTimes->{{3.745072849626233*^9, 3.7450728884550247`*^9}, {
   3.7450730395449753`*^9, 3.7450730400412884`*^9}, 
   3.747416182344421*^9},ExpressionUUID->"d0e6672a-28a1-48de-b1b6-\
ecf961b4e213"],

Cell[BoxData[
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Method", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<EquationSimplification\>\"", "\[Rule]", "\"\<Residual\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7450728902277107`*^9, 3.745072903059684*^9}},
 CellTags->"\"EquationSimplification\"",
 CellLabel->
  "In[137]:=",ExpressionUUID->"c7deb58c-f4b0-4f2b-ac16-11ae31aeb1d7"],

Cell["\<\
Increasing the time constraint gives Solve more time to solve for the \
derivative terms explicitly. As a result, all branches for the solution set \
are found:\
\>", "Text",
 CellChangeTimes->{{3.708358223141511*^9, 3.7083582636049013`*^9}, {
   3.7083585512740984`*^9, 3.70835858249794*^9}, {3.708957419042206*^9, 
   3.7089574826862984`*^9}, 3.7441302239171505`*^9, 3.744382977305806*^9, {
   3.7450729084980855`*^9, 3.7450729155206394`*^9}, {3.7450730597274313`*^9, 
   3.7450730783449316`*^9}, {3.7461760188565903`*^9, 
   3.7461760303941326`*^9}, {3.747416199493829*^9, 3.747416205789241*^9}, {
   3.760114019264942*^9, 
   3.760114019671083*^9}},ExpressionUUID->"9de9f5fc-5f29-4ab2-8b88-\
716e96ebd582"],

Cell[BoxData[
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Method", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<EquationSimplification\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Solve\>\"", ",", " ", 
        RowBox[{"\"\<TimeConstraint\>\"", "\[Rule]", "10"}]}], "}"}]}], 
     "}"}]}]}], "]"}]], "Input",
 CellLabel->
  "In[138]:=",ExpressionUUID->"8bc2bdff-f60f-4003-9618-5a1faec21db5"],

Cell[TextData[{
 "One of these branches has numerical problems near ",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "c0c83e9a-a835-484d-8167-575c9a995226"],
 " due to a stiff system, which is the cause of the error message. This \
message can be resolved by using the ",
 Cell[BoxData["\<\"StiffnessSwitching\"\>"], "Input",ExpressionUUID->
  "d8c86022-bcb2-42af-80d3-12b7a65331ec"],
 " method:"
}], "Text",
 CellChangeTimes->{{3.7441302335657587`*^9, 3.7441302799487786`*^9}, {
   3.7441319273937874`*^9, 3.7441319296657915`*^9}, {3.744131982856876*^9, 
   3.7441319834675016`*^9}, 3.7450729483686256`*^9, {3.7450730818941107`*^9, 
   3.745073096497769*^9}, {3.7451526561148524`*^9, 3.745152671308037*^9}, {
   3.7462024118840656`*^9, 3.746202426621846*^9}, {3.7468993599089465`*^9, 
   3.7468993643486123`*^9}, {3.7474162139466877`*^9, 
   3.747416222980774*^9}},ExpressionUUID->"7a706804-0eee-4491-9c4a-\
a9ea0ba1c2c5"],

Cell[BoxData[
 RowBox[{"NDSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Method", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<StiffnessSwitching\>\"", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<EquationSimplification\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Solve\>\"", ",", " ", 
          RowBox[{"\"\<TimeConstraint\>\"", "\[Rule]", "10"}]}], "}"}]}], 
       "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellTags->"\"StiffnessSwitching\"",
 CellLabel->
  "In[139]:=",ExpressionUUID->"30d58cdf-46e1-4c97-8b17-03abef558469"],

Cell[TextData[{
 "The resulting equations from the ",
 Cell[BoxData["\<\"EquationSimplification\"\>"], "Input",ExpressionUUID->
  "3c98d669-8fe7-4c51-9263-092c8c5ec08b"],
 " method are quite complicated, which explains the need for an increased ",
 StyleBox[ButtonBox["TimeConstraint",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/TimeConstraint"],
  FontWeight->"Bold"],
 ". NDSolve`ProcessEquations will explicitly display the equations that are \
found:"
}], "Text",
 CellChangeTimes->{{3.7415297128746586`*^9, 3.7415297749462414`*^9}, {
  3.7474162273414097`*^9, 3.74741624193233*^9}, {3.747589846523135*^9, 
  3.7475898477229156`*^9}},ExpressionUUID->"9a65ed2b-ec73-4da3-946c-\
97c5440abeb4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"state", "=", 
   RowBox[{"First", "@", 
    RowBox[{"NDSolve`ProcessEquations", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"Method", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<EquationSimplification\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<Solve\>\"", ",", " ", 
           RowBox[{"\"\<TimeConstraint\>\"", "\[Rule]", "10"}]}], "}"}]}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"eqns", "=", 
  RowBox[{
   RowBox[{"state", "[", "\"\<NumericalFunction\>\"", "]"}], "[", 
   "\"\<FunctionExpression\>\"", "]"}]}]}], "Input",
 CellChangeTimes->{{3.7009272234116335`*^9, 3.700927244976737*^9}, {
  3.708356970134078*^9, 3.708356972887419*^9}, {3.7083575341555443`*^9, 
  3.708357534755138*^9}, {3.741529475932514*^9, 3.7415295070630445`*^9}, {
  3.7415296117786694`*^9, 3.741529612426386*^9}},
 CellLabel->
  "In[140]:=",ExpressionUUID->"58594f59-e95f-4d30-b596-5bb3b78fea9a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mass Matrix", "Subsection",
 CellChangeTimes->{{3.7059315848550634`*^9, 
  3.70593158676711*^9}},ExpressionUUID->"c9085721-74c1-4ba2-96ad-\
37505374564d"],

Cell[TextData[{
 "Generate a system of the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"M", ".", 
     SuperscriptBox["x", "\[Prime]"]}], "\[LongEqual]", 
    RowBox[{"F", "(", 
     RowBox[{"x", ",", "t"}], ")"}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"7024c4ab-7e50-496b-ad4b-90d6941f3371"],
 " using the option ",
 Cell[BoxData["\<\"MassMatrix\"\>"], "Input",ExpressionUUID->
  "1d0f29d5-ce67-4590-b177-d8a59dac3469"],
 ". This option is particularly useful for taking advantage of efficient \
linear algebra functionality. However, difficulties may arise if the mass \
matrix is singular:"
}], "Text",
 CellChangeTimes->{
  3.700927277513919*^9, {3.744130407043907*^9, 3.7441304122938347`*^9}, {
   3.7441306588037205`*^9, 3.7441306978262577`*^9}, {3.7441328949310923`*^9, 
   3.744132955309513*^9}, {3.7474162564183817`*^9, 
   3.747416262659494*^9}},ExpressionUUID->"0807d973-d465-49aa-894d-\
28ec6a139c98"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], "-", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], "+", 
       RowBox[{"x", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], "+", 
       RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{"z", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state", "=", 
   RowBox[{"First", "@", 
    RowBox[{"NDSolve`ProcessEquations", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "t", ",", 
      RowBox[{"Method", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<EquationSimplification\>\"", "\[Rule]", "\"\<MassMatrix\>\""}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"state", "[", "\"\<NumericalFunction\>\"", "]"}], "[", 
   "\"\<FunctionExpression\>\"", "]"}], "[", 
  RowBox[{"t", ",", "x", ",", "y", ",", "z"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state", "[", "\"\<MassMatrix\>\"", "]"}], " ", "//", " ", 
  "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.7083570110486336`*^9, 3.7083570134449916`*^9}, {
  3.7083575246042*^9, 3.70835754137069*^9}, {3.7438760291366673`*^9, 
  3.743876050244485*^9}, {3.7450733558222904`*^9, 3.7450733595501623`*^9}, {
  3.7468994511175504`*^9, 3.7468994513900375`*^9}},
 CellTags->"\"MassMatrix\"",
 CellLabel->
  "In[150]:=",ExpressionUUID->"6a78622e-2e83-4b9b-a0a0-22c6e196a7c8"],

Cell[TextData[{
 "The system ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"M", ".", 
     SuperscriptBox["x", "\[Prime]"]}], "\[LongEqual]", 
    RowBox[{"F", "(", 
     RowBox[{"x", ",", "t"}], ")"}]}], TraditionalForm]],ExpressionUUID->
  "76a9b61e-65fa-4e98-bcff-4003e34bf1bc"],
 " that is to be solved is given by:"
}], "Text",
 CellChangeTimes->{{3.7089571714690065`*^9, 3.708957211135169*^9}, {
   3.7468994800037856`*^9, 3.7468994931325455`*^9}, 3.747415583000849*^9, {
   3.747416265395132*^9, 
   3.747416269299039*^9}},ExpressionUUID->"bc0418e3-9e57-490c-91fd-\
049258881bf4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Rationalize", "[", 
    RowBox[{
     RowBox[{"state", "[", "\"\<MassMatrix\>\"", "]"}], ".", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}], "}"}]}], "]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"x", "+", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"y", "+", 
      RowBox[{"Cos", "[", "t", "]"}]}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7089570121405754`*^9, 3.7089571410133195`*^9}},
 CellLabel->
  "In[156]:=",ExpressionUUID->"1179b5a3-6499-4cd9-a9c7-cddbbd74fff3"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Residual", "Subsection",
 CellChangeTimes->{{3.7059315924071093`*^9, 
  3.7059315934942007`*^9}},ExpressionUUID->"57290058-14da-42a0-92fc-\
1d8e5ce02e07"],

Cell[TextData[{
 "The ",
 Cell[BoxData["\<\"Residual\"\>"], "Input",ExpressionUUID->
  "87c1816b-3b81-4b69-985b-278732a78e8b"],
 " method generates a system of the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"x", ",", 
      RowBox[{"x", "'"}], ",", "t"}], ")"}], "\[LongEqual]", "0"}], 
   TraditionalForm]], "InlineMath",ExpressionUUID->
  "4ffe3b7b-bc5a-4c94-ac0e-231be5f923f1"],
 "."
}], "Text",
 CellChangeTimes->{
  3.700927297145875*^9, {3.7441307075139284`*^9, 3.744130711722128*^9}, {
   3.744131585204098*^9, 3.7441317028220887`*^9}, 3.7462024787317057`*^9, {
   3.746899516163472*^9, 3.7468995191564283`*^9}, 
   3.747416275311645*^9},ExpressionUUID->"fdf4b390-9fa7-400a-87d7-\
0be07db086f7"],

Cell["\<\
This method is quite general and can be used to solve most DAEs. However, \
consistent initialization of the DAE can be difficult using this method, as \
there can be hidden boundary conditions that also need to be satisfied. This \
is discussed later:\
\>", "Text",
 CellChangeTimes->{
  3.700927297145875*^9, {3.7441307075139284`*^9, 3.744130711722128*^9}, {
   3.744131585204098*^9, 3.7441317163559628`*^9}, {3.74689952615492*^9, 
   3.7468995281802855`*^9}, 3.7474155857663813`*^9, {3.7474162840365677`*^9, 
   3.747416287530794*^9}, 
   3.747589865377943*^9},ExpressionUUID->"063577b9-42e4-4d62-a3db-\
ba45b89160fb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"state", "=", 
   RowBox[{"First", "@", 
    RowBox[{"NDSolve`ProcessEquations", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqn", ",", "cond"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "t", ",", 
      RowBox[{"Method", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<EquationSimplification\>\"", "\[Rule]", "\"\<Residual\>\""}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state", "[", "\"\<NumericalFunction\>\"", "]"}], "[", 
  "\"\<FunctionExpression\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.7059326371452675`*^9, 3.7059326440806427`*^9}, {
  3.708357018294882*^9, 3.7083570197026186`*^9}, {3.708357547629303*^9, 
  3.7083575482760124`*^9}, {3.7438760876284122`*^9, 3.743876093427754*^9}, {
  3.7438761290570107`*^9, 3.743876164816618*^9}, {3.743876215248045*^9, 
  3.7438762635688467`*^9}},
 CellTags->"\"Residual\"",
 CellLabel->"In[99]:=",ExpressionUUID->"bd7494fa-4d36-454c-a887-41df45881db2"],

Cell["\<\
When the system is put in a residual form, the derivatives are represented by \
a new set of variables that are treated as unique algebraic quantities. The \
reason for doing this is beyond the scope of this course, but more \
information can be found in the section on the \[OpenCurlyDoubleQuote]dummy \
derivative\[CloseCurlyDoubleQuote] method in the DAE tutorial.\
\>", "Text",
 CellChangeTimes->{{3.708957290811577*^9, 3.708957318578642*^9}, {
   3.745073591056221*^9, 3.745073597961319*^9}, {3.7461379583852654`*^9, 
   3.7461380267388897`*^9}, {3.7463663094059887`*^9, 
   3.7463663138587713`*^9}, {3.7463664350103936`*^9, 
   3.7463664364171176`*^9}, {3.747416297410824*^9, 3.747416305634473*^9}, 
   3.7601140335302973`*^9},ExpressionUUID->"c872d1a3-ddbf-4dee-93f6-\
1fb2a17ded67"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.746178932351984*^9, 
  3.7461789356328363`*^9}},ExpressionUUID->"ff357037-0c5c-4d21-b3d3-\
ea51a1ff0e52"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = True, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Image[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
      "], "Byte", BaselinePosition -> Scaled[0.2], ColorSpace -> "Grayscale", 
      Interleaving -> True], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{GraphicsBox[
           TagBox[
            RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
             "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
            BoxForm`ImageTag[
            "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
            Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
           ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
           BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{GraphicsBox[
            TagBox[
             RasterBox[CompressedData["
1:eJx9kk1oU0EQx2fzXlK/UqIYxMSPRA8VQcGLlFILOVRREDSiB5FgirH0kkoi
lF49CJZ6KXoQrIJVFJFeBCH0kkuKFyHUSxSpxmIFLYmEIkn27f6dl1eDtHnO
so+3u7+d+c/MRodG49c9RJTdxJ94ciyWySTHLwR4cTGdHRlOp66dTt9MDacy
vUMGb+7muZOnfWWDGUJQbM+3aJWSbohtwiOEv7AMoA8UNdxIYW8f+NDUqN/X
lDCJzI6cYQg6GFvVWssHoKsunOkhjpR7C0jok3Xa1zGu4KvbaPouoCCLMGYZ
MdYzPIguhUozgNXQsGKSjrKG9RxnaT7J4qdN8XwEum2S8AmD9Znt2AZH7E3Y
qlQTWn3GloWWf+eQ2ipZP03llSWbsAB9C5HlUGF7vjvXNUsPaZT2CqdmHtEV
XWqwJw3bJNM1VPADZSzgBfqrdIo5n5doZIJVSbSNM1kbEk0gUifDR3TocPW3
Ulr/gzmDC4SGyunAHPsbCJdLXDOFjaaYLVmiScc35xL4wg46UY5nqd5jR2F/
hReWG2Vz7BTh74H8Lw6pXSgLWhdUz6o4532+9B9/nIkuq76a6KHJIhfMPS7X
XS5CzFBmjv8sF4rz1S/VkU+eAbr8jDnpwvEztG6AprnDg5OMNbhlUstWvRxd
To05QQl5FhSmY+N2b/6KsfhYtSCr1WZ8xVME54WXImcwgf6VEytXMIVFNNYu
VFDEPcRqW9/QGAW5a0F6RYPUTX6KUNz7eNd8pBT9GHrnf0136LxNGK2n+AeS
6ENx
              "], {{0, 25}, {20, 0}}, {0, 255}, ColorFunction -> GrayLevel], 
             BoxForm`ImageTag[
             "Byte", ColorSpace -> "Grayscale", Interleaving -> True], 
             Selectable -> False], DefaultBaseStyle -> "ImageGraphics", 
            ImageSizeRaw -> {20, 25}, PlotRange -> {{0, 20}, {0, 25}}, 
            BaselinePosition -> Scaled[0.2]],TemplateBox[{12}, "Spacer1"],
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Does the integration method used to solve DAEs depend on the \
method of equation simplification?", {{"No", "Wrong"}, {"Yes", "Correct"}}, 
                 2}}]]), Method -> "Preemptive", PassEventsDown -> Automatic, 
          PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            DynamicModuleBox[{$CellContext`base$$ = {{0 -> "No", 1 -> Column[{
                  Style[
                   TextCell["No", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Wrong", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "No"}, {
              0 -> "Yes", 1 -> "Yes", 2 -> Column[{
                  Style[
                   TextCell["Yes", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"Does the integration method used to solve DAEs depend \
on the method of equation simplification?\"\>"},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{0 -> "\"No\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["No", TextAlignment -> Left], 
                    TextCell["No", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Wrong", TextAlignment -> Left], 
                    TextCell["Wrong", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"No\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}],
                   TemplateBox[{10}, "Spacer1"],
                   PaneSelectorBox[{
                    0 -> "\"Yes\"", 1 -> "\"Yes\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["Yes", TextAlignment -> Left], 
                    TextCell["Yes", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellTags->"answer",ExpressionUUID->"0edc0090-aa60-40e3-8399-c47848d22ab3"],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"e2d92bf3-974b-49a6-b7b8-9e75752a902b"],

Cell[CellGroupData[{

Cell["DAE Initialization", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
   3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
   3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
   3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
   3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
   3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
   3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
   3.7053298746640024`*^9, 3.705329972741703*^9}, {3.7058396314727073`*^9, 
   3.7058396338630333`*^9}, 
   3.7059172853227186`*^9},ExpressionUUID->"ac2ce23f-9d70-4e64-a54f-\
2b6d85062c4a"],

Cell["\<\
Finding consistent initial conditions that satisfy all necessary consistency \
conditions can be one of the most difficult parts of solving a DAE system. \
Not only must the initial conditions satisfy the DAE itself, but they must \
also satisfy derivatives of the DAE as well.\
\>", "Text",
 CellChangeTimes->{
  3.7450744178006797`*^9, {3.7461761020112486`*^9, 3.746176103865325*^9}, {
   3.746903212210721*^9, 
   3.7469032143152714`*^9}},ExpressionUUID->"ed08db6f-d604-47a8-822f-\
4075a3a7f165"],

Cell[CellGroupData[{

Cell["Example", "Subsection",
 CellChangeTimes->{{3.7451537473483562`*^9, 
  3.74515375145325*^9}},ExpressionUUID->"375179f7-c318-4b74-a056-\
e585ccd094a0"],

Cell["\<\
Try to find the unique set of initial conditions for the following DAE:\
\>", "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.744364156302946*^9}, 3.74507441572017*^9, {3.745153768388048*^9, 
   3.745153773508638*^9}, {3.746176202102069*^9, 
   3.746176217105049*^9}},ExpressionUUID->"a5609c8b-fdaf-464a-8967-\
719bd0a4b07e"],

Cell[TextData[Cell[BoxData[{
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["x", "2"], "\[Prime]",
      MultilineFunction->None], "(", "t", ")"}], "+", 
    RowBox[{
     SubscriptBox["x", "1"], "(", "t", ")"}]}], "\[LongEqual]", 
   RowBox[{"sin", "(", "t", ")"}]}], TraditionalForm], "\[IndentingNewLine]", 
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["x", "3"], "\[Prime]"], "(", "t", ")"}], "+", 
    RowBox[{
     SubscriptBox["x", "2"], "(", "t", ")"}]}], "\[LongEqual]", 
   RowBox[{"sin", "(", "t", ")"}]}], TraditionalForm], "\[IndentingNewLine]", 
 FormBox[
  RowBox[{
   RowBox[{
    SubscriptBox["x", "3"], "(", "t", ")"}], "\[LongEqual]", 
   RowBox[{"cos", "(", "t", ")"}]}], 
  TraditionalForm]}], \
"InlineMath",ExpressionUUID->"f959a8cf-3fcd-4b4b-8873-255d4b9a9ca6"]], "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.7443641587264585`*^9}},ExpressionUUID->"9297c508-221f-487b-b76e-\
4f929ce2aa7a"],

Cell["Differentiate the third equation once:", "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.744364163898522*^9}, {3.7443642086038885`*^9, 3.7443642159429235`*^9}, {
   3.7450745802949095`*^9, 3.745074713067377*^9}, {3.7451537824354067`*^9, 
   3.745153783213295*^9}, {3.746138573469043*^9, 3.746138582161436*^9}, {
   3.7461762206152716`*^9, 3.746176228057928*^9}, {3.746202554090289*^9, 
   3.74620255535546*^9}, {3.747416323829237*^9, 
   3.747416324649527*^9}},ExpressionUUID->"6cb16d92-e636-4578-badc-\
bcd12fef604c"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox[
      SubscriptBox["x", "3"], "\[Prime]"], "(", "t", ")"}], "\[LongEqual]", 
    RowBox[{"-", 
     RowBox[{"sin", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"83b26b08-554b-41a0-b807-844fc65bae7a"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.7443641668554735`*^9}, {3.760114087864086*^9, 
   3.7601140939361687`*^9}},ExpressionUUID->"0f02f2ee-1d61-4c6a-a52b-\
14d49e4a497a"],

Cell["Substituting into the second equation:", "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.7443641684459796`*^9}, {3.745074524262546*^9, 3.745074526212678*^9}, {
   3.746170942445938*^9, 
   3.746170946388311*^9}},ExpressionUUID->"27260d9d-fb3c-4cf0-906f-\
abd0233a3e01"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["x", "2"], "(", "t", ")"}], "\[LongEqual]", 
    RowBox[{"2", " ", 
     RowBox[{"sin", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"8dc28ef6-b6be-4b6f-b70a-b32b58262493"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.744364169718715*^9}, 
   3.7601140866100807`*^9},ExpressionUUID->"92b0fda5-88fe-4f77-b1c6-\
3d5b3f3ba8d5"],

Cell[TextData[{
 "Differentiating ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "2"], "(", "t", ")"}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"4ae7c615-22e5-4c06-83ce-693ea0a16dee"],
 " and substituting into the first equation gives:"
}], "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.7443641713019743`*^9}, {3.7450745376941104`*^9, 
   3.7450745394778333`*^9}},ExpressionUUID->"88782458-106a-4630-ad87-\
41faf229fb9c"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["x", "1"], "(", "t", ")"}], "\[LongEqual]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"cos", "(", "t", ")"}]}], "+", 
     RowBox[{"sin", "(", "t", ")"}]}]}], TraditionalForm]], "InlineMath",
  ExpressionUUID->"77316eeb-fb73-4a80-9b10-7bd2e7464633"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.744364172606244*^9}, {3.747416334448818*^9, 
   3.747416338128759*^9}},ExpressionUUID->"41d3580c-2d4e-4d4d-a897-\
d8f0b418d4de"],

Cell[TextData[{
 "Therefore, at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", "=", "0"}], TraditionalForm]],ExpressionUUID->
  "d1c176dc-42ef-4f2a-ac2d-e9e1b9bfbbbf"],
 ", the only consistent set of initial conditions is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["x", "1"], "(", "0", ")"}], "\[LongEqual]", 
     RowBox[{"-", "2"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", "2"], "(", "0", ")"}], "\[LongEqual]", "0"}], ",", 
    " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", "3"], "(", "0", ")"}], "\[LongEqual]", "1"}]}], 
   TraditionalForm]], "InlineMath",ExpressionUUID->
  "9bc10b92-26db-4213-9eb5-66d458f98789"],
 "."
}], "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.7443641719192553`*^9}, {3.7450747348510413`*^9, 3.745074769445651*^9}, {
   3.7451538210434275`*^9, 3.745153822371973*^9}, {3.7451538809871*^9, 
   3.7451538810512686`*^9}, {3.746170997318503*^9, 3.7461710867447433`*^9}, {
   3.747416344733513*^9, 
   3.747416363456038*^9}},ExpressionUUID->"3f99f46d-0b67-448b-b45b-\
d83c83595cc4"],

Cell[TextData[{
 "While there are many initial conditions that satisfy the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"t", ",", 
      RowBox[{"x", "(", "0", ")"}], ",", 
      RowBox[{
       SuperscriptBox["x", "\[Prime]"], "(", "0", ")"}]}], ")"}], " ", 
    "\[LongEqual]", "0"}], TraditionalForm]], "InlineMath",ExpressionUUID->
  "70ff3c1c-c139-44be-b133-d95a46127f72"],
 ", the conditions found in the preceding are the only consistent set of \
initial conditions. "
}], "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.7443641719192553`*^9}, {3.7450747348510413`*^9, 3.745074769445651*^9}, {
   3.7451538210434275`*^9, 3.745153822371973*^9}, {3.7451538809871*^9, 
   3.7451538810512686`*^9}, {3.746170997318503*^9, 3.746171100762096*^9}, {
   3.7461762478581963`*^9, 3.746176249734316*^9}, {3.7471545037333927`*^9, 
   3.747154510814107*^9}, {3.747416371720311*^9, 
   3.747416387807714*^9}},ExpressionUUID->"6b1e8d37-393e-484b-a650-\
aa11e65e441f"],

Cell["\<\
Since the constraints on the initial conditions are not always obvious, the \
problem of finding consistent initial conditions can be quite challenging.\
\>", "Text",
 CellChangeTimes->{
  3.7053310742772245`*^9, {3.708871374661339*^9, 3.708871380097754*^9}, {
   3.708960964735385*^9, 3.7089610122474985`*^9}, {3.7094753122308435`*^9, 
   3.7094753804287505`*^9}, 3.709475551072007*^9, {3.709475592253617*^9, 
   3.709475629076593*^9}, {3.7438807529168043`*^9, 3.7438808265396614`*^9}, {
   3.743880985272549*^9, 3.743880997796648*^9}, {3.743881035852355*^9, 
   3.7438810413258333`*^9}, 3.7438814954061155`*^9, {3.744364141650024*^9, 
   3.7443641719192553`*^9}, {3.7450747348510413`*^9, 3.745074769445651*^9}, {
   3.7451538210434275`*^9, 3.745153822371973*^9}, {3.7451538809871*^9, 
   3.7451538810512686`*^9}, {3.746170997318503*^9, 3.746171100762096*^9}, 
   3.7461762478581963`*^9},ExpressionUUID->"eed68146-a4ff-43fd-8c03-\
df1e8681376c"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"aa58421f-9234-497a-b25b-c728c133031b"],

Cell[CellGroupData[{

Cell["DAE Initialization Methods", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
   3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
   3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
   3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
   3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
   3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
   3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
   3.7053298746640024`*^9, 3.705329984781351*^9}, 3.705331241979168*^9, {
   3.744364310213729*^9, 3.744364320578843*^9}, {3.74592435970782*^9, 
   3.7459243636130514`*^9}, {3.7461763495891857`*^9, 3.7461763511104727`*^9}, 
   3.746176659516493*^9},ExpressionUUID->"0739d988-803f-438e-b506-\
8b0f0b9599aa"],

Cell["\<\
For high-index systems, NDSolve automatically tries to initialize the system \
using the collocation algorithm. For larger systems, the QR or BLT \
initialization algorithm may be more appropriate. \
\>", "Text",
 CellChangeTimes->{{3.745924187640093*^9, 3.74592419831843*^9}, {
   3.7461762674946136`*^9, 3.7461762686984715`*^9}, 3.7461763768922014`*^9, {
   3.746176742327104*^9, 3.7461767597906747`*^9}, 3.746176920078953*^9, 
   3.746903264820983*^9, 3.7471545236009517`*^9, {3.747416400475522*^9, 
   3.747416400927977*^9}, 
   3.7475899201360083`*^9},ExpressionUUID->"f56f3ee8-b88c-4d41-92fc-\
ed6886c7c569"],

Cell[CellGroupData[{

Cell["Collocation", "Subsection",
 CellChangeTimes->{{3.7438810460122356`*^9, 
  3.743881047588376*^9}},ExpressionUUID->"eccfb00a-b055-4c84-8bea-\
5c8d33d48b80"],

Cell["\<\
Collocation is the most general method. This method tries to satisfy the \
residual equation near the point of initialization. This allows the method to \
be used to initialize high-index systems. The collocation algorithm does not \
perform index reduction and operates on the original equations.\
\>", "Text",
 CellChangeTimes->{{3.7438810822621365`*^9, 3.7438811329702597`*^9}, {
  3.7443640417761574`*^9, 3.7443640423087425`*^9}, {3.745075203285147*^9, 
  3.7450752179579897`*^9}, {3.7450752525726213`*^9, 3.745075255910468*^9}, {
  3.7461764106420407`*^9, 3.746176516931202*^9}, {3.7461795324241133`*^9, 
  3.7461795601230335`*^9}, {3.74620260096308*^9, 3.7462026065248756`*^9}, {
  3.746904259157007*^9, 
  3.746904266373107*^9}},ExpressionUUID->"c89492e8-31c1-42cb-8868-\
557d9f368238"],

Cell["\<\
A detailed discussion of the Collocation method, as well as the QR and BLT \
methods, is presented in the DAE tutorial.\
\>", "Text",
 CellChangeTimes->{{3.7438810822621365`*^9, 3.7438811329702597`*^9}, {
   3.7443640417761574`*^9, 3.7443640423087425`*^9}, {3.745075203285147*^9, 
   3.7450752179579897`*^9}, {3.7450752525726213`*^9, 3.745075255910468*^9}, {
   3.7461764106420407`*^9, 3.746176510462799*^9}, {3.7461766394631352`*^9, 
   3.7461766477276535`*^9}, {3.74741642232848*^9, 3.7474164281020603`*^9}, 
   3.760114124524284*^9},ExpressionUUID->"68d00f7e-8a80-41c8-8509-\
3c41b9abfea4"]
}, Open  ]],

Cell[CellGroupData[{

Cell["QR", "Subsection",
 CellChangeTimes->{{3.743881051803526*^9, 
  3.7438810519720087`*^9}},ExpressionUUID->"1165cf7c-27a8-464b-91d6-\
382e583334aa"],

Cell[TextData[{
 "For an ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "691f0fcf-ecea-4524-8431-1c17d0afa387"],
 "-variable DAE system, the QR algorithm needs to handle at most a matrix of \
size ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],ExpressionUUID->
  "b76019d6-aac1-4b31-8c46-58b4e31a78b6"],
 ", as opposed to a matrix of size ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["n", "2"], TraditionalForm]],ExpressionUUID->
  "b41d3573-8d10-4891-9f09-495e13bd54bb"],
 " when the collocation method is used. This makes the method quite efficient \
in handling very large systems. "
}], "Text",
 CellChangeTimes->{{3.7438811988766494`*^9, 3.7438812631135826`*^9}, 
   3.744364092046131*^9, {3.746176539592329*^9, 3.7461765401628685`*^9}, {
   3.7461769678583755`*^9, 3.74617697289286*^9}, 3.747154563405305*^9, {
   3.7471547493614783`*^9, 3.7471547513467627`*^9}, {3.747416435583675*^9, 
   3.7474164414113483`*^9}},ExpressionUUID->"faf52255-e458-434b-afd3-\
de303a4fbcfd"]
}, Open  ]],

Cell[CellGroupData[{

Cell["BLT", "Subsection",
 CellChangeTimes->{
  3.743881057364265*^9},ExpressionUUID->"b026bce0-fc11-459b-b451-\
421f5fcb5031"],

Cell["\<\
The BLT (Block Lower Triangular) method examines the structure of the system \
and splits the system into a number of smaller subsystems that can be solved \
efficiently. As a result, much smaller matrices are dealt with (compared to \
the entire system), and thus it is computationally efficient for large \
systems.\
\>", "Text",
 CellChangeTimes->{{3.7438812703627725`*^9, 3.7438812899124937`*^9}, {
  3.7462026554823184`*^9, 3.7462027075210204`*^9}, {3.7474164652707033`*^9, 
  3.747416468573572*^9}},ExpressionUUID->"7f5db595-a7f2-42fd-ab5e-\
9f7b86476297"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Comparison of Methods", "Subsection",
 CellChangeTimes->{{3.7461768082280884`*^9, 3.7461768117711864`*^9}, {
  3.7462028595191193`*^9, 
  3.7462028614943385`*^9}},ExpressionUUID->"275ebae3-980f-4b09-b4a4-\
acac1791890f"],

Cell["\<\
For cases with inconsistent initial conditions, these methods can modify the \
initial conditions to find a consistent set of initial conditions. The \
results obtained from the various methods may be different, since multiple \
consistent sets of initial conditions may be possible. \
\>", "Text",
 CellChangeTimes->{
  3.745932285086138*^9, {3.7462027510714264`*^9, 3.746202871533972*^9}, {
   3.746904301283517*^9, 3.746904302133773*^9}, 
   3.7474164787002363`*^9},ExpressionUUID->"d99ce9f1-7348-462e-9482-\
ad941463d7d0"],

Cell[TextData[{
 "Consider the pendulum example with inconsistent initial conditions. The \
initial condition ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "[", "0", "]"}], "=", "2"}], TraditionalForm]],
  ExpressionUUID->"e3ab4afa-78b2-4fe8-b852-07bbba1adb41"],
 " violates the constraint ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], "+", 
     SuperscriptBox["y", "2"]}], "=", "1"}], TraditionalForm]],
  ExpressionUUID->"33764ac3-33f0-46df-b0d0-760fc03fde76"],
 ":"
}], "Text",
 CellChangeTimes->{
  3.745932285086138*^9, {3.7462027510714264`*^9, 3.7462027921910295`*^9}, {
   3.747154857056983*^9, 3.74715489226394*^9}, {3.747154922358407*^9, 
   3.7471549373680315`*^9}, {3.747416487334127*^9, 
   3.7474164968834877`*^9}},ExpressionUUID->"9f9ab01b-1de5-4a78-99aa-\
29e65d1acf19"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PendulumDAE", " ", "=", " ", 
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{
          RowBox[{"x", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], " ", 
          RowBox[{"\[Lambda]", "[", "t", "]"}]}]}]},
       {
        RowBox[{
         RowBox[{
          RowBox[{"y", "''"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"y", "[", "t", "]"}], " ", 
           RowBox[{"\[Lambda]", "[", "t", "]"}]}], " ", "-", " ", "1"}]}]},
       {
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"x", "[", "t", "]"}], "2"], " ", "+", " ", 
          SuperscriptBox[
           RowBox[{"y", "[", "t", "]"}], "2"]}], "\[Equal]", "1"}]}
      }], "\[NoBreak]", ")"}]}], " ", ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{"solQR", " ", "=", " ", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PendulumDAE", ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "\[Lambda]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", " ", 
     RowBox[{"Method", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<IndexReduction\>\"", " ", "\[Rule]", " ", "True"}], ",", 
        RowBox[{"\"\<DAEInitialization\>\"", "\[Rule]", "\"\<QR\>\""}]}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Through", "[", 
    RowBox[{"solQR", "[", "0", "]"}], "]"}], ",", " ", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"Through", "[", 
       RowBox[{"solQR", "[", "t", "]"}], "]"}], ",", "t"}], "]"}], " ", "/.", 
    " ", 
    RowBox[{"t", "\[Rule]", " ", "0"}]}]}], "}"}]}], "Input",
 CellChangeTimes->{
  3.746176835057914*^9, {3.7461789426410875`*^9, 3.7461789427878914`*^9}, {
   3.7461796064645176`*^9, 3.7461796080164356`*^9}},
 CellTags->"\"QR\"",
 CellLabel->"In[1]:=",ExpressionUUID->"131d8bc7-0e77-4a63-989e-023dc3424380"],

Cell["Solve this system using the BLT algorithm:", "Text",
 CellChangeTimes->{
  3.745932407357581*^9, {3.7462028873097563`*^9, 
   3.7462028957730227`*^9}},ExpressionUUID->"de96be3a-45ed-4a55-836b-\
6ca659845d4a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"solBLT", " ", "=", " ", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PendulumDAE", ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "\[Lambda]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", " ", 
     RowBox[{"Method", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<IndexReduction\>\"", " ", "\[Rule]", " ", "True"}], ",", 
        RowBox[{"\"\<DAEInitialization\>\"", "\[Rule]", "\"\<BLT\>\""}]}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Through", "[", 
    RowBox[{"solBLT", "[", "0", "]"}], "]"}], ",", " ", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"Through", "[", 
       RowBox[{"solBLT", "[", "t", "]"}], "]"}], ",", "t"}], "]"}], " ", "/.",
     " ", 
    RowBox[{"t", "\[Rule]", " ", "0"}]}]}], "}"}]}], "Input",
 CellChangeTimes->{{3.7459324144845195`*^9, 3.7459324146930723`*^9}},
 CellTags->"\"BLT\"",
 CellLabel->"In[4]:=",ExpressionUUID->"8b52faf5-8d93-4616-bacf-83cb21e2fdf7"],

Cell["\<\
In this particular example, the initial conditions found by the BLT algorithm \
are the same as those found by the more general Collocation algorithm:\
\>", "Text",
 CellChangeTimes->{{3.7461769244408045`*^9, 3.746176956435507*^9}, {
  3.746179673853386*^9, 3.7461796809763975`*^9}, {3.7461797250390677`*^9, 
  3.746179763432395*^9}, {3.746202903453519*^9, 3.7462029219894037`*^9}, {
  3.746904324467927*^9, 3.7469043256841145`*^9}, {3.747416503619204*^9, 
  3.747416504427367*^9}},ExpressionUUID->"83742293-b760-478e-95a2-\
0618071b5f4f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"solCollocation", " ", "=", " ", 
   RowBox[{"NDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"PendulumDAE", ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "\[Lambda]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", " ", 
     RowBox[{"Method", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<IndexReduction\>\"", " ", "\[Rule]", " ", "True"}], ",", 
        RowBox[{
        "\"\<DAEInitialization\>\"", "\[Rule]", "\"\<Collocation\>\""}]}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Through", "[", 
    RowBox[{"solCollocation", "[", "0", "]"}], "]"}], ",", " ", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"Through", "[", 
       RowBox[{"solCollocation", "[", "t", "]"}], "]"}], ",", "t"}], "]"}], 
    " ", "/.", " ", 
    RowBox[{"t", "\[Rule]", " ", "0"}]}]}], "}"}]}], "Input",
 CellChangeTimes->{{3.746176867887985*^9, 3.7461769017119675`*^9}, {
  3.7461796868658257`*^9, 3.7461797117249475`*^9}},
 CellTags->"\"Collocation\"",
 CellLabel->"In[6]:=",ExpressionUUID->"f8df81d5-e655-40f8-bca8-de10b6702bda"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.7461789524023113`*^9, 
  3.746178958221859*^9}},ExpressionUUID->"c1b9d34f-6045-42e9-a7be-\
eb1bf9c4ea8c"],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"2e08c485-6cb6-464b-a218-0175e2bb3a12"],

Cell[CellGroupData[{

Cell["IDA Method for Solving DAEs", "Section",
 CellChangeTimes->{{3.688481331116238*^9, 3.6884813350640125`*^9}, {
  3.6884861019378*^9, 3.6884861019378*^9}, {3.692640860436511*^9, 
  3.692640871406371*^9}, {3.693775014174075*^9, 3.6937750209172316`*^9}, {
  3.697972864869974*^9, 3.6979728686218843`*^9}, {3.6979732263560753`*^9, 
  3.697973228188011*^9}, {3.6979732673550653`*^9, 3.6979732911065235`*^9}, {
  3.6979734220473747`*^9, 3.697973440702509*^9}, {3.6979734856860065`*^9, 
  3.6979734890618687`*^9}, {3.697983240149164*^9, 3.6979832412770057`*^9}, {
  3.7053298746640024`*^9, 3.705329901704053*^9}, {3.705332755814305*^9, 
  3.705332757877779*^9}, {3.7059324061294527`*^9, 3.7059324108096695`*^9}, {
  3.7089636460162168`*^9, 3.7089636471368413`*^9}, {3.7474165093230553`*^9, 
  3.7474165100031033`*^9}},ExpressionUUID->"083fdc77-3c22-42d1-bec7-\
5b643ac22984"],

Cell["\<\
Once the DAE has been index reduced and properly initialized, it can finally \
be solved. \
\>", "Text",
 CellChangeTimes->{{3.745155161717515*^9, 
  3.745155180358864*^9}},ExpressionUUID->"7c611740-87b2-470e-959b-\
be2182fe6f24"],

Cell[TextData[{
 "NDSolve",
 StyleBox[ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NDSolve"],
  FontWeight->"Bold"],
 "uses the Implicit Differential-Algebraic (IDA) package, which is part of ",
 StyleBox[ButtonBox["SUNDIALS",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.llnl.gov/CASC/sundials/"], None}],
  FontWeight->"Bold"],
 " (SUite of Nonlinear and DIfferential/ALgebraic Equation Solvers) developed \
at the Center for Applied Scientific Computing of Lawrence Livermore National \
Laboratory. "
}], "Text",
 CellChangeTimes->{
  3.705338599203658*^9, {3.7053386532208376`*^9, 3.7053386729825954`*^9}, {
   3.7059324436498475`*^9, 3.7059324438172665`*^9}, 3.708962595822344*^9, {
   3.70896284920018*^9, 3.7089628723997316`*^9}, {3.708962931247058*^9, 
   3.708962957784655*^9}, {3.708963022516407*^9, 3.70896304500496*^9}, {
   3.7089631009208713`*^9, 3.7089631149022155`*^9}, {3.7089632776006002`*^9, 
   3.70896328160279*^9}, {3.7451551823391056`*^9, 3.745155185239773*^9}, {
   3.7451552241738377`*^9, 3.7451553625601573`*^9}, {3.7461790524412713`*^9, 
   3.746179075872904*^9}, 3.7461791118515863`*^9, {3.7474165157493477`*^9, 
   3.74741651675739*^9}, {3.747416972326673*^9, 
   3.74741697423627*^9}},ExpressionUUID->"ef42ca99-c111-4baa-a879-\
3e70f305f592"],

Cell[TextData[{
 "IDA solves DAEs with backward differentiation formula methods of orders 1 \
through 5, implemented using a variable-step form. You can read about the \
numerical details of this method and its options in the ",
 StyleBox[ButtonBox["IDA tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet:/tutorial/NDSolveIDAMethod"],
  FontWeight->"Bold"],
 "."
}], "Text",
 CellChangeTimes->{
  3.705338599203658*^9, {3.7053386532208376`*^9, 3.7053386729825954`*^9}, {
   3.7059324436498475`*^9, 3.7059324438172665`*^9}, 3.708962595822344*^9, {
   3.70896284920018*^9, 3.7089628723997316`*^9}, {3.708962931247058*^9, 
   3.708962957784655*^9}, {3.708963022516407*^9, 3.70896304500496*^9}, {
   3.7089631009208713`*^9, 3.7089631149022155`*^9}, {3.7089632776006002`*^9, 
   3.70896328160279*^9}, {3.7451551823391056`*^9, 3.745155185239773*^9}, {
   3.7451552241738377`*^9, 3.7451553343394203`*^9}, {3.745155411701236*^9, 
   3.74515542560504*^9}, {3.7461790900142937`*^9, 3.7461790976917157`*^9}, {
   3.746182272043992*^9, 3.7461822736335516`*^9}, {3.747416616040226*^9, 
   3.747416616135998*^9}, {3.7480232730792775`*^9, 3.7480232956050205`*^9}, {
   3.748023954634638*^9, 
   3.7480239561055326`*^9}},ExpressionUUID->"d4a90125-264f-4ff3-b6ff-\
0eb66201de23"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"d52f7640-6f7d-486d-ad07-8b0bb585304a"],

Cell[CellGroupData[{

Cell["Summary", "Section",
 CellChangeTimes->{{3.6965992487389684`*^9, 
  3.6965992495813627`*^9}},ExpressionUUID->"f2c803e3-3448-4193-9fce-\
079ed5763fc3"],

Cell["\<\
Differential algebraic equations (DAEs) occur naturally when solving PDEs or \
differential equations with algebraic constraints. DAEs have certain \
computational difficulties not present with ODEs or PDEs. This section \
covered:\
\>", "Text",
 CellChangeTimes->{{3.6997844377087812`*^9, 3.699784514458338*^9}, {
   3.699784574642163*^9, 3.6997845968648343`*^9}, {3.6997854316649942`*^9, 
   3.699785527085827*^9}, {3.699785561574854*^9, 3.6997855980781927`*^9}, {
   3.6997856936113186`*^9, 3.699785694897779*^9}, {3.6997857735604153`*^9, 
   3.6997857745459523`*^9}, {3.6997858090393934`*^9, 3.699785809231949*^9}, {
   3.6997858795828304`*^9, 3.6997858954504056`*^9}, {3.7004135772345495`*^9, 
   3.70041357766782*^9}, 3.7010148985610456`*^9, 3.7010149421306343`*^9, {
   3.7023130894891977`*^9, 3.7023131199383106`*^9}, {3.7023132735968266`*^9, 
   3.702313279188965*^9}, {3.7028171229982777`*^9, 3.7028171268534613`*^9}, {
   3.7058320278564763`*^9, 3.7058320509255285`*^9}, {3.708956118731126*^9, 
   3.708956119872226*^9}, {3.7094728945543795`*^9, 3.709472895976638*^9}, {
   3.7415288859523787`*^9, 3.741528888601403*^9}, {3.743423778410202*^9, 
   3.743423822624953*^9}, 3.744129870951086*^9, {3.745154096218853*^9, 
   3.745154154506437*^9}, {3.747416651390987*^9, 
   3.747416658493917*^9}},ExpressionUUID->"b5196e0c-2632-4642-ad42-\
c0fa8c86fd0b"],

Cell[CellGroupData[{

Cell["Properties of DAEs", "Item",
 CellChangeTimes->{{3.7450719536292295`*^9, 3.745071956517847*^9}, {
   3.745154159694852*^9, 3.745154165606115*^9}, 3.7461822829936156`*^9, {
   3.746182337828431*^9, 
   3.7461823406526814`*^9}},ExpressionUUID->"ec29c54a-7b3b-4886-ad5e-\
a93a2adc1223"],

Cell["Index-reduction methods", "Item",
 CellChangeTimes->{{3.6997857941404896`*^9, 3.6997858122156067`*^9}, {
  3.6997937882474527`*^9, 3.6997937890912795`*^9}, {3.7023132834646454`*^9, 
  3.7023132871281295`*^9}, {3.7028171366924553`*^9, 3.7028171393795357`*^9}, {
  3.7028172154024415`*^9, 3.7028172234265604`*^9}, {3.702819867972909*^9, 
  3.7028198735548573`*^9}, {3.702821073870925*^9, 3.7028210966069326`*^9}, {
  3.7089561553831053`*^9, 3.708956180697232*^9}, {3.7450719835404053`*^9, 
  3.7450719842934027`*^9}, {3.7461823085423098`*^9, 3.7461823414080157`*^9}, {
  3.747416661893834*^9, 
  3.747416662206031*^9}},ExpressionUUID->"205a895e-7df6-4329-a64e-\
1553f277f46c"],

Cell["Methods to simplify the form of a DAE", "Item",
 CellChangeTimes->{{3.6997857941404896`*^9, 3.6997858122156067`*^9}, {
  3.6997937882474527`*^9, 3.6997937890912795`*^9}, {3.7023132834646454`*^9, 
  3.7023132871281295`*^9}, {3.7028171366924553`*^9, 3.7028171393795357`*^9}, {
  3.7028172154024415`*^9, 3.7028172234265604`*^9}, {3.702819867972909*^9, 
  3.7028198735548573`*^9}, {3.702821073870925*^9, 3.702821075999528*^9}, {
  3.708956140661441*^9, 3.7089561465215325`*^9}, {3.7450719641009493`*^9, 
  3.745071964685495*^9}, {3.745154168182744*^9, 3.745154204891108*^9}, {
  3.746182336472271*^9, 3.746182341988065*^9}, {3.7475900091176767`*^9, 
  3.747590010252967*^9}},ExpressionUUID->"2651a5a4-0bbc-4f8d-9b5d-\
669f904e36d9"],

Cell["Finding consistent initial conditions", "Item",
 CellChangeTimes->{{3.6997857941404896`*^9, 3.6997858122156067`*^9}, {
  3.6997937882474527`*^9, 3.6997937890912795`*^9}, {3.7023132834646454`*^9, 
  3.7023132871281295`*^9}, {3.7028171366924553`*^9, 3.7028171393795357`*^9}, {
  3.7028172154024415`*^9, 3.7028172234265604`*^9}, {3.702819867972909*^9, 
  3.7028198735548573`*^9}, {3.702821073870925*^9, 3.7028210966069326`*^9}, {
  3.7089561553831053`*^9, 3.7089562288566575`*^9}, {3.7450720034611235`*^9, 
  3.745072005620863*^9}, {3.745154185540621*^9, 3.7451542036859636`*^9}, {
  3.7461823302371106`*^9, 3.7461823427110605`*^9}, {3.7463667481561213`*^9, 
  3.746366754500944*^9}},ExpressionUUID->"a3f4f963-3269-4711-8403-\
d80ea7f00d0f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"e29cc663-058f-42ac-90f3-c351c0313f3a"],

Cell[CellGroupData[{

Cell["Further Reading", "Section",
 CellChangeTimes->{
  3.7391051533479843`*^9},ExpressionUUID->"f31ab9f9-084d-4fd5-867a-\
5473f8fc0f3f"],

Cell[CellGroupData[{

Cell["Tutorials", "Subsubsection",
 CellChangeTimes->{{3.714405985696325*^9, 
  3.714405986823271*^9}},ExpressionUUID->"f1539d3e-c975-4b6e-8992-\
4a3ff24ebd0b"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Advanced Numerical Differential Equation \
Solving in the Wolfram Language",
 BaseStyle->"Link",
 ButtonData->"paclet:/tutorial/NDSolveOverview"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406060052807*^9, 
  3.714406080797447*^9}},ExpressionUUID->"9ecb5b23-d168-4d91-8ac3-\
a08f2983857e"],

Cell[TextData[StyleBox[ButtonBox["Numerical Solution of Differential \
Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/tutorial/NumericalSolutionOfDifferentialEquations"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.71440612863583*^9, 
  3.71440614893038*^9}},ExpressionUUID->"d66fa3b1-6890-4911-a197-\
70bbd9089698"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Guides", "Subsubsection",
 CellChangeTimes->{{3.7144059889741535`*^9, 
  3.714405989606649*^9}},ExpressionUUID->"8d40dc12-43a8-4cd6-b6fc-\
f856ea0858f9"],

Cell[CellGroupData[{

Cell[TextData[StyleBox[ButtonBox["Differential Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/DifferentialEquations"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406407574521*^9, 
  3.714406427546213*^9}},ExpressionUUID->"c7eaaa39-2a34-492a-8b23-\
dcd07299f462"],

Cell[TextData[StyleBox[ButtonBox["Partial Differential Equations",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/PDEModelingAndAnalysis"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.714406443981762*^9, 
  3.7144064644947853`*^9}},ExpressionUUID->"34e3d239-0130-4a1e-8966-\
f755e07df0e7"],

Cell[TextData[StyleBox[ButtonBox["Differential Operators",
 BaseStyle->"Link",
 ButtonData->"paclet:/guide/DifferentialOperators"],
 FontWeight->"Bold"]], "Item",
 CellChangeTimes->{{3.7144065370042577`*^9, 
  3.71440655565952*^9}},ExpressionUUID->"bbf3996e-ec3b-420d-b94b-\
92432679a367"]
}, Open  ]]
}, Open  ]],

Cell["Glossary", "Subsection",
 CellChangeTimes->{{3.714406018630274*^9, 
  3.7144060199898577`*^9}},ExpressionUUID->"d09ff61a-c7e2-46bb-a960-\
73119732934c"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 TagBox[GridBox[{
    {
     ButtonBox[
      StyleBox["\<\"\\\"BLT\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"BLT\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"Collocation\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"Collocation\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"DSolve\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["DSolve"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"EquationSimplification\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"EquationSimplification\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"IndexReduction\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"IndexReduction\""],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox["\<\"\\\"MassMatrix\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"MassMatrix\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"NDSolve\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["NDSolve"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"NDSolve`ProcessEquations\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["NDSolve`ProcessEquations"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"NumericalFunction\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"NumericalFunction\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"Pantelides\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["Pantelides"],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox["\<\"\\\"QR\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"QR\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"Residual\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"Residual\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"Solve\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["Solve"],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"StiffnessSwitching\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"StiffnessSwitching\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     ButtonBox[
      StyleBox["\<\"\\\"StructuralMatrix\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"StructuralMatrix\""],
      Evaluator->Automatic,
      Method->"Preemptive"]},
    {
     ButtonBox[
      StyleBox["\<\"\\\"TimeConstraint\\\"\"\>", "Hyperlink",
       StripOnInput->False],
      Appearance->None,
      ButtonFunction:>NotebookLocate["\"TimeConstraint\""],
      Evaluator->Automatic,
      Method->"Preemptive"], 
     StyleBox["\"\<\>\"",
      StripOnInput->False,
      ShowContents->False], 
     StyleBox["\"\<\>\"",
      StripOnInput->False,
      ShowContents->False], 
     StyleBox["\"\<\>\"",
      StripOnInput->False,
      ShowContents->False], 
     StyleBox["\"\<\>\"",
      StripOnInput->False,
      ShowContents->False]}
   },
   AutoDelete->False,
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxFrame->{"Columns" -> False, "Rows" -> False},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Input",ExpressionUUID->"d884d5b1-4812-45f4-8b17-e99d7146f74b"]
},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{932, 812},
WindowMargins->{{275, Automatic}, {Automatic, 0}},
WindowTitle->"Differential Algebraic Equations",
TaggingRules->{
 "PresenterSettings" -> {
   "ShowToolbar" -> True, "ShowNavigationBar" -> True, 
    "SlideBreakStyles" -> {"Title", "Chapter", "Section"}, "ShowSlideBreaks" -> 
    True, "Theme" -> {
     "ThemeName" -> "Default", "FontSetName" -> "Default", "ColorSetName" -> 
      "Default", "Name" -> "Default", 
      "FontSet" -> {
       "Display1" -> "Source Sans Pro", "Display2" -> "Source Sans Pro", 
        "Display3" -> "Source Sans Pro", "Text1" -> "Source Sans Pro", 
        "Text2" -> "Source Sans Pro", "Text3" -> "Source Sans Pro", "Dingbat" -> 
        "Source Sans Pro", "Default" -> "Source Sans Pro"}, 
      "ColorSet" -> {
       "Display1" -> RGBColor[0.866667, 0.0666667, 0], "Display2" -> 
        RGBColor[0.968627, 0.466667, 0], "Display3" -> 
        RGBColor[0.992157, 0.376471, 0.32549], "Text1" -> GrayLevel[0.388235],
         "Text2" -> GrayLevel[1], "Text3" -> GrayLevel[0], "Text1Reverse" -> 
        GrayLevel[0.75], "Text2Reverse" -> GrayLevel[0.75], "Text3Reverse" -> 
        GrayLevel[0.75], "Dingbat" -> RGBColor[0.866667, 0.0666667, 0], 
        "Default" -> GrayLevel[0.388235], "Background" -> 
        RGBColor[0.866667, 0.0666667, 0]}}, 
    "PresenterControlsPalette" -> {"PaletteNumber" -> 0}, 
    "UserModifications" -> {{"Text", FontWeight -> "Bold"}}, 
    "WindowSize" -> {1536, 801}, "WindowMargins" -> {{-8, 376}, {180, 0}}, 
    "PresenterToolsSlideshowPresentationToolbar" -> True, 
    "PresenterToolsPresentationToolbar" -> False}},
FrontEndVersion->"11.3 for Mac OS X x86 (32-bit, 64-bit Kernel) (March 5, \
2018)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> 
     FrontEnd`FileName[{"PresenterTools"}, "Default.nb", CharacterEncoding -> 
       "UTF-8"]]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WolframULogo"], CellGroupingRules -> "GraphicsGrouping", 
          PageBreakWithin -> False, GeneratedCell -> True, CellAutoOverwrite -> 
          True, ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, LanguageCategory -> "NaturalLanguage", 
          FormatType -> StandardForm, ShowStringCharacters -> False, 
          FrontFaceColor -> GrayLevel[0], BackFaceColor -> GrayLevel[0], 
          FrontFaceOpacity -> 1, GraphicsColor -> GrayLevel[0], PointSize -> 
          Absolute[3], Thickness -> Medium, Opacity -> 1, DrawEdges -> False, 
          StyleMenuListing -> None, FontFamily -> "Arial", FontSize -> 10, 
          FontWeight -> "Plain", FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["WolframULogo", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
            0.5, 0.12 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Working", StyleDefinitions -> 
           StyleData["WolframULogo", "SlideShow"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]], 
          CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Title", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], FontFamily -> "Source Sans Pro", FontSize -> 
             81, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[
              0.09019607843137255, 0.1607843137254902, 0.25882352941176473`]], 
            Cell[
             StyleData["Title", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.11 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 81], 
            Cell[
             StyleData[
             "Title", "Slideshow Working", StyleDefinitions -> 
              StyleData["Title", "SlideShow"]]], 
            Cell[
             StyleData[
             "Title", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Title", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], FontFamily -> "Source Sans Pro", FontSize -> 
             40, FontWeight -> "Regular", FontSlant -> "Plain", 
             FontVariations -> {"CapsType" -> "AllCaps"}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subtitle", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {50, 12}}, 
             LineSpacing -> {1, 2}, FontSize -> 48], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subtitle", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subtitle", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]]}, Closed]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell["Section", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, FontFamily -> 
             "Source Sans Pro", FontSize -> 70, FontWeight -> "Regular", 
             FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Section", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               26, 0.06 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 40], 
            Cell[
             StyleData[
             "Section", "Slideshow Working", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 40, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
            Cell[
             StyleData["Subsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 20, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subsubsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsubsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]]}, Closed]]}, 
        Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Body Content", "Section", 
       CellChangeTimes -> {{3.727532504641029*^9, 3.727532505736285*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], LineSpacing -> {1, 3}, TabSpacings -> {2.5}, 
          CounterIncrements -> "Text", MenuSortingValue -> 1400, 
          MenuCommandKey -> "7", FontFamily -> "Source Sans Pro", FontSize -> 
          15, FontWeight -> "Regular", FontSlant -> "Plain", 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["Text", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "Text", "Slideshow Working", StyleDefinitions -> 
           StyleData["Text", "SlideShow"]]], 
         Cell[
          StyleData[
          "Text", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Text", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
          "Note", MenuSortingValue -> 8, FontFamily -> "Source Sans Pro", 
          FontSize -> 12, FontSlant -> "Italic", Background -> 
          GrayLevel[0.85]], 
         Cell[
          StyleData["Note", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> False, 
          HyphenationOptions -> {"HyphenationCharacter" -> "-"}, 
          ParagraphSpacing -> {0, 6}, ParagraphIndent -> -10, 
          StyleMenuListing -> None, FontSize -> 18], 
         Cell[
          StyleData[
          "Note", "Slideshow Working", StyleDefinitions -> 
           StyleData["Note"]]], 
         Cell[
          StyleData[
          "Note", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Note", "SlideShow"]]], 
         Cell[
          StyleData[
          "Note", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Note", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.42745098039215684`, 0.]]], 
         Cell[
          StyleData["Item", "SlideShow"], 
          CellMargins -> {{
            0.165 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Item", "Slideshow Working", StyleDefinitions -> 
           StyleData["Item", "SlideShow"]]], 
         Cell[
          StyleData[
          "Item", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Item", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          DefaultNewCellStyle -> "Item", MenuSortingValue -> 1600, FontFamily -> 
          Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 14, 
          FontColor -> Dynamic[
            FrontEnd`CurrentValue[{StyleHints, "ColorSet", "Text1"}], None]], 
         Cell[
          StyleData["ItemParagraph", "SlideShow"], ShowGroupOpener -> False, 
          CellMargins -> {{
            0.18 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{65, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.592156862745098, 0.10196078431372549`]]], 
         Cell[
          StyleData["Subitem", "SlideShow"], 
          CellMargins -> {{
            0.185 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Working", StyleDefinitions -> 
           StyleData["Subitem", "SlideShow"]]], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Subitem", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemParagraph"], CellMargins -> {{105, 12}, {4, 1}}, 
          ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemParagraph", "Backspace" -> 
            "ItemParagraph", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subitem", 
          MenuSortingValue -> 1610, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 13.5,
           FontColor -> Dynamic[
            CurrentValue[{StyleHints, "ColorSet", "Text1"}]]], 
         Cell[
          StyleData["SubitemParagraph", "SlideShow"], 
          CellMargins -> {{
            0.2 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemParagraph", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, 0.1 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{81, 10}, {4, 8}}, ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Source Sans Pro", FontSize -> 15], 
         Cell[
          StyleData["ItemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.17 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{105, 12}, {4, 4}}, ReturnCreatesNewCell -> True, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemNumbered", "Backspace" -> 
            "ItemNumbered", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "SubitemNumbered", 
          CounterAssignments -> {{"SubsubitemNumbered", 0}}, MenuSortingValue -> 
          1640, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 
          13.5], 
         Cell[
          StyleData["SubitemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.195 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemNumbered", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics"], CellMargins -> {{27, Inherited}, {15, 15}}, 
          CellGroupingRules -> "GraphicsGrouping", PageBreakWithin -> False, 
          GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
          False, DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Graphics"], 
          AutoStyleOptions -> {"HighlightMisspelledWords" -> False}, 
          LanguageCategory -> "NaturalLanguage", FormatType -> StandardForm, 
          ShowStringCharacters -> False, NumberMarks -> False, 
          CounterIncrements -> "Graphics", 
          ImageMargins -> {{43, Inherited}, {Inherited, 0}}, Arrowheads -> 
          0.04, Dashing -> None, CapForm -> "Square", 
          JoinForm -> {"Miter", 3.25}, LineColor -> GrayLevel[0], LineOpacity -> 
          1, EdgeColor -> GrayLevel[0], EdgeOpacity -> 1, EdgeThickness -> 
          Medium, EdgeDashing -> None, EdgeCapForm -> "Square", 
          EdgeJoinForm -> {"Miter", 3.25}, FrontFaceColor -> GrayLevel[0], 
          BackFaceColor -> GrayLevel[0], FrontFaceOpacity -> 1, GraphicsColor -> 
          GrayLevel[0], PointSize -> Absolute[3], Thickness -> Medium, 
          Opacity -> 1, DrawEdges -> False, StyleMenuListing -> None, 
          FontFamily -> "Arial", FontSize -> 10, FontWeight -> "Plain", 
          FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["Graphics", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {12, 12}}], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Working", StyleDefinitions -> 
           StyleData["Graphics", "SlideShow"]]], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Graphics", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]]}, Closed]], 
      Cell[
       StyleData["Hyperlink"], FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["KeyEvent"], CellFrame -> {{1, 1}, {1, 1}}, 
          CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> 
          GrayLevel[0.8], FontFamily -> "Source Sans Pro", FontColor -> 
          GrayLevel[0.360784], Background -> GrayLevel[0.964706]], 
         Cell[
          StyleData["KeyEvent", "SlideShow"]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Working", StyleDefinitions -> 
           StyleData["KeyEvent", "SlideShow"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]]}, Closed]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          FontSize -> 13], 
         Cell[
          StyleData["Input", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Input", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "Input", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Input", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExperimentalInput", StyleDefinitions -> StyleData["Input"]], 
          CellFrame -> True, CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          CellFrameColor -> 
          RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               InterpretationBox[
                Cell[
                 BoxData[
                  RotationBox[
                  "Experimental", BoxRotation -> 1.5707963267948966`]], 
                 "Text", LineColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FrontFaceColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 BackFaceColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 GraphicsColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FontSize -> 10, FontColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
                TextCell[
                 Rotate["Experimental", 90 Degree], "Text", 10, 
                 $CellContext`RGBColorRGBColor[
                 1., 0.592156862745098, 0.10196078431372549`]]]]], None}, {
            None, None}}, FontSize -> 13], 
         Cell[
          StyleData["ExperimentalInput", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{66, 10}, {7, 8}}, FontSize -> 
          13], 
         Cell[
          StyleData["InputOnly", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Working", StyleDefinitions -> 
           StyleData["InputOnly", "SlideShow"]]], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "InputOnly", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"]], 
         Cell[
          StyleData["Code", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Code", "Slideshow Working", StyleDefinitions -> 
           StyleData["Code", "SlideShow"]]], 
         Cell[
          StyleData[
          "Code", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Code", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{66, 10}, {12, 5}}, FontSize -> 
          13], 
         Cell[
          StyleData["Output", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {15, 8}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Output", "Slideshow Working", StyleDefinitions -> 
           StyleData["Output", "SlideShow"]]], 
         Cell[
          StyleData[
          "Output", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Output", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]]}, Closed]]}, Open]]}, 
  Visible -> False, FrontEndVersion -> 
  "11.3 for Mac OS X x86 (32-bit, 64-bit Kernel) (March 5, 2018)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[626, 23, 136, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
   CellTags->"SlideShowHeader"],
  Cell[16492, 300, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"11d0b6da-d659-4a49-8f7d-3b87b37d8189",
   CellTags->"SlideShowHeader"],
  Cell[21157, 404, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"2c4ef44d-f25d-4936-baf8-faa7258b58f1",
   CellTags->"SlideShowHeader"],
  Cell[27761, 566, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"708fda76-04ac-44b4-a0ba-6483a3ae731a",
   CellTags->"SlideShowHeader"],
  Cell[44609, 982, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"d30e77bd-1038-493c-a70d-d500675bdb7f",
   CellTags->"SlideShowHeader"],
  Cell[77796, 1740, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"0bc73732-7774-4e36-ab61-5c01abf0084a",
   CellTags->"SlideShowHeader"],
  Cell[121744, 2840, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"e2d92bf3-974b-49a6-b7b8-9e75752a902b",
   CellTags->"SlideShowHeader"],
  Cell[134905, 3140, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"aa58421f-9234-497a-b25b-c728c133031b",
   CellTags->"SlideShowHeader"],
  Cell[147798, 3476, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"2e08c485-6cb6-464b-a218-0175e2bb3a12",
   CellTags->"SlideShowHeader"],
  Cell[151687, 3562, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"d52f7640-6f7d-486d-ad07-8b0bb585304a",
   CellTags->"SlideShowHeader"],
  Cell[155906, 3646, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"e29cc663-058f-42ac-90f3-c351c0313f3a",
   CellTags->"SlideShowHeader"]},
 "NDSolve`ProcessEquations"->{
  Cell[41266, 885, 1308, 36, 94, "Input",ExpressionUUID->"b4707c80-ee74-436f-b7e7-d15a056fc461",
   CellTags->"NDSolve`ProcessEquations"],
  Cell[84067, 1903, 988, 23, 52, "Input",ExpressionUUID->"ea83ec3c-96d6-4b4a-b593-980f5fde741c",
   CellTags->"NDSolve`ProcessEquations"]},
 "NDSolve"->{
  Cell[46621, 1029, 3183, 90, 214, "Input",ExpressionUUID->"3db6cd95-ef8a-4153-9f19-032777c4683a",
   CellTags->"NDSolve"]},
 "DSolve"->{
  Cell[50365, 1138, 552, 15, 30, "Input",ExpressionUUID->"5328e423-9223-4bf0-8a83-078fa99ad5ae",
   CellTags->"DSolve"]},
 "Pantelides"->{
  Cell[52239, 1188, 1123, 17, 57, "Text",ExpressionUUID->"55419dcf-c7d6-4bec-b423-255e4b335ec2",
   CellTags->"Pantelides"]},
 "\"IndexReduction\""->{
  Cell[53377, 1208, 691, 17, 30, "Input",ExpressionUUID->"d74a42d8-aebc-4921-b5f0-bf4247b781bc",
   CellTags->"\"IndexReduction\""]},
 "\"StructuralMatrix\""->{
  Cell[54875, 1249, 712, 18, 30, "Input",ExpressionUUID->"b90536a9-3aee-4b48-a110-4734e27aec1e",
   CellTags->"\"StructuralMatrix\""]},
 "answer"->{
  Cell[55796, 1275, 21975, 461, 246, "Text",ExpressionUUID->"fa460634-227c-442e-a7f4-3992679b268c",
   CellTags->"answer"],
  Cell[108212, 2548, 13507, 288, 194, "Text",ExpressionUUID->"0edc0090-aa60-40e3-8399-c47848d22ab3",
   CellTags->"answer"]},
 "\"NumericalFunction\""->{
  Cell[85690, 1943, 725, 15, 30, "Input",ExpressionUUID->"d79d4339-46fd-4ce0-b75a-8a3af033ab74",
   CellTags->"\"NumericalFunction\""]},
 "\"EquationSimplification\""->{
  Cell[87716, 1992, 1071, 27, 73, "Input",ExpressionUUID->"45b18cec-2f57-4a06-bfa4-b124b7fd4c24",
   CellTags->"\"EquationSimplification\""],
  Cell[93874, 2158, 615, 17, 30, "Input",ExpressionUUID->"c7deb58c-f4b0-4f2b-ac16-11ae31aeb1d7",
   CellTags->"\"EquationSimplification\""]},
 "Solve"->{
  Cell[89136, 2028, 601, 18, 30, "Input",ExpressionUUID->"868760e5-9244-4f00-9bd4-1a2f86fb8ca1",
   CellTags->"Solve"]},
 "\"TimeConstraint\""->{
  Cell[89762, 2050, 254, 4, 38, "Subsubsection",ExpressionUUID->"5311e689-5e95-42bb-87d6-475512cd9328",
   CellTags->"\"TimeConstraint\""]},
 "\"StiffnessSwitching\""->{
  Cell[96803, 2232, 739, 20, 52, "Input",ExpressionUUID->"30d58cdf-46e1-4c97-8b17-03abef558469",
   CellTags->"\"StiffnessSwitching\""]},
 "\"MassMatrix\""->{
  Cell[100588, 2334, 2497, 73, 136, "Input",ExpressionUUID->"6a78622e-2e83-4b9b-a0a0-22c6e196a7c8",
   CellTags->"\"MassMatrix\""]},
 "\"Residual\""->{
  Cell[106111, 2498, 1055, 24, 73, "Input",ExpressionUUID->"bd7494fa-4d36-454c-a887-41df45881db2",
   CellTags->"\"Residual\""]},
 "\"QR\""->{
  Cell[141733, 3306, 2289, 64, 134, "Input",ExpressionUUID->"131d8bc7-0e77-4a63-989e-023dc3424380",
   CellTags->"\"QR\""]},
 "\"BLT\""->{
  Cell[144242, 3378, 1318, 35, 73, "Input",ExpressionUUID->"8b52faf5-8d93-4616-bacf-83cb21e2fdf7",
   CellTags->"\"BLT\""]},
 "\"Collocation\""->{
  Cell[146151, 3429, 1418, 37, 73, "Input",ExpressionUUID->"f8df81d5-e655-40f8-bca8-de10b6702bda",
   CellTags->"\"Collocation\""]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 194407, 4561},
 {"NDSolve`ProcessEquations", 196039, 4584},
 {"NDSolve", 196332, 4589},
 {"DSolve", 196470, 4592},
 {"Pantelides", 196609, 4595},
 {"\"IndexReduction\"", 196760, 4598},
 {"\"StructuralMatrix\"", 196921, 4601},
 {"answer", 197070, 4604},
 {"\"NumericalFunction\"", 197348, 4609},
 {"\"EquationSimplification\"", 197518, 4612},
 {"Solve", 197814, 4617},
 {"\"TimeConstraint\"", 197960, 4620},
 {"\"StiffnessSwitching\"", 198130, 4623},
 {"\"MassMatrix\"", 198289, 4626},
 {"\"Residual\"", 198441, 4629},
 {"\"QR\"", 198584, 4632},
 {"\"BLT\"", 198723, 4635},
 {"\"Collocation\"", 198870, 4638}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[626, 23, 136, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
 CellTags->"SlideShowHeader"],
Cell[765, 27, 14970, 250, 68, "WolframULogo",ExpressionUUID->"059f49ae-49fc-4f44-80e6-ab700841b96e"],
Cell[15738, 279, 411, 9, 250, "Title",ExpressionUUID->"f58f4737-5531-4d59-aa92-0691bcd146d1"],
Cell[16152, 290, 303, 5, 73, "Subtitle",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16492, 300, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"11d0b6da-d659-4a49-8f7d-3b87b37d8189",
 CellTags->"SlideShowHeader"],
Cell[16617, 304, 930, 30, 127, InheritFromParent,ExpressionUUID->"85e37535-4728-4fc1-80d7-3188a37fa033"],
Cell[17550, 336, 1267, 19, 34, "Text",ExpressionUUID->"c9f48ac0-7e37-4b91-b1a8-a92075f7900c"],
Cell[CellGroupData[{
Cell[18842, 359, 242, 4, 31, "Item",ExpressionUUID->"9dcdd683-7abe-4dc3-889f-d392193faa76"],
Cell[19087, 365, 684, 10, 31, "Item",ExpressionUUID->"61462936-9a91-4b6a-a9f7-8f31307690f4"],
Cell[19774, 377, 629, 9, 31, "Item",ExpressionUUID->"05585f19-b9d5-4989-9889-961f282d4601"],
Cell[20406, 388, 702, 10, 31, "Item",ExpressionUUID->"4490e108-6700-4f0d-823d-e6933ded08d2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21157, 404, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"2c4ef44d-f25d-4936-baf8-faa7258b58f1",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[21304, 410, 737, 10, 206, "Section",ExpressionUUID->"3cd427a0-72cb-45d6-a66a-4218550812b6"],
Cell[22044, 422, 775, 13, 57, "Text",ExpressionUUID->"3944d5a7-292d-422a-88f4-980d4bbb0b5f"],
Cell[22822, 437, 485, 7, 34, "Text",ExpressionUUID->"afc95ee9-8508-4973-bb79-2feea6f49848"],
Cell[CellGroupData[{
Cell[23332, 448, 787, 17, 46, "Input",ExpressionUUID->"e7808fba-772f-4341-b2e8-f7839fcbcd91"],
Cell[24122, 467, 412, 13, 32, "Output",ExpressionUUID->"7432ba29-7d14-4120-be2c-d2885820769a"]
}, {2}]],
Cell[24546, 483, 879, 18, 57, "Text",ExpressionUUID->"4302e5ba-fb30-4296-bd67-a224d6885674"],
Cell[CellGroupData[{
Cell[25450, 505, 776, 17, 25, "Input",ExpressionUUID->"68c0027e-e1da-4f9c-a876-ad1002f60590"],
Cell[26229, 524, 392, 12, 32, "Output",ExpressionUUID->"bd3ef7b4-53d5-4e9b-bae1-01605dc31e0f"]
}, {2}]],
Cell[26633, 539, 426, 8, 57, "Text",ExpressionUUID->"30d0b7ee-129b-442b-b847-399e28ad9775"],
Cell[27062, 549, 650, 11, 57, "Text",ExpressionUUID->"00a6297b-dfcb-4f2d-a8f1-96796c8bf15c"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27761, 566, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"708fda76-04ac-44b4-a0ba-6483a3ae731a",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[27908, 572, 706, 10, 115, "Section",ExpressionUUID->"a1b9d584-bb3a-4ef7-a932-de9d4255fa1b"],
Cell[28617, 584, 1334, 29, 57, "Text",ExpressionUUID->"55b59b73-bf13-4b68-a233-2c729c02f4bb"],
Cell[29954, 615, 968, 20, 34, "Text",ExpressionUUID->"d3d61f76-a2dc-497a-bb9f-7dc7ffa7d5ba"],
Cell[30925, 637, 1099, 27, 52, "Text",ExpressionUUID->"380eb9af-9ba6-4eeb-9bf4-41b0adb1fb16"],
Cell[32027, 666, 816, 17, 34, "Text",ExpressionUUID->"953b5a5c-45fb-4f47-a132-03af06138d70"],
Cell[32846, 685, 1160, 29, 52, "Text",ExpressionUUID->"af425d3a-3e61-4c2b-a699-b777c41c7d16"],
Cell[34009, 716, 1054, 21, 57, "Text",ExpressionUUID->"faa16f40-22ca-49aa-90e6-1dbd9942fc24"],
Cell[35066, 739, 1217, 31, 52, "Text",ExpressionUUID->"014166af-d23f-42c7-94ee-c2fe8c2a5552"],
Cell[36286, 772, 770, 15, 34, "Text",ExpressionUUID->"5f07b841-811a-4fdb-a6c2-3401a7063463"],
Cell[37059, 789, 807, 14, 34, "Text",ExpressionUUID->"4eb51e41-7b92-4209-835c-07b44ceccee8"],
Cell[37869, 805, 1104, 28, 58, "Text",ExpressionUUID->"47142760-4e7c-40ea-86bd-dbec03ef1c2e"],
Cell[38976, 835, 767, 13, 34, "Text",ExpressionUUID->"3dee29f7-eb5f-4f03-ba3c-d2868db5d7f7"],
Cell[CellGroupData[{
Cell[39768, 852, 334, 5, 71, "Subsection",ExpressionUUID->"779436af-5a13-44fc-8855-d786f10b413e"],
Cell[40105, 859, 798, 17, 57, "Text",ExpressionUUID->"72b2f0ab-c5fe-49fb-b844-47936c92960f"],
Cell[40906, 878, 357, 5, 34, "Text",ExpressionUUID->"5ab29e7b-3ecc-47fc-a67b-5745fffd9a42"],
Cell[41266, 885, 1308, 36, 94, "Input",ExpressionUUID->"b4707c80-ee74-436f-b7e7-d15a056fc461",
 CellTags->"NDSolve`ProcessEquations"],
Cell[42577, 923, 542, 13, 34, "Text",ExpressionUUID->"5bad60f3-bc62-4936-9a36-e7144f088152"],
Cell[43122, 938, 462, 12, 30, "Input",ExpressionUUID->"197b72a7-bc7f-4412-873a-8324aa73e150"],
Cell[43587, 952, 755, 17, 80, "Text",ExpressionUUID->"af4056df-70b5-49d7-89a7-ddcf279660da"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[44381, 974, 203, 4, 30, "Input",ExpressionUUID->"adc1f507-50ea-4982-9487-642259606716"],
Cell[CellGroupData[{
Cell[44609, 982, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"d30e77bd-1038-493c-a70d-d500675bdb7f",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[44756, 988, 271, 4, 115, "Section",ExpressionUUID->"290a35e4-505b-4d6d-91b5-d75fc9aa1bf1"],
Cell[45030, 994, 970, 19, 57, "Text",ExpressionUUID->"16a60b56-87aa-4411-90c9-d17d4121474f"],
Cell[46003, 1015, 615, 12, 34, "Text",ExpressionUUID->"556611cf-b8e3-452d-803e-6d8db028565a"],
Cell[46621, 1029, 3183, 90, 214, "Input",ExpressionUUID->"3db6cd95-ef8a-4153-9f19-032777c4683a",
 CellTags->"NDSolve"],
Cell[49807, 1121, 555, 15, 34, "Text",ExpressionUUID->"f8b38fe4-5d4d-4aec-ba88-e193e0df0177"],
Cell[50365, 1138, 552, 15, 30, "Input",ExpressionUUID->"5328e423-9223-4bf0-8a83-078fa99ad5ae",
 CellTags->"DSolve"],
Cell[50920, 1155, 1129, 24, 34, "Text",ExpressionUUID->"7d4b8b7b-7409-47d7-94ca-2c0619bf2ccd"],
Cell[CellGroupData[{
Cell[52074, 1183, 162, 3, 71, "Subsection",ExpressionUUID->"7db8fb83-0aea-4a77-aac2-fc0288b2aa46"],
Cell[52239, 1188, 1123, 17, 57, "Text",ExpressionUUID->"55419dcf-c7d6-4bec-b423-255e4b335ec2",
 CellTags->"Pantelides"]
}, Open  ]],
Cell[53377, 1208, 691, 17, 30, "Input",ExpressionUUID->"d74a42d8-aebc-4921-b5f0-bf4247b781bc",
 CellTags->"\"IndexReduction\""],
Cell[CellGroupData[{
Cell[54093, 1229, 167, 3, 71, "Subsection",ExpressionUUID->"0851c50a-5484-4637-8e8e-b81fad6d06a2"],
Cell[54263, 1234, 573, 10, 57, "Text",ExpressionUUID->"7371919b-1a32-4516-919a-ce85e8d92804"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[54875, 1249, 712, 18, 30, "Input",ExpressionUUID->"b90536a9-3aee-4b48-a110-4734e27aec1e",
 CellTags->"\"StructuralMatrix\""],
Cell[55590, 1269, 203, 4, 30, "Input",ExpressionUUID->"d484cbcc-f6e2-49ac-aaa6-c199d8994fff"],
Cell[55796, 1275, 21975, 461, 246, "Text",ExpressionUUID->"fa460634-227c-442e-a7f4-3992679b268c",
 CellTags->"answer"],
Cell[CellGroupData[{
Cell[77796, 1740, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"0bc73732-7774-4e36-ab61-5c01abf0084a",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[77943, 1746, 819, 12, 115, "Section",ExpressionUUID->"8ae60cd4-2a69-47b6-8f10-42af825e3f82"],
Cell[78765, 1760, 835, 13, 57, "Text",ExpressionUUID->"cb8c91be-9cc7-40e9-b6f9-d7fa7f60a1e2"],
Cell[79603, 1775, 2360, 62, 194, "Text",ExpressionUUID->"10460da3-72f3-4a10-a274-7788197a18ad"],
Cell[81966, 1839, 1443, 47, 52, "Input",ExpressionUUID->"b6bd1940-acb6-48b3-afee-454dd091d27a"],
Cell[83412, 1888, 652, 13, 57, "Text",ExpressionUUID->"bfa2ec5a-b552-4d5e-92be-2e3b55bff146"],
Cell[84067, 1903, 988, 23, 52, "Input",ExpressionUUID->"ea83ec3c-96d6-4b4a-b593-980f5fde741c",
 CellTags->"NDSolve`ProcessEquations"],
Cell[85058, 1928, 629, 13, 57, "Text",ExpressionUUID->"c8f8b641-a9a0-41ab-8875-9efab6d01901"],
Cell[85690, 1943, 725, 15, 30, "Input",ExpressionUUID->"d79d4339-46fd-4ce0-b75a-8a3af033ab74",
 CellTags->"\"NumericalFunction\""],
Cell[86418, 1960, 442, 9, 34, "Text",ExpressionUUID->"85e51790-da8b-4f80-b25c-4c1a2b02366a"],
Cell[CellGroupData[{
Cell[86885, 1973, 153, 3, 71, "Subsection",ExpressionUUID->"ac940bad-e187-4a08-96d1-6401c93c2bcf"],
Cell[87041, 1978, 672, 12, 57, "Text",ExpressionUUID->"cb83b02b-e678-4854-9c6e-ec24fb6efd35"],
Cell[87716, 1992, 1071, 27, 73, "Input",ExpressionUUID->"45b18cec-2f57-4a06-bfa4-b124b7fd4c24",
 CellTags->"\"EquationSimplification\""],
Cell[88790, 2021, 343, 5, 34, "Text",ExpressionUUID->"e89f3e51-4931-4d23-9837-a1f4ed9e4f86"],
Cell[89136, 2028, 601, 18, 30, "Input",ExpressionUUID->"868760e5-9244-4f00-9bd4-1a2f86fb8ca1",
 CellTags->"Solve"],
Cell[CellGroupData[{
Cell[89762, 2050, 254, 4, 38, "Subsubsection",ExpressionUUID->"5311e689-5e95-42bb-87d6-475512cd9328",
 CellTags->"\"TimeConstraint\""],
Cell[90019, 2056, 1259, 21, 80, "Text",ExpressionUUID->"1ea133c1-3e3f-4f9e-9b3d-0f6e406e3913"],
Cell[91281, 2079, 1998, 62, 94, "Input",ExpressionUUID->"639324a9-e102-4d5c-bd8d-0da047885421"],
Cell[93282, 2143, 589, 13, 57, "Text",ExpressionUUID->"d0e6672a-28a1-48de-b1b6-ecf961b4e213"],
Cell[93874, 2158, 615, 17, 30, "Input",ExpressionUUID->"c7deb58c-f4b0-4f2b-ac16-11ae31aeb1d7",
 CellTags->"\"EquationSimplification\""],
Cell[94492, 2177, 720, 13, 57, "Text",ExpressionUUID->"9de9f5fc-5f29-4ab2-8b88-716e96ebd582"],
Cell[95215, 2192, 614, 17, 52, "Input",ExpressionUUID->"8bc2bdff-f60f-4003-9618-5a1faec21db5"],
Cell[95832, 2211, 968, 19, 57, "Text",ExpressionUUID->"7a706804-0eee-4491-9c4a-a9ea0ba1c2c5"],
Cell[96803, 2232, 739, 20, 52, "Input",ExpressionUUID->"30d58cdf-46e1-4c97-8b17-03abef558469",
 CellTags->"\"StiffnessSwitching\""],
Cell[97545, 2254, 699, 15, 57, "Text",ExpressionUUID->"9a65ed2b-ec73-4da3-946c-97c5440abeb4"],
Cell[98247, 2271, 1184, 28, 73, "Input",ExpressionUUID->"58594f59-e95f-4d30-b596-5bb3b78fea9a"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[99480, 2305, 160, 3, 71, "Subsection",ExpressionUUID->"c9085721-74c1-4ba2-96ad-37505374564d"],
Cell[99643, 2310, 942, 22, 57, "Text",ExpressionUUID->"0807d973-d465-49aa-894d-28ec6a139c98"],
Cell[100588, 2334, 2497, 73, 136, "Input",ExpressionUUID->"6a78622e-2e83-4b9b-a0a0-22c6e196a7c8",
 CellTags->"\"MassMatrix\""],
Cell[103088, 2409, 594, 16, 34, "Text",ExpressionUUID->"bc0418e3-9e57-490c-91fd-049258881bf4"],
Cell[103685, 2427, 848, 25, 52, "Input",ExpressionUUID->"1179b5a3-6499-4cd9-a9c7-cddbbd74fff3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[104570, 2457, 160, 3, 71, "Subsection",ExpressionUUID->"57290058-14da-42a0-92fc-1d8e5ce02e07"],
Cell[104733, 2462, 741, 20, 34, "Text",ExpressionUUID->"fdf4b390-9fa7-400a-87d7-0be07db086f7"],
Cell[105477, 2484, 631, 12, 57, "Text",ExpressionUUID->"063577b9-42e4-4d62-a3db-ba45b89160fb"],
Cell[106111, 2498, 1055, 24, 73, "Input",ExpressionUUID->"bd7494fa-4d36-454c-a887-41df45881db2",
 CellTags->"\"Residual\""],
Cell[107169, 2524, 800, 13, 80, "Text",ExpressionUUID->"c872d1a3-ddbf-4dee-93f6-1fb2a17ded67"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[108008, 2542, 201, 4, 30, "Input",ExpressionUUID->"ff357037-0c5c-4d21-b3d3-ea51a1ff0e52"],
Cell[108212, 2548, 13507, 288, 194, "Text",ExpressionUUID->"0edc0090-aa60-40e3-8399-c47848d22ab3",
 CellTags->"answer"],
Cell[CellGroupData[{
Cell[121744, 2840, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"e2d92bf3-974b-49a6-b7b8-9e75752a902b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[121891, 2846, 748, 11, 115, "Section",ExpressionUUID->"ac2ce23f-9d70-4e64-a54f-2b6d85062c4a"],
Cell[122642, 2859, 509, 10, 80, "Text",ExpressionUUID->"ed08db6f-d604-47a8-822f-4075a3a7f165"],
Cell[CellGroupData[{
Cell[123176, 2873, 156, 3, 71, "Subsection",ExpressionUUID->"375179f7-c318-4b74-a056-e585ccd094a0"],
Cell[123335, 2878, 770, 13, 34, "Text",ExpressionUUID->"a5609c8b-fdaf-464a-8967-719bd0a4b07e"],
Cell[124108, 2893, 1431, 35, 82, "Text",ExpressionUUID->"9297c508-221f-487b-b76e-4f929ce2aa7a"],
Cell[125542, 2930, 959, 14, 34, "Text",ExpressionUUID->"6cb16d92-e636-4578-badc-bcd12fef604c"],
Cell[126504, 2946, 940, 21, 34, "Text",ExpressionUUID->"0f02f2ee-1d61-4c6a-a52b-14d49e4a497a"],
Cell[127447, 2969, 710, 11, 34, "Text",ExpressionUUID->"27260d9d-fb3c-4cf0-906f-abd0233a3e01"],
Cell[128160, 2982, 884, 20, 34, "Text",ExpressionUUID->"92b0fda5-88fe-4f77-b1c6-3d5b3f3ba8d5"],
Cell[129047, 3004, 885, 18, 34, "Text",ExpressionUUID->"88782458-106a-4630-ad87-41faf229fb9c"],
Cell[129935, 3024, 988, 23, 34, "Text",ExpressionUUID->"41d3580c-2d4e-4d4d-a897-d8f0b418d4de"],
Cell[130926, 3049, 1522, 37, 34, "Text",ExpressionUUID->"3f99f46d-0b67-448b-b45b-d83c83595cc4"],
Cell[132451, 3088, 1434, 28, 57, "Text",ExpressionUUID->"6b1e8d37-393e-484b-a650-aa11e65e441f"],
Cell[133888, 3118, 956, 15, 57, "Text",ExpressionUUID->"eed68146-a4ff-43fd-8c03-df1e8681376c"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[134905, 3140, 122, 2, 61, "SlideShowNavigationBar",ExpressionUUID->"aa58421f-9234-497a-b25b-c728c133031b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[135052, 3146, 873, 12, 115, "Section",ExpressionUUID->"0739d988-803f-438e-b506-8b0f0b9599aa"],
Cell[135928, 3160, 624, 11, 57, "Text",ExpressionUUID->"f56f3ee8-b88c-4d41-92fc-ed6886c7c569"],
Cell[CellGroupData[{
Cell[136577, 3175, 161, 3, 71, "Subsection",ExpressionUUID->"eccfb00a-b055-4c84-8bea-5c8d33d48b80"],
Cell[136741, 3180, 803, 13, 80, "Text",ExpressionUUID->"c89492e8-31c1-42cb-8868-557d9f368238"],
Cell[137547, 3195, 603, 10, 34, "Text",ExpressionUUID->"68d00f7e-8a80-41c8-8509-3c41b9abfea4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[138187, 3210, 152, 3, 71, "Subsection",ExpressionUUID->"1165cf7c-27a8-464b-91d6-382e583334aa"],
Cell[138342, 3215, 1007, 23, 57, "Text",ExpressionUUID->"faf52255-e458-434b-afd3-de303a4fbcfd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[139386, 3243, 127, 3, 71, "Subsection",ExpressionUUID->"b026bce0-fc11-459b-b451-421f5fcb5031"],
Cell[139516, 3248, 572, 10, 80, "Text",ExpressionUUID->"7f5db595-a7f2-42fd-ab5e-9f7b86476297"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140125, 3263, 226, 4, 71, "Subsection",ExpressionUUID->"275ebae3-980f-4b09-b4a4-acac1791890f"],
Cell[140354, 3269, 536, 10, 80, "Text",ExpressionUUID->"d99ce9f1-7348-462e-9482-ad941463d7d0"],
Cell[140893, 3281, 837, 23, 57, "Text",ExpressionUUID->"9f9ab01b-1de5-4a78-99aa-29e65d1acf19"],
Cell[141733, 3306, 2289, 64, 134, "Input",ExpressionUUID->"131d8bc7-0e77-4a63-989e-023dc3424380",
 CellTags->"\"QR\""],
Cell[144025, 3372, 214, 4, 34, "Text",ExpressionUUID->"de96be3a-45ed-4a55-836b-6ca659845d4a"],
Cell[144242, 3378, 1318, 35, 73, "Input",ExpressionUUID->"8b52faf5-8d93-4616-bacf-83cb21e2fdf7",
 CellTags->"\"BLT\""],
Cell[145563, 3415, 549, 9, 57, "Text",ExpressionUUID->"83742293-b760-478e-95a2-0618071b5f4f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[146151, 3429, 1418, 37, 73, "Input",ExpressionUUID->"f8df81d5-e655-40f8-bca8-de10b6702bda",
 CellTags->"\"Collocation\""],
Cell[147572, 3468, 201, 4, 32, "Input",ExpressionUUID->"c1b9d34f-6045-42e9-a7be-eb1bf9c4ea8c"],
Cell[CellGroupData[{
Cell[147798, 3476, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"2e08c485-6cb6-464b-a218-0175e2bb3a12",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[147945, 3482, 873, 12, 114, "Section",ExpressionUUID->"083fdc77-3c22-42d1-bec7-5b643ac22984"],
Cell[148821, 3496, 240, 6, 33, "Text",ExpressionUUID->"7c611740-87b2-470e-959b-be2182fe6f24"],
Cell[149064, 3504, 1306, 27, 77, "Text",ExpressionUUID->"ef42ca99-c111-4baa-a879-3e70f305f592"],
Cell[150373, 3533, 1265, 23, 55, "Text",ExpressionUUID->"d4a90125-264f-4ff3-b6ff-0eb66201de23"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[151687, 3562, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"d52f7640-6f7d-486d-ad07-8b0bb585304a",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[151834, 3568, 156, 3, 114, "Section",ExpressionUUID->"f2c803e3-3448-4193-9fce-079ed5763fc3"],
Cell[151993, 3573, 1371, 21, 55, "Text",ExpressionUUID->"b5196e0c-2632-4642-ad42-c0fa8c86fd0b"],
Cell[CellGroupData[{
Cell[153389, 3598, 289, 5, 30, "Item",ExpressionUUID->"ec29c54a-7b3b-4886-ad5e-a93a2adc1223"],
Cell[153681, 3605, 680, 10, 30, "Item",ExpressionUUID->"205a895e-7df6-4329-a64e-1553f277f46c"],
Cell[154364, 3617, 734, 10, 30, "Item",ExpressionUUID->"2651a5a4-0bbc-4f8d-9b5d-669f904e36d9"],
Cell[155101, 3629, 744, 10, 30, "Item",ExpressionUUID->"a3f4f963-3269-4711-8403-d80ea7f00d0f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[155906, 3646, 122, 2, 1, "SlideShowNavigationBar",ExpressionUUID->"e29cc663-058f-42ac-90f3-c351c0313f3a",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[156053, 3652, 138, 3, 114, "Section",ExpressionUUID->"f31ab9f9-084d-4fd5-867a-5473f8fc0f3f"],
Cell[CellGroupData[{
Cell[156216, 3659, 160, 3, 37, "Subsubsection",ExpressionUUID->"f1539d3e-c975-4b6e-8992-4a3ff24ebd0b"],
Cell[CellGroupData[{
Cell[156401, 3666, 337, 7, 30, "Item",ExpressionUUID->"9ecb5b23-d168-4d91-8ac3-a08f2983857e"],
Cell[156741, 3675, 332, 7, 30, "Item",ExpressionUUID->"d66fa3b1-6890-4911-a197-70bbd9089698"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[157122, 3688, 159, 3, 37, "Subsubsection",ExpressionUUID->"8d40dc12-43a8-4cd6-b6fc-f856ea0858f9"],
Cell[CellGroupData[{
Cell[157306, 3695, 288, 6, 30, "Item",ExpressionUUID->"c7eaaa39-2a34-492a-8b23-dcd07299f462"],
Cell[157597, 3703, 299, 6, 30, "Item",ExpressionUUID->"34e3d239-0130-4a1e-8966-f755e07df0e7"],
Cell[157899, 3711, 289, 6, 30, "Item",ExpressionUUID->"bbf3996e-ec3b-420d-b94b-92432679a367"]
}, Open  ]]
}, Open  ]],
Cell[158215, 3721, 158, 3, 70, "Subsection",ExpressionUUID->"d09ff61a-c7e2-46bb-a960-73119732934c"]
}, Open  ]]
}, Open  ]],
Cell[158400, 3728, 4514, 135, 90, "Input",ExpressionUUID->"d884d5b1-4812-45f4-8b17-e99d7146f74b"]
}
]
*)

